<?php
/**
 * @Add Meta Box For Teams
 * @return
 *
 */

if( ! class_exists('cs_fleet_meta') ) {
	class cs_fleet_meta {
		
		public function __construct(){
			add_action('add_meta_boxes', array($this, 'cs_meta_fleet_add'));
			add_action('wp_ajax_add_qual_to_list', array($this, 'add_qual_to_list'));
		}

		function cs_meta_fleet_add(){  
			add_meta_box( 'cs_meta_fleet',  esc_html__('Fleet Options','cs_frame'), array($this, 'cs_meta_fleet'), 'fleet', 'normal', 'high' );  
		}
		
		function cs_meta_fleet( $post ) {
			global $post ,$cs_theme_options, $page_option,$cs_form_meta;
			$cs_theme_options = get_option('cs_theme_options');
			$cs_builtin_seo_fields  = isset( $cs_theme_options['cs_builtin_seo_fields'] ) ? $cs_theme_options['cs_builtin_seo_fields'] : ''; 
			$cs_header_position 	= isset( $cs_theme_options['cs_header_position'] ) ? $cs_theme_options['cs_header_position'] : '';
					
			?>		
			<div class="page-wrap page-opts left" style="overflow:hidden; position:relative; height: 1432px;">
				<div class="option-sec" style="margin-bottom:0;">
					<div class="opt-conts">
						<div class="elementhidden">
							<nav class="admin-navigtion">
							  <ul id="cs-options-tab">
                              	<!--<li><a href="javascript:;" name="#tab-general-settings"><i class="icon-cog3"></i><?php //esc_html_e('General','cs_frame');?></a></li>-->
                              	<?php
								if( function_exists('cs_subheader_element') ) {
								?>
								<li><a href="javascript:;" name="#tab-subheader-options"><i class="icon-indent"></i> <?php esc_html_e('Sub Header','cs_frame');?> </a></li>
								<?php 
								}
								if( function_exists('cs_header_postition_element') && function_exists('cs_seo_settitngs_element') ) {
									if($cs_header_position == 'absolute'){?>
										<li><a href="javascript:;" name="#tab-header-position-settings"><i class="icon-forward"></i><?php esc_html_e('Header Absolute','cs_frame');?></a></li>
									<?php }?>
									<?php if($cs_builtin_seo_fields == 'on'){?>
									<li><a href="javascript:;" name="#tab-seo-advance-settings"><i class="icon-dribbble"></i> <?php esc_html_e('Seo Options','cs_frame');?></a></li>
									<?php }
								}
								?>
								<li><a href="javascript:;" name="#tab-teams-settings-cs-teams"><i class="icon-briefcase"></i><?php esc_html_e('Fleet Options','cs_frame'); ?></a></li>
							</ul>
							</nav>
							<div id="tabbed-content">
                            	<!--<div id="tab-general-settings">
									<?php
									/*if( function_exists('cs_sidebar_layout_options') ) {
										cs_sidebar_layout_options();
									}*/
									?>
								</div>-->
                            	<?php
								if( function_exists('cs_subheader_element') ) {
								?>
								<div id="tab-subheader-options">
									<?php cs_subheader_element();?>
								</div>
								<?php 
								}
								if( function_exists('cs_header_postition_element') && function_exists('cs_seo_settitngs_element') ) {
									if($cs_header_position == 'absolute'){?>
									 <div id="tab-header-position-settings">
										 <?php cs_header_postition_element();?>
									</div>
									<?php } ?>
									<?php if($cs_builtin_seo_fields == 'on'){?>
									<div id="tab-seo-advance-settings">
										<?php cs_seo_settitngs_element();?>
									</div>
									<?php }
								}
								?>
								<div id="tab-teams-settings-cs-teams">
									<?php $this->cs_post_fleet_fields(); ?>
								</div>
							</div>  
						</div>
					</div>
				</div>
			</div>
			<div class="clear"></div>
		<?php
        }
				
		/**
		 * @Team Custom Fileds Function
		 * @return
		 *
		 */
		function cs_post_fleet_fields(){
			global $post ,$cs_theme_options, $page_option,$cs_form_meta;	
			
			
			
			   $cs_form_meta->cs_form_text_render(
				array(  'name'	=> esc_html__('Link Text','cs_frame'),
						'id'	=> 'link_text',
						'classes' => '',
						'std'	=> '',
						'description'  => '',
						'hint'  => ''
					)
			);
				$cs_form_meta->cs_form_text_render(
				array(  'name'	=> esc_html__('Link URL','cs_frame'),
						'id'	=> 'link_url',
						'classes' => '',
						'std'	=> '',
						'description'  => '',
						'hint'  => ''
					)
			);
			
		    $cs_form_meta->cs_form_textarea_list(
				array(  'name'	=> esc_html__('List','cs_frame'),
						'id'	=> 'feet_listing',
						'classes' => '',
						'std'	=> '',
						'description'  => esc_html__('Press enter after entering a list item','cs_frame'),
						'hint'  => ''
					)
			);
			
		}
	 }
	
	return new cs_fleet_meta();
}
