<?php
/**
 * @Add Meta Box For Events
 * @return
 *
 */

if( ! class_exists('cs_location_meta') ) {
	class cs_location_meta {
		
		public function __construct(){
			add_action('add_meta_boxes', array($this, 'cs_meta_location_add'));
		}

		function cs_meta_location_add(){  
			add_meta_box( 'cs_meta_location',  esc_html__('Location Options','cs_frame'), array($this, 'cs_meta_location'), 'location', 'normal', 'high' );  
		}
		
		function cs_meta_location( $post ) {
			global $post ,$cs_theme_options, $page_option,$cs_form_meta;
			$cs_theme_options = get_option('cs_theme_options');
			$cs_builtin_seo_fields  = isset( $cs_theme_options['cs_builtin_seo_fields'] ) ? $cs_theme_options['cs_builtin_seo_fields'] : ''; 
			$cs_header_position 	= isset( $cs_theme_options['cs_header_position'] ) ? $cs_theme_options['cs_header_position'] : '';
					
			?>		
			<div class="page-wrap page-opts left" style="overflow:hidden; position:relative; height: 1432px;">
				<div class="option-sec" style="margin-bottom:0;">
					<div class="opt-conts">
						<div class="elementhidden">
							<nav class="admin-navigtion">
							  <ul id="cs-options-tab">
								<?php 
								if( function_exists('cs_header_postition_element') && function_exists('cs_seo_settitngs_element') ) {
									if($cs_header_position == 'absolute'){?>
										<li><a href="javascript:;" name="#tab-header-position-settings"><i class="icon-forward"></i><?php esc_html_e('Header Absolute','cs_frame');?></a></li>
									<?php } ?>
									
									<?php } ?>
                                <li><a href="javascript:;" name="#tab-location-settings"><i class="icon-location2"></i><?php esc_html_e('Location','cs_frame');?></a></li>
							</ul>
							</nav>
							<div id="tabbed-content">
                            	
                            	
                                <div id="tab-location-settings" style="width:100%;">
									<?php $this->cs_location_fields(); ?>
                                </div>
								
							</div>  
						</div>
					</div>
				</div>
			</div>
			<div class="clear"></div>
			<?php
        }
		
		function cs_location_fields(){
			global $post, $cs_form_meta;
			
			$cs_form_meta->cs_form_checkbox_with_field_render(
				array(  'name'	=> esc_html__('Location Map Title','cs_frame'),
						'id'	=> 'map_switch',
						'classes' => '',
						'std'	=> '',
						'description'  => '',
						'hint'  => '',
						'field' => array( 'field_name'   => esc_html__('','cs_frame'),
										  'field_id'	 => 'map_heading',
										  'field_std'    =>esc_html__('Locations','cs_frame'), 
						)
					)
			);		
			$cs_form_meta->cs_form_text_render(
					array(  'name'	=> esc_html__('Address','cs_frame'),
							'id'	=> 'location_address',
							'classes' => 'gllpSearchButton',
							'std'	=> '',
							'description'  => '',
							'hint'  => ''
						)
			);		
			$cs_form_meta->cs_form_text_render(
					array(  'name'	=> esc_html__('City / Town','cs_frame'),
							'id'	=> 'loc_city',
							'classes' => 'gllpSearchButton',
							'std'	=> '',
							'description'  => '',
							'hint'  => ''
						)
			);		
			$cs_form_meta->cs_form_text_render(
					array(  'name'	=> esc_html__('Phone No','cs_frame'),
							'id'	=> 'location_phone_no',
							'classes' => 'gllpSearchButton',
							'std'	=> '',
							'description'  => '',
							'hint'  => ''
						)
			);	
			$cs_form_meta->cs_form_text_render(
					array(  'name'	=> esc_html__('Mobile No','cs_frame'),
							'id'	=> 'location_mobile_no',
							'classes' => 'gllpSearchButton',
							'std'	=> '',
							'description'  => '',
							'hint'  => ''
						)
			);	
			$cs_form_meta->cs_form_text_render(
					array(  'name'	=> esc_html__('Email','cs_frame'),
							'id'	=> 'location_email',
							'classes' => 'gllpSearchButton',
							'std'	=> '',
							'description'  => '',
							'hint'  => ''
						)
			);	
			$cs_form_meta->cs_form_text_render(
					array(  'name'	=> esc_html__('Region','cs_frame'),
							'id'	=> 'loc_region',
							'classes' => 'gllpSearchButton',
							'std'	=> '',
							'description'  => '',
							'hint'  => ''
						)
			);
			
			$cs_form_meta->cs_location_map_render(
				array(  'name'	=> esc_html__('Search This Location on Map','cs_frame'),
						'id'	=> 'campus_map',
						'classes' => '',
						'std'	=> '',
						'description'  => '',
						'hint'  => ''
					)
			);
		}
	}
	
	return new cs_location_meta();
}
