<?php
/**
 * @Add Meta Box For Services
 * @return
 *
 */

if( ! class_exists('cs_service_meta') ) {
	class cs_service_meta {
		
		public function __construct(){
			add_action('add_meta_boxes', array($this, 'cs_meta_service_add'));
			add_action('wp_ajax_add_service_inc_to_list', array($this, 'add_service_inc_to_list'));
			add_action('wp_ajax_add_service_adon_to_list', array($this, 'add_service_adon_to_list'));
			add_action('wp_ajax_add_service_offer_to_list', array($this, 'add_service_offer_to_list'));
		}
		
		function cs_meta_service_add(){  
			add_meta_box( 'cs_meta_service',  esc_html__('Service Options','cs_frame'), array($this, 'cs_meta_service'), 'services', 'normal', 'high' );  
		}
		
		function cs_meta_service( $post ) {
			global $post, $cs_theme_options, $page_option, $cs_form_meta;
			$cs_theme_options = get_option('cs_theme_options');
			$cs_builtin_seo_fields  = isset( $cs_theme_options['cs_builtin_seo_fields'] ) ? $cs_theme_options['cs_builtin_seo_fields'] : ''; 
			$cs_header_position 	= isset( $cs_theme_options['cs_header_position'] ) ? $cs_theme_options['cs_header_position'] : '';
					
			cs_framework::cs_enqueue_timepicker_script();
			?>		
			<div class="page-wrap page-opts left" style="overflow:hidden; position:relative; height: 1432px;">
				<div class="option-sec" style="margin-bottom:0;">
					<div class="opt-conts">
						<div class="elementhidden">
							<nav class="admin-navigtion">
							  <ul id="cs-options-tab">
								<li><a href="javascript:;" name="#tab-general-settings"><i class="icon-cog3"></i><?php esc_html_e('General','cs_frame');?></a></li>
								<?php
								if( function_exists('cs_subheader_element') ) {
								?>
                                <li><a href="javascript:;" name="#tab-subheader-options"><i class="icon-indent"></i> <?php esc_html_e('Sub Header','cs_frame');?> </a></li>
								<?php 
								}
								if( function_exists('cs_header_postition_element') && function_exists('cs_seo_settitngs_element') ) {
									if($cs_header_position == 'absolute'){?>
										<li><a href="javascript:;" name="#tab-header-position-settings"><i class="icon-forward"></i><?php esc_html_e('Header Absolute','cs_frame');?></a></li>
									<?php }?>
									<?php if($cs_builtin_seo_fields == 'on'){?>
									<li><a href="javascript:;" name="#tab-seo-advance-settings"><i class="icon-dribbble"></i> <?php esc_html_e('Seo Options','cs_frame');?></a></li>
									<?php }
								}
								?>
								<li><a href="javascript:;" name="#tab-services-settings-cs-services"><i class="icon-briefcase"></i><?php esc_html_e('Service Options','cs_frame'); ?></a></li>
							</ul>
							</nav>
							<div id="tabbed-content">
								<div id="tab-general-settings">
									<?php										
										if( function_exists('cs_sidebar_layout_options') ) {
											cs_sidebar_layout_options();
										}
									?>
								</div>
                                <?php
								if( function_exists('cs_subheader_element') ) {
								?>
								<div id="tab-subheader-options">
									<?php cs_subheader_element();?>
								</div>
								<?php 
								}
								if( function_exists('cs_header_postition_element') && function_exists('cs_seo_settitngs_element') ) {	
									if($cs_header_position == 'absolute'){?>
									 <div id="tab-header-position-settings">
										 <?php cs_header_postition_element();?>
									</div>
									<?php } ?>
									<?php if($cs_builtin_seo_fields == 'on'){?>
									<div id="tab-seo-advance-settings">
										<?php cs_seo_settitngs_element();?>
									</div>
									<?php }
								}
								?>
								<div id="tab-services-settings-cs-services">
									<?php $this->cs_post_service_fields(); ?>
								</div>
							</div>  
						</div>
					</div>
				</div>
			</div>
			<div class="clear"></div>
		<?php }
		
		/**
		 * @Service Custom Fileds Function
		 * @return
		 *
		 */
		function cs_post_service_fields(){
			
			global $post, $cs_form_meta;	
	
			$cs_form_meta->cs_heading_render(
				array(  'name'	=> esc_html__('Listing','cs_frame'),
						'id'	=> 'service_adons_heading',
						'classes' => '',
						'std'	=> '',
						'description'  => '',
					)
			);
			$cs_form_meta->cs_form_checkbox_render(
				array(  'name'	=> esc_html__('Listing','cs_frame'),
						'id'	=> 'service_adons',
						'field_id'	=> 'service_adons_title',
						'classes' => '',
						'std'	=> 'on',
						'description'  => '',
						'hint'  => ''
					)
			);
			$this->cs_service_adons();
			
			
			$cs_form_meta->cs_heading_render(
				array(  'name'	=> esc_html__('Offers','cs_frame'),
						'id'	=> 'service_offers_heading',
						'classes' => '',
						'std'	=> '',
						'description'  => '',
					)
			);
			
			$cs_form_meta->cs_form_checkbox_with_field_render(
				array(  'name'	=> esc_html__('Offers','cs_frame'),
						'id'	=> 'service_offers',
						'field_id'	=> 'service_offers_title',
						'classes' => '',
						'std'	=> '',
						'field'	=> array('std' => 'on', 'field_std' => esc_html__('Offers','cs_frame')),
						'description'  => '',
						'hint'  => ''
					)
			);
			$this->cs_service_offers();
			
			
			
			
			
			
 		$cs_form_meta->cs_heading_render(
				array(  'name'	=> esc_html__('Gallery','cs_frame'),
						'id'	=> 'service_gallery_heading',
						'classes' => '',
						'std'	=> '',
						'description'  => '',
					)
			);
			
		$cs_form_meta->cs_form_checkbox_with_field_render(
				array(  'name'	=> esc_html__('Gallery','cs_frame'),
						'id'	=> 'service_gallery',
						'field_id'	=> 'service_gallery_title',
						'classes' => '',
						'std'	=> '',
						'field'	=> array('std' => 'on', 'field_std' => esc_html__('Gallery','cs_frame')),
						'description'  => '',
						'hint'  => ''
					)
			);
			$cs_form_meta->cs_gallery_render(
				array(  'name'		=> esc_html__('Add Gallery Images','cs_frame'),
						'id'		=> 'service_list_gallery',
						'classes'   => '',
						'std'		=> 'gallery_meta_form',
					)
			);
		 
		 
		$cs_form_meta->cs_heading_render(
				array(  'name'	=> esc_html__('Clinets','cs_frame'),
						'id'	=> 'clients_gallery_heading',
						'classes' => '',
						'std'	=> '',
						'description'  => '',
					)
			);
			
		$cs_form_meta->cs_form_checkbox_with_field_render(
				array(  'name'	=> esc_html__('Clients','cs_frame'),
						'id'	=> 'client_gallery',
						'field_id'	=> 'client_gallery_title',
						'classes' => '',
						'std'	=> '',
						'field'	=> array('std' => 'on', 'field_std' => esc_html__('Clients','cs_frame')),
						'description'  => '',
						'hint'  => ''
					)
			);
			$cs_form_meta->cs_gallery_render(
				array(  'name'		=> esc_html__('Add Clients Images','cs_frame'),
						'id'		=> 'clients_list_gallery',
						'classes'   => '',
						'std'		=> 'gallery_meta_form',
					)
			); 
		 
		  $cs_form_meta->cs_heading_render(
				array(  'name'	=> esc_html__('Testimonials','cs_frame'),
						'id'	=> 'service_incule_heading',
						'classes' => '',
						'std'	=> '',
						'description'  => '',
					)
			);
			$cs_form_meta->cs_form_checkbox_with_field_render(
				array(  'name'	=> esc_html__('Testimonials','cs_frame'),
						'id'	=> 'service_incule',
						'field_id'	=> 'service_incule_title',
						'classes' => '',
						'std'	=> '',
						'field'	=> array('std' => 'on', 'field_std' => esc_html__('Testimonials','cs_frame')),
						'description'  => '',
						'hint'  => ''
					)
			);
			$this->cs_service_incules();
			
			
			
			
			
			
			$cs_form_meta->cs_heading_render(
			array(  'name'	=> esc_html__('Quick Quote','cs_frame'),
					'id'	=> 'call_to_action_heading',
					'classes' => '',
					'std'	=> '',
					'description'  => '',
				)
			);
			
			
			$cs_form_meta->cs_form_checkbox_render(
				array(  'name'	=> esc_html__('Qucik Quote','cs_frame'),
						'id'	=> 'call_to_action_switch',
						'field_id'	=> 'call_to_action',
						'classes' => '',
						'std'	=> 'on',
						'description'  => '',
						'hint'  => ''
					)
			);
			
			
			
			$cs_form_meta->cs_media_url(
			array(  'name'	=> esc_html__('Icon Image','cs_frame'),
					'id'	=> 'service_image_qucik_icon',
					'classes' => '',
					'std'	=> '',
					'description'  => '',
					'hint'  => ''
				)
			);
			
			
			$cs_form_meta->cs_media_url(
			array(  'name'	=> esc_html__('Background Image','cs_frame'),
					'id'	=> 'service_image_qucik_bg',
					'classes' => '',
					'std'	=> '',
					'description'  => '',
					'hint'  => ''
				)
			);
			
			/*$cs_form_meta->cs_media_url(
			array(  'name'	=> esc_html__('Icon Image','cs_frame'),
					'id'	=> 'call_to_action_icon',
					'classes' => '',
					'std'	=> '',
					'description'  => '',
					'hint'  => ''
				)
			);	*/
			
			
			/*$cs_form_meta->cs_media_url(
			array(  'name'	=> esc_html__('Background Image','cs_frame'),
					'id'	=> 'call_to_action_bg',
					'classes' => '',
					'std'	=> '',
					'description'  => '',
					'hint'  => ''
				)
			);*/
			$cs_form_meta->cs_form_text_render(
			array(  'name'	=> esc_html__('Title Text','cs_frame'),
					'id'	=> 'call_to_action_title_text',
					'classes' => '',
					'std'	=> '',
					'description'  => '',
					'hint'  => ''
				)
			);	
			
			$cs_form_meta->cs_form_color_render(
					array(  'name'	=> esc_html__('Title Color','cs_frame'),
							'id'	=> 'call_to_action_title_color',
							'classes' => '',
							'std'	=> '',
							'description'  => '',
							'hint'  => ''
						)
				);
			
			$cs_form_meta->cs_form_text_render(
			array(  'name'	=> esc_html__('Sub Title','cs_frame'),
					'id'	=> 'call_to_action_sub_title_text',
					'classes' => '',
					'std'	=> '',
					'description'  => '',
					'hint'  => ''
				)
			);	
			 $cs_form_meta->cs_form_color_render(
					array(  'name'	=> esc_html__('Sub-title Color','cs_frame'),
							'id'	=> 'call_to_action_subtitle_color',
							'classes' => '',
							'std'	=> '',
							'description'  => '',
							'hint'  => ''
						)
				);
			
			$cs_form_meta->cs_form_text_render(
			array(  'name'	=> esc_html__('Button Text','cs_frame'),
					'id'	=> 'call_to_action_button_text',
					'classes' => '',
					'std'	=> '',
					'description'  => '',
					'hint'  => ''
				)
			);	
			$cs_form_meta->cs_form_text_render(
			array(  'name'	=> esc_html__('Button URL','cs_frame'),
					'id'	=> 'call_to_action_button_url',
					'classes' => '',
					'std'	=> '',
					'description'  => '',
					'hint'  => ''
				)
			);
			
			
			$cs_form_meta->cs_form_color_render(
					array(  'name'	=> esc_html__('Button Color','cs_frame'),
							'id'	=> 'call_to_action_button_color',
							'classes' => '',
							'std'	=> '',
							'description'  => '',
							'hint'  => ''
						)
				);
			
				
			
		 }
		 
		public function cs_service_incules(){
			 
			global $post, $cs_form_meta;	
			$cs_get_service_incs = get_post_meta($post->ID,'cs_service_incs_array',true);
			$cs_service_inc_names    = get_post_meta($post->ID,'cs_service_inc_name_array',true);
			$cs_service_inc_companys    = get_post_meta($post->ID,'cs_service_inc_company_array',true);
			$cs_service_inc_imgs    = get_post_meta($post->ID,'cs_service_inc_img_array',true);
			$cs_service_inc_descs    = get_post_meta($post->ID,'cs_service_inc_desc_array',true);
		
			$html = '
			<script>
				jQuery(document).ready(function($) {
					$("#total_service_incs").sortable({
						cancel : \'td div.table-form-elem\'
					});
				});
			</script>
			  <ul class="form-elements">
					<li class="to-button"><a href="javascript:_createpop(\'add_service_inc_title\',\'filter\')" class="button">' . esc_html__("Add Testimonials","cs_frame") . '</a> </li>
			   </ul>
			  <div class="cs-list-table">
			  <table class="to-table" border="0" cellspacing="0">
				<thead>
				  <tr>
					<th style="width:100%;">' . esc_html__("Title","cs_frame") . '</th>
					<th style="width:20%;" class="right">' . esc_html__("Actions","cs_frame") . '</th>
				  </tr>
				</thead>
				<tbody id="total_service_incs">';
					if(isset($cs_get_service_incs) && is_array($cs_get_service_incs) && count($cs_get_service_incs)>0){
						$cs_service_inc_counter = 0;
						foreach($cs_get_service_incs as $service_incs){
							if(isset($service_incs) && $service_incs <> ''){
								
								$counter_service_inc		= $service_inc_id = $service_incs;
								$cs_service_inc_name		= isset($cs_service_inc_names[$cs_service_inc_counter]) ? $cs_service_inc_names[$cs_service_inc_counter] : '';
								$cs_service_inc_company		= isset($cs_service_inc_companys[$cs_service_inc_counter]) ? $cs_service_inc_companys[$cs_service_inc_counter] : '';
								$cs_service_inc_desc		= isset($cs_service_inc_descs[$cs_service_inc_counter]) ? $cs_service_inc_descs[$cs_service_inc_counter] : '';
								$cs_service_inc_img		= isset($cs_service_inc_imgs[$cs_service_inc_counter]) ? $cs_service_inc_imgs[$cs_service_inc_counter] : '';
								
								$cs_service_incs_array = array(
														'counter_service_inc'		=> $counter_service_inc,
														'service_inc_id' 			=> $service_inc_id,
														'cs_service_inc_name' 		=> $cs_service_inc_name,
														'cs_service_inc_company'    => $cs_service_inc_company,
														'cs_service_inc_img' 		=> $cs_service_inc_img,
														'cs_service_inc_desc'		=> $cs_service_inc_desc,
												   );
								
								$html .= $this->add_service_inc_to_list( $cs_service_incs_array );
							}
							$cs_service_inc_counter++;
						}
					}
				$html .= '
				</tbody>
			  </table>
			
			  </div>
			  <div id="add_service_inc_title" style="display: none;">
				<div class="cs-heading-area">
				  <h5><i class="icon-plus-circle"></i> ' . esc_html__('Testimonials Setting','cs_frame') . '</h5>
				  <span class="cs-btnclose" onClick="javascript:removeoverlay(\'add_service_inc_title\',\'append\')"> <i class="icon-times"></i></span> 	
				</div>';				
				$html .= $cs_form_meta->cs_form_text_render(
							array(  'name'	=> esc_html__('Title', 'cs_frame'),
									'id'	=> 'service_inc_name',
									'classes' => '',
									'std'	=> '',
									'description'  => '',
									'return'  => true,
									'hint'  => ''
								)
							);
							
				
				$html .= $cs_form_meta->cs_form_text_render(
							array(  'name'	=> esc_html__('Company', 'cs_frame'),
									'id'	=> 'service_inc_company',
									'classes' => '',
									'std'	=> '',
									'description'  => '',
									'return'  => true,
									'hint'  => ''
								)
							);
				$html .= $cs_form_meta->cs_form_fileupload_render(
							array(  'name'	=> esc_html__('Image', 'cs_frame'),
									'id'	=> 'service_inc_img',
									'classes' => '',
									'std'	=> '',
									'description'  => '',
									'return'  => true,
									'hint'  => ''
								)
							);			
							
				$html .= $cs_form_meta->cs_form_textarea_render(
							array(  'name'	=> esc_html__('Description', 'cs_frame'),
									'id'	=> 'service_inc_desc',
									'classes' => '',
									'std'	=> '',
									'description'  => '',
									'return'  => true,
									'hint'  => ''
								)
							);
				$html .= '
				<ul class="form-elements noborder">
				  <li class="to-label"></li>
				  <li class="to-field">
					<input type="button" value="'.esc_html__("Add Testimonials","cs_frame").'" onClick="add_service_inc_list(\'' . esc_js(admin_url('admin-ajax.php')) . '\', \'' . esc_js(get_template_directory_uri()) . '\')" />
					<div class="feature-loader"></div>
				  </li>
				</ul>
			  </div>';
			  
			echo force_balance_tags( $html, true );
		}
		
    	public function add_service_inc_to_list( $cs_atts ){
			global $post, $cs_form_meta;
			
			$cs_defaults = array(
				'counter_service_inc'		=> '',
				'service_inc_id' 			=> '',
				'cs_service_inc_name' 		=> '',
				'cs_service_inc_company'=>'',
				'cs_service_inc_img' 		=> '',
				'cs_service_inc_desc'		=> '',
			);
			extract( shortcode_atts( $cs_defaults, $cs_atts ) );
			
			foreach ($_POST as $keys=>$values) {
				$$keys = $values;
			}
		
			if(isset($_POST['cs_service_inc_name']) && $_POST['cs_service_inc_name'] <> '') $cs_service_inc_name  = $_POST['cs_service_inc_name'];
			if(isset($_POST['cs_service_inc_company']) && $_POST['cs_service_inc_company'] <> '') $cs_service_inc_company  = $_POST['cs_service_inc_company'];
			if(isset($_POST['cs_service_inc_img']) && $_POST['cs_service_inc_img'] <> '') $cs_service_inc_img = $_POST['cs_service_inc_img'];
			if(isset($_POST['cs_service_inc_desc']) && $_POST['cs_service_inc_desc'] <> '') $cs_service_inc_desc = $_POST['cs_service_inc_desc'];
			
			if( $service_inc_id == '' && $counter_service_inc == '' ){
				$counter_service_inc = $service_inc_id = time();
			}
			
			$html = '
				<tr class="parentdelete" id="edit_track' . absint($counter_service_inc) . '">
				  <td id="subject-title' . absint($counter_service_inc) . '" style="width:100%;">' . esc_attr($cs_service_inc_name) . '</td>
				  
				  <td class="centr" style="width:20%;"><a href="javascript:_createpop(\'edit_track_form' . absint($counter_service_inc) . '\',\'filter\')" class="actions edit">&nbsp;</a> <a href="#" class="delete-it btndeleteit actions delete">&nbsp;</a></td>
				  <td style="width:0"><div id="edit_track_form' . esc_attr($counter_service_inc) . '" style="display: none;" class="table-form-elem">
					<input type="hidden" name="cs_service_incs_array[]" value="' . absint($service_inc_id) . '" />
					  <div class="cs-heading-area">
						<h5 style="text-align: left;">' . esc_html__('Services Settings','cs_frame') . '</h5>
						<span onclick="javascript:removeoverlay(\'edit_track_form' . esc_js($counter_service_inc) . '\',\'append\')" class="cs-btnclose"> <i class="icon-times"></i></span>
						<div class="clear"></div>
					  </div>';
						
						$html .= $cs_form_meta->cs_form_text_render(
							array(  'name'			=> esc_html__('Title', 'cs_frame'),
									'id'			=> 'service_inc_name',
									'classes'		=> '',
									'std'			=> $cs_service_inc_name,
									'description'	=> '',
									'return'		=> true,
									'array'			=> true,
									'force_std'		=> true,
									'hint'			=> ''
								)
						);
						 
						 
						 $html .= $cs_form_meta->cs_form_text_render(
							array(  'name'			=> esc_html__('Company', 'cs_frame'),
									'id'			=> 'service_inc_company',
									'classes'		=> '',
									'std'			=> $cs_service_inc_company,
									'description'	=> '',
									'return'		=> true,
									'array'			=> true,
									'force_std'		=> true,
									'hint'			=> ''
								)
						);
						 
						 
						 
						 
						 $html .= $cs_form_meta->cs_form_fileupload_render(
							array(  'name'			=> esc_html__('Image', 'cs_frame'),
									'id'			=> 'service_inc_img',
									'classes'		=> '',
									'std'			=> $cs_service_inc_img,
									'description'	=> '',
									'return'		=> true,
									'array'			=> true,
									'force_std'		=> true,
									'hint'			=> ''
								)
						);
						 
						 
						 
						$html .= $cs_form_meta->cs_form_textarea_render(
							array(  'name'			=> esc_html__('Description', 'cs_frame'),
									'id'			=> 'service_inc_desc',
									'classes'		=> '',
									'std'			=> $cs_service_inc_desc,
									'description'  	=> '',
									'return'  		=> true,
									'array'  		=> true,
									'force_std'  	=> true,
									'hint'  		=> ''
								)
						);
								
					  $html .= '
					  <ul class="form-elements noborder">
						<li class="to-label">
						  <label></label>
						</li>
						<li class="to-field">
						  <input type="button" value="' . esc_html__('Update Testimonials','cs_frame') . '" onclick="removeoverlay(\'edit_track_form' . esc_js($counter_service_inc) . '\',\'append\')" />
						</li>
					  </ul>
					</div></td>
				</tr>';
		
				if ( isset($_POST['cs_service_inc_name']) && isset($_POST['cs_service_inc_desc']) ) {
					echo force_balance_tags($html);
				}
				else{
					return $html;
				}
		
			if ( isset($_POST['cs_service_inc_name']) && isset($_POST['cs_service_inc_desc']) ) die();
		
		}
		
		public function cs_service_adons(){
			 
			global $post, $cs_form_meta;	
			$cs_get_service_adons = get_post_meta($post->ID,'cs_service_adons_array',true);
			$cs_service_adon_names    = get_post_meta($post->ID,'cs_service_adon_name_array',true);
			$cs_service_adon_descs    = get_post_meta($post->ID,'cs_service_adon_desc_array',true);
		
			$html = '
			<script>
				jQuery(document).ready(function($) {
					$("#total_service_adons").sortable({
						cancel : \'td div.table-form-elem\'
					});
				});
			</script>
			  <ul class="form-elements">
					<li class="to-button"><a href="javascript:_createpop(\'add_service_adon_title\',\'filter\')" class="button">
					' . esc_html__("Add Listing","cs_frame") . '</a> </li>
			   </ul>
			  <div class="cs-list-table">
			  <table class="to-table" border="0" cellspacing="0">
				<thead>
				  <tr>
					<th style="width:100%;">' . esc_html__("Title","cs_frame") . '</th>
					<th style="width:20%;" class="right">' . esc_html__("Actions","cs_frame") . '</th>
				  </tr>
				</thead>
				<tbody id="total_service_adons">';
					if(isset($cs_get_service_adons) && is_array($cs_get_service_adons) && count($cs_get_service_adons)>0){
						$cs_service_adon_counter = 0;
						foreach($cs_get_service_adons as $service_adons){
							if(isset($service_adons) && $service_adons <> ''){
								
								$counter_service_adon		= $service_adon_id = $service_adons;
								$cs_service_adon_name		= isset($cs_service_adon_names[$cs_service_adon_counter]) ? $cs_service_adon_names[$cs_service_adon_counter] : '';
								$cs_service_adon_desc		= isset($cs_service_adon_descs[$cs_service_adon_counter]) ? $cs_service_adon_descs[$cs_service_adon_counter] : '';
								
								$cs_service_adons_array = array(
														'counter_service_adon'		=> $counter_service_adon,
														'service_adon_id' 			=> $service_adon_id,
														'cs_service_adon_name' 		=> $cs_service_adon_name,
														 
												   );
								
								$html .= $this->add_service_adon_to_list( $cs_service_adons_array );
							}
							$cs_service_adon_counter++;
						}
					}
				$html .= '
				</tbody>
			  </table>
			
			  </div>
			  <div id="add_service_adon_title" style="display: none;">
				<div class="cs-heading-area">
				  <h5><i class="icon-plus-circle"></i> ' . esc_html__('Listing Setting','cs_frame') . '</h5>
				  <span class="cs-btnclose" onClick="javascript:removeoverlay(\'add_service_adon_title\',\'append\')"> <i class="icon-times"></i></span> 	
				</div>';				
				$html .= $cs_form_meta->cs_form_text_render(
							array(  'name'	=> esc_html__('Title', 'cs_frame'),
									'id'	=> 'service_adon_name',
									'classes' => '',
									'std'	=> '',
									'description'  => '',
									'return'  => true,
									'hint'  => ''
								)
							);
			 
			 
				$html .= '
				<ul class="form-elements noborder">
				  <li class="to-label"></li>
				  <li class="to-field">
					<input type="button" value="'.esc_html__("Add Listing","cs_frame").'" onClick="add_service_adon_list(\'' . esc_js(admin_url('admin-ajax.php')) . '\', \'' . esc_js(get_template_directory_uri()) . '\')" />
					<div class="feature-loader"></div>
				  </li>
				</ul>
			  </div>';
			  
			echo force_balance_tags( $html, true );
		}
		
    	public function add_service_adon_to_list( $cs_atts ){
			global $post, $cs_form_meta;
			
			$cs_defaults = array(
				'counter_service_adon'		=> '',
				'service_adon_id' 			=> '',
				'cs_service_adon_name' 		=> '',
				'cs_service_adon_desc'		=> '',
			);
			extract( shortcode_atts( $cs_defaults, $cs_atts ) );
			
			foreach ($_POST as $keys=>$values) {
				$$keys = $values;
			}
		
			if(isset($_POST['cs_service_adon_name']) && $_POST['cs_service_adon_name'] <> '') $cs_service_adon_name  = $_POST['cs_service_adon_name'];
			if(isset($_POST['cs_service_adon_desc']) && $_POST['cs_service_adon_desc'] <> '') $cs_service_adon_desc = $_POST['cs_service_adon_desc'];
			
			if( $service_adon_id == '' && $counter_service_adon == '' ){
				$counter_service_adon = $service_adon_id = time();
			}
			
			$html = '
				<tr class="parentdelete" id="edit_track' . absint($counter_service_adon) . '">
				  <td id="subject-title' . absint($counter_service_adon) . '" style="width:100%;">' . esc_attr($cs_service_adon_name) . '</td>
				  
				  <td class="centr" style="width:20%;"><a href="javascript:_createpop(\'edit_track_form' . absint($counter_service_adon) . '\',\'filter\')" class="actions edit">&nbsp;</a> <a href="#" class="delete-it btndeleteit actions delete">&nbsp;</a></td>
				  <td style="width:0"><div id="edit_track_form' . esc_attr($counter_service_adon) . '" style="display: none;" class="table-form-elem">
					<input type="hidden" name="cs_service_adons_array[]" value="' . absint($service_adon_id) . '" />
					  <div class="cs-heading-area">
						<h5 style="text-align: left;">' . esc_html__('Listing Settings','cs_frame') . '</h5>
						<span onclick="javascript:removeoverlay(\'edit_track_form' . esc_js($counter_service_adon) . '\',\'append\')" class="cs-btnclose"> <i class="icon-times"></i></span>
						<div class="clear"></div>
					  </div>';
						
						$html .= $cs_form_meta->cs_form_text_render(
							array(  'name'			=> esc_html__('Title', 'cs_frame'),
									'id'			=> 'service_adon_name',
									'classes'		=> '',
									'std'			=> $cs_service_adon_name,
									'description'	=> '',
									'return'		=> true,
									'array'			=> true,
									'force_std'		=> true,
									'hint'			=> ''
								)
						);
						 
				 
					  $html .= '
					  <ul class="form-elements noborder">
						<li class="to-label">
						  <label></label>
						</li>
						<li class="to-field">
						  <input type="button" value="' . esc_html__('Update Add On','cs_frame') . '" onclick="removeoverlay(\'edit_track_form' . esc_js($counter_service_adon) . '\',\'append\')" />
						</li>
					  </ul>
					</div></td>
				</tr>';
		
				if ( isset($_POST['cs_service_adon_name']) && isset($_POST['cs_service_adon_desc']) ) {
					echo force_balance_tags($html);
				}
				else{
					return $html;
				}
		
			if ( isset($_POST['cs_service_adon_name']) && isset($_POST['cs_service_adon_desc']) ) die();
		
		}
		
		public function cs_service_offers(){
			 
			global $post, $cs_form_meta;	
			$cs_get_service_offers = get_post_meta($post->ID,'cs_service_offers_array',true);
			$cs_service_offer_names    = get_post_meta($post->ID,'cs_service_offer_name_array',true);
			$cs_service_offer_imgs    = get_post_meta($post->ID,'cs_service_offer_img_array',true);
			$cs_service_offer_descs    = get_post_meta($post->ID,'cs_service_offer_desc_array',true);
		
			$html = '
			<script>
				jQuery(document).ready(function($) {
					$("#total_service_offers").sortable({
						cancel : \'td div.table-form-elem\'
					});
				});
			</script>
			  <ul class="form-elements">
					<li class="to-button"><a href="javascript:_createpop(\'add_service_offer_title\',\'filter\')" class="button">' . esc_html__("Add Offer","cs_frame") . '</a> </li>
			   </ul>
			  <div class="cs-list-table">
			  <table class="to-table" border="0" cellspacing="0">
				<thead>
				  <tr>
					<th style="width:100%;">' . esc_html__("Title","cs_frame") . '</th>
					<th style="width:20%;" class="right">' . esc_html__("Actions","cs_frame") . '</th>
				  </tr>
				</thead>
				<tbody id="total_service_offers">';
					if(isset($cs_get_service_offers) && is_array($cs_get_service_offers) && count($cs_get_service_offers)>0){
						$cs_service_offer_counter = 0;
						foreach($cs_get_service_offers as $service_offers){
							if(isset($service_offers) && $service_offers <> ''){
								
								$counter_service_offer		= $service_offer_id = $service_offers;
								$cs_service_offer_name		= isset($cs_service_offer_names[$cs_service_offer_counter]) ? $cs_service_offer_names[$cs_service_offer_counter] : '';
								$cs_service_offer_img		= isset($cs_service_offer_imgs[$cs_service_offer_counter]) ? $cs_service_offer_imgs[$cs_service_offer_counter] : '';
								$cs_service_offer_desc		= isset($cs_service_offer_descs[$cs_service_offer_counter]) ? $cs_service_offer_descs[$cs_service_offer_counter] : '';
								
								$cs_service_offers_array = array(
														'counter_service_offer'		=> $counter_service_offer,
														'service_offer_id' 			=> $service_offer_id,
														'cs_service_offer_name' 	=> $cs_service_offer_name,
														'cs_service_offer_img' 		=> $cs_service_offer_img,
														'cs_service_offer_desc'		=> $cs_service_offer_desc,
												   );
								
								$html .= $this->add_service_offer_to_list( $cs_service_offers_array );
							}
							$cs_service_offer_counter++;
						}
					}
				$html .= '
				</tbody>
			  </table>
			
			  </div>
			  <div id="add_service_offer_title" style="display: none;">
				<div class="cs-heading-area">
				  <h5><i class="icon-plus-circle"></i> ' . esc_html__('Offers Setting','cs_frame') . '</h5>
				  <span class="cs-btnclose" onClick="javascript:removeoverlay(\'add_service_offer_title\',\'append\')"> <i class="icon-times"></i></span> 	
				</div>';				
				$html .= $cs_form_meta->cs_form_text_render(
							array(  'name'	=> esc_html__('Title', 'cs_frame'),
									'id'	=> 'service_offer_name',
									'classes' => '',
									'std'	=> '',
									'description'  => '',
									'return'  => true,
									'hint'  => ''
								)
							);
				
				$html .= $cs_form_meta->cs_form_fileupload_render(
							array(  'name'	=> esc_html__('Image', 'cs_frame'),
									'id'	=> 'service_offer_img',
									'classes' => '',
									'std'	=> '',
									'description'  => '',
									'return'  => true,
									'hint'  => ''
								)
							);
			 
				$html .= $cs_form_meta->cs_form_textarea_render(
							array(  'name'	=> esc_html__('Description', 'cs_frame'),
									'id'	=> 'service_offer_desc',
									'classes' => '',
									'std'	=> '',
									'description'  => '',
									'return'  => true,
									'hint'  => ''
								)
							);
				$html .= '
				<ul class="form-elements noborder">
				  <li class="to-label"></li>
				  <li class="to-field">
					<input type="button" value="'.esc_html__("Add Offer","cs_frame").'" onClick="add_service_offer_list(\'' . esc_js(admin_url('admin-ajax.php')) . '\', \'' . esc_js(get_template_directory_uri()) . '\')" />
					<div class="feature-loader"></div>
				  </li>
				</ul>
			  </div>';
			  
			echo force_balance_tags( $html, true );
		}
		
    	public function add_service_offer_to_list( $cs_atts ){
			global $post, $cs_form_meta;
			
			$cs_defaults = array(
				'counter_service_offer'		=> '',
				'service_offer_id' 			=> '',
				'cs_service_offer_name' 	=> '',
				'cs_service_offer_img'	 	=> '',
				'cs_service_offer_desc'		=> '',
			);
			extract( shortcode_atts( $cs_defaults, $cs_atts ) );
			
			foreach ($_POST as $keys=>$values) {
				$$keys = $values;
			}
		
			if(isset($_POST['cs_service_offer_name']) && $_POST['cs_service_offer_name'] <> '') $cs_service_offer_name  = $_POST['cs_service_offer_name'];
			if(isset($_POST['cs_service_offer_img']) && $_POST['cs_service_offer_img'] <> '') $cs_service_offer_img  = $_POST['cs_service_offer_img'];
			if(isset($_POST['cs_service_offer_desc']) && $_POST['cs_service_offer_desc'] <> '') $cs_service_offer_desc = $_POST['cs_service_offer_desc'];
			
			if( $service_offer_id == '' && $counter_service_offer == '' ){
				$counter_service_offer = $service_offer_id = time();
			}
			
			$html = '
				<tr class="parentdelete" id="edit_track' . absint($counter_service_offer) . '">
				  <td id="subject-title' . absint($counter_service_offer) . '" style="width:100%;">' . esc_attr($cs_service_offer_name) . '</td>
				  
				  <td class="centr" style="width:20%;"><a href="javascript:_createpop(\'edit_track_form' . absint($counter_service_offer) . '\',\'filter\')" class="actions edit">&nbsp;</a> <a href="#" class="delete-it btndeleteit actions delete">&nbsp;</a></td>
				  <td style="width:0"><div id="edit_track_form' . esc_attr($counter_service_offer) . '" style="display: none;" class="table-form-elem">
					<input type="hidden" name="cs_service_offers_array[]" value="' . absint($service_offer_id) . '" />
					  <div class="cs-heading-area">
						<h5 style="text-align: left;">' . esc_html__('Offers Settings','cs_frame') . '</h5>
						<span onclick="javascript:removeoverlay(\'edit_track_form' . esc_js($counter_service_offer) . '\',\'append\')" class="cs-btnclose"> <i class="icon-times"></i></span>
						<div class="clear"></div>
					  </div>';
						
						$html .= $cs_form_meta->cs_form_text_render(
							array(  'name'			=> esc_html__('Title', 'cs_frame'),
									'id'			=> 'service_offer_name',
									'classes'		=> '',
									'std'			=> $cs_service_offer_name,
									'description'	=> '',
									'return'		=> true,
									'array'			=> true,
									'force_std'		=> true,
									'hint'			=> ''
								)
						);
						
						$html .= $cs_form_meta->cs_form_fileupload_render(
							array(  'name'			=> esc_html__('Image', 'cs_frame'),
									'id'			=> 'service_offer_img',
									'classes'		=> '',
									'std'			=> $cs_service_offer_img,
									'description'	=> '',
									'return'		=> true,
									'array'			=> true,
									'force_std'		=> true,
									'hint'			=> ''
								)
						);
						 
						$html .= $cs_form_meta->cs_form_textarea_render(
							array(  'name'			=> esc_html__('Description', 'cs_frame'),
									'id'			=> 'service_offer_desc',
									'classes'		=> '',
									'std'			=> $cs_service_offer_desc,
									'description'  	=> '',
									'return'  		=> true,
									'array'  		=> true,
									'force_std'  	=> true,
									'hint'  		=> ''
								)
						);
								
					  $html .= '
					  <ul class="form-elements noborder">
						<li class="to-label">
						  <label></label>
						</li>
						<li class="to-field">
						  <input type="button" value="' . esc_html__('Update Offer','cs_frame') . '" onclick="removeoverlay(\'edit_track_form' . esc_js($counter_service_offer) . '\',\'append\')" />
						</li>
					  </ul>
					</div></td>
				</tr>';
		
				if ( isset($_POST['cs_service_offer_name']) && isset($_POST['cs_service_offer_desc']) ) {
					echo force_balance_tags($html);
				}
				else{
					return $html;
				}
		
			if ( isset($_POST['cs_service_offer_name']) && isset($_POST['cs_service_offer_desc']) ) die();
		
		}
	}
	
	return new cs_service_meta();
}
