<?php
/**
 * @Add Meta Box For Teams
 * @return
 *
 */

if( ! class_exists('cs_team_meta') ) {
	class cs_team_meta {
		
		public function __construct(){
			add_action('add_meta_boxes', array($this, 'cs_meta_team_add'));
			add_action('wp_ajax_add_qual_to_list', array($this, 'add_qual_to_list'));
		}

		function cs_meta_team_add(){  
			add_meta_box( 'cs_meta_team',  esc_html__('Team Options','cs_frame'), array($this, 'cs_meta_team'), 'teams', 'normal', 'high' );  
		}
		
		function cs_meta_team( $post ) {
			global $post ,$cs_theme_options, $page_option,$cs_form_meta;
			$cs_theme_options = get_option('cs_theme_options');
			$cs_builtin_seo_fields  = isset( $cs_theme_options['cs_builtin_seo_fields'] ) ? $cs_theme_options['cs_builtin_seo_fields'] : ''; 
			$cs_header_position 	= isset( $cs_theme_options['cs_header_position'] ) ? $cs_theme_options['cs_header_position'] : '';
					
			?>		
			<div class="page-wrap page-opts left" style="overflow:hidden; position:relative; height: 1432px;">
				<div class="option-sec" style="margin-bottom:0;">
					<div class="opt-conts">
						<div class="elementhidden">
							<nav class="admin-navigtion">
							  <ul id="cs-options-tab">
                              <!--	<li><a href="javascript:;" name="#tab-general-settings"><i class="icon-cog3"></i><?php //esc_html_e('General','cs_frame');?></a></li>-->
                              	<?php
								if( function_exists('cs_subheader_element') ) {
								?>
								<li><a href="javascript:;" name="#tab-subheader-options"><i class="icon-indent"></i> <?php esc_html_e('Sub Header','cs_frame');?> </a></li>
								<?php 
								}
								if( function_exists('cs_header_postition_element') && function_exists('cs_seo_settitngs_element') ) {
									if($cs_header_position == 'absolute'){?>
										<li><a href="javascript:;" name="#tab-header-position-settings"><i class="icon-forward"></i><?php esc_html_e('Header Absolute','cs_frame');?></a></li>
									<?php }?>
									<?php if($cs_builtin_seo_fields == 'on'){?>
									<li><a href="javascript:;" name="#tab-seo-advance-settings"><i class="icon-dribbble"></i> <?php esc_html_e('Seo Options','cs_frame');?></a></li>
									<?php }
								}
								?>
								<li><a href="javascript:;" name="#tab-teams-settings-cs-teams"><i class="icon-briefcase"></i><?php esc_html_e('Team Options','cs_frame'); ?></a></li>
							</ul>
							</nav>
							<div id="tabbed-content">
                            	<!--<div id="tab-general-settings">
									<?php
									/*if( function_exists('cs_sidebar_layout_options') ) {
										cs_sidebar_layout_options();
									}*/
									?>
								</div>-->
                            	<?php
								if( function_exists('cs_subheader_element') ) {
								?>
								<div id="tab-subheader-options">
									<?php cs_subheader_element();?>
								</div>
								<?php 
								}
								if( function_exists('cs_header_postition_element') && function_exists('cs_seo_settitngs_element') ) {
									if($cs_header_position == 'absolute'){?>
									 <div id="tab-header-position-settings">
										 <?php cs_header_postition_element();?>
									</div>
									<?php } ?>
									<?php if($cs_builtin_seo_fields == 'on'){?>
									<div id="tab-seo-advance-settings">
										<?php cs_seo_settitngs_element();?>
									</div>
									<?php }
								}
								?>
								<div id="tab-teams-settings-cs-teams">
									<?php $this->cs_post_team_fields(); ?>
								</div>
							</div>  
						</div>
					</div>
				</div>
			</div>
			<div class="clear"></div>
		<?php
        }
				
		/**
		 * @Team Custom Fileds Function
		 * @return
		 *
		 */
		function cs_post_team_fields(){
			global $post ,$cs_theme_options, $page_option,$cs_form_meta;	
			
			$cs_form_meta->cs_form_text_render(
				array(  'name'	=> esc_html__('Position','cs_frame'),
						'id'	=> 'team_position',
						'classes' => '',
						'std'	=> '',
						'description'  => '',
						'hint'  => ''
					)
			);
			$cs_form_meta->cs_form_text_render(
				array(  'name'	=> esc_html__('Phone','cs_frame'),
						'id'	=> 'team_phone',
						'classes' => '',
						'std'	=> '',
						'description'  => '',
						'hint'  => ''
					)
			);
				$cs_form_meta->cs_form_text_render(
				array(  'name'	=> esc_html__('Mobile','cs_frame'),
						'id'	=> 'team_mobile',
						'classes' => '',
						'std'	=> '',
						'description'  => '',
						'hint'  => ''
					)
			);
			$cs_form_meta->cs_form_text_render(
				array(  'name'	=> esc_html__('Email','cs_frame'),
						'id'	=> 'team_email',
						'classes' => '',
						'std'	=> '',
						'description'  => '',
						'hint'  => ''
					)
			);
				
		  
			$cs_form_meta->cs_form_text_render(
				array(  'name'	=> esc_html__('Facebook','cs_frame'),
						'id'	=> 'team_facebook',
						'classes' => '',
						'std'	=> '',
						'description'  => '',
						'hint'  => ''
					)
			);
			$cs_form_meta->cs_form_text_render(
				array(  'name'	=> esc_html__('Twitter','cs_frame'),
						'id'	=> 'team_twitter',
						'classes' => '',
						'std'	=> '',
						'description'  => '',
						'hint'  => ''
					)
			);
			$cs_form_meta->cs_form_text_render(
				array(  'name'	=> esc_html__('Google Plus','cs_frame'),
						'id'	=> 'team_google',
						'classes' => '',
						'std'	=> '',
						'description'  => '',
						'hint'  => ''
					)
			);
			
				
		 $cs_form_meta->cs_heading_render(
				array(  'name'	=> esc_html__('Team','cs_frame'),
						'id'	=> 'serv_team_heading',
						'classes' => '',
						'std'	=> '',
						'description'  => '',
					)
			);
			$cs_form_meta->cs_form_checkbox_with_field_render(
				array(  'name'	=> esc_html__('Team','cs_frame'),
						'id'	=> 'serv_team',
						'field_id'	=> 'serv_team_title',
						'classes' => '',
						'std'	=> '',
						'field'	=> array('std' => 'on', 'field_std' => esc_html__('Team','cs_frame')),
						'description'  => '',
						'hint'  => ''
					)
			);
		$cs_form_meta->cs_form_text_render(
			array(  'name'	=> esc_html__('Excerpt','cs_frame'),
					'id'	=> 'team_excerpt',
					'classes' => '',
					'std'	=> '',
					'description'  => '',
					'hint'  => ''
				)
			);
			$team_data = array();
			
			$cs_args = array( 'posts_per_page' => '-1', 'post_type' => 'teams', 'orderby'=>'ID', 'post_status' => 'publish', 'order'=>'DESC' );
			$cust_query = get_posts($cs_args);
			foreach( $cust_query as $cs_team ) {
				$team_data[$cs_team->ID] = get_the_title($cs_team->ID);
			}
			
			$cs_form_meta->cs_form_multiselect_render(
				array(  'name'	=> esc_html__('Team','cs_frame'),
						'id'	=> 'team_team',
						'classes' => '',
						'std'	=> '',
						'description'  => '',
						'hint'  => '',
						'options'  => $team_data
					)
			);
			
				 
			$cs_form_meta->cs_heading_render(
				array(  'name'	=> esc_html__('Qualifications','cs_frame'),
						'id'	=> 'qual_section',
						'classes' => '',
						'std'	=> '',
						'description'  => '',
					)
			);
			$cs_form_meta->cs_form_checkbox_with_field_render(
				array(  'name'	=> esc_html__('Qualifications','cs_frame'),
						'id'	=> 'team_qual',
						'field_id'	=> 'qual_title',
						'classes' => '',
						'std'	=> '',
						'field'	=> array('std' => 'on', 'field_std' => esc_html__('Qualifications','cs_frame')),
						'description'  => '',
						'hint'  => ''
					)
			);
			
			$this->cs_port_quals();
		}
		
		public function cs_port_quals(){
			 
			global $post, $cs_form_meta;	
			$cs_get_quals = get_post_meta($post->ID,'cs_quals_array',true);
			$cs_qual_names    = get_post_meta($post->ID,'cs_qual_name_array',true);
			$cs_qual_descs    = get_post_meta($post->ID,'cs_qual_desc_array',true);
		
			$html = '
			<script>
				jQuery(document).ready(function($) {
					$("#total_quals").sortable({
						cancel : \'td div.table-form-elem\'
					});
				});
			</script>
			  <ul class="form-elements">
					<li class="to-button"><a href="javascript:_createpop(\'add_qual_title\',\'filter\')" class="button">' . esc_html__("Add Qualification","cs_frame") . '</a> </li>
			   </ul>
			  <div class="cs-list-table">
			  <table class="to-table" border="0" cellspacing="0">
				<thead>
				  <tr>
					<th style="width:100%;">' . esc_html__("Title","cs_frame") . '</th>
					<th style="width:20%;" class="right">' . esc_html__("Actions","cs_frame") . '</th>
				  </tr>
				</thead>
				<tbody id="total_quals">';
					if(isset($cs_get_quals) && is_array($cs_get_quals) && count($cs_get_quals)>0){
						$cs_qual_counter = 0;
						foreach($cs_get_quals as $quals){
							if(isset($quals) && $quals <> ''){
								
								$counter_qual	= $qual_id = $quals;
								$cs_qual_name			= isset($cs_qual_names[$cs_qual_counter]) ? $cs_qual_names[$cs_qual_counter] : '';
								$cs_qual_desc		= isset($cs_qual_descs[$cs_qual_counter]) ? $cs_qual_descs[$cs_qual_counter] : '';
								
								$cs_quals_array = array(
														'counter_qual'		=> $counter_qual,
														'qual_id' 			=> $qual_id,
														'cs_qual_name' 	=> $cs_qual_name,
														'cs_qual_desc'		=> $cs_qual_desc,
												   );
								
								$html .= $this->add_qual_to_list( $cs_quals_array );
							}
							$cs_qual_counter++;
						}
					}
				$html .= '
				</tbody>
			  </table>
			
			  </div>
			  <div id="add_qual_title" style="display: none;">
				<div class="cs-heading-area">
				  <h5><i class="icon-plus-circle"></i> ' . esc_html__('Qualifications Setting','cs_frame') . '</h5>
				  <span class="cs-btnclose" onClick="javascript:removeoverlay(\'add_qual_title\',\'append\')"> <i class="icon-times"></i></span> 	
				</div>';
				$html .= $cs_form_meta->cs_form_text_render(
							array(  'name'	=> esc_html__('Title', 'cs_frame'),
									'id'	=> 'qual_name',
									'classes' => '',
									'std'	=> '',
									'description'  => '',
									'return'  => true,
									'hint'  => ''
								)
							);
			 
				$html .=$cs_form_meta->cs_form_textarea_render(
							array(  'name'	=> esc_html__('Description', 'cs_frame'),
									'id'	=> 'qual_desc',
									'classes' => '',
									'std'	=> '',
									'description'  => '',
									'return'  => true,
									'hint'  => ''
								)
							);
				$html .= '
				<ul class="form-elements noborder">
				  <li class="to-label"></li>
				  <li class="to-field">
					<input type="button" value="'.esc_html__("Add Qualification","cs_frame").'" onClick="add_qual_list(\'' . esc_js(admin_url('admin-ajax.php')) . '\', \'' . esc_js(get_template_directory_uri()) . '\')" />
					<div class="feature-loader"></div>
				  </li>
				</ul>
			  </div>';
			  
			echo force_balance_tags( $html, true );
		}
		
    	public function add_qual_to_list( $cs_atts ){
			global $post, $cs_form_meta;
			
			$cs_defaults = array(
									'counter_qual'		=> '',
									'qual_id' 			=> '',
									'cs_qual_name' 			=> '',
									'cs_qual_desc'		=> '',
							   );
			extract( shortcode_atts( $cs_defaults, $cs_atts ) );
			
			foreach ($_POST as $keys=>$values) {
				$$keys = $values;
			}
		
			if(isset($_POST['cs_qual_name']) && $_POST['cs_qual_name'] <> '') $cs_qual_name  = $_POST['cs_qual_name'];
			if(isset($_POST['cs_qual_desc']) && $_POST['cs_qual_desc'] <> '') $cs_qual_desc = $_POST['cs_qual_desc'];
			
			if( $qual_id == '' && $counter_qual == '' ){
				$counter_qual = $qual_id = time();
			}
			
			$html = '
				<tr class="parentdelete" id="edit_track' . absint($counter_qual) . '">
				  <td id="subject-title' . absint($counter_qual) . '" style="width:100%;">' . esc_attr($cs_qual_name) . '</td>
				  
				  <td class="centr" style="width:20%;"><a href="javascript:_createpop(\'edit_track_form' . absint($counter_qual) . '\',\'filter\')" class="actions edit">&nbsp;</a> <a href="#" class="delete-it btndeleteit actions delete">&nbsp;</a></td>
				  <td style="width:0"><div id="edit_track_form' . esc_attr($counter_qual) . '" style="display: none;" class="table-form-elem">
					<input type="hidden" name="cs_quals_array[]" value="' . absint($qual_id) . '" />
					  <div class="cs-heading-area">
						<h5 style="text-align: left;">' . esc_html__('Qualifications Settings','cs_frame') . '</h5>
						<span onclick="javascript:removeoverlay(\'edit_track_form' . esc_js($counter_qual) . '\',\'append\')" class="cs-btnclose"> <i class="icon-times"></i></span>
						<div class="clear"></div>
					  </div>';
						$html .= $cs_form_meta->cs_form_text_render(
							array(  'name'			=> esc_html__('Title', 'cs_frame'),
									'id'			=> 'qual_name',
									'classes'		=> '',
									'std'			=> $cs_qual_name,
									'description'	=> '',
									'return'		=> true,
									'array'			=> true,
									'force_std'		=> true,
									'hint'			=> ''
								)
						);
						 
						$html .= $cs_form_meta->cs_form_textarea_render(
							array(  'name'			=> esc_html__('Description', 'cs_frame'),
									'id'			=> 'qual_desc',
									'classes'		=> '',
									'std'			=> $cs_qual_desc,
									'description'  	=> '',
									'return'  		=> true,
									'array'  		=> true,
									'force_std'  	=> true,
									'hint'  		=> ''
								)
						);
								
					  $html .= '
					  <ul class="form-elements noborder">
						<li class="to-label">
						  <label></label>
						</li>
						<li class="to-field">
						  <input type="button" value="' . esc_html__('Update Qualification','cs_frame') . '" onclick="removeoverlay(\'edit_track_form' . esc_js($counter_qual) . '\',\'append\')" />
						</li>
					  </ul>
					</div></td>
				</tr>';
		
				if ( isset($_POST['cs_qual_name']) && isset($_POST['cs_qual_desc']) ) {
					echo force_balance_tags($html);
				}
				else{
					return $html;
				}
		
			if ( isset($_POST['cs_qual_name']) && isset($_POST['cs_qual_desc']) ) die();
		
		}
	}
	
	return new cs_team_meta();
}
