<?php
/**
 * File Type: Event Shortcode
 */

if ( ! function_exists( 'cs_location_listing' ) ) {
	function cs_location_listing($atts, $content = ""){ 
		global $post,$wp_query,$wpdb,$cs_node,$zoom_style,$view_style,$cs_theme_option,$location_excerpt,$cs_notification,$wp_query,$location_map_height, $location_map_zoom,$location_type,$spec_cats,$location_title,$location_dec,$filter_location;
		date_default_timezone_set('UTC');
		$current_time = strtotime(current_time('d-m-Y H:i', $gmt = 0));
		
		$defaults = array('section_title'=>'','location_excerpt'=>'255','view_style'=>'','zoom_style' => '','pagination'=>'10','location_map_height'=>'200','location_map_zoom'=>'8','spec_cats' => '','cs_selected_location'=>'');
		
		extract( shortcode_atts( $defaults, $atts ) );
		$cs_dataObject		= get_post_meta($post->ID, 'cs_full_data');
			$zoom_style = isset($zoom_style) ? $zoom_style : '';
			$view_style = isset($view_style) ? $view_style : '';
		ob_start();
		global $activeGrid,$activeList;
		
		$filter_location ='';
		
		$args = array(
			'posts_per_page'			=> "$pagination",
			'post_type'					=> 'location',
			'post_status'				=> 'publish',
		);
			
		if ( isset($_GET['filter_location']) && $_GET['filter_location'] <> '') 
		{ 
			$location_category_array = array('location-category' => $_GET['filter_location']);
			$args = array_merge($args, $location_category_array);
		
		}else{
			
			if ( isset($cs_selected_location) && $cs_selected_location <> '') {
				 $location_category_array = array('location-category' => $cs_selected_location);
				 $args = array_merge($args, $location_category_array);
			}
	     } 
		
		if(isset($section_title) && $section_title <> ''){
			echo '<div class="cs-section-title">
					<h3><span>'.esc_attr( $section_title ).'</span></h3>
				  </div>';
		}
		
		set_query_var( 'args', $args );
		$view ="location_map" ;
		 if ( $view == 'location_map' ) {
			include('location-map.php');
        }
		
		$locationpost_data = ob_get_clean();
		return $locationpost_data;
	}
	
	add_shortcode('cs_location', 'cs_location_listing');
}
 
/**
 *
 *@Get Event CAtegories
 *@return
 */
if(!function_exists('cs_event_categories')){
	function cs_event_categories( $category ) {
			
		if ( $category !='' && $category !='0'){ 
			$row_cat = $wpdb->get_row($wpdb->prepare("SELECT * from $wpdb->terms WHERE slug = %s", $category ));
		}
		
		if ( isset($category) && $category != '' && $category != '0'){ 
			echo '<a href="'.esc_url( home_url('/') ).'?cat='.$row_cat->term_id.'">'.$row_cat->name.'</a>';
		} else {
		    /* Get All Tags */
			$before_cat = '<i class="fa fa-align-left"></i> ';
			$categories_list = get_the_term_list ( get_the_id(), 'event-category', $before_cat, ', ', '' );
			if ( $categories_list ){
				printf( '%1$s',$categories_list );
			} 
			// End if Tags 
		}
	}
}
/**
 *
 *@Get Event Filters
 *@return
 */
 

if(!function_exists('cs_get_location_filters')){
	function cs_get_location_filters() { 
	 
	
		global $post;
		global $activeGrid,$activeList,$spec_cats,$filter_location;
		$cs_countries = explode(",",$spec_cats);
		?>
            <div class="cs-country">
                <h6> <?php _e("Select Country","logistic")?></h6>
                <form action="" method="get" name="filterable" >
                    <select name="filter_location" onChange="this.form.submit()" id="dropdown" >
                        <option value=""><?php _e("Select Country","logistic")?></option>
                        <?php 
                        $i=0;
                        for($i =0; $i < sizeof($cs_countries); $i++){
							$cs_countries_names = str_replace("-"," ",$cs_countries[$i]);
						?>
							<option value="<?php echo esc_attr($cs_countries[$i]); ?>"   <?php if($filter_location == $cs_countries[$i]){ echo 'selected="selected"'; } ?> ><?php echo esc_attr(ucfirst($cs_countries_names)); ?> </option>
                     <?php }  ?>
                    </select>
                </form> 
            </div>
     <?php 
	}
}


/**
 *
 *@Get Event Address
 *@return
 */
if(!function_exists('cs_get_event_address')){
	function cs_get_event_address( $address = '' , $limit = 35 ){
		return substr($address,0, $limit); if(strlen($address)>$limit){echo '...';}
	}
}

/**
 *
 *@Get Event Title
 *@return
 */
if(!function_exists('cs_get_location_title')){
	function cs_get_location_title( $address = '' , $limit	= 35 ){
		return substr($address,0, $limit); if(strlen($address)>$limit){echo '...';}
	}
}

if ( ! function_exists( 'cs_map_listing' ) ) {
	function cs_map_listing( $cs_map_list = '', $event_loc_lat_first = '', $event_loc_long_first = '', $event_map_height = '200', $event_map_zoom = '8' ) {
		global $view_style,$zoom_style;
		$rand_counter = rand( 134234, 967657 );
		if( $cs_map_list != '' ) {
		?>
        <div class="gigs-area-map" style="width: 100%;height: <?php echo absint( $event_map_height ) ?>px;">
            <div id="cs_map_canvas_<?php echo absint( $rand_counter ) ?>" style="width: 100%;height: 100%;"></div>
        </div>
		<script type="text/javascript">
            var map;
            var markers = [];
            var lastinfowindow;
            var locIndex;
            //Credit: MDN
            if ( ! Array.prototype.forEach ) {
				Array.prototype.forEach = function(fn, scope) {
					for(var i = 0, len = this.length; i < len; ++i) {
					  fn.call(scope, this[i], i, this);
					}
				}
            }
            /*
            This is the data as a JS array. It could be generated by CF of course. This
            drives the map and the div on the side.
            */
            var data = [ <?php echo cs_allow_special_char( $cs_map_list ) ?> ];
        	
            function getIcon(type) {
                switch(type) {
                    default: return "<?php echo esc_url( cs_framework::plugin_url() ) ?>assets/images/map-marker.png";
                }
            }
            
            function initialize() {
                var latlng = new google.maps.LatLng(<?php echo esc_attr( $event_loc_lat_first ) ?>, <?php echo esc_attr( $event_loc_long_first ) ?>);
                var myOptions = {
                    zoom: <?php echo absint( $event_map_zoom ) ?>,
                    center: latlng,
                    scrollwheel: true,
                    draggable: true,
					<?php if(isset($zoom_style) and $zoom_style == "yes") { ?>
					panControl: true,
					zoomControl: true,
					zoomControlOptions: {
					style: google.maps.ZoomControlStyle.LARGE
				},
			
			<?php } if(isset($view_style) and $view_style == "yes") {  ?>		
			        mapTypeControl: true,
                    mapTypeControlOptions: {
					style: google.maps.MapTypeControlStyle.DROPDOWN_MENU,
                    },
						scaleControl: true,
					<?php }  ?>
				
			        mapTypeId: google.maps.MapTypeId.ROADMAP,
                    disableDefaultUI:true
                };
                map = new google.maps.Map(document.getElementById("cs_map_canvas_<?php echo absint( $rand_counter ) ?>"),myOptions);
                geocoder = new google.maps.Geocoder();
                data.forEach(function(mapData,idx) {
                    var marker = new google.maps.Marker({
                        map: map, 
						scaleControl: true,
                        position: new google.maps.LatLng(mapData.pos.lat,mapData.pos.lng),
                        icon: getIcon(mapData.type)
                    });
					
					
                    var contentHtml = "<div><h3>"+mapData.title+"</h3>"+mapData.address+"</div>";
					// var contentHtml = '<div class="loc" data-locid="'+mapData.title+'"><b>'+mapData.address+'</b></div>';
                    var infowindow = new google.maps.InfoWindow({
                        content: contentHtml
                    });
                    google.maps.event.addListener(marker, 'click', function() {
                    	infowindow.open(map,marker);
                    });
                    jQuery(".minict_wrapper ul li").live('click', function() {
						infowindow.close();
					});
                    marker.locid = idx+1;
                    marker.infowindow = infowindow;
                    markers[markers.length] = marker;
                    var sideHtml = '<p class="loc" data-locid="'+marker.locid+'"><b>'+mapData.title+'</b><br/>';
                         sideHtml += mapData.address + '</p>';
                         jQuery("#locs").append(sideHtml); 
                    //Are we all done? Not 100% sure of this
                    if(markers.length == data.length) doFilter();
                });
                /*
                Run on every change to the checkboxes. If you add more checkboxes to the page,
                we should use a class to make this more specific.
                */
                function doFilter() {
                    if(!locIndex) {
                        locIndex = {};
                        //I reverse index markers to figure out the position of loc to marker index
                        for(var x=0, len=markers.length; x<len; x++) {
                            locIndex[markers[x].locid] = x;
                        }
                    }
                    var checked = jQuery(".minict_wrapper input[type^='radio']:checked");
                    var selTypes = [];
                    for(var i=0, len=checked.length; i<len; i++) {
                        selTypes.push(jQuery(checked[i]).val());
                    }
                    for(var i=0, len=data.length; i<len; i++) {
                        var sideDom = "p.loc[data-locid="+(i+1)+"]";
                        //Only hide if length != 0
                        if(checked.length !=0 && selTypes.indexOf(data[i].type) < 0) {
                            jQuery(sideDom).hide();
                            markers[locIndex[i+1]].setVisible(false);
                        } else {
                            jQuery(sideDom).show();
                            markers[locIndex[i+1]].setVisible(true);
                            //map.panTo(markers[i].getPosition());
                        }
                    }
                }
                jQuery(".select-area").on("change", "input[type^='radio']", doFilter);
            }
			jQuery(document).ready(function(e) {
                google.maps.event.addDomListener(window, 'load', initialize);
            });
        </script>
        
        <?php
		}
	}
}

if( ! function_exists('cs_map_popup') ) {
	function cs_map_popup( $cs_map_id = '5', $map_atts = array() ) {
		
		extract($map_atts);
		
		?>
        <div class="modal fade cs-map-form" id="cs_map_model_<?php echo absint($cs_map_id) ?>" tabindex="-1" role="dialog">
            <div class="modal-dialog">
                <div class="modal-content">
					<div class="modal-header">
						<button aria-hidden="true" data-dismiss="modal" class="close" type="button">&times;</button>
					</div>
					
					<div class="modal-body">
                        <div class="col-md-12"> 
                       		<div class="cs-event-map-section">
                               <div id="map_canvas<?php echo absint($cs_map_id) ?>" style="height:270px;"> </div>
                            </div>
						</div>
					</div>
					
                </div>
            </div>
        </div>
        <script type='text/javascript'>
			function initialize() {
				var myLatlng = new google.maps.LatLng("<?php echo esc_attr($cs_location_latitude) ?>", "<?php echo esc_attr($cs_location_longitude) ?>");
				var mapOptions = {
					zoom: <?php echo absint($cs_location_zoom) ?>,
					scaleControl: true,
					center: myLatlng,
				};
				
				var map = new google.maps.Map(document.getElementById('map_canvas<?php echo absint($cs_map_id) ?>'), mapOptions);
			}
			google.maps.event.addDomListener(window, 'load', initialize);
			
			jQuery(document).on("shown.bs.modal", "#cs_map_model_<?php echo absint( $cs_map_id ) ?>", function(e) {
				
				var cs_Latlng = new google.maps.LatLng("<?php echo esc_attr($cs_location_latitude) ?>", "<?php echo esc_attr($cs_location_longitude) ?>");
				
				var cs_map_options = {
					zoom: <?php echo absint($cs_location_zoom) ?>,
					center: cs_Latlng,
					scaleControl: true,
					mapTypeId: google.maps.MapTypeId.ROADMAP,
					scrollwheel: true,
					draggable: true,
					streetViewControl: false,
					disableDefaultUI: false,
				};
				
				var map = new google.maps.Map(document.getElementById('map_canvas<?php echo absint(get_the_id()) ?>'), cs_map_options);
				
				var infowindow = new google.maps.InfoWindow({
					content: '<?php echo esc_attr($cs_location_address) ?>',
					maxWidth: 200,
					maxHeight: 100,
				});
				var marker = new google.maps.Marker({
					position: cs_Latlng,
					map: map,
					title: '',
					icon: '',
					shadow: ''
				});
				if (infowindow.content != ''){
					infowindow.open(map, marker);
					map.panBy(1,-60);
					google.maps.event.addListener(marker, 'click', function(event) {
						infowindow.open(map, marker);
					});
				}
				
				google.maps.event.trigger(map, "resize");
			});
		</script>
		<?php
	}
}
