<?php
/**
 * @Manage Columns
 * @return
 *
 */
 
if (!class_exists('post_type_service')) {

    class post_type_service {

        // The Constructor
        public function __construct() {
            // Adding columns
            add_filter('manage_services_posts_columns', array(&$this, 'cs_services_columns_add'));
            add_action('manage_services_posts_custom_column', array(&$this, 'cs_services_columns'), 10, 2);
			add_action('init', array(&$this, 'cs_services_register'));
			add_action('init', array(&$this, 'cs_port_cat_register'));
        }
		
		function cs_services_columns_add($columns) {
			$columns['category'] =esc_html__('Categories','cs_frame');
			return $columns;
		}

		function cs_services_columns($name) {
			global $post;
			switch ($name) {
				case 'category':
					$categories = get_the_terms( $post->ID, 'service-category' );
						if($categories <> ""){
							$couter_comma = 0;
							foreach ( $categories as $category ) {
								echo esc_attr($category->name);
								$couter_comma++;
								if ( $couter_comma < count($categories) ) {
									echo ", ";
								}
							}
						}
					break;
			}
		}
		
		
		/**
		 * @Register Post Type
		 * @return
		 *
		 */
		function cs_services_register() {
			$labels = array(
				'name' =>esc_html__('Services','cs_frame'),
				'all_items' =>esc_html__('Services','cs_frame'),
				'add_new_item' =>esc_html__('Add New Service','cs_frame'), 
				'edit_item' =>esc_html__('Edit Service','cs_frame'), 
				'new_item' =>esc_html__('New Service Item','cs_frame'),
				'add_new' =>esc_html__('Add New Service','cs_frame'),
				'view_item' =>esc_html__('View Service Item','cs_frame'), 
				'search_items' =>esc_html__('Search Service','cs_frame'), 
				'not_found' =>esc_html__('Nothing found','cs_frame'),  
				'not_found_in_trash' =>esc_html__('Nothing found in Trash','cs_frame'),
				'parent_item_colon' => ''
			);
			
			$args = array(
				'labels' => $labels,
				'public' => true,
				'publicly_queryable' => true,
				'show_ui' => true,
				'query_var' => true,
				'menu_icon' => 'dashicons-book',
				'rewrite' => true,
				'capability_type' => 'post',
				'has_archive' => true,
				'map_meta_cap' => true,
				'hierarchical' => false,
				'menu_position' => null,
				'can_export' => true,
				'supports' => array('title','editor','thumbnail')
			); 
			register_post_type( 'services' , $args );
		}
		
		/**
		 * @Register Categories
		 * @return
		 *
		 */	
		function cs_port_cat_register() {
			$labels = array(
				'name' =>esc_html__('Service Categories','cs_frame'), 
				'search_items' =>esc_html__('Search Service Categories','cs_frame'), 
				'edit_item' =>esc_html__('Edit Services Category','cs_frame'), 
				'update_item' =>esc_html__('Update Services Category','cs_frame'), 
				'add_new_item' =>esc_html__('Add New Category','cs_frame'), 
				'menu_name' =>esc_html__('Categories','cs_frame'), 
			); 	
			register_taxonomy('service-category',array('services'), array(
				'hierarchical' => true,
				'labels' => $labels,
				'show_ui' => true,
				'query_var' => true,
				'rewrite' => array('slug' => 'service-category'),
			));
		}
	}
	
	return new post_type_service();
}