<?php
//=====================================================================
// Adding mce custom button for short codes start
//=====================================================================
class ShortcodesEditorSelector {
    var $buttonName = 'shortcode';
    function addSelector() {
        add_filter('mce_external_plugins', array($this, 'registerTmcePlugin'));
        add_filter('mce_buttons', array($this, 'registerButton'));
    }
    function registerButton($buttons) {
        array_push($buttons, "separator", $this->buttonName);
        return $buttons;
    }
    function registerTmcePlugin($plugin_array) {
		return $plugin_array;
    }
}

if (!isset($shortcodesES)) {
   $shortcodesES = new ShortcodesEditorSelector();
    add_action('admin_head', array($shortcodesES, 'addSelector'));
}
 

if ( ! function_exists( 'cs_custom_column_class' ) ) {
    function cs_custom_column_class($column_size){
        $coloumn_class = 'col-lg-12';
        if(isset($column_size) && $column_size <> ''){
            list($top, $bottom) = explode('/', $column_size);
                $width = $top / $bottom * 100;
                $width =(int)$width;
                $coloumn_class = '';
                if(round($width) == '25' || round($width) < 25){
                    $coloumn_class = 'col-lg-3';            
                } elseif(round($width) == '33' || (round($width) < 33 && round($width) > 25)){
                    $coloumn_class = 'col-lg-4';    
                } elseif(round($width) == '50' || (round($width) < 50 && round($width) > 33)){
                    $coloumn_class = 'col-lg-6';    
                } elseif(round($width) == '67' || (round($width) < 67 && round($width) > 50)){
                    $coloumn_class = 'col-lg-8';    
                } elseif(round($width) == '75' || (round($width) < 75 && round($width) > 67)){
                    $coloumn_class = 'col-lg-9';    
                } else {
                    $coloumn_class = 'col-lg-12';
                }
        }
        return sanitize_html_class($coloumn_class);
    }
}




//=====================================================================
// Ads Banner Shortcode
//=====================================================================
if (!function_exists('cs_banner_ads_shortcode')) {
    function cs_banner_ads_shortcode( $atts ) {
        
        global $cs_theme_options;        
        $defaults = array('id' => '0');
        extract( shortcode_atts( $defaults, $atts ) );        
        $html = '';        
        if( isset($cs_theme_options['banner_field_code_no']) && is_array($cs_theme_options['banner_field_code_no']) ) {            
            $i=0;
            foreach($cs_theme_options['banner_field_code_no'] as $banner) :
                if($cs_theme_options['banner_field_code_no'][$i] == $id){
                    break;
                }
                $i++;
            endforeach;            
            $cs_banner_title = isset($cs_theme_options['banner_field_title'][$i]) ? $cs_theme_options['banner_field_title'][$i] : '';
            $cs_banner_style = isset($cs_theme_options['banner_field_style'][$i]) ? $cs_theme_options['banner_field_style'][$i] : '';
            $cs_banner_type = isset($cs_theme_options['banner_field_type'][$i]) ? $cs_theme_options['banner_field_type'][$i] : '';
            $cs_banner_image = isset($cs_theme_options['banner_field_image'][$i]) ? $cs_theme_options['banner_field_image'][$i] : '';
            $cs_banner_url = isset($cs_theme_options['banner_field_url'][$i]) ? $cs_theme_options['banner_field_url'][$i] : '';
            $cs_banner_url_target = isset($cs_theme_options['banner_field_url_target'][$i]) ? $cs_theme_options['banner_field_url_target'][$i] : '';
            $cs_banner_adsense_code = isset($cs_theme_options['banner_adsense_code'][$i]) ? $cs_theme_options['banner_adsense_code'][$i] : '';
            $cs_banner_code_no = isset($cs_theme_options['banner_field_code_no'][$i]) ? $cs_theme_options['banner_field_code_no'][$i] : '';
            $html .= '<div class="cs_banner_section">';
            if($cs_banner_type == 'image'){
                if ( !isset($_COOKIE["cs_banner_clicks_".$cs_banner_code_no]) ) {
                    $html .= '<a onclick="cs_banner_click_count_plus(\''.admin_url('admin-ajax.php').'\', \''.$cs_banner_code_no.'\')" id="cs_banner_clicks'.$cs_banner_code_no.'" href="'.esc_url($cs_banner_url).'" target="_blank">
					<img src="'.esc_url($cs_banner_image).'" alt="'.$cs_banner_title.'" /></a>';
                }
                else{
                    $html .= '<a href="'.esc_url($cs_banner_url).'" target="'.$cs_banner_url_target.'"><img src="'.esc_url($cs_banner_image).'" alt="'.$cs_banner_title.'" /></a>';
                }
            }
            else{
                $html .= htmlspecialchars_decode(stripslashes($cs_banner_adsense_code));
            }
            $html .= '</div>';
            
        }
        
        return $html;
    }
    if (function_exists('cs_short_code')) cs_short_code( 'cs_ads', 'cs_banner_ads_shortcode' );
}


//=====================================================================
// Listing pages shortcode
//=====================================================================
if (!function_exists('cs_tags_render')) {
    function cs_tags_render($atts, $content = ""){
        global $post,$cs_xmlObject;
        $defaults = array('icon' => '', 'label' => '', 'seperator'=>'' );
        ob_start();
        if(isset($cs_xmlObject->cs_post_tags_show) && $cs_xmlObject->cs_post_tags_show == 'on'){
            if(isset($seperator) && $seperator <> ''){
                $seperator = $seperator;
            }
            $args=array(
                  'name' => (string)get_post_type($post->ID),
                  'post_type' => 'dcpt',
                  'post_status' => 'publish',
                  'showposts' => 1,
                );
                $get_posts = get_posts($args);
                if($get_posts){
                    $dcpt_id = (int)$get_posts[0]->ID;
                    $cs_tags_name = get_post_meta($dcpt_id, 'cs_tags_name', true);
                    $before_cat = '';
                    if($icon){
                        $before_cat .= $icon;
                    }
                    if($label){
                        $before_cat .= ' '.$label;
                    }
                    $tags_listtt = get_the_term_list ( $post->ID, strtolower($cs_tags_name), $before_cat, $seperator, '' );
                    if ( $tags_listtt ){
                        printf( __( '%1$s', 'logistic'),$tags_listtt );
                    }
                }
        }    
        $tags_data = ob_get_clean();
        return $tags_data;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_tag', 'cs_tags_render');
}

//=====================================================================
// get post attachement
//=====================================================================
if (!function_exists('cs_post_attachment_render')) {
    function cs_post_attachment_render($atts, $content = ""){
        global $post,$cs_xmlObject;
        ob_start();
        $post_attachment = '';
        $args = array(
           'post_type' => 'attachment',
           'numberposts' => -1,
           'post_status' => null,
           'post_parent' => $post->ID
          );
          $attachments = get_posts( $args );
            if ( $attachments ) {
         ?>
                <div class="cs-media-attachment mediaelements-post">
                <?php 
                foreach ( $attachments as $attachment ) {
                    $attachment_title = apply_filters( 'the_title', $attachment->post_title );
                    $type = get_post_mime_type( $attachment->ID );
                    if($type=='image/jpeg'){
                      ?>
                    <a <?php if ( $attachment_title <> '' ) { echo 'data-title="'.$attachment_title.'"'; }?> href="<?php echo esc_url($attachment->guid); ?>" data-rel="<?php echo "prettyPhoto[gallery1]"?>" class="me-imgbox">
					<?php echo wp_get_attachment_image( $attachment->ID, array(240,180),true ) ?></a>
                    <?php
                    
                    } elseif($type=='audio/mpeg') {
                        ?>
                        <!-- Button to trigger modal --> 
                        <a href="#audioattachment<?php echo intval($attachment->ID);?>" role="button" data-toggle="modal" class="iconbox"><i class="icon-microphone"></i></a> 
                        <!-- Modal -->
                        <div class="modal fade" id="audioattachment<?php echo intval($attachment->ID);?>" tabindex="-1" role="dialog" aria-hidden="true">
                          <div class="modal-dialog">
                            <div class="modal-content">
                              <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                              </div>
                              <div class="modal-body">
                                <audio style="width:100%;" src="<?php echo esc_url($attachment->guid); ?>" type="audio/mp3" controls></audio>
                              </div>
                            </div>
                            <!-- /.modal-content --> 
                          </div>
                        </div>
                        <?php
                    } elseif($type=='video/mp4') {
                     ?>
                    <a href="#videoattachment<?php echo intval($attachment->ID);?>" role="button" data-toggle="modal" class="iconbox"><i class="icon-video-camera"></i></a>
                    <div class="modal fade" id="videoattachment<?php echo intval($attachment->ID);?>" tabindex="-1" role="dialog" aria-hidden="true">
                      <div class="modal-dialog">
                        <div class="modal-content">
                          <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                          </div>
                          <div class="modal-body">
                            <video width="100%" height="360" poster="">
                              <source src="<?php echo esc_url($attachment->guid); ?>" type="video/mp4" title="mp4">
                            </video>
                          </div>
                        </div>
                        <!-- /.modal-content --> 
                      </div>
                    </div>
                    <?php
                    }
                }
                ?>
                </div>
                <?php  }
        $post_attachment_data = ob_get_clean();
        return $post_attachment_data;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_post_attachment', 'cs_post_attachment_render');
}
//=====================================================================
// Author's posts
//=====================================================================
if (!function_exists('cs_post_author_render')) {
    function cs_post_author_render($atts, $content = ""){
        global $post,$cs_xmlObject,$authordata;
        $defaults = array('thumbnail' => 'on','thumbnail_size' => '70','biographical' => 'off','social' => 'off','num_of_post' => '4' );
        extract( shortcode_atts( $defaults, $atts ) );
        ob_start();
        if (isset($cs_xmlObject->cs_post_author_info_show) && $cs_xmlObject->cs_post_author_info_show == 'on') {
         ?>
            <!-- About Author -->
            <div class="cs-content-wrap">
                <header class="cs-heading-title">
                  <h2 class=" cs-section-title"><?php esc_html_e('About','logistic');?> <?php esc_html_e('Author','logistic');?></h2>
                </header>
                <div class="about-author">
                    <?php if(isset($thumbnail) && $thumbnail == 'on'){?>
                     <figure><a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>" class="float-left"><?php echo get_avatar(get_the_author_meta('user_email'), apply_filters('PixFill_author_bio_avatar_size', $thumbnail_size)); ?></a></figure>
                     <?php }?>
                     <div class="text">
                        <h4><a class="colrhover" href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>"><?php echo get_the_author(); ?></a></h4>
                        <span></span>
                        <?php if(isset($thumbnail) && $thumbnail == 'on'){?>
                            <p><?php the_author_meta('description'); ?></p>
                        <?php }?>
                        <?php if(isset($social) && $social == 'on'){?>
                            <ul class="socialmedia group">
                                 <?php if(get_the_author_meta('facebook') <> ''){?>
                                <li><a href="http://facebook.com/<?php the_author_meta('facebook'); ?>"><i class="icon-facebook2"></i></a></li>
                                <?php } ?>
                                <?php if(get_the_author_meta('twitter') <> ''){?>
                                <li><a href="http://twitter.com/<?php the_author_meta('twitter'); ?>"><i class="icon-twitter6"></i></a></li>
                                <?php } ?>
                                <li class="share"><a href="#"><?php esc_html_e('View All Posts', 'logistic'); ?></a></li>
                           </ul>
                        <?php }?>
                    </div>
                </div>
            </div>    
           <!-- About Author End -->
        <?php     
        }
        $coments_data = ob_get_clean();
        return $coments_data;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_author_description', 'cs_post_author_render');
}
//=====================================================================
// Links Render
//=====================================================================
if (!function_exists('cs_edit_link_render')) {
    function cs_edit_link_render($atts, $content = ""){
        global $post;
        ob_start();
        edit_post_link( __( 'Edit','logistic'), '<li>', '</li>' ); 
        $edit_post_data = ob_get_clean();
        return $edit_post_data;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_edit', 'cs_edit_link_render');
}
//=====================================================================
// next prev posts links
//=====================================================================
if (!function_exists('cs_next_previous_post_render')) {
    function cs_next_previous_post_render($atts, $content = ""){
        global $post, $cs_xmlObject;
        $defaults = array('post_type' => 'post' );
        extract( shortcode_atts( $defaults, $atts ) );
        ob_start();
        if(isset($cs_xmlObject->post_pagination_show) &&  $cs_xmlObject->post_pagination_show == 'on'){cs_next_prev_custom_links();}
        $cs_next_previous_data = ob_get_clean();
        return $cs_next_previous_data;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_next_previous', 'cs_next_previous_post_render');
}
//=====================================================================
// post share button
//=====================================================================
if (!function_exists('cs_share_render')) {
    function cs_share_render($atts, $content = ""){
        global $post, $cs_xmlObject;
        $defaults = array('title'=>'Share', 'icon' => 'icon-share-square-o', 'class'=>'btnshare' );
        extract( shortcode_atts( $defaults, $atts ) );
        ob_start();
        if ($cs_xmlObject->cs_post_social_sharing == "on"){
            echo '<a class="addthis_button_compact '.$class.'" href="#"><i class="fa '.$icon.'"></i>'.$title.'</a>';
        }

        $share_data = ob_get_clean();
        return $share_data;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_share', 'cs_share_render');
}

//=====================================================================
// Post comments
//=====================================================================
if (!function_exists('cs_comments_render')) {
    function cs_comments_render($atts, $content = ""){
        global $post;
        ob_start();
        comments_template('', true);
        $coments_data = ob_get_clean();
        return $coments_data;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_comments', 'cs_comments_render');
}
//=====================================================================
// Post author
//=====================================================================
if (!function_exists('cs_author_render')) {
    function cs_author_render($atts, $content = ""){
        global $post;
        ob_start();
        printf(esc_html__('%s','logistic'), '<a href="'.esc_url(get_author_posts_url(get_the_author_meta('ID'))).'" >'.get_the_author().'</a>' );
        $author_data = ob_get_clean();
        return $author_data;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_author', 'cs_author_render');
}
//=====================================================================
// Post date
//=====================================================================
if (!function_exists('cs_postdate_render')) {
    function cs_postdate_render($atts, $content = ""){
        global $post;
        $defaults = array('date_format' => '' );
        extract( shortcode_atts( $defaults, $atts ) );
        if(isset($date_format) || $date_format <> ''){
            $date_format = $date_format;
        } else {
            $date_format = get_option( 'date_format' );
        }
        ob_start();
        ?>
        <time datetime="<?php echo date_i18n('Y-m-d',strtotime(get_the_date()));?>"><?php echo date_i18n(get_option( 'date_format' ),strtotime(get_the_date()));?></time>
        <?php
        $postdate_data = ob_get_clean();
        return $postdate_data;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_postdate', 'cs_postdate_render');
}
//=====================================================================
// Post Excerpt
//=====================================================================
if (!function_exists('cs_excerpt_render')) {
    function cs_excerpt_render($atts, $content = ""){
        global $post,$cs_node;
        $defaults = array('read_more' => 'true', 'read_more_text' => 'Read More' );
        ob_start();
        $cs_node->cs_dcpt_excerpt=(int)$cs_node->cs_dcpt_excerpt;
         if(isset($cs_node->cs_dcpt_excerpt) && $cs_node->cs_dcpt_excerpt > 0){?>
            <p><?php  echo cs_get_the_excerpt($cs_node->cs_dcpt_excerpt,$read_more, $read_more_text);?></p>
         <?php }
        $postexcerpt_data = ob_get_clean();
        return $postexcerpt_data;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_excerpt', 'cs_excerpt_render');
}
//=====================================================================
// Post Title
//=====================================================================
if (!function_exists('cs_title_render')) {
    function cs_title_render($atts, $content = ""){
        global $post;
        $defaults = array( 'link' => 'yes', 'chars' => '' );
        extract( shortcode_atts( $defaults, $atts ) );
        ob_start();
        if($link == 'yes'){
            echo '<a href="'.esc_url(get_permalink()).'">';
        }
        if(!empty($chars) && strlen(get_the_title())>$chars){
            echo substr(get_the_title(),0,$chars);
            echo '...';
        } else {
            the_title();
        }
        if($link == 'yes'){
            echo '</a>';
        }
        $posttitle_data = ob_get_clean();
        return $posttitle_data;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_title', 'cs_title_render');
}
 
 
//=====================================================================
// featured post title
//=====================================================================
if ( ! function_exists( 'cs_featured_render' ) ) {
    function cs_featured_render($atts, $content = ""){
        $defaults = array( 'title' => 'Featured');
        extract( shortcode_atts( $defaults, $atts ) );
        ob_start();
        if ( is_sticky() ){
            echo '<span class="cs-featured">'.$title.'</span>';
        }
        $postfeatured_data = ob_get_clean();
        return $postfeatured_data;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_featured', 'cs_featured_render');
}
//=====================================================================
// Rating
//=====================================================================
if ( ! function_exists( 'cs_rating_render' ) ) {
    function cs_rating_render($atts, $content = ""){
        $defaults = array( 'rating_percentage' => '');
        extract( shortcode_atts( $defaults, $atts ) );
        ob_start();
        $rating_percent = 0;
        $rating_percent = $rating_percentage*20;
        echo '<div class="cs-rating"><span style="width:'.$rating_percentage.'%" class="rating-box"></span></div>';        
        $postfeatured_data = ob_get_clean();
        return $postfeatured_data;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_rating', 'cs_rating_render');
}
//=====================================================================
// attachments
//=====================================================================
if ( ! function_exists( 'cs_mediaattachments_render' ) ) {
    function cs_mediaattachments_render($atts, $content = ""){
        global $post,$cs_node;
        $defaults = array( 'icon' => '');
        extract( shortcode_atts( $defaults, $atts ) );
        $post_xml = get_post_meta($post->ID, "dynamic_cusotm_post", true);
        global $cs_xmlObject;
        if ( $post_xml <> "" ) {
            $cs_xmlObject = new SimpleXMLElement($post_xml);
        }
        $media_attachment = '';
        if($icon){
            $media_attachment .= '<i class="fa '.$icon.'"></i>';
        }
        if(count($cs_xmlObject->gallery)>0){
            $media_attachment .= count($cs_xmlObject->gallery);
        }
        return $media_attachment;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_mediaattachments', 'cs_mediaattachments_render');
}
//=====================================================================
// Model
//=====================================================================
if ( ! function_exists( 'cs_model_render' ) ) {
    function cs_model_render($atts, $content = ""){
        global $post,$cs_node;
        $defaults = array( 'title' => '', 'model' => '', 'icon' => 'icon-check');
        extract( shortcode_atts( $defaults, $atts ) );
        $post_xml = get_post_meta($post->ID, "dynamic_cusotm_post", true);
        global $cs_xmlObject;
        if ( $post_xml <> "" ) {
            $cs_xmlObject = new SimpleXMLElement($post_xml);
        }
        $cs_model = '';
        if($icon){
            $cs_model .= '<i class="fa '.$icon.'"></i>';
        }
        if($title){
            $cs_model .= $title;
        }
        if(isset($cs_xmlObject->dynamic_post_sale_model) && $cs_xmlObject->dynamic_post_sale_model <> ''){
            $cs_model .= $cs_xmlObject->dynamic_post_sale_model;
        }
        return $cs_model;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_model', 'cs_model_render');
}
//=====================================================================
// post sale milage
//=====================================================================
if ( ! function_exists( 'cs_milage_render' ) ) {
    function cs_milage_render(){
        global $post,$cs_node;
        $defaults = array( 'title' => '', 'milage' => '', 'icon' => 'icon-check');
        extract( shortcode_atts( $defaults, $atts ) );
        $post_xml = get_post_meta($post->ID, "dynamic_cusotm_post", true);
        global $cs_xmlObject;
        if ( $post_xml <> "" ) {
            $cs_xmlObject = new SimpleXMLElement($post_xml);
        }
        $cs_milage = '';
        if($icon){
            $cs_milage .= '<i class="fa '.$icon.'"></i>';
        }
        if($title){
            $cs_milage .= $title;
        }
        if(isset($cs_xmlObject->dynamic_post_sale_milage) && $cs_xmlObject->dynamic_post_sale_milage <> ''){
            $cs_milage .= $cs_xmlObject->dynamic_post_sale_milage;
        }
        return $cs_milage;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_milage', 'cs_milage_render');
}
//=====================================================================
// post price
//=====================================================================
if ( ! function_exists( 'cs_price_render' ) ) {
    function cs_price_render($atts, $content = ""){
        global $post,$cs_node;
        $defaults = array( 'title' => '', 'old_price' => '', 'new_price' => '', 'icon' => '');
        extract( shortcode_atts( $defaults, $atts ) );
        $post_xml = get_post_meta($post->ID, "dynamic_cusotm_post", true);
        global $cs_xmlObject;
        if ( $post_xml <> "" ) {
            $cs_xmlObject = new SimpleXMLElement($post_xml);
        }
        $cs_price = '<span>';
        if($title){
            $cs_price .= $title;
        }
        if($icon){
            $cs_price .= '<i class="icon-'.$icon.'"></i>';
        }
        if($title){
            $cs_price .= $title;
        }
        if(isset($cs_xmlObject->dynamic_post_sale_oldprice) && $cs_xmlObject->dynamic_post_sale_oldprice <> ''){
            $cs_price .= '<span>'.$cs_xmlObject->dynamic_post_sale_oldprice.'</span>';
        }
        if(isset($cs_xmlObject->dynamic_post_sale_newprice) && $cs_xmlObject->dynamic_post_sale_newprice <> ''){
            $cs_price .= '<big>'.$cs_xmlObject->dynamic_post_sale_newprice.'</big>';
        }
        $cs_price .= '</span>';
        return '<div class="cs-carprice">'.$cs_price.'</div>';
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_price', 'cs_price_render');
}
//=====================================================================
// custom email
//=====================================================================
if ( ! function_exists( 'cs_custom_email_render' ) ) {
    function cs_custom_email_render($atts, $content = ""){
        global $post,$cs_node;
        $defaults = array( 'name' => '', 'title' => '', 'icon'=>'');
        extract( shortcode_atts( $defaults, $atts ) );
        $post_xml = get_post_meta($post->ID, "dynamic_cusotm_post", true);
        global $cs_xmlObject;
        if ( $post_xml <> "" ) {
            $cs_xmlObject = new SimpleXMLElement($post_xml);
        }
        $cs_custom_email = '';
        if($title){
            $cs_custom_email .= $title;
        }
        if($icon){
            $cs_custom_email .= '<i class="icon-'.$icon.'"></i>';
        }
        if(isset($name)){
            $cs_custom_email .= $cs_xmlObject->$name;
        }
        return $cs_custom_email;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_email', 'cs_custom_email_render');
}
//=====================================================================
// custom text
//=====================================================================
if ( ! function_exists( 'cs_custom_text_render' ) ) {
    function cs_custom_text_render($atts, $content = ""){
        global $post,$cs_node;
        $defaults = array( 'name' => '', 'title' => '',  'icon'=>'');
        extract( shortcode_atts( $defaults, $atts ) );
        $post_xml = get_post_meta($post->ID, "dynamic_cusotm_post", true);
        global $cs_xmlObject;
        if ( $post_xml <> "" ) {
            $cs_xmlObject = new SimpleXMLElement($post_xml);
        }
        $cs_custom_text = '';
        if($icon){
            $cs_custom_text .= '<i class="fa '.$icon.'"></i>';
        }
        if($title){
            $cs_custom_text .= $title;
        }
        if(isset($name)){
            $cs_custom_text .= $cs_xmlObject->$name;
        }
        return $cs_custom_text;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_text', 'cs_custom_text_render');
}
//=====================================================================
// custom textarea 
//=====================================================================
if ( ! function_exists( 'cs_custom_textarea_render' ) ) {
    function cs_custom_textarea_render($atts, $content = ""){
        global $post,$cs_node;
        $defaults = array( 'name' => '', 'title' => '',  'icon'=>'');
        extract( shortcode_atts( $defaults, $atts ) );
        $post_xml = get_post_meta($post->ID, "dynamic_cusotm_post", true);
        global $cs_xmlObject;
        if ( $post_xml <> "" ) {
            $cs_xmlObject = new SimpleXMLElement($post_xml);
        }
        $cs_custom_text = '';
        if($icon){
            $cs_custom_text .= '<i class="fa '.$icon.'"></i>';
        }
        if(isset($title) && $title <> ''){
            $cs_custom_text .= $title;
        }
        if(isset($name)){
            $cs_custom_text .= $cs_xmlObject->$name;
        }
        return $cs_custom_text;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_textarea', 'cs_custom_text_render');
}
//=====================================================================
// custom radio
//=====================================================================
if ( ! function_exists( 'cs_custom_radio_render' ) ) {
    function cs_custom_radio_render($atts, $content = ""){
        global $post,$cs_node;
        $defaults = array( 'name' => '', 'title' => '', 'icon'=>'');
        extract( shortcode_atts( $defaults, $atts ) );
        $post_xml = get_post_meta($post->ID, "dynamic_cusotm_post", true);
        global $cs_xmlObject;
        if ( $post_xml <> "" ) {
            $cs_xmlObject = new SimpleXMLElement($post_xml);
        }
        $cs_custom_radio = '';
        if($icon){
            $cs_custom_radio .= '<i class="fa '.$icon.'"></i>';
        }
        if($title){
            $cs_custom_radio .= $title;
        }
        if(isset($name)){
            $cs_custom_radio .= $cs_xmlObject->$name;
        }
        return $cs_custom_radio;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_radio', 'cs_custom_radio_render');
}
//=====================================================================
// post date
//=====================================================================
if ( ! function_exists( 'cs_date_render' ) ) {
    function cs_date_render($atts, $content = ""){
        global $post,$cs_node;
        $defaults = array( 'name' => '', 'title' => '',  'icon'=>'');
        extract( shortcode_atts( $defaults, $atts ) );
        $post_xml = get_post_meta($post->ID, "dynamic_cusotm_post", true);
        global $cs_xmlObject;
        if ( $post_xml <> "" ) {
            $cs_xmlObject = new SimpleXMLElement($post_xml);
        }
        $cs_custom_date = '';
        if($icon){
            $cs_custom_date .= '<i class="fa '.$icon.'"></i>';
        }
        if($title){
            $cs_custom_date .= $title;
        }
        if(isset($name)){
            $cs_custom_date .= $cs_xmlObject->$name;
        }
        return $cs_custom_date;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_date', 'cs_date_render');
}
//=====================================================================
// multi select option
//=====================================================================
if ( ! function_exists( 'cs_multiselect_render' ) ) {
    function cs_multiselect_render($atts, $content = ""){
        global $post,$cs_node;
        $defaults = array( 'name' => '', 'title' => '', 'icon'=>'');
        extract( shortcode_atts( $defaults, $atts ) );
        $post_xml = get_post_meta($post->ID, "dynamic_cusotm_post", true);
        global $cs_xmlObject;
        if ( $post_xml <> "" ) {
            $cs_xmlObject = new SimpleXMLElement($post_xml);
        }
        $cs_multiselect = '';
        if($icon){
            $cs_multiselect .= '<i class="fa '.$icon.'"></i>';
        }
        if($title){
            $cs_multiselect .= $title;
        }
        if(isset($name)){
            $name = trim($name);
            $cs_multiselect .= $cs_xmlObject->$name;
        }
        return $cs_multiselect;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_multiselect', 'cs_multiselect_render');
}
//=====================================================================
// post url
//=====================================================================
if ( ! function_exists( 'cs_url_render' ) ) {

    function cs_url_render($atts, $content = ""){
        
        global $post,$cs_node;
        $defaults = array( 'name' => '', 'title' => '', 'icon'=>'');
        extract( shortcode_atts( $defaults, $atts ) );
        
        $post_xml = get_post_meta($post->ID, "dynamic_cusotm_post", true);
        global $cs_xmlObject;
        if ( $post_xml <> "" ) {
            $cs_xmlObject = new SimpleXMLElement($post_xml);
        }
        $cs_url_render = '';
        if($icon){
            $cs_url_render .= '<i class="fa '.$icon.'"></i>';
        }
        if($title){
            $cs_url_render .= $title;
        }
        
        if(isset($name)){
            $name = trim($name);
            $cs_url_render .= $cs_xmlObject->$name;
        }
        return $cs_url_render;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_url', 'cs_url_render');
}
//=====================================================================
// count media attachments
//=====================================================================
if ( ! function_exists( 'cs_mediaattachment_count_render' ) ) {

    function cs_mediaattachment_count_render($atts, $content = ""){
        
        global $post,$cs_node;
        $defaults = array( 'title' => '', 'icon'=>'icon-camera');
        extract( shortcode_atts( $defaults, $atts ) );
        
        $post_xml = get_post_meta($post->ID, "dynamic_cusotm_post", true);
        global $cs_xmlObject;
        if ( $post_xml <> "" ) {
            $cs_xmlObject = new SimpleXMLElement($post_xml);
        }
        $cs_mediaattachment_count .= '<i class="fa '.$icon.'"></i> <span class="viewcount cs-bg-color">'.count($cs_xmlObject->gallery).'</span>';
        return $cs_mediaattachment_count;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_mediaattachment_count', 'cs_mediaattachment_count_render');
}
if ( ! function_exists( 'cs_map_location_link_render' ) ) {

    function cs_map_location_link_render($atts, $content = ""){
        
        global $post;
        $defaults = array( 'icon' => 'icon-map-marker', 'link'=>'#map');
        extract( shortcode_atts( $defaults, $atts ) );
        
        $cs_map_location .= '<a href="'.esc_url(get_permalink()).$link.'"><i class="fa '.$icon.'"></i></a>';
        return $cs_map_location;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_map_location', 'cs_map_location_link_render');
}
//=====================================================================
// get location address
//=====================================================================
if ( ! function_exists( 'cs_location_address_render' ) ) {

    function cs_location_address_render($atts, $content = ""){
        global $post;
        $defaults = array( 'icon' => 'icon-map-marker', 'link'=>'#map');
        extract( shortcode_atts( $defaults, $atts ) );
        $post_xml = get_post_meta($post->ID, "dynamic_cusotm_post", true);
        global $cs_xmlObject;
        if ( $post_xml <> "" ) {
            $cs_xmlObject = new SimpleXMLElement($post_xml);
        }
        $cs_location_address = '';
        if(isset($cs_xmlObject->dynamic_post_location_address_icon)){
            $cs_location_address .= '<i class="fa '.$cs_xmlObject->dynamic_post_location_address_icon.'"></i>';
        }
        if(isset($cs_xmlObject->dynamic_post_location_address)){
            $cs_location_address .= $cs_xmlObject->dynamic_post_location_address;
        }
        return $cs_location_address;

    }
    if (function_exists('cs_short_code')) cs_short_code('cs_location_address', 'cs_location_address_render');
}
//=====================================================================
// post hidden
//=====================================================================
if ( ! function_exists( 'cs_hidden_render' ) ) {

    function cs_hidden_render($atts, $content = ""){
        
        global $post,$cs_node;
        $defaults = array( 'name' => '', 'title' => '', 'icon'=>'');
        extract( shortcode_atts( $defaults, $atts ) );
        $post_xml = get_post_meta($post->ID, "dynamic_cusotm_post", true);
        global $cs_xmlObject;
        if ( $post_xml <> "" ) {
            $cs_xmlObject = new SimpleXMLElement($post_xml);
        }
        $cs_hidden = '';
        if($icon){
            $cs_hidden .= '<i class="fa '.$icon.'"></i>';
        }
        if($title){
            $cs_hidden .= $title;
        }
        
        if(isset($name)){
            $name = trim($name);
            $cs_hidden .= $cs_xmlObject->$name;
        }
        return $cs_hidden;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_hidden', 'cs_hidden_render');
}
//=====================================================================
// post dropdown option
//=====================================================================
if ( ! function_exists( 'cs_post_dropdown_render' ) ) {

    function cs_post_dropdown_render($atts, $content = ""){
        
        global $post,$cs_node;
        $defaults = array( 'name' => '', 'title' => '', 'icon'=>'');
        extract( shortcode_atts( $defaults, $atts ) );
        $post_xml = get_post_meta($post->ID, "dynamic_cusotm_post", true);
        global $cs_xmlObject;
        if ( $post_xml <> "" ) {
            $cs_xmlObject = new SimpleXMLElement($post_xml);
        }
        $cs_post_dropdown = '';
        if($icon){
            $cs_post_dropdown .= '<i class="fa '.$icon.'"></i>';
        }
        if($title){
            $cs_post_dropdown .= $title;
        }
        if(isset($name)){
            $name = trim($name);
            $cs_post_dropdown .= $cs_xmlObject->$name;
        }
        return $cs_post_dropdown;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_dropdown', 'cs_post_dropdown_render');
}
//=====================================================================
// buy tickers
//=====================================================================
if ( ! function_exists( 'cs_buytickets_render' ) ) {

    function cs_buytickets_render($atts, $content = ""){
        global $post;
        $defaults = array( 'icon' => 'icon-map-marker', 'title'=>'', 'link'=>'#map');
        extract( shortcode_atts( $defaults, $atts ) );
        $post_xml = get_post_meta($post->ID, "dynamic_cusotm_post", true);
        global $cs_xmlObject;
        if ( $post_xml <> "" ) {
            $cs_xmlObject = new SimpleXMLElement($post_xml);
        }
        $cs_location_address = '';
        if(isset($cs_xmlObject->dynamic_post_location_address_icon)){
            $cs_location_address .= '<i class="fa '.$cs_xmlObject->dynamic_post_location_address_icon.'"></i>';
        }
        if(isset($cs_xmlObject->dynamic_post_location_address)){
            $cs_location_address .= $cs_xmlObject->dynamic_post_location_address;
        }
        return $cs_location_address;

    }
    if (function_exists('cs_short_code')) cs_short_code('cs_buytickets', 'cs_buytickets_render');
}
//=====================================================================
// user wishlist
//=====================================================================
if ( ! function_exists( 'cs_wishlist_render' ) ) {
    function cs_wishlist_render($atts, $content = ""){
        global $post;
        $defaults = array( 'icon' => 'icon-plus', 'title'=>'Save');
        extract( shortcode_atts( $defaults, $atts ) );
        ob_start();
        $post_data = ob_get_clean();
        return $post_data;

    }
    if (function_exists('cs_short_code')) cs_short_code('cs_wishlist', 'cs_wishlist_render');
}
//=====================================================================
// wishlist listing
//=====================================================================
if ( ! function_exists( 'cs_wishlist_listing_render' ) ) {
    function cs_wishlist_listing_render($atts, $content = ""){
        global $post;
        $defaults = array( 'icon' => 'icon-plus', 'title'=>'Save');
        extract( shortcode_atts( $defaults, $atts ) );
        ob_start();
        $post_data = ob_get_clean();
        return $post_data;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_wishlisting', 'cs_wishlist_listing_render');
}
//=====================================================================
// like counter
//=====================================================================
if ( ! function_exists( 'cs_likecounter_render' ) ) {
    function cs_likecounter_render($atts, $content = ""){
        global $post;
        $defaults = array( 'icon' => 'icon-plus', 'title'=>'Save');
        extract( shortcode_atts( $defaults, $atts ) );
        ob_start();
        $post_data = ob_get_clean();
        return $post_data;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_likecounter', 'cs_likecounter_render');
}
//=====================================================================
// User Rating 
//=====================================================================
if ( ! function_exists( 'cs_user_rating_render' ) ) {
    function cs_user_rating_render($atts, $content = ""){
        global $post;
        $defaults = array( 'icon' => 'icon-plus', 'title'=>'Save');
        extract( shortcode_atts( $defaults, $atts ) );
        ob_start();
        $post_data = ob_get_clean();
        return $post_data;
    }
    if (function_exists('cs_short_code')) cs_short_code('cs_user_rating', 'cs_user_rating_render');
}
