<?php
/*
 *
 * @Shortcode Name : Contact us
 * @retrun
 *
 */
if (!function_exists('cs_contactus_shortcode')) {

    function cs_contactus_shortcode($atts, $content = "") {
		global $post;
        $defaults = array(
            'column_size' => '1/1',
            'cs_contactus_section_title' => '',
            'cs_contactus_label' => '',
            'cs_contactus_view' => '',
            'cs_contactus_send' => '',
            'cs_success' => '',
            'cs_error' => '',
            'cs_contact_class' => ''
        );
		
		extract(shortcode_atts($defaults, $atts));
        $column_class = cs_custom_column_class($column_size);
        $cs_email_counter = rand(3242343, 324324990);
        $html = '';
        $class = '';
        $section_title = isset($cs_contactus_section_title) ? $cs_contactus_section_title : '';
         
        if (trim($cs_success) && trim($cs_success) != '') {
            $success = $cs_success;
        } else {
            $success =esc_html__('Email has been sent Successfully','logistic');
        }

        if (trim($cs_error) && trim($cs_error) != '') {
            $error = $cs_error;
        } else {
            $error =esc_html__('An error Occured, please try again later','logistic');
        }

        if (trim($cs_contactus_view) == 'plain') {
            $view_class = 'cs-plan';
        } else {
            $view_class = '';
        }
        ?>
<script type="text/javascript">
            function cs_contact_frm_submit(form_id) {
                var cs_mail_id = '<?php echo esc_js($cs_email_counter); ?>';
                if (form_id == cs_mail_id) {
                    var $ = jQuery;
                    $("#loading_div<?php echo esc_js($cs_email_counter); ?>").html('<img src="<?php echo esc_js(esc_url(get_template_directory_uri())); ?>/assets/images/ajax-loader.gif" alt="<?php echo cs_get_post_img_title($post->ID); ?>" />');
                    $("#loading_div<?php echo esc_js($cs_email_counter); ?>").show();
                    $("#message<?php echo esc_js($cs_email_counter); ?>").html('');
                    var datastring = $('#frm<?php echo esc_js($cs_email_counter); ?>').serialize() + "&cs_contact_email=<?php echo esc_js($cs_contactus_send); ?>&cs_contact_succ_msg=<?php echo esc_js($success); ?>&cs_contact_error_msg=<?php echo esc_js($error); ?>&action=cs_contact_form_submit";
                    $.ajax({
                        type: 'POST',
                        url: '<?php echo esc_js(esc_url(admin_url('admin-ajax.php'))); ?>',
                        data: datastring,
                        dataType: "json",
                        success: function (response) {

                            if (response.type == 'error') {
                                $("#loading_div<?php echo esc_js($cs_email_counter); ?>").html('');
                                $("#loading_div<?php echo esc_js($cs_email_counter); ?>").hide();
                                $("#message<?php echo esc_js($cs_email_counter); ?>").addClass('error_mess');
                                $("#message<?php echo esc_js($cs_email_counter); ?>").show();
                                $("#message<?php echo esc_js($cs_email_counter) ?>").html(response.message);
                            }
                            else if (response.type == 'success') {
                               $("#loading_div<?php echo esc_js($cs_email_counter); ?>").html('');
                                $("#loading_div<?php echo esc_js($cs_email_counter); ?>").hide();
                                $("#message<?php echo esc_js($cs_email_counter); ?>").addClass('succ_mess');
                                $("#message<?php echo esc_js($cs_email_counter) ?>").show();
                                $("#message<?php echo esc_js($cs_email_counter); ?>").html(response.message);
                            }

                        }
                    }
                    );
                }
            }
        </script>
<?php
       		$html .='<div class="page_section">
				<div class="row">';
			    	$html .='<div class="col-md-12">';
						$html .='<div class="cs-section-title">';
							$html .='<h3><span>'.$section_title.'</span></h3>';
						$html .='</div>';
					$html .='</div>';	
				
					$html .='<form  class="comment-form" name="frm'.absint($cs_email_counter).'" id="frm'.absint($cs_email_counter) . '" action="javascript:cs_contact_frm_submit('.absint($cs_email_counter) . ')">';
							
							$html .='<aside class="col-md-6 left">';
								$html .='<label>'.esc_html__('Name','logistic').'</label>';
								$html .='<input type="text" name="contact_name" placeholder=" '. esc_html__('Enter your Name', 'logistic') . '" required>';
								$html .='<label>'.esc_html__('Email Address','logistic').'</label>';
								$html .='<input type="email" name="contact_email" placeholder=" '.esc_html__('Email Address', 'logistic') . '" required>';
								$html .='<label>'.esc_html__('Phone Number','logistic').'<span>(Optional)</span></label>';
								$html .='<input type="text" id="phone_no" name="phone_no" placeholder=" '. esc_html__('Phone Number', 'logistic').'" required>';
							$html .='</aside>';
							
							$html .='<aside class="col-md-6 right">';
										$html .='<label>'.esc_html__('Message','logistic').'</label>';
										$html .='<textarea id="comment_mes" name="contact_msg" placeholder="'.esc_html__('Message', 'logistic').'" required></textarea>';
										$html .='<input type="submit" name="submit" style="float:left;" id="submit_btn'.absint($cs_email_counter).'" class="email cs-bgcolor"  value="'.esc_html__('Submit Email', 'logistic').'"></form>';
										$html .= '<div id="message' . $cs_email_counter . '"  style="display:none; color:#dcdcdc !important;float:left;margin: 0 0 0 10px;"></div>';
										$html .='<div id="loading_div' . $cs_email_counter . '" style="display:none; color:#dcdcdc !important;float:left;margin: 0 0 0 10px;"></div>';
							 $html .='</aside>';
						   
					
					$html .='</div>';
					$html .='</div>';
		 
	   
	    
		  
		    return  $html ;
		  
    }
    if (function_exists('cs_short_code')) cs_short_code(CS_SC_CONTACTUS, 'cs_contactus_shortcode');
}