<?php
/*
 *
 * @File : List
 * @retrun
 *
 */
if (!function_exists('cs_list_shortcode')) {

    function cs_list_shortcode($atts, $content = "") {
        global $cs_border, $cs_list_type;
        $defaults = array(
			 'column_size' =>'', 
			 'cs_list_section_title' =>'',
			 'cs_list_type' =>'', 
			 'cs_list_icon' =>'', 
			 'cs_border' =>'', 
			 'cs_list_item' =>'', 
			 'cs_list_class' =>''
			 
			 );
        extract(shortcode_atts($defaults, $atts));
        $customID = '';
        if (isset($column_size) && $column_size != '') {
            $column_class = cs_custom_column_class($column_size);
        } else {
            $column_class = '';
        }
        if (isset($cs_list_class) && $cs_list_class != '') {
            $customID = 'id="' . $cs_list_class . '"';
        }
        $html = "";
        $cs_list_typeClass = '';
        $section_title = '';
        if ($cs_list_section_title && trim($cs_list_section_title) != '') {
            $section_title = '<div class="cs-section-title"><h3><span>' . $cs_list_section_title . '</span></h3></div>';
        }
        $cs_list_type = $cs_list_type ? $cs_list_type : 'cs-bulletslist';
        if ($cs_list_type == 'none') {
            $cs_list_typeClass = 'cs-unorderedlist';
        } else if ($cs_list_type == 'icon') {
            $cs_list_typeClass = 'cs-iconlist';
        } 
        $html .= '<div ' . $customID . ' class="' . $column_class . '  ' . $cs_list_class . '">';
        $html .= $section_title;
        $html .= '<ul class="simple-list">';
        $html .= do_shortcode($content);
        $html .= '</ul>';
        $html .= '</div>';
      
        return $html;
    }

    if (function_exists('cs_short_code')) cs_short_code(CS_SC_LIST, 'cs_list_shortcode');
}

if (!function_exists('cs_list_item_shortcode')) {

    function cs_list_item_shortcode($atts, $content = "") {
        global $cs_border, $cs_list_type;
        $html = '';
        $defaults = array('cs_list_icon' =>
            '', 'cs_list_item' =>
            '', 'cs_cusotm_class' =>
            '', 'cs_custom_animation' =>
            '', 'cs_custom_animation' =>
            '');
        extract(shortcode_atts($defaults, $atts));
        if ($cs_border == 'yes') {
            $border = 'has_border';
        } else {
            $border = '';
        }
        if ($cs_list_icon && $cs_list_type == 'icon') {
            $html .= '<li class="' . $border . '" style="list-style-type:none;"><i class="cs-color ' . $cs_list_icon . '"  style="margin-right: 4px;"></i><a href="javascript:void(0);">
			' . do_shortcode(htmlspecialchars_decode($content)) . '</a></li>';
        }  else {
            $html .= '<li class="' . $border . '"><a href="javascript:void(0);">' . do_shortcode(htmlspecialchars_decode($content)) . '</a></li>';
        }
        return $html;
    }

    if (function_exists('cs_short_code')) cs_short_code(CS_SC_LISTITEM, 'cs_list_item_shortcode');
}