<?php

/*
 *
 * @Shortcode Name : Tweets
 * @retrun
 *
 */

if (!function_exists('cs_tweets_shortcode')) {

    function cs_tweets_shortcode($atts, $content = "") {
        $defaults = array(
		'column_size' => '', 
		'cs_tweets_section_title' => '', 
		'cs_tweets_user_name' => 'default', 
		'cs_tweets_color' => '', 
		'cs_twitter_type' => '',
		'cs_no_of_tweets' => '', 
		'cs_tweets_class' => ''
		);
        extract(shortcode_atts($defaults, $atts));
        $column_class = cs_custom_column_class($column_size);

        $CustomId = '';
        if (isset($cs_tweets_class) && $cs_tweets_class) {
            $CustomId = 'id="' . $cs_tweets_class . '"';
        }

        $rand_id = rand(5, 999999);
        $html = '';
        $section_title = '';
	 
 
           ?>
           
             <script type="text/javascript">
				jQuery(document).ready(function() {
					jQuery('.twitter-silder').slick({
						infinite: true,
						slidesToShow: 1,
						slidesToScroll: 1,
						autoplay: true,
						dots: false,
						arrows: false, 
					});
				});
          </script>   
          
           <?php
     
			$html .= '<div class="cs-twitter-section ' . $cs_tweets_class . '" >';
				$html .= '<div class="cs-twitter-sec">';
					$html .= '<ul class="twitter-silder">';
						$html .= cs_get_tweets($cs_tweets_user_name, $cs_no_of_tweets, $cs_tweets_color);
					$html .= '</ul>';
				$html .= '</div>';
			$html .= '</div>';
		
		 
       return $html;
    }

    if (function_exists('cs_short_code')) cs_short_code(CS_SC_TWEETS, 'cs_tweets_shortcode');
}

/*
 *
 * @Get Tweets
 * @retrun
 *
 */
if (!function_exists('cs_get_tweets')) {

    function cs_get_tweets($username, $numoftweets, $cs_tweets_color = '') {
        global $cs_theme_options;

        $username = html_entity_decode($username);
        $numoftweets = $numoftweets;
        if ($numoftweets == '') {
            $numoftweets = 2;
        }
		
		if( class_exists('cs_framework') ) {
			if (strlen($username) > 1) {
	
				$text = '';
				$return = '';
				$cacheTime = 10000;
				$transName = 'latest-tweets';
				cs_include_file( cs_framework::plugin_dir() . 'include/cs-twitter/twitteroauth.php' );
				$consumerkey = isset($cs_theme_options['cs_consumer_key']) ? $cs_theme_options['cs_consumer_key'] : '';
				$consumersecret = isset($cs_theme_options['cs_consumer_secret']) ? $cs_theme_options['cs_consumer_secret'] : '';
				$accesstoken = isset($cs_theme_options['cs_access_token']) ? $cs_theme_options['cs_access_token'] : '';
				$accesstokensecret = isset($cs_theme_options['cs_access_token_secret']) ? $cs_theme_options['cs_access_token_secret'] : '';
				$connection = new TwitterOAuth($consumerkey, $consumersecret, $accesstoken, $accesstokensecret);
				$tweets = $connection->get("https://api.twitter.com/1.1/statuses/user_timeline.json?screen_name=" . $username . "&count=" . $numoftweets);
	
	
				if (!is_wp_error($tweets) and is_array($tweets)) {
					set_transient($transName, $tweets, 60 * $cacheTime);
				} else {
					$tweets = get_transient('latest-tweets');
				}
				if (!is_wp_error($tweets) and is_array($tweets)) {
					$twitter_text_color = '';
					if (!empty($cs_tweets_color)) {
						$twitter_text_color = "style='color: $cs_tweets_color !important'";
					}
					$rand_id = rand(5, 300);
					$exclude = 0;
					foreach ($tweets as $tweet) {
						$exclude++;
						//if($exclude > 1 ){
						$text = $tweet->{'text'};
						foreach ($tweet->{'user'} as $type => $userentity) {
							if ($type == 'profile_image_url') {
								$profile_image_url = $userentity;
							} else if ($type == 'screen_name') {
								$screen_name = '<a href="https://twitter.com/'.$userentity.'" target="_blank" class="colrhover" title="' . $userentity . '">@' . $userentity . '</a>';
							}
						}
						foreach ($tweet->{'entities'} as $type => $entity) {
							if ($type == 'hashtags') {
								foreach ($entity as $j => $hashtag) {
									$update_with = '<a href="https://twitter.com/search?q=%23' . $hashtag->{'text'} . '&amp;src=hash" target="_blank" title="' . $hashtag->{'text'} . '">#' . $hashtag->{'text'} . '</a>';
									$text = str_replace('#' . $hashtag->{'text'}, $update_with, $text);
								}
							}
						}
						$large_ts = time();
						$n = $large_ts - strtotime($tweet->{'created_at'});
						if ($n < (60)) {
							$posted = sprintf(esc_html__('%d seconds ago', 'logistic'), $n);
						} elseif ($n < (60 * 60)) {
							$minutes = round($n / 60);
							$posted = sprintf(_n('About a Minute Ago', '%d Minutes Ago', $minutes, 'logistic'), $minutes);
						} elseif ($n < (60 * 60 * 16)) {
							$hours = round($n / (60 * 60));
							$posted = sprintf(_n('About an Hour Ago', '%d Hours Ago', $hours, 'logistic'), $hours);
						} elseif ($n < (60 * 60 * 24)) {
							$hours = round($n / (60 * 60));
							$posted = sprintf(_n('About an Hour Ago', '%d Hours Ago', $hours, 'logistic'), $hours);
						} elseif ($n < (60 * 60 * 24 * 6.5)) {
							$days = round($n / (60 * 60 * 24));
							$posted = sprintf(_n('About a Day Ago', '%d Days Ago', $days, 'logistic'), $days);
						} elseif ($n < (60 * 60 * 24 * 7 * 3.5)) {
							$weeks = round($n / (60 * 60 * 24 * 7));
							$posted = sprintf(_n('About a Week Ago', '%d Weeks Ago', $weeks, 'logistic'), $weeks);
						} elseif ($n < (60 * 60 * 24 * 7 * 4 * 11.5)) {
							$months = round($n / (60 * 60 * 24 * 7 * 4));
							$posted = sprintf(_n('About a Month Ago', '%d Months Ago', $months, 'logistic'), $months);
						} elseif ($n >= (60 * 60 * 24 * 7 * 4 * 12)) {
							$years = round($n / (60 * 60 * 24 * 7 * 52));
							$posted = sprintf(_n('About a year Ago', '%d years Ago', $years, 'logistic'), $years);
						}
						
						$return .= '<li style="color:' . $cs_tweets_color . '">';
						$return .= '<div class="twitter-info">';
						$return .= '<figure>';
						$return .= '<img src="'.esc_url($profile_image_url).'" alt="image">';
						$return .= '</figure>';
						$return .= '<div class="author-info">';
						 $return .= '<span style="color:' . $cs_tweets_color . '">(' . $posted . ')</span>';
	   $return .= '</div>';
						$return .= '</div>';
						$return .= '<p>RT <a href="https://twitter.com/'.$username.'">'.$username.'</a>' . $text . '</p>';
						$return .= '</li>';
						  
					}
					return $return;
				} else {
					if (isset($tweets->errors[0]) && $tweets->errors[0] <> "") {
						return '<div class="cs-twitter item" data-hash="dummy-one"><h4>' . $tweets->errors[0]->message . "esc_html__('Please enter valid Twitter API Keys','logistic') </h4></div>";
					} else {
						return '<div class="cs-twitter item" data-hash="dummy-two"><h4>'.esc_html__('No Tweets Found','logistic').'</h4></div>';
					}
				}
			} else {
				return '<div class="cs-twitter item" data-hash="dummy-three"><h4>'.esc_html__('No Tweets Found','logistic').'</h4></div>';
			}
		}
		}

}
?>