<?php
/**
 * File Type: Event Shortcode
 */

if ( ! function_exists( 'cs_service_listing' ) ) {
	function cs_service_listing($atts, $content = ""){ 
		global $post,$wp_query,$wpdb,$query,$cs_node,$service_filter,$cs_theme_option,$service_time,$service_date,$cs_service_meta,$service_excerpt,$category,$cs_notification,$wp_query,$view,$spec_cats;
		date_default_timezone_set('UTC');
		$current_time = strtotime(current_time('d-m-Y H:i', $gmt = 0));
		
		$defaults = array('section_title'=>'','view'=>'','service_filter'=>'','category'=>'','post_order'=>'DESC','service_excerpt'=>'255','pagination'=>'10','service_time'=>'','display_pagination'=>'','spec_cats' => '',);
		$service_type ='';
		$event_type ='';
		
		extract( shortcode_atts( $defaults, $atts ) );
		$cs_dataObject		= get_post_meta($post->ID, 'cs_full_data');
     	ob_start();
		global $activeGrid,$activeList,$service_filter;
	 
		$filter_category ='';
		$active  ='';
		if(isset($_GET['page_switch'])  && $_GET['page_switch'] == 'grid'){
			$view = 'services-grid';
			$activegird ='style="border:1px solid #00F !important;"';
			
		}else{
			if(isset($_GET['page_switch'])  && $_GET['page_switch'] == 'list'){
				$view = 'services-listing'; 
				$activelist ='style="border:1px solid #00F !important;"';
				
			}
		}
			//==Filters
       	$filter_category = '';
		$filter_category_array = array();
        $row_cat = $wpdb->get_row($wpdb->prepare("SELECT * from ".$wpdb->prefix."terms WHERE slug = %s",$category ));
		$args = array(
				'posts_per_page'			=> "-1",
				'post_type'					=> 'services',
				'post_status'				=> 'publish',
				'service-category' =>    $category,
				 
			);
			 
		 
     		if ( isset($_GET['filter_category']) && $_GET['filter_category'] <> '' && $_GET['filter_category'] <> '0' ) 
			{ 
				$event_category_array = array('service-category' => $filter_category);
				$args = array_merge($args, $event_category_array);
			
			} else if(isset($category) && $category <> '' && $category <> '0'){
				$event_category_array = array('service-category' => "$category");
				$args = array_merge($args, $event_category_array);
			}
			  if (empty($_GET['page_id_all'])) $_GET['page_id_all'] = 1;
			$custom_query = new WP_Query($args);
            $count_post = 0;
			$counter = 1;
			$count_post = $custom_query->post_count;
			
			   $args = array(
                    'posts_per_page'			=> "$pagination",
					'paged'						=> $_GET['page_id_all'],
                    'post_type'					=> 'services',
                    'post_status'				=> 'publish',
					'service-category' =>$category,
                     
                );
			
		if(isset($section_title) && $section_title <> ''){
			echo '<div class="cs-section-title ">
					<h3><span>'.esc_attr( $section_title ).'</span></h3>
				  </div>';
		}
		 
		set_query_var( 'args', $args ); 
		if ( $view == 'modern-view' ) {
			include('modern-view.php');
        } elseif($view == 'classic'){
			include('classic.php');
		} 
		
		//==Pagination Start
		if(isset($display_pagination) && $display_pagination == 'Yes'){
			if ( $count_post > $pagination && $pagination > 0 && $view <> 'events-calender' ) {
			$qrystr = '';
			
			if ( isset($_GET['page_switch']) ) $qrystr .= "&amp;page_switch=".$_GET['page_switch'];      
			if ( isset($_GET['filter_category']) ) $qrystr .= "&amp;filter_category=".$_GET['filter_category'];               
				echo cs_pagination($count_post, $pagination,$qrystr,'Show Pagination');
			}
		}	 
		//==Pagination End  
	  
		$eventpost_data = ob_get_clean();
		return $eventpost_data;
	}
	
	add_shortcode('cs_service', 'cs_service_listing');
}

/**
 *
 *@Get Event CAtegories
 *@return
 */
if(!function_exists('cs_service_categories')){
	function cs_service_categories( $category ) {
			
		if ( $category !='' && $category !='0'){ 
			$row_cat = $wpdb->get_row($wpdb->prepare("SELECT * from $wpdb->terms WHERE slug = %s", $category ));
		}
		
		if ( isset($category) && $category !='' && $category !='0'){ 
			echo '<a href="'.esc_url(home_url('/')).'?cat='.$row_cat->term_id.'">'.$row_cat->name.'</a>';
		 } else {
			 /* Get All Tags */
			  $before_cat = '<i class="fa fa-align-left"></i> ';
			  $categories_list = get_the_term_list ( get_the_id(), 'event-category', $before_cat, ', ', '' );
			  if ( $categories_list ){
				  printf( '%1$s',$categories_list );
			  } 
			 // End if Tags 
		 }
	}
}
 
if(!function_exists('cs_get_event_address')){
	function cs_get_event_address( $address = '' , $limit = 35 ){
		return substr($address,0, $limit); if(strlen($address)>$limit){echo '...';}
	}
}

 
if(!function_exists('cs_get_event_title')){
	function cs_get_event_title( $address = '' , $limit	= 35 ){
		return substr($address,0, $limit); if(strlen($address)>$limit){echo '...';}
	}
}

/**
 *
 *@Get Event Date
 *@return
 */
if ( ! function_exists( 'cs_correct_date_form' ) ) {
	function cs_correct_date_form( $date = '' ) {
		
		$cs_date_params = explode('-', $date);
		if(strpos($date, '/') !== false) {
			$cs_date_params = explode('/', $date);
		}
		
		$cs_right_date = $date;
		if( is_array($cs_date_params) && sizeof($cs_date_params) == 3 ) {
			$cs_right_date = $cs_date_params[1].'-'.$cs_date_params[0].'-'.$cs_date_params[2];
		}
		return $cs_right_date;
	}
}




if ( ! function_exists( 'cs_get_current_pageurl' ) ) {
	function cs_get_current_pageurl() {
		
			$pageURL = (@$_SERVER["HTTPS"] == "on") ? "https://" : "http://";
			if ($_SERVER["SERVER_PORT"] != "80")
			{
				$pageURL .= $_SERVER["SERVER_NAME"].":".$_SERVER["SERVER_PORT"].$_SERVER["REQUEST_URI"];
			} 
			else 
			{
				$pageURL .= $_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"];
			}
			return $pageURL;
	}
}

function calender_time_($event_time) {


	  $event_time = str_replace('am', '', $event_time);

	  $event_time = str_replace('pm', '', $event_time);

	  if(strlen($event_time)<6){

		  $event_time = '0'.$event_time;

	  }

   return $event_time; // Removes special chars.

}

function cs_percent_return($num) {

	if (is_numeric($num) && $num > 0 && $num <= 100) {
		$num = $num;
	} else if (is_numeric($num) && $num > 0 && $num > 100) {
		$num = 100;
	} else {
		$num = 0;
	}

	return $num;
}

// Number Format
function cs_num_format($num) {
	$cs_number = number_format((float) $num, 2, '.', '');
	return $cs_number;
}

// Calculate Percentage
function cs_calc_percentage($number, $perc, $percent = false ) {
	$cs_number = 0;
	if (is_numeric($number) && $number > 0 && is_numeric($perc) && $perc > 0) {
		
		if( $percent == true ) {
			$cs_number = ($perc / $number) * 100;
		} else {
			$cs_number = ($number / 100) * $perc;
		}
	}
	return $cs_number;
}

if( ! function_exists('cs_donate_popup') ) {
	function cs_donate_popup( $service_id = '5' ){
		
		global $post;
		?>
        <div class="modal fade cs-donation-form" id="donate_model<?php echo absint($service_id) ?>" tabindex="-1" role="dialog">
            <div class="modal-dialog">
                <div class="modal-content">
					<div class="modal-header">
						<button aria-hidden="true" data-dismiss="modal" class="close" type="button">&times;</button>
					</div>
					
					<div class="modal-body">
                        <div class="col-lg-12"> 
                       		<?php echo cs_donation_markup(); ?>
						</div>
					</div>
					
                </div>
            </div>
        </div>
		<?php
	}
}

function cs_donation_markup() {
	
	$cs_plugin_options = get_option( 'cs_plugin_options' );
	$cs_currency_sign = isset( $cs_plugin_options['currency_sign'] ) ? $cs_plugin_options['currency_sign'] : '$';
	
	ob_start();
	?>
    <div class="cs-donation-form" id="cs-donte-form">
        <h6><?php esc_html_e('Select a Amount', 'cs_frame') ?></h6>
        <ul>
           <?php 
            if( isset($cs_plugin_options['difine_payments']) && $cs_plugin_options['difine_payments'] <> '' ) {
                $difine_payments = $cs_plugin_options['difine_payments'];
                $difine_payments = explode(',', $difine_payments);
            } else {
                $difine_payments = array('50','100','200','500','1000');
            }
            
            $donate_counter = 1;
            foreach($difine_payments as $pay_val){
                
            $cs_active = '';
            if( $donate_counter == 1 ) {
                $cs_active = ' class="cs-active"';
            }
            ?>
                <li><label<?php echo cs_allow_special_char( $cs_active ) ?>><?php echo esc_attr($cs_currency_sign) . esc_attr($pay_val) ?><input type="radio" name="donate" data-amount="<?php echo esc_attr($pay_val) ?>"></label></li>
            <?php 
            $donate_counter++;
            }
            ?>
        </ul>
        <div class="donation-holder">
            <h6><?php esc_html_e('Add others Amount', 'cs_frame') ?></h6>
            
            <form id="cs-donate-form" data-ajaxurl="<?php echo esc_url(admin_url('admin-ajax.php')) ?>">
                <label><span><?php echo esc_attr($cs_currency_sign) ?></span><input type="text" class="service-amount" name="cs_donate_amount" value="<?php echo isset( $difine_payments[0] ) ? esc_attr($difine_payments[0]) : ''; ?>"></label>
                <input type="hidden" name="cs_service_id" value="<?php echo get_the_id() ?>" />
                
                <span class="donate-btn btn">
                    <input type="submit" class="cs-bgcolor" id="cs-donate-btn" name="service_donate" value="<?php esc_html_e('Donate', 'cs_frame');?>" />
                </span>
            
                <div class="donation-logos">
                    <ul class="cs-all-gates">
                        <?php
                        global $gateways;
                        $cs_gateway_options = get_option('cs_plugin_options');
                        $cs_gw_counter = 1;
                        foreach ($gateways as $key => $value) {
                            $status = $cs_gateway_options[strtolower($key) . '_status'];
    
                            if (isset($status) && $status == 'on') {
                                $logo = '';
    
                                if (isset($cs_gateway_options[strtolower($key) . '_logo'])) {
                                    $logo = $cs_gateway_options[strtolower($key) . '_logo'];
                                }
    
                                if (isset($logo) && $logo != '') {
    
                                    $cs_checked = $cs_gw_counter == 1 ? ' checked="checked"' : '';
                                    ?>
                                    <li>
                                     <?php if(isset($logo)  and $logo <>'') { ?>   <a><img alt="" src="<?php echo esc_url($logo) ?>"></a> <?php } ?>
       <input type="radio" name="cs_payment_gateway" <?php echo cs_allow_special_char($cs_checked) ?> value="<?php echo strtolower($key); ?>" style="display:none; position:absolute;" />
                                    </li>
                                    <?php
                                }
                                $cs_gw_counter++;
                            }
                        }
                        ?>
                    </ul>
                </div>
                
            </form>
        </div>
        <div id="payment-retun-form" style="display:none;"></div>
    </div>
    <?php
	$donation_html = ob_get_clean();
	
	return $donation_html;
}

function cs_donation_submit() {
	
	$cs_service_id = isset( $_POST['cs_service_id'] ) ? $_POST['cs_service_id'] : '';
	$cs_donate_amount = isset( $_POST['cs_donate_amount'] ) ? $_POST['cs_donate_amount'] : '';
	$cs_payment_gateway = isset( $_POST['cs_payment_gateway'] ) ? $_POST['cs_payment_gateway'] : '';
	$cs_post_type = get_post_type();
	
	$cs_service_title = $cs_post_type == 'services' ? get_the_title( $cs_service_id ) : esc_html__( 'Donation', 'cs_frame' );
	
	$cs_service_id = $cs_service_id != '' ? $cs_service_id : rand(14934, 99143);
	
	$cs_trans_fields = array(
		'cs_trans_id' => rand(149344111, 991435901),
		'cs_service_id' => $cs_service_id,
		'cs_service_title' => $cs_service_title,
		'cs_trans_amount' => $cs_donate_amount,
	);
	
	if ($cs_donate_amount > 0) {
	
		$cs_trans_html = cs_pay_process($cs_trans_fields);
	}
}

add_action('wp_ajax_cs_donation_submit', 'cs_donation_submit');
add_action('wp_ajax_nopriv_cs_donation_submit', 'cs_donation_submit');

function cs_get_post_id_by_meta_key($key, $value) {
	global $wpdb;
	$meta = $wpdb->get_results("SELECT * FROM `" . $wpdb->postmeta . "` WHERE meta_key='" . $key . "' AND meta_value='" . $value . "'");

	if (is_array($meta) && !empty($meta) && isset($meta[0])) {
		$meta = $meta[0];
	}
	if (is_object($meta)) {
		return $meta->post_id;
	} else {
		return false;
	}
}
if (!function_exists('cs_port_filters')) {
    function cs_port_filters() {
		
global $wpdb,$post,$query;
 $cat_slug  = array();
 while ( $query->have_posts() )  : $query->the_post();   
	      $t = wp_get_post_terms($post->ID,'service-category');
         	foreach( $t as $cat ) {
			$cat_slug[$cat->slug] = $cat->slug;
			 
	 }
	 
 	endwhile;
 	$cs_html = '';
		 	$cs_html .= '
			<div class="main-filters">
				<ul class="filter-list">
					<li><a data-filter="*" href="#" class="active"><p>'.esc_html__('List All', 'cs_frame').'</p></a></li>';
					foreach ($cat_slug as $value) {
						$cs_html .= '<li><a data-filter=".'.$value.'" href="#"><p>'.$value.'</p></a></li>';
					}
				$cs_html .= '	
				</ul>
			</div> ';
	 
		echo force_balance_tags ( $cs_html );
	}
}

// trim words 
function cs_trim_words($content='',$length='255',$readmore='') {
	$retrun_content="";
	if(strlen($content) > $length  ){
		
	    $retrun_content  = substr(esc_attr($content),0,$length).$readmore;	
	}else{
	    $retrun_content  = substr(esc_attr($content),0,$length);	
	 }
	
	 return $retrun_content;
	
}

function cs_pay_process($values = array()) {

	$cs_transaction_fields = $values;

	extract($values);

	$cs_service_id = isset($cs_service_id) ? $cs_service_id : '';
	$cs_trans_id = isset($cs_trans_id) ? $cs_trans_id : '';
	$cs_trans_amount = isset($cs_trans_amount) ? $cs_trans_amount : '';
	
	$transaction_post = array(
		'post_title' => '#' . $cs_trans_id,
		'post_status' => 'publish',
		'post_type' => 'cs-transactions',
		'post_date' => current_time('Y-m-d H:i:s')
	);
	//insert the transaction
	$trans_id = wp_insert_post($transaction_post);

	$cs_trans_pay_method = '';
	if (isset($_POST['cs_payment_gateway']) && $_POST['cs_payment_gateway'] == 'cs_pre_bank_transfer') {
		$cs_trans_pay_method = 'cs_pre_bank_transfer';
	}

	$cs_trans_array = array(
		'service_id' => $cs_service_id,
		'transaction_id' => $cs_trans_id,
		'transaction_amount' => $cs_trans_amount,
		'transaction_pay_method' => $cs_trans_pay_method,
	);
	
	foreach ($cs_trans_array as $trans_key => $trans_val) {
		update_post_meta($trans_id, "cs_{$trans_key}", $trans_val);
	}
	
	$cs_transaction_fields['cs_order_id'] = $trans_id;

	if (isset($_POST['cs_payment_gateway']) && $_POST['cs_payment_gateway'] == 'cs_paypal_gateway' && !empty($cs_transaction_fields)) {
		$paypal_gateway = new CS_PAYPAL_GATEWAY();
		$paypal_gateway->cs_proress_request($cs_transaction_fields);
	} else if (isset($_POST['cs_payment_gateway']) && $_POST['cs_payment_gateway'] == 'cs_authorizedotnet_gateway' && !empty($cs_transaction_fields)) {
		$authorizedotnet = new CS_AUTHORIZEDOTNET_GATEWAY();
		$authorizedotnet->cs_proress_request($cs_transaction_fields);
	} else if (isset($_POST['cs_payment_gateway']) && $_POST['cs_payment_gateway'] == 'cs_skrill_gateway' && !empty($cs_transaction_fields)) {
		$skrill = new CS_SKRILL_GATEWAY();
		$skrill->cs_proress_request($cs_transaction_fields);
	} else if (isset($_POST['cs_payment_gateway']) && $_POST['cs_payment_gateway'] == 'cs_pre_bank_transfer' && !empty($cs_transaction_fields)) {
		$banktransfer = new CS_PRE_BANK_TRANSFER();
		return $banktransfer->cs_proress_request($cs_transaction_fields);
	} else {
		// Do Nothing
	}
}
