<?php
/**
 * Page Builder Functions 
 */
 
/**
 * @Generate Random String
 *
 *
 */
if ( ! function_exists( 'cs_generate_random_string' ) ) {
    function cs_generate_random_string($length = 3) {
        $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
        $randomString = '';
        for ($i = 0; $i < $length; $i++) {
            $randomString .= $characters[rand(0, strlen($characters) - 1)];
        }
        return $randomString;
    }
}
if ( ! function_exists( 'cs_custom_shortcode_encode' ) ) {
	function cs_custom_shortcode_encode( $sh_content = '' ) {
		$sh_content = str_replace(array('[', ']'), array('cs_open', 'cs_close'), $sh_content);
		return $sh_content;
	}
}

if ( ! function_exists( 'cs_custom_shortcode_decode' ) ) {
	function cs_custom_shortcode_decode( $sh_content = '' ) {
		$sh_content = str_replace(array('cs_open', 'cs_close'), array('[', ']'), $sh_content);
		return $sh_content;
	}
}

/**
 * @Page builder Element (shortcode(s))
 *
 *
 */
 if ( ! function_exists( 'cs_element_setting' ) ) {
    function cs_element_setting($name,$cs_counter,$element_size, $element_description='', $page_element_icon = 'icon-star',$type=''){
        $element_title = str_replace("cs_pb_","",$name);
		$elm_name	= str_replace("cs_pb_","",$name);
	
		$element_list = cs_element_list();
           	 
        ?>
        <div class="column-in">
         	 <input type="hidden" name="<?php echo esc_attr($element_title); ?>_element_size[]" class="item" value="<?php echo esc_attr($element_size); ?>" >
          <!--<a href="javascript:;" onclick="javascript:_createclone(jQuery(this),'<?php echo esc_attr($cs_counter)?>', '', '')" class="options"><i class="icon-star"></i></a>-->
         	 <a href="javascript:;" onclick="javascript:_createpopshort(jQuery(this))" class="options"><i class="icon-gear"></i></a>
           	 <a href="#" class="delete-it btndeleteit"><i class="icon-trash-o"></i></a> &nbsp;
             <a class="decrement" onclick="javascript:decrement(this)"><i class="icon-minus4"></i></a> &nbsp; 
             <a class="increment" onclick="javascript:increment(this)"><i class="icon-plus3"></i></a> 
         	 <span> <i class="cs-icon <?php echo str_replace("cs_pb_","",$name);?>-icon"></i> 
          	 <strong><?php echo cs_validate_data($element_list['element_list'][$elm_name]);?></strong><br/>
          	 <?php echo esc_attr($element_description);?> </span>
        </div>
<?php
    }
}

/**
 * @Slugify The Text
 *
 */ 
function cs_slugify_text($str) {
    $clean = preg_replace("/[^a-zA-Z0-9\/_|+ -]/", '', $str);
    $clean = strtolower(trim($clean, '-'));
    $clean = preg_replace("/[\/_|+ -]+/", '-', $clean);
    return $clean;
}



function cs_search_char($str) {
    
	if(isset($str ) && $str <> ""){
		$result = false;
		 if (strpos($str,'-') !== false) {
			$result = true;
		 }
	}
	return $result;
}

/**
 * @Page builder Element (shortcode(s))
 *
 */
if ( ! function_exists( 'cs_page_composer_elements' ) ) {
    function cs_page_composer_elements($element='',$icon='accordion-icon',$description='Dribble is community of designers'){
        echo '<i class="fa '.$icon.'"></i><span data-title="'.$element.'"> '.$element.'</span>';
    }
}
/**
 * @Page builder Sorting List
 *
 *
 */
if ( ! function_exists( 'cs_elements_categories' ) ) {
 	   function cs_elements_categories(){
        return array('typography'=>esc_html__('Typography','logistic'),'commonelements'=>esc_html__('Common Elements','logistic'),'mediaelement'=>esc_html__('Media Element','logistic'),'contentblocks'=>esc_html__('Content Blocks','logistic'),        'loops'=>esc_html__('Loops','logistic'));
    }
}
/**
 * @Page builder Ajax Element (shortcode(s))
 *
 *
 */
 if ( ! function_exists( 'cs_ajax_element_setting' ) ) {
    function cs_ajax_element_setting($name,$cs_counter,$element_size, $shortcode_element_id, $POSTID, $element_description='', $page_element_icon = '',$type=''){
        global $cs_node,$post;
        $element_title = str_replace("cs_pb_","",$name);
        ?>
        <div class="column-in">
        <input type="hidden" name="<?php echo esc_attr($element_title); ?>_element_size[]" class="item" value="<?php echo esc_attr($element_size); ?>" >
        	<a href="javascript:;" onclick="javascript:ajax_shortcode_widget_element(jQuery(this),'<?php echo esc_js(admin_url('admin-ajax.php'));?>', '<?php echo esc_js($POSTID);?>','<?php echo esc_js($name);?>')" class="options"><i class="icon-gear"></i></a><a href="#" class="delete-it btndeleteit"><i class="icon-trash-o"></i></a> &nbsp; <a class="decrement" onclick="javascript:decrement(this)"><i class="icon-minus4"></i></a>
           &nbsp; <a class="increment" onclick="javascript:increment(this)"><i class="icon-plus3"></i></a> 
          	<span> <i class="cs-icon <?php echo str_replace("cs_pb_","",$name);?>-icon"></i> 
          	<strong>
         	<?php 
          	if($cs_node->getName() == 'page_element'){
                $element_name = $cs_node->element_name;
                $element_name = str_replace("cs-","",$element_name);
            } else {
                $element_name = $cs_node->getName();
            }
          	
			$elm_name	= str_replace('_',' ',$element_name);
			if(isset($elm_name) && $elm_name == 'fleet post'){
				_e("Fleet","logistic");	
			}else
			if(isset($elm_name) && $elm_name == 'multi price table'){
				echo ucfirst($elm_name);	
			}else
			if(isset($elm_name) && $elm_name == 'feature list'){
				echo ucfirst($elm_name);
			}else{
			$element_list =cs_element_list();
			echo cs_validate_data($element_list['element_list'][$elm_name]);
			}
			?>
            </strong>
          <?php echo esc_attr($element_description);?> </span>
        </div>
<?php
    }
}
function cs_element_list(){
	 $element_list = array();
	 $element_list['element_list'] = array(
		'gallery'		=> 	esc_html__('gallery','logistic'),
		'slider'		=> 	esc_html__('Slider','logistic'),
		'blog'			=> 	esc_html__('Blog','logistic'),
		'team'			=>	esc_html__('Team','logistic'),
		'teams'			=>	esc_html__('Teams','logistic'),
		'column'		=> 	esc_html__('Column','logistic'),
		'accordions'	=> 	esc_html__('Accordions','logistic'),
		'contact'		=> 	esc_html__('Contact','logistic'),
		'divider'		=> 	esc_html__('Divider','logistic'),
		'icons'		=> 	esc_html__('Icon','logistic'),
		//'donation'		=> 	esc_html__('Donation','logistic'),
		'message_box'	=> 	esc_html__('Message Box','logistic'),
		'image'			=> 	esc_html__('Image','logistic'),
		'image_frame'	=> 	esc_html__('Image Frame','logistic'),
		'map'			=> 	esc_html__('Map','logistic'),
		'video'			=> 	esc_html__('Video','logistic'),
		'quote'			=> 	esc_html__('Quote','logistic'),
		'quick_quote'	=> 	esc_html__('Quick Quote','logistic'),
		'quick quote'	=> 	esc_html__('Quick Quote','logistic'),
		'dropcap'		=> 	esc_html__('Drop cap','logistic'),
		'pricetable'	=> 	esc_html__('Price Table','logistic'),
		//'tabs'			=> 	esc_html__('Tabs','logistic'),
		'sitemap'		=> 	esc_html__('Sitemap','logistic'),
		'opening_hours'		=> 	esc_html__('Opening Hours','logistic'),
		'opening hours'		=> 	esc_html__('Opening Hours','logistic'),
		'accordion'		=> 	esc_html__('Accordion','logistic'),
		'prayer'		=> 	esc_html__('Prayer','logistic'),
		'prayer'		=> 	esc_html__('Prayer','logistic'),
		'table'			=> 	esc_html__('Table','logistic'),
		'call_to_action'	=> 	esc_html__('Call to Action','logistic'),
		'mission'	=> 	esc_html__('Mission','logistic'),
		'call to action'	=> 	esc_html__('Call to Action','logistic'),
		'flex column'		=> 	esc_html__('Flex Column','logistic'),
		'flex_column'		=> 	esc_html__('Flex Column','logistic'),
		'clients'			=> 	esc_html__('Clients','logistic'),
		'heading'			=> 	esc_html__('Heading','logistic'),
		'testimonials'		=> 	esc_html__('Testimonials','logistic'),
		'history'		    => 	esc_html__('History','logistic'),
		'infobox'			=> 	esc_html__('Info box','logistic'),
		'spacer'			=> 	esc_html__('Spacer','logistic'),
		'promobox'			=> 	esc_html__('Promo Box','logistic'),
		'offerslider'		=> 	esc_html__('Offer Slider','logistic'),
		'audio'				=> 	esc_html__('Audio','logistic'),
		'contactus'			=> 	esc_html__('Contact Us','logistic'),
		'tooltip'			=> 	esc_html__('Tooltip','logistic'),
		'location'			=> 	esc_html__('Location','logistic'),
		'services'			=> 	esc_html__('Services','logistic'),
		'service'			=> 	esc_html__('Services Listing','logistic'),
		'multiple services'	=> 	esc_html__('Multiple Services','logistic'),
		'highlight'			=> 	esc_html__('Highlight','logistic'),
		'list'				=> 	esc_html__('List','logistic'),
		'mesage'			=> 	esc_html__('Message','logistic'),
		'faq'				=> 	esc_html__('Faq','logistic'),
		'counter'			=> 	esc_html__('Counter','logistic'),
		'members'			=> 	esc_html__('Members','logistic'),
		'multiple_services'	=> 	esc_html__('Multiple Services','logistic'),
		'mailchimp'			=> 	esc_html__('Mail Chimp','logistic'),
		'multi_counters' => esc_html__('Multi Counter', 'logistic'),
		'multi counters' => esc_html__('Multi Counter', 'logistic'),
		'facilities'		=> 	esc_html__('Facilities','logistic'),
		'button'			=> 	esc_html__('Button','logistic'),
		'fleet'			=> 	esc_html__('Fleet','logistic'),
		'team_post'			=> 	esc_html__('Team','logistic'),
		'team post'			=> 	esc_html__('Team','logistic'),
		'flex_editor' => esc_html__('Flex Editor', 'logistic'),
        'flex editor' => esc_html__('Flex Editor', 'logistic'),
		'multi_price_table' => esc_html__('Multi Price Table', 'logistic')
 	 );
	 return $element_list;
}
/**
 * @Page builder Section Settings
 *
 *
 */
if ( ! function_exists( 'cs_column_pb' ) ) {
    function cs_column_pb($die = 0, $shortcode=''){
         global $post, $cs_node, $cs_xmlObject, $cs_count_node, $column_container, $coloum_width;
		 $total_widget = 0;
         $i = 1;
         $cs_page_section_title = $cs_page_section_height = $cs_page_section_width = '';
         $cs_section_background_option = '';
         $cs_section_bg_image = '';
         $cs_section_bg_image_position = '';
		 $cs_section_bg_image_repeat = '';
         $cs_section_parallax = '';
         $cs_section_flex_slider = '';
         $cs_section_custom_slider = '';
         $cs_section_video_url = '';
         $cs_section_video_mute = '';
         $cs_section_video_autoplay = '';
         $cs_section_border_bottom = '0';
         $cs_section_border_top = '0';
         $cs_section_border_color = '#e0e0e0';
         $cs_section_padding_top = '0';
         $cs_section_padding_bottom = '0';
         $cs_section_margin_top = '0';
         $cs_section_margin_bottom = '0';
         $cs_section_css_id = '';
         $cs_section_view = 'container';
         $cs_layout = '';         
         $cs_sidebar_left = '';
         $cs_sidebar_right = ''; 
         $cs_section_bg_color = '';
        if ( isset( $column_container ) ){
            $column_attributes= $column_container->attributes();
             $column_class = $column_attributes->class;
             $cs_section_background_option = $column_attributes->cs_section_background_option;
             $cs_section_bg_image = $column_attributes->cs_section_bg_image;
             $cs_section_bg_image_position = $column_attributes->cs_section_bg_image_position;
			 $cs_section_bg_image_repeat = $column_attributes->cs_section_bg_image_repeat;
             $cs_section_flex_slider = $column_attributes->cs_section_flex_slider;
             $cs_section_custom_slider = $column_attributes->cs_section_custom_slider;
             $cs_section_video_url = $column_attributes->cs_section_video_url;     
             $cs_section_video_mute = $column_attributes->cs_section_video_mute;
             $cs_section_video_autoplay = $column_attributes->cs_section_video_autoplay;
             $cs_section_bg_color = $column_attributes->cs_section_bg_color; 
             $cs_section_parallax = $column_attributes->cs_section_parallax;
             $cs_section_padding_top = $column_attributes->cs_section_padding_top;
             $cs_section_padding_bottom = $column_attributes->cs_section_padding_bottom; 
             $cs_section_border_bottom = $column_attributes->cs_section_border_bottom;
             $cs_section_border_top = $column_attributes->cs_section_border_top;
             $cs_section_border_color = $column_attributes->cs_section_border_color;
             $cs_section_margin_top = $column_attributes->cs_section_margin_top;
             $cs_section_margin_bottom = $column_attributes->cs_section_margin_bottom;
             $cs_section_css_id = $column_attributes->cs_section_css_id;
             $cs_section_view = $column_attributes->cs_section_view;
             $cs_layout = $column_attributes->cs_layout;
             $cs_sidebar_left = $column_attributes->cs_sidebar_left;
             $cs_sidebar_right = $column_attributes->cs_sidebar_right; 
        }
        $style='';    
        if ( isset($_POST['action']) ) {
            $name = $_POST['action'];
            $cs_counter = $_POST['counter'];
            $total_column = $_POST['total_column'];
            $column_class = $_POST['column_class'];
            $postID = $_POST['postID'];
            $randomno = rand(34,3242432);
            $rand = rand(1,999);
            $style='';
        } else {
            $postID = $post->ID;
            $name = '';
            $cs_counter = '';
            $total_column = 0;
            $rand = rand(1,999);
            $randomno = rand(34,3242432);
            $name = $_REQUEST['action'];
            $style='style="display:none;"';
        }
        $cs_page_elements_name = cs_shortcode_names();
        $cs_page_categories_name =  cs_elements_categories();
        
    ?>
    <div class="cs-page-composer composer-<?php echo absint($rand)?>" id="composer-<?php echo absint($rand)?>" style="display:none">
          <div class="page-elements">
                <div class="cs-heading-area">
                      <h5> <i class="icon-plus-circle"></i><?php esc_html_e('Add Element','logistic');?>  </h5>
                      <span class='cs-btnclose' onclick='javascript:removeoverlay("composer-<?php echo absint($rand)?>","append")'><i class="icon-times"></i></span> 
                  </div>
                <script>
                    jQuery(document).ready(function($){
                        cs_page_composer_filterable('<?php echo absint($rand)?>');
                    });
                </script>
            <div class="cs-filter-content">
              	<p><input type="text" id="quicksearch<?php echo absint($rand)?>" placeholder="<?php esc_html_e('Search','logistic');?>" /></p>
                  <div class="cs-filtermenu-wrap">
                        <h6><?php esc_html_e('Filter by','logistic');?></h6>
                        <ul class="cs-filter-menu" id="filters<?php echo absint($rand)?>">
                          <li data-filter="all" class="active"><?php esc_html_e('Show all','logistic');?></li>
                          <?php foreach($cs_page_categories_name as $key=>$value){?>
                          <li data-filter="<?php echo esc_attr($key);?>"><?php echo esc_attr($value);?></li>
                          <?php }?>
                        </ul>
                  </div>
              <div class="cs-filter-inner" id="page_element_container<?php echo absint($rand)?>">
					<?php foreach($cs_page_elements_name as $key=>$value){?>
                    	<div class="element-item <?php echo esc_attr($value['categories']);?>"> 
                    		<a href='javascript:ajaxSubmitwidget("cs_pb_<?php echo esc_js($value['name']);?>","<?php echo esc_js($rand)?>")'>
                      			<?php cs_page_composer_elements($value['title'], $value['icon']); ?>
                      		</a> 
                      </div>
                    <?php }?>                    
              </div>
            </div>
          </div>
    </div>
	<?php 
    if(isset($shortcode) && $shortcode <> ''){
        ?>
        <a class="button" href="javascript:_createpop('composer-<?php echo esc_js($rand)?>', 'filter')"><i class="icon-plus-circle"></i><?php esc_html_e('CS: Insert shortcode','logistic');?> </a>
    <?php
    } else {
    ?>
    <div id="<?php echo esc_attr($randomno);?>_del" class="column columnmain parentdeletesection column_100" >
      <div class="column-in"> <a class="button" href="javascript:_createpop('composer-<?php echo esc_js($rand)?>', 'filter')"><i class="icon-plus-circle"></i> <?php esc_html_e('Add Element','logistic');?></a>
            <p> <a href="javascript:_createpop('<?php echo esc_js($column_class.$randomno);?>','filterdrag')" class="options">
                <i class="icon-gear"></i></a> &nbsp; <a href="#" class="delete-it btndeleteitsection"><i class="icon-trash-o"></i></a> &nbsp; 
             </p>
      </div>
      <div class="column column_container page_section <?php echo sanitize_html_class($column_class);?>" >
			<?php
                $parts = explode('_', $column_class);
                if ( $total_column > 0  ){
                    for ( $i = 1; $i <= $total_column; $i++ ) {
                    ?>
        <div class="dragarea" data-item-width="col_width_<?php echo esc_attr($parts[$i]);?>">
              <input name="total_widget[]" type="hidden" value="0" class="textfld" />
              <div class="draginner" id="counter_<?php echo absint($rand)?>"></div>
        </div>
        <?php 
            }
        }
        $i = 1;
        
        if ( isset( $column_container ) ) {
            global $wpdb;
            $total_column = count($column_container->children());
            $section = 0;
            $section_widget_element_num = 0;
            foreach ( $column_container->children() as $column ){
                $section++;
                $total_widget = count($column->children());
                ?>
                <div class="dragarea" data-item-width="col_width_<?php echo esc_attr($parts[$i])?>">
                      <div class="toparea">
                        <input name="total_widget[]" type="hidden" value="<?php echo esc_attr($total_widget)?>" class="textfld page-element-total-widget" />
                      </div>
                  <div class="draginner" id="counter_<?php echo absint($rand)?>">
                    <?php
                        $shortcode_element = '';
                        $abccc_golabal = 'Glo0ab testinggg';
                        $filter_element = 'filterdrag';
                        $shortcode_view = '';
                        $global_array = array();
                        $section_widget__element = 0;
                        foreach ( $column->children() as $cs_node ){
                            $section_widget__element++;
                            $shortcode_element_idd = $rand.'_'.$section_widget__element;
                            $global_array[] = $cs_node;
                            $cs_count_node++;
                            $cs_counter = $postID.$cs_count_node;
                            $a = $name = "cs_pb_".$cs_node->getName();
                            $coloumn_class = 'column_'.$cs_node->page_element_size;
                            $abbbbc = (string)$cs_node->cs_shortcode;
                            $type = '';
                            if($cs_node->getName() == 'page_element'){
                                $type = 'page_element';
                            }
                            ?>
                        <div id="<?php echo esc_attr($name.$cs_counter);?>_del" class="column  parentdelete  <?php echo esc_attr($coloumn_class);?> <?php echo esc_attr($shortcode_view);?>" item="<?php echo esc_attr($cs_node->getName());?>" data="<?php echo cs_element_size_data_array_index($cs_node->page_element_size)?>" >
                        <?php cs_ajax_element_setting($cs_node->getName(),$cs_counter,$cs_node->page_element_size,$shortcode_element_idd, $postID, $element_description='', $cs_node->getName().'-icon',$type);?>
                            <div class="cs-wrapp-class-<?php echo esc_attr($cs_counter)?> <?php echo esc_attr($shortcode_element);?>" id="<?php echo esc_attr($name.$cs_counter)?>" style="display: none;">
                                <div class="cs-heading-area">
                                    <h5>Edit  <?php echo esc_attr($cs_node->getName());?> Options</h5>
                                    <a href="javascript:;" onclick="javascript:_removerlay(jQuery(this))" class="cs-btnclose"><i class="icon-times"></i></a>
                                </div>
                                <?php 
                                echo '<input type="hidden"  class="cs-wiget-element-type"  id="shortcode_'.$name.$cs_counter.'" name="cs_widget_element_num[]" value="shortcode" />';
                                ?>
                                <div class="pagebuilder-data-load">
                                    <?php
                                        echo '<input type="hidden" name="cs_orderby[]" value="'.$cs_node->getName().'" />';
                                        echo '<textarea name="shortcode['.$cs_node->getName().'][]" style="display:none;" class="cs-textarea-val">'.htmlspecialchars_decode($cs_node->cs_shortcode).'</textarea>';
                                     ?>
                                </div>
                             </div>
                        </div>
                        <?php
                        }
                        ?>
                  </div>
                </div>
        <?php
                $i++;
            }
        }
        ?>
      </div>
    <div id="<?php echo esc_attr($column_class.$randomno);?>" style="display:none">
        <div class="cs-heading-area">
          <h5><?php esc_html_e('Edit Page Section','logistic');?></h5>
          <a href="javascript:removeoverlay('<?php echo esc_js($column_class.$randomno);?>','filterdrag')" class="cs-btnclose"><i class="icon-times"></i></a> </div>
        <div class="cs-pbwp-content">
        	<div class="cs-wrapp-clone cs-shortcode-wrapp">
              <ul class="form-elements  ">
                <li class="to-label">
                  <label><?php esc_html_e('Background View','logistic');?></label>
                </li>
                <li class="to-field">
                  <div class="input-sec">
                    <div class="select-style">
                      <select name="cs_section_background_option[]" class="dropdown" onchange="javascript:cs_section_background_settings_toggle(this.value,'<?php echo absint($randomno);?>')">
                        <option <?php if($cs_section_background_option=='no-image') echo "selected";?> value="no-image"><?php esc_html_e('None','logistic');?></option>
                        <option <?php if($cs_section_background_option=='section-custom-background-image') echo "selected";?> value="section-custom-background-image"><?php esc_html_e('Background Image','logistic');?></option>
                        <option <?php if($cs_section_background_option=='section-custom-slider') echo "selected";?> value="section-custom-slider"><?php esc_html_e('Custom Slider','logistic');?></option>
                        <option  <?php if($cs_section_background_option=='section_background_video')echo "selected";?> value="section_background_video" > <?php esc_html_e('Video','logistic');?></option>
                      </select>
                    </div>
                  </div>
                </li>
              </ul>
          <div class="meta-body noborder section-custom-background-image-<?php echo esc_attr($randomno);?>" style=" <?php if($cs_section_background_option == "section-custom-background-image"){echo "display:block";}else echo "display:none";?>" >
                <ul class="form-elements noborder">
                  <li class="to-label">
                    <label><?php esc_html_e('Background Image','logistic');?></label>
                  </li>
                  <li class="to-field">
                    <input id="cs_section_bg_image<?php echo absint($rand);?>" name="cs_section_bg_image[]" type="hidden" class="" value="<?php echo esc_url($cs_section_bg_image);?>"/>
                    <input name="cs_section_bg_image<?php echo absint($rand);?>"  type="button" class="uploadMedia left" value="<?php esc_html_e('Browse','logistic');?>"/>
                  </li>
                </ul>
                <div class="page-wrap" style="overflow:hidden; display:<?php echo esc_attr($cs_section_bg_image) && trim($cs_section_bg_image) !='' ? 'inline' : 'none';?>" id="cs_section_bg_image<?php echo absint($rand);?>_box" >
                  <div class="gal-active">
                    <div class="dragareamain" style="padding-bottom:0px;">
                      <ul id="gal-sortable">
                        <li class="ui-state-default" id="">
                          <div class="thumb-secs"> <img src="<?php echo esc_url($cs_section_bg_image);?>"  id="cs_section_bg_image<?php echo absint($rand);?>_img" width="100" height="150"  />
                            <div class="gal-edit-opts"> <a href="javascript:del_media('cs_section_bg_image<?php echo absint($rand);?>')" class="delete"></a> </div>
                          </div>
                        </li>
                      </ul>
                    </div>
                  </div>
                </div>
                <ul class="form-elements noborder">
                  <li class="to-label">
                    <label><?php esc_html_e('Background Image Position','logistic');?></label>
                  </li>
                  <li class="to-field">
                    <div class="input-sec">
                      <div class="select-style">
                        <select name="cs_section_bg_image_position[]" class="select_dropdown">
                          <option value=""><?php esc_html_e('Select position','logistic');?></option>
                          <option value="left" <?php if ($cs_section_bg_image_position=='light')echo "selected";?>><?php esc_html_e('Left','logistic');?></option>
                          <option value="right" <?php if ($cs_section_bg_image_position=='right')echo "selected";?>><?php esc_html_e('Right','logistic');?></option>
                          <option value="center" <?php if ($cs_section_bg_image_position=='center')echo "selected";?>><?php esc_html_e('Center','logistic');?></option>
                        </select>
                      </div>
                    </div>
                  </li>
                </ul>
                <ul class="form-elements noborder">
                  <li class="to-label">
                    <label><?php esc_html_e('Background Image Position','logistic');?></label>
                  </li>
                  <li class="to-field">
                    <div class="input-sec">
                      <div class="select-style">
                        <select name="cs_section_bg_image_repeat[]" class="select_dropdown">
                          <option value="repeat" <?php if ($cs_section_bg_image_repeat=='repeat')echo "selected";?>><?php esc_html_e('Repeat','logistic');?></option>
                          <option value="no-repeat" <?php if ($cs_section_bg_image_repeat=='no-repeat')echo "selected";?>><?php esc_html_e('No Repeat','logistic');?></option>
                        </select>
                      </div>
                    </div>
                  </li>
                </ul>
          </div>
          <div class="meta-body noborder section-slider-<?php echo esc_attr($randomno);?>" style=" <?php if($cs_section_background_option == "section-slider"){echo "display:block";}else echo "display:none";?>" >
            <?php //cs_section_slider('section_field_name2');?>
          </div>
          <div class="meta-body noborder section-custom-slider-<?php echo esc_attr($randomno);?>" style=" <?php if($cs_section_background_option == "section-custom-slider"){echo "display:block";}else echo "display:none";?>" >
                <ul class="form-elements noborder">
                  <li class="to-label">
                    <label><?php esc_html_e('Custom Slider','logistic');?></label>
                  </li>
                  <li class="to-field">
                    <div class="input-sec">
                        <input type="text" name="cs_section_custom_slider[]" class="txtfield" value="<?php echo esc_attr($cs_section_custom_slider);;?>" />
                    </div>
                  </li>
                </ul>
          </div>
          <div class="meta-body noborder section-background-video-<?php echo esc_attr($randomno);?>" style=" <?php if($cs_section_background_option == "section_background_video"){echo "display:block";}else echo "display:none";?>">
                <ul class="form-elements">
                  <li class="to-label">
                    <label><?php esc_html_e('Video Url','logistic');?></label>
                  </li>
                  <li class="to-field">
                    <div class="input-sec">
                      <input id="cs_section_video_url_<?php echo esc_attr($randomno)?>" name="cs_section_video_url[]" value="<?php echo esc_url($cs_section_video_url);;?>" type="text" />
                      <label class="cs-browse">
                        <input name="cs_section_video_url_<?php echo esc_attr($randomno);?>" type="button" class="uploadMedia left" value="<?php esc_html_e('Browse','logistic');?>" />
                      </label>
                    </div>
                    <div class="left-info">
                      <p><?php esc_html_e('Please enter Vimeo/Youtube Video Url','logistic');?></p>
                    </div>
                  </li>
                </ul>
                <ul class="form-elements">
                <li class="to-label">
                  <label><?php esc_html_e('Enable Mute','logistic');?></label>
                </li>
                <li class="to-field">
                  <div class="input-sec">
                    <div class="select-style">
                      <select name="cs_section_video_mute[]" class="select_dropdown">
                        <option value="yes" <?php if ($cs_section_video_mute=='yes')echo "selected";?>><?php esc_html_e('Yes','logistic');?></option>
                        <option value="no" <?php if ($cs_section_video_mute=='no')echo "selected";?>><?php esc_html_e('No','logistic');?></option>
                      </select>
                    </div>
                  </div>
                </li>
              </ul>
              <ul class="form-elements">
                <li class="to-label">
                  <label><?php esc_html_e('Video Auto Play','logistic');?></label>
                </li>
                <li class="to-field">
                  <div class="input-sec">
                    <div class="select-style">
                      <select name="cs_section_video_autoplay[]" class="select_dropdown">
                        <option value="yes" <?php if ($cs_section_video_autoplay=='yes')echo "selected";?>><?php esc_html_e('Yes','logistic');?></option>
                        <option value="no" <?php if ($cs_section_video_autoplay=='no')echo "selected";?>><?php esc_html_e('No','logistic');?></option>
                      </select>
                    </div>
                  </div>
                </li>
              </ul>
          </div>
              <ul class="form-elements noborder">
                <li class="to-label">
                  <label><?php esc_html_e('Enable Parallax','logistic');?></label>
                </li>
                <li class="to-field">
                  <div class="input-sec">
                    <div class="select-style">
                      <select name="cs_section_parallax[]" class="select_dropdown">
                        <option value="no" <?php if ($cs_section_parallax=='no')echo "selected";?>><?php esc_html_e('No','logistic');?></option>
                        <option value="yes" <?php if ($cs_section_parallax=='yes')echo "selected";?>><?php esc_html_e('Yes','logistic');?></option>
                      </select>
                    </div>
                  </div>
                </li>
              </ul>
              <ul class="form-elements">
                <li class="to-label">
                  <label><?php esc_html_e('Select View','logistic');?></label>
                </li>
                <li class="to-field">
                  <div class="input-sec">
                    <div class="select-style">
                      <select name="cs_section_view[]" class="select_dropdown">
                        <option value="container" <?php if ($cs_section_view=='container')echo "selected";?>><?php esc_html_e('Box','logistic');?></option>
                        <option value="wide" <?php if ($cs_section_view=='wide')echo "selected";?>><?php esc_html_e('Wide','logistic');?></option>
                      </select>
                    </div>
                  </div>
                </li> 
              </ul>
              <ul class="form-elements noborder">
                <li class="to-label">
                  <label><?php esc_html_e('Background Color','logistic');?></label>
                </li>
                <li class="to-field">
                  <div class="input-sec">
                    <input type="text" name="cs_section_bg_color[]" class="bg_color" value="<?php if(isset($cs_section_bg_color)) echo esc_attr($cs_section_bg_color);?>" />
                  </div>
                </li>
              </ul>
              <ul class="form-elements">
                <li class="to-label">
                  <label><?php esc_html_e('Padding Top','logistic');?></label>
                </li>
                <li class="to-field">
                  <div class="input-sec">
                    <div class="cs-drag-slider" data-slider-min="0" data-slider-max="100" data-slider-step="1" data-slider-value="<?php echo absint($cs_section_padding_top)?>"></div>
                    <input  class="cs-range-input"  name="cs_section_padding_top[]" type="text" value="<?php echo absint($cs_section_padding_top)?>"   />
                    <p><?php esc_html_e('Set the Padding top (In px)','logistic');?></p>
                  </div>
                </li>
              </ul>
              <ul class="form-elements">
                <li class="to-label">
                  <label><?php esc_html_e('Padding Bottom','logistic');?></label>
                </li>
                <li class="to-field">
                  <div class="input-sec">
                    <div class="cs-drag-slider" data-slider-min="0" data-slider-max="100" data-slider-step="1" data-slider-value="<?php echo absint($cs_section_padding_bottom);?>"></div>
                    <input  class="cs-range-input"  name="cs_section_padding_bottom[]" type="text" value="<?php echo absint($cs_section_padding_bottom);?>"   />
                    <p><?php esc_html_e('Set the Padding Bottom (In px)','logistic');?></p>
                  </div>
                </li>
              </ul>
              <ul class="form-elements">
                <li class="to-label">
                  <label><?php esc_html_e('Margin Top','logistic');?></label>
                </li>
                <li class="to-field">
                  <div class="input-sec">
                    <div class="cs-drag-slider" data-slider-min="0" data-slider-max="20" data-slider-step="1" data-slider-value="<?php echo cs_allow_special_char($cs_section_margin_top);?>"></div>
                    <input  class="cs-range-input"  name="cs_section_margin_top[]" type="text" value="<?php echo cs_allow_special_char($cs_section_margin_top);?>"   />
                    <p><?php esc_html_e('Set the Border Bottom (In px)','logistic');?></p>
                  </div>
                </li>
              </ul>
              <ul class="form-elements">
                <li class="to-label">
                  <label><?php esc_html_e('Margin Bottom','logistic');?></label>
                </li>
                <li class="to-field">
                  <div class="input-sec">
                    <div class="cs-drag-slider" data-slider-min="0" data-slider-max="20" data-slider-step="1" data-slider-value="<?php echo cs_allow_special_char($cs_section_margin_bottom);?>"></div>
                    <input  class="cs-range-input"  name="cs_section_margin_bottom[]" type="text" value="<?php echo cs_allow_special_char($cs_section_margin_bottom);?>"   />
                    <p><?php esc_html_e('Set the Margin Bottom (In px)','logistic');?></p>
                  </div>
                </li>
              </ul>
              <ul class="form-elements">
                <li class="to-label">
                  <label><?php esc_html_e('Border Top','logistic');?></label>
                </li>
                <li class="to-field">
                  <div class="input-sec">
                    <div class="cs-drag-slider" data-slider-min="0" data-slider-max="20" data-slider-step="1" data-slider-value="<?php echo absint($cs_section_border_top);?>"></div>
                    <input  class="cs-range-input"  name="cs_section_border_top[]" type="text" value="<?php echo absint($cs_section_border_top);?>"   />
                    <p><?php esc_html_e('Set the Border top (In px)','logistic');?></p>
                  </div>
                </li>
              </ul>
              <ul class="form-elements">
                <li class="to-label">
                  <label><?php esc_html_e('Border Bottom','logistic');?></label>
                </li>
                <li class="to-field">
                  <div class="input-sec">
                    <div class="cs-drag-slider" data-slider-min="0" data-slider-max="20" data-slider-step="1" data-slider-value="<?php echo absint($cs_section_border_bottom);?>"></div>
                    <input  class="cs-range-input"  name="cs_section_border_bottom[]" type="text" value="<?php echo absint($cs_section_border_bottom);?>"   />
                    <p><?php esc_html_e('Set the Border Bottom (In px)','logistic');?></p>
                  </div>
                </li>
              </ul>
              <ul class="form-elements">
                <li class="to-label">
                  <label><?php esc_html_e('Border Color','logistic');?></label>
                </li>
                <li class="to-field">
                  <div class="input-sec">
                    <input type="text" name="cs_section_border_color[]" class="bg_color" value="<?php echo esc_attr($cs_section_border_color);?>" />
                  </div>
                </li>
              </ul>
              <ul class="form-elements">
                <li class="to-label">
                  <label><?php esc_html_e('Custom Id','logistic');?></label>
                </li>
                <li class="to-field">
                  <div class="input-sec">
                    <input type="text" name="cs_section_css_id[]" class="txtfield" value="<?php echo esc_attr($cs_section_css_id);?>" />
                  </div>
                </li>
              </ul>
              <div class="form-elements elementhiddenn">
                    <ul class="noborder">
                      <li class="to-label">
                        <label><?php esc_html_e('Select Layout','logistic');?></label>
                      </li>
                      <li class="to-field">
                        <div class="meta-input">
                          <div class="meta-input pattern">
                            <div class='radio-image-wrapper'>
                              <input <?php if($cs_layout=="none")echo "checked"?> onclick="show_sidebar('none','<?php echo esc_js($randomno);?>')" type="radio" name="cs_layout[<?php echo esc_attr($rand);?>][]" class="radio_cs_sidebar" value="none" id="radio_1<?php echo esc_attr($randomno);?>" />
                              <label for="radio_1<?php echo esc_attr($randomno)?>"> <span class="ss"><img src="<?php echo esc_url(get_template_directory_uri().'/include/assets/images/no_sidebar.png')?>"  alt="<?php echo cs_get_post_img_title($post->ID); ?>" /></span> <span <?php if($cs_layout=="none")echo "class='check-list'"?> id="check-list"></span> </label>
                            </div>
                            <div class='radio-image-wrapper'>
                              <input <?php if($cs_layout=="right")echo "checked"?> onclick="show_sidebar('right','<?php echo esc_js($randomno)?>')" type="radio" name="cs_layout[<?php echo esc_attr($rand);?>][]" class="radio_cs_sidebar" value="right" id="radio_2<?php echo esc_attr($randomno);?>"  />
                              <label for="radio_2<?php echo esc_attr($randomno)?>"> <span class="ss"><img src="<?php echo esc_url(get_template_directory_uri().'/include/assets/images/sidebar_right.png')?>" alt="<?php echo cs_get_post_img_title($post->ID); ?>" /></span> <span <?php if($cs_layout=="right")echo "class='check-list'"?> id="check-list"></span> </label>
                            </div>
                            <div class='radio-image-wrapper'>
                              <input <?php if($cs_layout=="left")echo "checked"?> onclick="show_sidebar('left','<?php echo esc_attr($randomno);?>')" type="radio" name="cs_layout[<?php echo esc_attr($rand)?>][]" class="radio_cs_sidebar" value="left" id="radio_3<?php echo esc_attr($randomno);?>" />
                              <label for="radio_3<?php echo esc_attr($randomno);?>"> <span class="ss"><img src="<?php echo esc_url(get_template_directory_uri().'/include/assets/images/sidebar_left.png');?>" alt="<?php echo cs_get_post_img_title($post->ID); ?>" /></span> <span <?php if($cs_layout=="left")echo "class='check-list'"?> id="check-list"></span> </label>
                            </div>
                          </div>
                        </div>
                      </li>
                    </ul>
               		<ul class="meta-body" style=" <?php if($cs_layout == "left"){echo "display:block";}else echo "display:none";?>" id="<?php echo esc_attr($randomno);?>_sidebar_left" >
                      <li class="to-label">
                        <label><?php esc_html_e('Select Left Sidebar','logistic');?></label>
                      </li>
                      <li class="to-field">
                        <select name="cs_sidebar_left[]" class="select_dropdown">
                          <?php
                                   global $wpdb, $cs_theme_options;
                                 $cs_theme_option = $cs_theme_options;
                            $cs_theme_option = get_option('cs_theme_options');
                            if ( isset($cs_theme_option['sidebar']) and count($cs_theme_option['sidebar']) > 0 ) {
                                foreach ( $cs_theme_option['sidebar'] as $sidebar ){?>
                            <option <?php if ($cs_sidebar_left==$sidebar)echo "selected";?> ><?php echo esc_attr($sidebar);;?></option>
                            <?php
                                }
                            }
                         ?>
                        </select>
                        <p> <?php esc_html_e('Add New Sidebar','logistic');?> <a href="<?php echo esc_url(admin_url());?>themes.php?page=cs_theme_options#tab-manage-sidebars-show" target="_blank"><?php esc_html_e('Click Here','logistic');?></a></p>
                      </li>
                </ul>
                	<ul class="meta-body" style=" <?php if($cs_layout == "right"){echo "display:block";}else echo "display:none";?>" id="<?php echo esc_attr($randomno);?>_sidebar_right" >
                      <li class="to-label">
                        <label><?php esc_html_e('Select Right Sidebar','logistic');?></label>
                      </li>
                      <li class="to-field">
                        <select name="cs_sidebar_right[]" class="select_dropdown">
                          <?php
                            if ( isset($cs_theme_option['sidebar']) and count($cs_theme_option['sidebar']) > 0 ) {
                                foreach ( $cs_theme_option['sidebar'] as $sidebar ){
                                ?>
                          <option <?php if ($cs_sidebar_right==$sidebar)echo "selected";?> ><?php echo esc_attr($sidebar);?></option>
                          <?php
                                }
                            }
                            ?>
                        </select>
                        <p>><?php esc_html_e('Add New Sidebar','logistic');?>  <a href="<?php echo esc_url(admin_url('themes.php?page=cs_theme_options#tab-manage-sidebars-show'));?>" target="_blank"><?php esc_html_e('Click Here','logistic');?></a></p>
                      </li>
                </ul>
              </div>
              <ul class="form-elements noborder">
                <li class="to-label"></li>
                <li class="to-field">
                  <input type="button" value="<?php esc_html_e('Save','logistic');?>" style="margin-right:10px;" onclick="javascript:removeoverlay('<?php echo esc_js($column_class.$randomno);?>','filterdrag')" />
                </li>
              </ul>
        </div>
        </div>
      </div>
      <input type="hidden" name="column_rand_id[]" value="<?php echo esc_attr($rand);?>" />
      <input type="hidden" name="column_class[]" value="<?php echo esc_attr($column_class);?>" />
      <input type="hidden" name="total_column[]" value="<?php echo esc_attr($total_column);?>" />
    </div>
<?php

        }
    
        if ( $die <> 1 ) die();
    }
    add_action('wp_ajax_cs_column_pb', 'cs_column_pb');
}

/**
 * @Media Pagination for slider/gallery in admin side
 *
 *
 */
if ( ! function_exists( 'media_pagination' ) ) {
    function media_pagination($id='',$func='clone'){
        foreach ( $_REQUEST as $keys=>$values) {
            $$keys = $values;
        }
        $records_per_page = 18;
        if ( empty($page_id) ) $page_id = 1;
        $offset = $records_per_page * ($page_id-1);
    
    ?>
<ul class="gal-list">
  <?php
        $query_images_args = array('post_type' => 'attachment', 'post_mime_type' =>'image', 'post_status' => 'inherit', 'posts_per_page' => -1,);
        $query_images = new WP_Query( $query_images_args );
        if ( empty($total_pages) ) $total_pages = count( $query_images->posts );
        $query_images_args = array('post_type' => 'attachment', 'post_mime_type' =>'image', 'post_status' => 'inherit', 'posts_per_page' => $records_per_page, 'offset' => $offset,);
        $query_images = new WP_Query( $query_images_args );
        $images = array();
        foreach ( $query_images->posts as $image) {
            $image_path = wp_get_attachment_image_src( $image->ID, array( get_option("thumbnail_size_w"),get_option("thumbnail_size_h") ) );

        ?>
  <li style="cursor:pointer"><img src="<?php echo esc_url($image_path[0]);?>" onclick="javascript:<?php echo esc_attr($func);?>('<?php echo esc_js($image->ID)?>','gal-sortable-<?php echo esc_js($id);?>')" alt="<?php echo cs_get_post_img_title($post->ID); ?>" /></li>
  <?php } ?>
</ul>
<br />
<div class="pagination-cus">
      <ul>
        <?php
            if ( $page_id > 1 ) echo "<li><a href='javascript:show_next(".($page_id-1).",$total_pages)'>Prev</a></li>";
                for ( $i = 1; $i <= ceil($total_pages/$records_per_page); $i++ ) {
                    if ( $i <> $page_id ) echo "<li><a href='javascript:show_next($i,$total_pages)'>" . $i . "</a></li> ";
                    else echo "<li class='active'><a>" . $i . "</a></li>";
                }
            if ( $page_id < $total_pages/$records_per_page ) echo "<li><a href='javascript:show_next(".($page_id+1).",$total_pages)'>Next</a></li>";
        ?>
      </ul>
</div>
<?php
        if ( isset($_POST['action']) ) die();
    }
    add_action('wp_ajax_media_pagination', 'media_pagination');
}

/**
 * @Media Slider Pagination
 *
 *
 */
if ( ! function_exists( 'cs_slider_media_pagination' ) ) {
    function cs_slider_media_pagination( $id = '', $func = 'clone' ) {
      
        foreach ( $_REQUEST as $keys=>$values) {
            $$keys = $values;
        }
        $records_per_page = 18;
        if ( empty($page_id) ) $page_id = 1;
        $offset = $records_per_page * ($page_id-1);
    
    ?>
    <ul class="gal-list">
		<?php
            $query_images_args = array('post_type' => 'attachment', 'post_mime_type' =>'image', 'post_status' => 'inherit', 'posts_per_page' => -1,);
            $query_images = new WP_Query( $query_images_args );
            if ( empty($total_pages) ) $total_pages = count( $query_images->posts );
            $query_images_args = array('post_type' => 'attachment', 'post_mime_type' =>'image', 'post_status' => 'inherit', 'posts_per_page' => $records_per_page, 'offset' => $offset,);
            $query_images = new WP_Query( $query_images_args );
            $images = array();
            foreach ( $query_images->posts as $image) {
                $image_path = wp_get_attachment_image_src( $image->ID, array( get_option("thumbnail_size_w"), get_option("thumbnail_size_h") ) );
		?>
      <li style="cursor:pointer"><img src="<?php echo esc_url($image_path[0]);?>" onclick="javascript:slider('<?php echo esc_js($image->ID)?>','gal-sortable-<?php echo esc_js($id);?>')" alt="<?php echo cs_get_post_img_title($post->ID); ?>" /></li>
      <?php  } ?>
    </ul>
<br />
<div class="pagination-cus">
      <ul>
        <?php
            if ( $page_id > 1 ) echo "<li><a href='javascript:slider_show_next(".($page_id-1).",$total_pages)'>Prev</a></li>";
                for ( $i = 1; $i <= ceil($total_pages/$records_per_page); $i++ ) {
                    if ( $i <> $page_id ) echo "<li><a href='javascript:slider_show_next($i,$total_pages)'>" . $i . "</a></li> ";
                    else echo "<li class='active'><a>" . $i . "</a></li>";
                }
            if ( $page_id < $total_pages/$records_per_page ) echo "<li><a href='javascript:slider_show_next(".($page_id+1).",$total_pages)'>Next</a></li>";
    
            ?>
      </ul>
</div>
<?php
        if ( isset($_POST['action']) ) die();
    }
    add_action('wp_ajax_cs_slider_media_pagination', 'cs_slider_media_pagination');
}
/**
 * @Make a copy of media image for slider start
 *
 *
 */
if ( ! function_exists( 'cs_slider_clone' ) ) {
    function cs_slider_clone(){
        global $cs_node, $cs_counter;
        if( isset($_POST['action']) ) {
            $cs_node = array();
            $cs_node['cs_slider_title'] 	  = '';
            $cs_node['cs_slider_description'] = '';
            $cs_node['cs_slider_link'] 		  = '';
            $cs_node['cs_slider_link_target'] = '';
            $cs_node['slider_use_image_as']   = '';
            $cs_node['slider_video_code'] 	  = '';
        }
        if ( isset($_POST['counter']) ) $cs_counter = $_POST['counter'];
        if ( isset($_POST['path']) ) $cs_node['cs_slider_path'] = $_POST['path'];
    
    ?>
<li class="ui-state-default" id="<?php echo esc_attr($cs_counter)?>">
      <div class="thumb-secs">
        <?php $image_path = wp_get_attachment_image_src( $cs_node['cs_slider_path'], array( get_option("thumbnail_size_w"),get_option("thumbnail_size_h") ) );?>
        <img src="<?php echo esc_url($image_path[0])?>" alt="<?php echo cs_get_post_img_title($post->ID); ?>">
        <div class="gal-edit-opts"> 
          <a href="javascript:slidedit(<?php echo esc_attr($cs_counter)?>)" class="edit"></a> <a href="javascript:del_this('wrapper_post_detail_slider',<?php echo esc_js($cs_counter)?>)" class="delete"></a> </div>
  </div>
  <div class="poped-up" id="edit_<?php echo esc_attr($cs_counter)?>">
    <div class="cs-heading-area">
      <h5><?php esc_html_e('Edit Options','logistic');?></h5>
      <a href="javascript:slideclose(<?php echo esc_js($cs_counter)?>)" class="closeit">&nbsp;</a>
      <div class="clear"></div>
    </div>
    <div class="cs-pbwp-content">
          <ul class="form-elements">
            <li class="to-label">
              <label><?php esc_html_e('Image Title','logistic');?></label>
            </li>
            <li class="to-field">
              <input type="text" name="cs_slider_title[]" value="<?php echo htmlspecialchars($cs_node['cs_slider_title'])?>" class="txtfield" />
            </li>
          </ul>
          <ul class="form-elements">
            <li class="to-label">
              <label><?php esc_html_e('Image Description','logistic');?></label>
            </li>
            <li class="to-field">
              <textarea class="txtarea" name="cs_slider_description[]"><?php echo htmlspecialchars($cs_node['cs_slider_description'])?></textarea>
            </li>
          </ul>
          <ul class="form-elements">
            <li class="to-label">
              <label><?php esc_html_e('Link','logistic');?></label>
            </li>
            <li class="to-field">
              <input type="text" name="cs_slider_link[]" value="<?php echo htmlspecialchars($cs_node['cs_slider_link'])?>" class="txtfield" />
            </li>
          </ul>
          <ul class="form-elements">
            <li class="to-label">
              <label><?php esc_html_e('Link Target','logistic');?></label>
            </li>
            <li class="to-field">
              <select name="cs_slider_link_target[]" class="select_dropdown">
                <option <?php if($cs_node['link_target']=="_self")echo "selected";?> >_self</option>
                <option <?php if($cs_node['link_target']=="_blank")echo "selected";?> >_blank</option>
              </select>
              <p><?php esc_html_e('Please select image target','logistic');?></p>
            </li>
          </ul>
          <ul class="form-elements">
            <li class="to-label"></li>
            <li class="to-field">
              <input type="hidden" name="cs_slider_path[]" value="<?php echo esc_attr($cs_node['cs_slider_path'])?>" />
              <input type="button" value="Submit" onclick="javascript:slideclose(<?php echo esc_js($cs_counter)?>)" class="close-submit" />
            </li>
          </ul>
      <div class="clear"></div>
    </div>
  </div>
</li>
<?php
        if ( isset($_POST['action']) ) die();
    }
    add_action('wp_ajax_slider_clone', 'cs_slider_clone');
}


/**
 * @Make a copy of media image for gallery start
 *
 *
 */
if ( ! function_exists( 'cs_gallery_clone' ) ) {
    function cs_gallery_clone($clone_field_name = ''){
        global $cs_node, $cs_counter;
        if( isset($_POST['action']) ) {
            $cs_node = array();
            $cs_node['title'] 				= "";
            $cs_node['use_image_as']  		= "";
            $cs_node['video_code'] 			= "";
            $cs_node['link_url'] 			= "";
            $cs_node['use_image_as_db']   	= "";
            $cs_node['link_url_db'] 		= "";
        }
        if ( isset($_POST['counter']) ) $cs_counter = $_POST['counter'];
        if ( isset($_POST['path']) ) $cs_node['path'] = $_POST['path'];
    ?>
<li class="ui-state-default" id="<?php echo esc_attr($cs_counter);?>">
  <div class="thumb-secs">
    <?php $image_path = wp_get_attachment_image_src( $cs_node['path'], array( get_option("thumbnail_size_w"),get_option("thumbnail_size_h") ) );?>
    <img src="<?php echo esc_url($image_path[0]);?>" alt="<?php echo cs_get_post_img_title($post->ID); ?>">
        <div class="gal-edit-opts"> 
          <a href="javascript:galedit(<?php echo esc_js($cs_counter)?>)" class="edit"></a> <a href="javascript:del_this('wrapper_thumb_slider',<?php echo esc_js($cs_counter);?>)" class="delete"></a>
         </div>
  </div>
 	 <div class="poped-up" id="edit_<?php echo esc_attr($cs_counter);?>">
        <div class="cs-heading-area">
          <h5><?php esc_html_e('Edit Options','logistic');?></h5>
          <a href="javascript:galclose(<?php echo esc_attr($cs_counter);?>)" class="closeit">&nbsp;</a>
         </div>
        <div class="cs-pbwp-content">
              <ul class="form-elements">
                    <li class="to-label">
                      <label><?php esc_html_e('Image Title','logistic');?></label>
                    </li>
                    <li class="to-field">
                      <input type="text" name="<?php echo esc_attr($clone_field_name);?>title[]" value="<?php echo htmlspecialchars($cs_node['title'])?>" class="txtfield" />
                    </li>
              </ul>
              <ul class="form-elements">
                    <li class="to-label">
                      <label><?php esc_html_e('Use Image As','logistic');?></label>
                    </li>
                    <li class="to-field">
                      <select name="<?php echo esc_attr($clone_field_name);?>use_image_as[]" class="select_dropdown" onchange="cs_toggle_gal(this.value, <?php echo esc_js($cs_counter)?>)">
                        <option <?php if($cs_node['use_image_as']=="0")echo "selected";?> value="0"><?php esc_html_e('LightBox to current thumbnail','logistic');?></option>
                        <option <?php if($cs_node['use_image_as']=="1")echo "selected";?> value="1"><?php esc_html_e('LightBox to Video','logistic');?></option>
                        <option <?php if($cs_node['use_image_as']=="2")echo "selected";?> value="2"><?php esc_html_e('Link','logistic');?></option>
                      </select>
                      <p><?php esc_html_e('Please select Image link where it will go','logistic');?></p>
                    </li>
              </ul>
              <ul class="form-elements" id="video_code<?php echo esc_attr($cs_counter);?>" <?php if($cs_node['use_image_as']=="0" or $cs_node['use_image_as']=="" or $cs_node['use_image_as']=="2")echo 'style="display:none"';?> >
                    <li class="to-label">
                      <label><?php esc_html_e('Video Url','logistic');?></label>
                    </li>
                    <li class="to-field">
                      <input type="text" name="<?php echo esc_attr($clone_field_name);?>video_code[]" value="<?php echo htmlspecialchars($cs_node['video_code'])?>" class="txtfield" />
                      <p><?php esc_html_e('Enter Specific Video Url Youtube or Vimeo','logistic');?></p>
                    </li>
              </ul>
              <ul class="form-elements" id="<?php echo esc_attr($clone_field_name);?>link_url<?php echo esc_attr($cs_counter)?>" <?php if($cs_node['use_image_as']=="0" or $cs_node['use_image_as']=="" or $cs_node['use_image_as']=="1")echo 'style="display:none"';?> >
                    <li class="to-label">
                      <label><?php esc_html_e('Url','logistic');?></label>
                    </li>
                    <li class="to-field">
                      <input type="text" name="<?php echo esc_attr($clone_field_name);?>link_url[]" value="<?php echo htmlspecialchars($cs_node['link_url'])?>" class="txtfield" />
                      <p><?php esc_html_e('Enter Specific Link','logistic');?></p>
                    </li>
              </ul>
              <ul class="form-elements">
                    <li class="to-label"></li>
                    <li class="to-field">
                      <input type="hidden" name="<?php echo esc_attr($clone_field_name);?>path[]" value="<?php echo esc_attr($cs_node['path']);?>" />
                      <input type="button" onclick="javascript:galclose(<?php echo esc_attr($cs_counter);?>)" value="Submit" class="close-submit" />
                    </li>
              </ul>
          <div class="clear"></div>
        </div>
  </div>
</li>
<?php
        if ( isset($_POST['action']) ) die();
    }
    add_action('wp_ajax_gallery_clone', 'cs_gallery_clone');
}

/**
 * @Section element Size(s)
 *
 *
 */
if ( ! function_exists( 'element_size_data_array_index' ) ) {
	function element_size_data_array_index($size){
		if ( $size == "" or $size == 100 ) return 0;
		else if ( $size == 75 ) return 1;
		else if ( $size == 67 ) return 2;
		else if ( $size == 50 ) return 3;
		else if ( $size == 33 ) return 4;
		else if ( $size == 25 ) return 5;
	
	}
}

/**
 * @Section element Size(s)
 *
 *
 */
if ( ! function_exists( 'cs_element_size_data_array_index' ) ) {
    function cs_element_size_data_array_index($size){
        if ( $size == "" or $size == 100 ) return 0;
        else if ( $size == 75 ) return 1;
        else if ( $size == 67 ) return 2;
        else if ( $size == 50 ) return 3;
        else if ( $size == 33 ) return 4;
        else if ( $size == 25 ) return 5;
    
    }
}

/**
 * @Get  all Categories of posts or Custom posts
 *
 *
 */
if ( ! function_exists( 'cs_show_all_cats' ) ) {
    function cs_show_all_cats($parent, $separator, $selected = "", $taxonomy) {
        if ($parent == "") {
            global $wpdb;
            $parent = 0;
        }
        else
        $separator .= " &ndash; ";
        $args = array(
            'parent'      => $parent,
            'hide_empty' => 0,
            'taxonomy'      => $taxonomy
        );
        $categories = get_categories($args);
        foreach ( $categories as $category ) {
            ?>
        <option <?php if ( $selected == $category->slug ) echo "selected"; ?> value="<?php echo esc_attr($category->slug); ?>"><?php echo esc_attr($separator . $category->cat_name); ?></option>
<?php
        cs_show_all_cats($category->term_id, $separator, $selected, $taxonomy);
        }
    }
}


/**
 * @Add Social Icons
 *
 *
 */
$counter_icon = 0;
if ( ! function_exists( 'cs_add_social_icon' ) ) {
    function cs_add_social_icon(){
    
        $template_path = get_template_directory_uri() . '/include/assets/scripts/media_upload.js';
    
        wp_enqueue_script('my-upload2', $template_path, array('jquery', 'media-upload', 'thickbox', 'jquery-ui-droppable', 'jquery-ui-datepicker', 'jquery-ui-slider', 'wp-color-picker'));
        if($_POST['social_net_awesome']){
             
            $icon_awesome = $_POST['social_net_awesome'];
        }
        $socail_network=get_option('cs_social_network');
        echo '<tr id="del_' .str_replace(' ','-',$_POST['social_net_tooltip']).'">
    
            <td>';if(isset($icon_awesome) and $icon_awesome<>''){;echo '<i style="color:'.$_POST['social_font_awesome_color'].'!important;" class="fa '.$_POST['social_net_awesome'].' icon-2x"></i>';}else{;echo '
			<img width="50" src="' .esc_url($_POST['social_net_icon_path']). '">';}echo '</td> 
            
            <td>' .$_POST['social_net_tooltip']. '</td> 
    
            <td><a href="#">' .$_POST['social_net_url'].'</a></td> 
    
            <td class="centr"> 
                <a class="remove-btn" onclick="javascript:return confirm(\'Are you sure! You want to delete this\')" href="javascript:social_icon_del(\''.str_replace(' ','-',$_POST['social_net_tooltip']).'\')"><i class="icon-times"></i></a>
                 <a href="javascript:cs_toggle(\''.str_replace(' ','-',$_POST['social_net_tooltip']).'\')"><i class="icon-edit"></i></a>
            </td></tr>
    
        </tr>';
        
        echo '<tr id="'.str_replace(' ','-',$_POST['social_net_tooltip']).'" style="display:none">
                <td colspan="3"><ul class="form-elements">
                <li><a onclick="cs_toggle(\''.str_replace(' ','-',$_POST['social_net_tooltip']).'\')"><img src="'.esc_url(get_template_directory_uri()).'/include/assets/images/close-red.png" /></a></li>
                  <li class="to-label">
                      <label>"'.esc_html__('Title','logistic').'"</label>
                    </li>
                    <li class="to-field">
                      <input class="small" type="text" id="social_net_tooltip" name="social_net_tooltip[]" value="'.$_POST['social_net_tooltip'].'"  />
                      <p>__("Please enter text for icon tooltip","logistic").</p>
                    </li>
                    <li class="to-label">
                      <label>"'.esc_html__('Url','logistic').'"</label>
                    </li>
                    <li class="to-field">
                      <input class="small" type="text" id="social_net_url" name="social_net_url[]" value="'.$_POST['social_net_url'].'"/>
                      <p>"'.esc_html__('Please enter full Url','logistic').'"</p>
                    </li>
                    <li class="full">&nbsp;</li>
                    <li class="to-label">
                      <label>"'.esc_html__('Icon Path','logistic').'"</label>
                    </li>
                    <li class="to-field">
                      <input id="social_net_icon_path'.$counter_icon.'" name="social_net_icon_path[]" value="'.$_POST['social_net_icon_path'].'" type="text" class="small" />
                      <label class="browse-icon"><input id="social_net_icon_path'.$counter_icon.'" name="social_net_icon_path'.$i.'" type="button" class="uploadMedia left" value="'.esc_html__('Browse','logistic').'"/></label>
                    </li>
                    
                    <li style="padding: 10px 0px 20px;" class="full">
                       <ul id="cs_infobox_networks'.$counter_icon.'">
                          <li class="to-label">
                            <label>"'.esc_html__('Fontawsome Icon','logistic').'"</label>
                          </li>
                          <li class="to-field">'.cs_fontawsome_theme_options($_POST['social_net_awesome'],"networks".$counter_icon,'social_net_awesome').'
                            
                          </li>
                       </ul>
                      </li>
                    <li class="to-label">
                      <label>"'.esc_html__('Font Awesome Color','logistic').'"<span></span></label>
                    </li>
                    <li class="to-field">
                      <div class="input-sec">
                      <input type="text" name="social_font_awesome_color[]" id="social_font_awesome_color" value="'.$_POST['social_font_awesome_color'].'" class="bg_color" data-default-color="'.$_POST['social_font_awesome_color'].'" /></div>
                      <div class="left-info">
                          <p></p>
                      </div>
                    </li>
                    <li class="full">&nbsp;</li>
                    
                  </ul></td>
              </tr>';
              $counter_icon++;
        die;
    
    }
    add_action('wp_ajax_cs_add_social_icon', 'cs_add_social_icon');
}

// Fontawsome icon box
if ( ! function_exists( 'cs_fontawsome_icons_box') ) {
    function cs_fontawsome_icons_box($icon_value='',$id='',$name=''){
        ob_start();
        ?>
        <script>
            jQuery(document).ready(function($) {
                
            var e9_element = $('#e9_element_<?php echo cs_allow_special_char($id);?>').fontIconPicker({
                theme: 'fip-bootstrap'
                });
                    // Add the event on the button
                $('#e9_buttons_<?php echo cs_allow_special_char($id);?> button').on('click', function(e) {
                        e.preventDefault();
                        // Show processing message
                        $(this).prop('disabled', true).html('<i class="icon-cog demo-animate-spin"></i> Please wait...');
                        $.ajax({
                            url: '<?php echo get_template_directory_uri();?>/include/assets/icon/js/selection.json',
                            type: 'GET',
                            dataType: 'json'
                        })
                        .done(function(response) {
                            // Get the class prefix
                            var classPrefix = response.preferences.fontPref.prefix,
                                icomoon_json_icons = [],
                                icomoon_json_search = [];
                            $.each(response.icons, function(i, v) {
                                icomoon_json_icons.push( classPrefix + v.properties.name );
                                if ( v.icon && v.icon.tags && v.icon.tags.length ) {
                                    icomoon_json_search.push( v.properties.name + ' ' + v.icon.tags.join(' ') );
                                } else {
                                    icomoon_json_search.push( v.properties.name );
                                }
                            });
                            // Set new fonts on fontIconPicker
                            e9_element.setIcons(icomoon_json_icons, icomoon_json_search);
                            // Show success message and disable
                            $('#e9_buttons_<?php echo cs_allow_special_char($id);?> button').removeClass('btn-primary').addClass('btn-success').text('Successfully loaded icons').prop('disabled', true);
                        })
                        .fail(function() {
                            // Show error message and enable
                            $('#e9_buttons_<?php echo cs_allow_special_char($id);?> button').removeClass('btn-primary').addClass('btn-danger').text('Error: Try Again?').prop('disabled', false);
                        });
                        e.stopPropagation();
                    });
                });
                
                jQuery("#e9_buttons_<?php echo cs_allow_special_char($id);?> button").click();
        </script>
        <input type="text" id="e9_element_<?php echo cs_allow_special_char($id);?>" name="<?php echo cs_allow_special_char($name);?>[]" value="<?php echo cs_allow_special_char($icon_value);?>"/>
        <span id="e9_buttons_<?php echo cs_allow_special_char($id);?>" style="display:none">
            <button autocomplete="off" type="button" class="btn btn-primary">Load from IcoMoon selection.json</button>
        </span>
    <?php 
        $fontawesome = ob_get_clean();
        echo cs_allow_special_char($fontawesome);
    }
}


// Fontawsome icon box for Theme Options
if ( ! function_exists( 'cs_fontawsome_theme_options') ) {
    function cs_fontawsome_theme_options($icon_value='',$id='',$name=''){
        ob_start();
        ?>
        <script>
            jQuery(document).ready(function($) {
                
                var e9_element = $('#e9_element_<?php echo cs_allow_special_char($id);?>').fontIconPicker({
                theme: 'fip-bootstrap'
                });
                    // Add the event on the button
                $('#e9_buttons_<?php echo cs_allow_special_char($id);?> button').on('click', function(e) {
                        e.preventDefault();
                        // Show processing message
                        $(this).prop('disabled', true).html('<i class="icon-cog demo-animate-spin"></i> Please wait...');
                        $.ajax({
                            url: '<?php echo get_template_directory_uri();?>/include/assets/icon/js/selection.json',
                            type: 'GET',
                            dataType: 'json'
                        })
                        .done(function(response) {
                            // Get the class prefix
                            var classPrefix = response.preferences.fontPref.prefix,
                                icomoon_json_icons = [],
                                icomoon_json_search = [];
                            $.each(response.icons, function(i, v) {
                                icomoon_json_icons.push( classPrefix + v.properties.name );
                                if ( v.icon && v.icon.tags && v.icon.tags.length ) {
                                    icomoon_json_search.push( v.properties.name + ' ' + v.icon.tags.join(' ') );
                                } else {
                                    icomoon_json_search.push( v.properties.name );
                                }
                            });
                            // Set new fonts on fontIconPicker
                            e9_element.setIcons(icomoon_json_icons, icomoon_json_search);
                            // Show success message and disable
                            $('#e9_buttons_<?php echo cs_allow_special_char($id);?> button').removeClass('btn-primary').addClass('btn-success').text('Successfully loaded icons').prop('disabled', true);
                        })
                        .fail(function() {
                            // Show error message and enable
                            $('#e9_buttons_<?php echo cs_allow_special_char($id);?> button').removeClass('btn-primary').addClass('btn-danger').text('Error: Try Again?').prop('disabled', false);
                        });
                        e.stopPropagation();
                    });
                
                jQuery("#e9_buttons_<?php echo cs_allow_special_char($id);?> button").click();
            });
                
                
        </script>
        <input type="text" id="e9_element_<?php echo cs_allow_special_char($id);?>" name="<?php echo cs_allow_special_char($name);?>[]" value="<?php echo cs_allow_special_char($icon_value);?>"/>
        <span id="e9_buttons_<?php echo cs_allow_special_char($id);?>" style="display:none">
            <button autocomplete="off" type="button" class="btn btn-primary">Load from IcoMoon selection.json</button>
        </span>
    <?php 
    
        $fontawesome = ob_get_clean();
        return $fontawesome;
    }
}

/**
 * @Get  all Categories of posts or Custom posts
 *
 *
 */
if ( ! function_exists( 'show_all_cats' ) ) {
	function show_all_cats($parent, $separator, $selected = "", $taxonomy) {
		if ($parent == "") {
			global $wpdb;
			$parent = 0;
		}
		else
		$separator .= " &ndash; ";
		$args = array(
			'parent' => $parent,
			'hide_empty' => 0,
			'taxonomy' => $taxonomy
		);
		$categories = get_categories($args);
		foreach ($categories as $category) {
			?>
		<option <?php if ($selected == $category->slug) echo "selected"; ?> value="<?php echo esc_attr($category->slug); ?>"><?php echo esc_attr($separator . $category->cat_name); ?></option>
<?php
		show_all_cats($category->term_id, $separator, $selected, $taxonomy);
		}
	}
}

/**
 * @Add Banner Fields
 *
 */
if ( ! function_exists( 'cs_add_banner_fields' ) ) {
    function cs_add_banner_fields(){
        $cs_rand_id = rand(45764,565468990);
        $cs_top_banner_selected = $_POST['banner_field_style'] == 'top_banner' ? 'selected' : '';
        $cs_bottom_banner_selected = $_POST['banner_field_style'] == 'bottom_banner' ? 'selected' : '';
        $cs_sidebar_banner_selected = $_POST['banner_field_style'] == 'sidebar_banner' ? 'selected' : '';
        $cs_vertical_banner_selected = $_POST['banner_field_style'] == 'vertical_banner' ? 'selected' : '';
        // Banner Type Check
        $cs_image_banner_selected = $_POST['banner_field_type'] == 'image' ? 'selected' : '';
        $cs_code_banner_selected = $_POST['banner_field_type'] == 'code' ? 'selected' : '';
        // Banner Type Display Block Check
        $cs_baner_image_display = $_POST['banner_field_type'] == 'image' ? 'block' : 'none';
        $cs_baner_code_display = $_POST['banner_field_type'] == 'code' ? 'block' : 'none';
        // Target Check
        $cs_self_target_selected = $_POST['banner_field_url_target'] == '_self' ? 'selected' : '';
        $cs_blank_target_selected = $_POST['banner_field_url_target'] == '_blank' ? 'selected' : '';
                                  
        if( $_POST['banner_field_style'] == 'top_banner' ) {
            $cs_banner_group = 'Top';
        }else if( $_POST['banner_field_style'] == 'bottom_banner' ) {
            $cs_banner_group = 'Bottom';
        }else if( $_POST['banner_field_style'] == 'sidebar_banner' ) {
            $cs_banner_group = 'Sidebar';
        }else {
            $cs_banner_group = 'Vertical';
        }
                                  
        echo '<tr id="del_' .cs_slugify_text($_POST['banner_field']).'">
                <td>' .$_POST['banner_field']. '</td>
                <td>' .$cs_banner_group. '</td>';
                if($_POST['banner_field_type'] == 'image'){
                    echo '<td><img src="' . esc_url($_POST['banner_field_image']) . '" alt="" width="100" /></td>';
                }
                else{
                    echo '<td>'.esc_html__('Custom Code','logistic').'</td>';
                }
          echo '<td>&nbsp;</td>';
          echo '<td>[cs_ads id="'.$cs_rand_id.'"]</td>';
          echo '<td class="centr">
                    <a class="remove-btn" onclick="javascript:return confirm(\'Are you sure! You want to delete this\')" href="javascript:social_icon_del(\''.cs_slugify_text($_POST['banner_field']).'\')"><i class="icon-cross3"></i></a>
                    <a href="javascript:cs_toggle(\''.cs_slugify_text($_POST['banner_field']).'\')"><i class="icon-pencil6"></i></a>
                </td>
              </tr>';
        echo '<tr id="'.cs_slugify_text($_POST['banner_field']).'" style="display:none;">
                <td colspan="3">
                  <ul class="form-elements">
                    <li><a onclick="cs_toggle(\''.cs_slugify_text($_POST['banner_field']).'\')"><img src="'.get_template_directory_uri().'/include/assets/images/close-red.png" /></a></li>
                    <li class="to-label">
                      <label>"'.esc_html__('Title','logistic').'"</label>
                    </li>
                    <li class="to-field">
                      <input class="small" type="text" name="banner_field_title[]" value="'.$_POST['banner_field'].'"  />
                      <p>"'.esc_html__('Please enter Banner Title','logistic').'"</p>
                    </li>
                    <li class="to-label">
                      <label>"'.esc_html__('Banner Style','logistic').'"</label>
                    </li>
                    <li class="to-field select-style">
                      <select name="banner_field_style[]">
                        <option '. $cs_top_banner_selected .' value="top_banner">"'.esc_html__('Top Banner','logistic').'"</option>
                        <option '. $cs_bottom_banner_selected .' value="bottom_banner">"'.esc_html__('Bottom Banner','logistic').'"</option>
                        <option '. $cs_sidebar_banner_selected .' value="sidebar_banner">"'.esc_html__('Sidebar Banner','logistic').'"</option>
                        <option '. $cs_vertical_banner_selected .' value="vertical_banner">"'.esc_html__('Vertical Banner','logistic').'"</option>
                      </select>
                      <p>"'.esc_html__('Please enter Banner Banner Style','logistic').'"</p>
                    </li>
                    <li class="full">&nbsp;</li>
                    <li class="to-label">
                      <label>"'.esc_html__('Banner Type','logistic').'"</label>
                    </li>
                    <li class="to-field select-style">
                      <select name="banner_field_type[]" onchange="cs_banner_type_toggle(this.value, \''.$cs_rand_id.'\')">
                        <option '. $cs_image_banner_selected .' value="image">Image</option>
                        <option '. $cs_code_banner_selected .' value="code">Code</option>
                      </select>
                      <p>"'.esc_html__('Please enter Banner Banner Type','logistic').'"</p>
                    </li>
                    <li class="full">&nbsp;</li>
                    <li class="to-label" id="cs_banner_image_field_'.$cs_rand_id.'" style="display:'.$cs_baner_image_display.';">
                      <label>Image</label>
                    </li>
                    <li class="to-field" id="cs_banner_image_value_'.$cs_rand_id.'" style="display:'.$cs_baner_image_display.';">
                      <ul class="form-elements" id="'.$cs_rand_id.'_upload">
                        <li class="to-field">
                          <input id="banner_field_image'.$cs_rand_id.'" name="banner_field_image[]" type="hidden" class="" value="'.$_POST['banner_field_image'].'"/>
                          <label class="browse-icon">
                          <input name="banner_field_image'.$cs_rand_id.'" type="button" class="uploadMedia left" value="'.esc_html__('Browse','logistic').'"/></label>
                        </li>
                      </ul>
                      <div class="page-wrap" style="overflow:hidden;display:block;" id="banner_field_image'.$cs_rand_id.'_box" >
                        <div class="gal-active" style="padding-left:0 !important;">
                          <div class="dragareamain" style="padding-bottom:0px;">
                            <ul id="gal-sortable">
                              <li class="ui-state-default">
                                <div class="thumb-secs"> <img src="'.esc_url($_POST['banner_field_image']).'" id="banner_field_image'.$cs_rand_id.'_img" width="100" />
                                  <div class="gal-edit-opts"> <a href=javascript:del_media("banner_field_image'.$cs_rand_id.'") class="delete"></a> </div>
                                </div>
                              </li>
                            </ul>
                          </div>
                        </div>
                      </div>
                      <p>"'.esc_html__('Please enter Banner Image','logistic').'"</p>
                    </li>
                    <li class="full">&nbsp;</li>
                    <li class="to-label">
                      <label>"'.esc_html__('Url','logistic').'"</label>
                    </li>
                    <li class="to-field">
                      <input class="small" type="text" name="banner_field_url[]" value="'.$_POST['banner_field_url'].'" />
                      <p>"'.esc_html__('Please enter Banner Url','logistic').'"</p>
                    </li>
                    <li class="full">&nbsp;</li>
                    <li class="to-label">
                      <label>"'.esc_html__('Target','logistic').'"</label>
                    </li>
                    <li class="to-field select-style">
                      <select name="banner_field_url_target[]">
                        <option '. $cs_self_target_selected .' value="_self">"'.esc_html__('Self','logistic').'"</option>
                        <option '. $cs_blank_target_selected .' value="_blank">"'.esc_html__('Blank','logistic').'"</option>
                      </select>
                      <p>"'.esc_html__('Please select Banner Link Target','logistic').'"</p>
                    </li>
                    <li class="full">&nbsp;</li>
                    <li class="to-label" id="cs_banner_code_field_'.$cs_rand_id.'" style="display:'.$cs_baner_code_display.';">
                      <label>"'.esc_html__('Adsense Code','logistic').'"</label>
                    </li>
                    <li class="to-field" id="cs_banner_code_value_'.$cs_rand_id.'" style="display:'.$cs_baner_code_display.';">
                      <textarea name="banner_adsense_code[]">'.htmlspecialchars_decode($_POST['banner_field_code']).'</textarea>
                      <p>"'.esc_html__('Please enter Banner Adsense','logistic').'" Code.</p>
                    </li>
                    <li class="full">&nbsp;</li>
                    <input type="hidden" name="banner_field_code_no[]" value="'.$cs_rand_id.'" />
                  </ul>
                </td>
              </tr>';
        die;
    }
    add_action('wp_ajax_cs_add_banner_fields', 'cs_add_banner_fields');
}
function cs_validate_data( $input = ''){
	$output = $input;
	return $output;
}

//=====================================================================
// Shortcode Array Start
//=====================================================================
if ( ! function_exists( 'cs_shortcode_names' ) ) {
    function cs_shortcode_names(){
    global $post;
    $dcpt_elements_array = array();
        $shortcode_array = array(
             
                 'blog'=>array(
                        'title'=>esc_html__('Blog','logistic'),
                        'name'=>'blog',
                        'icon'=>'icon-newspaper',
                        'categories'=>'loops',
                 ),
                 'button'=>array(
                        'title'=>esc_html__('Button','logistic'),
                        'name'=>'button',
                        'icon'=>'icon-hand-o-up',
                        'categories'=>'commonelements',
                 ),
                  
                 'clients'=>array(
                        'title'=>esc_html__('Clients','logistic'),
                        'name'=>'clients',
                        'icon'=>'icon-user3',
                        'categories'=>'loops',
                 ),
				 'call_to_action'=>array(
                        'title'=>esc_html__('Call to Action','logistic'),					
						
                        'name'=>'call_to_action',
                        'icon'=>'icon-info-circle',
                        'categories'=>'commonelements',
                 ),
				  'mission'=>array(
                        'title'=>esc_html__('Our Mission','logistic'),					
					      'name'=>'mission',
                        'icon'=>'icon-info-circle',
                        'categories'=>'commonelements',
                 ),
                 'contactus'=>array(
                    'title'=>esc_html__('Form','logistic'),
                    'name'=>'contactus',
                    'icon'=>'icon-building-o',
                    'categories'=>'contentblocks',
                 ),
				 
  			   'divider'=>array(
                        'title'=>esc_html__('Divider','logistic'),
                        'name'=>'divider',
                        'icon'=>'icon-ellipsis-h',
                        'categories'=>'typography misc',
                 ),
				 'icons'=>array(
                        'title'=>esc_html__('Icons','logistic'),
                        'name'=>'icons',
                        'icon'=>'icon-ellipsis-h',
                        'categories'=>'typography misc',
                 ),
				 'quick_quote'=>array(
                        'title'=>esc_html__('Quick Quote','logistic'),
                        'name'=>'quick_quote',
                        'icon'=>'icon-quote-right',
                        'categories'=>'typography misc',
                 ), 
              	'promobox'=>array(
                        'title'=>esc_html__('Promo box','logistic'),
                        'name'=>'promobox',
                        'icon'=>'icon-bullhorn',
                        'categories'=>' mediaelement',
                 ),
                 'flex_column'=>array(
                        'title'=>esc_html__('Column','logistic'),
                        'name'=>'flex_column',
                        'icon'=>'icon-columns',
                        'categories'=>'typography misc',
                 ),
				  
                 'heading'=>array(
                        'title'=>esc_html__('Heading','logistic'),
                        'name'=>'heading',
                        'icon'=>'icon-h-square',
                        'categories'=>'typography misc',
                 ),
                 
                 
                 'infobox'=>array(
                        'title'=>esc_html__('Info box','logistic'),
                        'name'=>'infobox',
                        'icon'=>'icon-info-circle',
                        'categories'=>' contentblocks',
                 ),
                 'image'=>array(
                        'title'=>esc_html__('Image Frame','logistic'),
                        'name'=>'image',
                        'icon'=>'icon-photo2',
                        'categories'=>'mediaelement',
                 ),
                 'list'=>array(
                        'title'=>esc_html__('List','logistic'),
                        'name'=>'list',
                        'icon'=>'icon-list-ol',
                        'categories'=>'typography misc',
                 ),
				 
				 'map'=>array(
                        'title'=>esc_html__('Map','logistic'),
                        'name'=>'map',
                        'icon'=>'icon-list-ol',
                        'categories'=>'contentblocks',
                 ),
                 
				 'multiple_services'=>array(
                        'title'=>esc_html__('Multiple Services','logistic'),
                        'name'=>'multiple_services',
                        'icon'=>'icon-database2',
                        'categories'=>'loops misc',
                 ),
				'multi_counters' => array(
                'title' => esc_html__('Multi Counters', 'logistic'),
                'name' => 'multi_counters',
                'icon' => 'icon-comments-o',
                'categories' => 'typography misc',
                ),
                 
                 'quote'=>array(
                        'title'=>esc_html__('Quote','logistic'),
                        'name'=>'quote',
                        'icon'=>'icon-quote-right',
                        'categories'=>'typography misc',
                 ),
				 
            	'slider'=>array(
                        'title'=>esc_html__('Slider','logistic'),
                        'name'=>'slider',
                        'icon'=>'icon-image2',
                        'categories'=>'loops',
                 ),
				 'flex_editor' => array(
					'title' => esc_html__('Editor', 'logistic'),
					'name' => 'flex_editor',
					'icon' => 'icon-clock-o',
					'categories' => 'commonelements',
				),
				 'video' => array(
					'title' => esc_html__('Video', 'logistic'),
					'name' => 'video',
					'icon' => 'icon-th',
					'categories' => 'commonelements',
				   ),
                 
				
                  'testimonials'=>array(
                        'title'=>esc_html__('Testimonials','logistic'),
                        'name'=>'testimonials',
                        'icon'=>'icon-comments-o',
                        'categories'=>'typography misc',
                 ),
				 
				     'history'=>array(
                        'title'=>esc_html__('History','logistic'),
                        'name'=>'history',
                        'icon'=>'icon-comments-o',
                        'categories'=>'typography misc',
                 ),
				 
                 'table'=>array(
                        'title'=>esc_html__('Table','logistic'),
                        'name'=>'table',
                        'icon'=>'icon-th',
                        'categories'=>'commonelements',
                 ),
                
                 'spacer'=>array(
                        'title'=>esc_html__('Spacer','logistic'),
                        'name'=>'spacer',
                        'icon'=>'icon-arrows-v',
                        'categories'=>'commonelements',
                 ), 
				 'sitemap'=>array(
                        'title'=>esc_html__('Site Map','logistic'),
                        'name'=>'sitemap',
                        'icon'=>'icon-arrows-v',
                        'categories'=>'commonelements',
                 ),
				  
	 		   'opening_hours'=>array(
                        'title'=>esc_html__('Opening Hours','logistic'),
                        'name'=>'opening_hours',
                        'icon'=>'icon-arrows-v',
                        'categories'=>'commonelements',
                 ), 
                 'faq'=>array(
                        'title'=>esc_html__('FAQ','logistic'),
                        'name'=>'faq',
                        'icon'=>'icon-question-circle',
                        'categories'=>'typography',
                 ),
				'multi_price_table' => array(
					'title' => esc_html__('Multi Price Table', 'logistic'),
					'name' => 'multi_price_table',
					'icon' => 'icon-comments-o',
					'categories' => 'typography misc',
				),
				'services'=>array(
                        'title'=>esc_html__('Services','logistic'),
                        'name'=>'services',
                        'icon'=>'icon-check-square-o',
                        'categories'=>' commonelements',
                 ),
				
        );
        
		 if( class_exists('cs_framework') ) {
			 $plugin_shortcodes = array(	
			 								'team_post'=>array(
													'title'=>esc_html__('Team','logistic'),
													'name'=>'team_post',
													'icon'=>'icon-user',
													'categories'=>'loops',
											 ),
											 'service'=>array(
													'title'=>esc_html__('Services Listing','logistic'),
													'name'=>'service',
													'icon'=>'icon-user',
													'categories'=>'loops',
											 ),
											 'fleet'=>array(
													'title'=>esc_html__('Fleet','logistic'),
													'name'=>'fleet',
													'icon'=>'icon-user',
													'categories'=>'loops',
											 ),
											  'location'=>array(
													'title'=>esc_html__('Location','logistic'),
													'name'=>'location',
													'icon'=>'icon-user',
													'categories'=>'loops',
											 ),
											 
											 
								  );
				$shortcode_array	= array_merge($shortcode_array,$plugin_shortcodes);					
		}
        ksort($shortcode_array);
        return $shortcode_array;
    }
}
//=====================================================================
// Shortcode Buttons
//=====================================================================
add_action('media_buttons','cs_shortcode_popup',11);
// 
if ( ! function_exists( 'cs_shortcode_popup' ) ) {
    function cs_shortcode_popup($die = 0, $shortcode='shortcode'){
        $i = 1;
        $style='';
        if ( isset($_POST['action']) ) {
            $name = $_POST['action'];
            $cs_counter = $_POST['counter'];
            $randomno = cs_generate_random_string('5');
            $rand = rand(1,999);
            $style='';
        } else {
            $name = '';
            $cs_counter = '';
            $rand = rand(1,999);
            $randomno = cs_generate_random_string('5');
            if(isset($_REQUEST['action']))
                $name = $_REQUEST['action'];
            $style='style="display:none;"';
        }
			$cs_page_elements_name = array();
			$cs_page_elements_name = cs_shortcode_names();
			$cs_page_categories_name =  cs_elements_categories();
        
    ?> 
        <div class="cs-page-composer  <?php echo sanitize_html_class($shortcode);?> composer-<?php echo intval($rand) ?>" id="composer-<?php echo intval($rand) ?>" style="display:none;">
            <div class="page-elements">
            <div class="cs-heading-area">
                 <h5>
                    <i class="icon-plus-circle"></i> <?php esc_html_e('Add Element','logistic');?>
                </h5>
                <span class='cs-btnclose' onclick='javascript:removeoverlay("composer-<?php echo esc_js($rand) ?>","append")'>
				<i class="icon-times"></i>
				</span>
            </div>
            <script>
                jQuery(document).ready(function($){
                    cs_page_composer_filterable('<?php echo esc_js($rand)?>');
                });
            </script>
         <div class="cs-filter-content shortcode">
            <p><input type="text" id="quicksearch<?php echo intval($rand) ?>" placeholder="<?php esc_html_e('Search','logistic');?>" /></p>
              <div class="cs-filtermenu-wrap">
                <h6><?php esc_html_e('Filter by','logistic');?></h6>
                <ul class="cs-filter-menu" id="filters<?php echo intval($rand) ?>">
                  <li data-filter="all" class="active"><?php esc_html_e('Show all','logistic');?></li>
                  <?php foreach($cs_page_categories_name as $key=>$value){
                          echo '<li data-filter="'.$key.'">'.$value.'</li>';
                    }?>
                </ul>
              </div>
                <div class="cs-filter-inner" id="page_element_container<?php echo intval($rand) ?>">
                    <?php foreach($cs_page_elements_name as $key=>$value){
                            echo '<div class="element-item '.$value['categories'].'">';
                              $icon = isset($value['icon']) ? $value['icon'] : 'accordion-icon'; ?>
                              <a href='javascript:cs_shortocde_selection("<?php echo esc_js($key);?>","<?php echo admin_url('admin-ajax.php');?>","composer-<?php echo intval($rand) ?>")'><?php cs_page_composer_elements($value['title'], $icon)?></a>
                          </div>
                    <?php }?>
                </div>
              </div>
            </div>
            <div class="cs-page-composer-shortcode"></div>
        </div>
       <?php 
        if(isset($shortcode) && $shortcode <> ''){
            ?>
            <a class="button" href="javascript:_createpop('composer-<?php echo esc_js($rand) ?>', 'filter')">
            <i class="icon-plus-circle"></i> <?php esc_html_e('CS: Insert shortcode','logistic');?></a>
            <?php
        }
    }
}
//=====================================================================
// Column Size Dropdown Function Start
//=====================================================================
if ( ! function_exists( 'cs_shortcode_element_size' ) ) {
    function cs_shortcode_element_size($column_size =''){
        ?>
            <ul class="form-elements">
                <li class="to-label"><label><?php esc_html_e('Size','logistic');?></label></li>
                <li class="to-field select-style">
                    <select class="column_size" id="column_size" name="column_size[]">
                        <option value="1/1" <?php if($column_size == '1/1'){echo 'selected="selected"';}?>><?php esc_html_e('Full width','logistic');?></option>
                        <option value="1/2" <?php if($column_size == '1/2'){echo 'selected="selected"';}?>><?php esc_html_e('One half','logistic');?></option>
                        <option value="1/3" <?php if($column_size == '1/3'){echo 'selected="selected"';}?>><?php esc_html_e('One third','logistic');?></option
                        ><option value="2/3" <?php if($column_size == '2/3'){echo 'selected="selected"';}?>><?php esc_html_e('Two third','logistic');?></option>
                        <option value="1/4" <?php if($column_size == '1/4'){echo 'selected="selected"';}?>><?php esc_html_e('One fourth','logistic');?></option>
                        <option value="3/4" <?php if($column_size == '3/4'){echo 'selected="selected"';}?>><?php esc_html_e('Three fourth','logistic');?></option>
                    </select>
                    <p><?php esc_html_e('Select column width. This width will be calculated depend page width','logistic');?></p>
                </li>                  
            </ul>
        <?php
    }
}
// Column Size Dropdown Function end

//=====================================================================
// Animation Styles
//=====================================================================
function cs_animation_style(){
    return $animation_style = array(
                        'Entrances'=>array('slideDown'=>'slideDown','slideUp'=>'slideUp','slideLeft'=>'slideLeft','slideRight'=>'slideRight','slideExpandUp'=>'slideExpandUp','expandUp'=>'expandUp','expandOpen'=>'expandOpen','bigEntrance'=>'bigEntrance','hatch'=>'hatch'),
                        'Misc'=>array('floating'=>'floating','tossing'=>'tossing','pullUp'=>'pullUp','pullDown'=>'pullDown','stretchLeft'=>'stretchLeft','stretchRight'=>'stretchRight'),
                        'Attention Seekers'=>array('bounce'=>'bounce','flash'=>'flash','pulse'=>'pulse','rubberBand'=>'rubberBand','shake'=>'shake','swing'=>'swing','tada'=>'tada','wobble'=>'wobble'),
                        'Bouncing Entrances'=>array('bounceIn'=>'bounceIn','bounceInDown'=>'bounceInDown','bounceInLeft'=>'bounceInLeft','bounceInRight'=>'bounceInRight','bounceInUp'=>'bounceInUp'),
                         'Fading Entrances'=>array('fadeIn'=>'fadeIn','fadeInDown'=>'fadeInDown','fadeInDownBig'=>'fadeInDownBig','fadeInLeft'=>'fadeInLeft','fadeInLeftBig'=>'fadeInRight','fadeInRightBig'=>'fadeInRightBig','fadeInUp'=>'fadeInUp','fadeInUpBig'=>'fadeInUpBig'),
                        'Flippers'=>array('flip'=>'flip','flipInX'=>'flipInX','flipInY'=>'flipInY'),
                        'Lightspeed'=>array('lightSpeedIn'=>'lightSpeedIn'),
                         'Rotating Entrances'=>array('rotateIn'=>'rotateIn','rotateInDownLeft'=>'rotateInDownLeft','rotateInDownRight'=>'rotateInDownRight','rotateInUpLeft'=>'rotateInUpLeft','rotateInUpRight'=>'rotateInUpRight'),
                        'Specials'=>array('hinge'=>'hinge','rollIn'=>'rollIn'),
                        'Zoom Entrances'=>array('zoomIn'=>'zoomIn','zoomInDown'=>'zoomInDown','zoomInLeft'=>'zoomInLeft','zoomInRight'=>'zoomInRight','zoomInUp'=>'zoomInUp'),
                        );    
}
//=====================================================================
// Custom Class and Animations Function Start
//=====================================================================
if ( ! function_exists( 'cs_shortcode_custom_classes' ) ) {
    function cs_shortcode_custom_classes($cs_custom_class = '',$cs_custom_animation='',$cs_custom_animation_duration='1'){
        ?>
            <ul class="form-elements">
                <li class="to-label"><label><?php esc_html_e('Custom Id','logistic');?></label></li>
                <li class="to-field">
                    <input type="text" name="cs_custom_class[]" class="txtfield"  value="<?php echo sanitize_text_field($cs_custom_class); ?>" />
                    <p><?php esc_html_e('Use this option if you want to use specified Class for this element','logistic');?></p>
                </li>
            </ul>
            <?php $custom_animation_array = array('fade'=>'Fade','slide'=>'Slide','left-slide'=>'left Slide');?>
            <ul class="form-elements">
                <li class="to-label"><label><?php esc_html_e('Animation Class','logistic');?><?php echo sanitize_text_field($cs_custom_animation);?></label></li>
                <li class="to-field select-style">
                    <select class="dropdown" name="cs_custom_animation[]">
                        <option value=""><?php esc_html_e('Animation Class','logistic');?></option>
                        <?php 
                                $animation_array = cs_animation_style();
                                foreach($animation_array as $animation_key=>$animation_value){
                                    echo '<optgroup label="'.$animation_key.'">';    
                                    foreach($animation_value as $key=>$value){
                                        $active_class = '';
                                        if($cs_custom_animation == $key){$active_class = 'selected="selected"';}
                                        echo '<option value="'.$key.'" '.$active_class.'>'.$value.'</option>';
                                    }
                                }
                        ?>
                      </select>
                      <p><?php esc_html_e('Select Entrance animation type from the dropdown','logistic');?> </p>
                </li>
            </ul>
        <?php
    }
}
// Custom Class and Animations Function end
//=====================================================================
// Dynamic Custom Class and Animations Function Start
//=====================================================================
if ( ! function_exists( 'cs_shortcode_custom_dynamic_classes' ) ) {
    function cs_shortcode_custom_dynamic_classes($cs_custom_class = '',$cs_custom_animation='',$cs_custom_animation_duration='1',$prefix){
        ?>
            <ul class="form-elements">
                <li class="to-label"><label><?php esc_html_e('Custom Id','logistic');?></label></li>
                <li class="to-field">
                    <input type="text" name="<?php echo sanitize_text_field($prefix);?>_class[]" class="txtfield"  value="<?php echo sanitize_text_field($cs_custom_class)?>" />
                    <p><?php esc_html_e('Use this option if you want to use specified id for this element','logistic');?></p>
                </li>
            </ul>
            <?php $custom_animation_array = array('fade'=>'Fade','slide'=>'Slide','left-slide'=>'left Slide');?>
            <ul class="form-elements">
                <li class="to-label"><label><?php esc_html_e('Animation Class','logistic');?> <?php echo sanitize_text_field($cs_custom_animation);?></label></li>
                <li class="to-field select-style">
                    <select class="dropdown" name="<?php echo sanitize_text_field($prefix);?>_animation[]">
                        <option value=""><?php esc_html_e('Select Animation','logistic');?></option>
                        <?php 
                                $animation_array = cs_animation_style();
                                foreach($animation_array as $animation_key=>$animation_value){
                                    echo '<optgroup label="'.$animation_key.'">';    
                                    foreach($animation_value as $key=>$value){
                                        $active_class = '';
                                        if($cs_custom_animation == $key){$active_class = 'selected="selected"';}
                                        echo '<option value="'.$key.'" '.$active_class.'>'.$value.'</option>';
                                    }
                                }
                        
                        ?>
                      </select>
                      <p><?php esc_html_e('Select Entrance animation type from the dropdown','logistic');?></p>
                </li>
            </ul>  
        <?php
    }
}
// Dynamic Custom Class and Animations Function end
//=====================================================================
// Shortcode Add box Ajax Function
//=====================================================================
if ( ! function_exists( 'cs_shortcode_element_ajax_call' ) ) {
    function cs_shortcode_element_ajax_call(){?>
    <?php     
        if(isset($_POST['shortcode_element']) && $_POST['shortcode_element']){
            if($_POST['shortcode_element'] == 'services'){
                $rand_id = rand(18332324,94323777);
                ?>
                <div class='cs-wrapp-clone cs-shortcode-wrapp'  id="cs_infobox_<?php echo intval( $rand_id);?>">
                    <header>
						<h4>
							<i class='icon-arrows'></i><?php esc_html_e('Service','logistic');?>
						</h4>
						<a href='#' class='deleteit_node'><i class='icon-minus-circle'></i><?php esc_html_e('Remove','logistic');?></a>
					</header>
                    
                    <?php if ( function_exists( 'cs_shortcode_element_size' ) ) {cs_shortcode_element_size();}?>
                    <ul class='form-elements'>
                        <li class='to-label'><label><?php esc_html_e('Service Title','logistic');?></label></li>
                        <li class='to-field'> <div class='input-sec'><input class='txtfield' type='text' name='service_title[]' /></div>
                        <div class='left-info'><p><?php esc_html_e('Title of the Service','logistic');?></p></div>
                        </li>
                    </ul>
                    <ul class='form-elements'>
                        <li class='to-label'><label><?php esc_html_e('Service View:','logistic');?></label></li>
                        <li class='to-field select-style'> <div class='input-sec'><select name='service_type[]' class='dropdown'>
                        <option value='size_large'><?php esc_html_e('Large Boxed','logistic');?></option>
                        <option value='size_large_normal'><?php esc_html_e('Large Normal','logistic');?></option>
                        <option value='size_circle'><?php esc_html_e('Circle','logistic');?></option>
                        <option  value="size_medium" ><?php esc_html_e('Medium','logistic');?></option>
                        <option value='size_small'><?php esc_html_e('Small','logistic');?></option>
                        </select></div>
                        <div class='left-info'><p><?php esc_html_e('Type of the Service','logistic');?></p></div>
                        </li>
                    </ul>
                     <ul class='form-elements' id="<?php echo intval( $rand_id);?>">
                            <li class='to-label'><label><?php esc_html_e('Font awsome Icon:','logistic');?></label></li>
                            <li class="to-field">
                                <?php cs_fontawsome_icons_box('',$rand_id,'cs_service_icon');?>
                            </li>
                    </ul>
                    <ul class="form-elements">
                        <li class="to-label"><label><?php esc_html_e('Icon Postion','logistic');?></label></li>
                        <li class="to-field select-style">
                            <select class="service_icon_postion" name="service_icon_postion[]">
                                <option value="left"><?php esc_html_e('left','logistic');?></option>
                                <option value="right"><?php esc_html_e('Right','logistic');?></option>
                                <option value="top"><?php esc_html_e('Top','logistic');?></option>
                                <option value="center"><?php esc_html_e('Center','logistic');?></option>
                            </select>
                        </li>                  
                    </ul>
                    <ul class="form-elements">
                        <li class="to-label"><label><?php esc_html_e('Icon Type','logistic');?></label></li>
                        <li class="to-field select-style">
                            <select class="service_icon_type" name="service_icon_type[]">
                                <option value="circle"><?php esc_html_e('Circle','logistic');?></option>
                                <option value="square"><?php esc_html_e('Square','logistic');?></option>
                            </select>
                        </li>                  
                    </ul>
                    <ul class="form-elements">
                          <li class="to-label">
                            <label><?php esc_html_e('Service background  Image','logistic');?></label>
                          </li>
                          <li class="to-field">
                            <input id="service_bg_image<?php echo intval( $rand_id);?>" name="service_bg_image[]" type="hidden" class="" value=""/>
                            <input name="service_bg_image<?php echo intval( $rand_id);?>"  type="button" class="uploadMedia left" value="<?php esc_html_e('Browse','logistic');?>"/>
                          </li>
                        </ul>
                        <div class="page-wrap" style="overflow:hidden; display:none;?>" id="service_bg_image<?php echo intval( $rand_id);?>_box" >
                          <div class="gal-active">
                            <div class="dragareamain" style="padding-bottom:0px;">
                              <ul id="gal-sortable">
                                <li class="ui-state-default" id="">
                                  <div class="thumb-secs"> 
                                  	<img src="<?php echo esc_url($service_bg_image);?>"  id="service_bg_image<?php echo intval( $rand_id);?>_img" width="100" height="150"  />
                                    <div class="gal-edit-opts"> <a   href="javascript:del_media('service_bg_image<?php echo intval( $rand_id);?>')" class="delete"></a> </div>
                                  </div>
                                </li>
                              </ul>
                            </div>
                          </div>
                        </div>
                    <ul class='form-elements'>
                        <li class='to-label'><label><?php esc_html_e('Service Link:','logistic');?></label></li>
                        <li class='to-field'> <div class='input-sec'><input class='txtfield' type='text' name='service_link_url[]' /></div>
                        <div class='left-info'><p><?php esc_html_e('Service Link','logistic');?></p></div>
                        </li>
                    </ul>
                    <ul class="form-elements">
                        <li class="to-label"><label><?php esc_html_e('Border','logistic');?></label></li>
                        <li class="to-field select-style">
                            <select class="service_border" id="service_border" name="service_border[]">
                                <option value="yes"><?php esc_html_e('Yes','logistic');?></option>
                                <option value="no"><?php esc_html_e('No','logistic');?></option>
                            </select>
                        </li>                  
                    </ul>
                    <ul class='form-elements'>
                        <li class='to-label'><label><?php esc_html_e('Service Text:','logistic');?></label></li>
                        <li class='to-field'>
							<div class='input-sec'>
								<textarea class='txtfield' data-content-text="cs-shortcode-textarea" name='service_text[]'></textarea>
							</div>
                        </li>
                    </ul>
                    <ul class="form-elements">
                        <li class="to-label"><label><?php esc_html_e('Divider','logistic');?></label></li>
                        <li class="to-field select-style">
                            <select class="service_divider" name="service_divider[]">
                                <option value="yes"><?php esc_html_e('Yes','logistic');?></option>
                                <option value="no"><?php esc_html_e('No','logistic');?></option>
                            </select>
                        </li>                  
                    </ul>
                    <ul class="form-elements">
                        <li class="to-label"><label><?php esc_html_e('Icon Color','logistic');?></label></li>
                        <li class="to-field">
                            <input type="text" name="service_icon_color[]" class="bg_color"  value="" />
                        </li>
                    </ul>
                    <ul class="form-elements">
                        <li class="to-label"><label><?php esc_html_e('Icon Background Color','logistic');?></label></li>
                        <li class="to-field">
                            <input type="text" name="service_icon_bg_color[]" class="bg_color"  value="" />
                        </li>
                    </ul>
                       <ul class="form-elements">
                        <li class="to-label"><label><?php esc_html_e('Custom Id','logistic');?></label></li>
                        <li class="to-field">
                            <input type="text" name="service_class[]" class="txtfield"  value="" />
                        </li>
                     </ul>
                    <ul class="form-elements">
                        <li class="to-label"><label><?php esc_html_e('Animation Class','logistic');?> </label></li>
                        <li class="to-field select-style">
                            <select class="dropdown" name="service_animation[]">
                                <option value=""><?php esc_html_e('Select Animation','logistic');?></option>
                                <?php 
                                    $animation_array = cs_animation_style();
                                    foreach($animation_array as $animation_key=>$animation_value){
                                        echo '<optgroup label="'.$animation_key.'">';    
                                        foreach($animation_value as $key=>$value){
                                            echo '<option value="'.esc_attr($key).'" >'.$esc_attr(value).'</option>';
                                        }
                                    }
                                
                                 ?>
                              </select>
                        </li>
                    </ul>
                </div>
                <?php     
            } 
			    else if ($_POST['shortcode_element'] == 'multi_price_table') {
                $rand_id = rand(324335, 9234299);
                ?>
                <div class='cs-wrapp-clone cs-shortcode-wrapp cs-pbwp-content'  id="cs_infobox_<?php echo intval($rand_id); ?>">
                    <header>
                        <h4><i class='icon-arrows'></i><?php esc_html_e('Multi Price Table', 'logistic'); ?></h4>
                        <a href='#' class='deleteit_node'><i class='icon-minus-circle'></i><?php esc_html_e('Remove', 'logistic'); ?></a>
                    </header>
                    <ul class='form-elements'>
                        <li class='to-label'>
                            <label><?php esc_html_e('Title', 'logistic'); ?></label>
                        </li>
                        <li class='to-field'>
                            <div class='input-sec'>
                                <input class='txtfield' type='text' name='multi_price_table_text[]' value="<?php 
								if(isset($multi_price_table_text)) echo cs_allow_special_char($multi_price_table_text); ?>" />
								

                            </div>
                        </li>
                    </ul>
                    <ul class='form-elements'>
                        <li class='to-label'>
                            <label><?php esc_html_e('Title Color', 'logistic'); ?></label>
                        </li>
                        <li class='to-field'>
                            <div class='input-sec'>
                                <input class='bg_color' type='text' name='multi_price_table_title_color[]' 
                                value="<?php if(isset($multi_price_table_title_color))  echo cs_allow_special_char($multi_price_table_title_color); ?>" /> 
								
                            </div>
                        </li>
                    </ul>
                    <ul class='form-elements'>
                        <li class='to-label'>
                            <label><?php esc_html_e('Sub Title', 'logistic'); ?></label>
                        </li>
                        <li class='to-field'>
                            <div class='input-sec'>
                                <input class='txtfield' type='text' name='multi_price_table_sub_text[]' value="<?php 
								if(isset($multi_price_table_sub_text))  echo cs_allow_special_char($multi_price_table_sub_text); ?>" />

                            </div>
                        </li>
                    </ul>
                    
                    <ul class='form-elements'>
                        <li class='to-label'>
                            <label><?php esc_html_e('Sub Title Color', 'logistic'); ?></label>
                        </li>
                        <li class='to-field'>
                            <div class='input-sec'>
                                <input class='bg_color' type='text' name='multi_price_table_sub_title_color[]' 
                                value="<?php if(isset($multi_price_table_sub_title_color))  echo cs_allow_special_char($multi_price_table_sub_title_color); ?>" />
                            </div>
                        </li>
                    </ul>
                    <ul class='form-elements'>
                        <li class='to-label'>
                            <label><?php esc_html_e('Price', 'logistic'); ?></label>
                        </li>
                        <li class='to-field'>
                            <div class='input-sec'>
                                <input class='txtfield' type='text' name='multi_pricetable_price[]' value="<?php 
								if(isset($multi_price_table_sub_text))  echo cs_allow_special_char($multi_pricetable_price); ?>" />

                            </div>
                        </li>
                    </ul>
                    <ul class='form-elements'>
                        <li class='to-label'>
                            <label><?php esc_html_e('Currency Symbols', 'logistic'); ?></label>
                        </li>
                        <li class='to-field'>
                            <div class='input-sec'>
                                <input class='txtfield' type='text' name='multi_price_table_currency[]' value="<?php 
								if(isset($multi_price_table_currency))  echo cs_allow_special_char($multi_price_table_currency); ?>" />
                            </div>
                        </li>
                    </ul>
                    
                     <ul class='form-elements'>
                        <li class='to-label'>
                            <label><?php esc_html_e('Per Month Text', 'logistic'); ?></label>
                        </li>
                        <li class='to-field'>
                            <div class='input-sec'>
                                <input class='txtfield' type='text' name='cs_per_month_text[]' value="<?php 
								if(isset($cs_per_month_text))  echo cs_allow_special_char($cs_per_month_text); ?>" />
                            </div>
                        </li>
                    </ul>
                    
                    
                    <ul class='form-elements'>
                        <li class='to-label'>
                            <label><?php esc_html_e('Button Link', 'logistic'); ?></label>
                        </li>
                        <li class='to-field'>
                            <div class='input-sec'>
                                <input class='txtfield' type='text' name='button_link[]' value="http://" />
                            </div>
                        </li>
                    </ul>
                    <ul class='form-elements'>
                        <li class='to-label'>
                            <label><?php esc_html_e('Button Text', 'logistic'); ?></label>
                        </li>
                        <li class='to-field'>
                            <div class='input-sec'>
                                <input class='txtfield' type='text' name='multi_price_table_button_text[]' value="<?php 
								if(isset($multi_price_table_button_text)) echo cs_allow_special_char($multi_price_table_button_text); ?>" />
                            </div>
                        </li>
                    </ul>
                    <ul class='form-elements'>
                        <li class='to-label'>
                            <label><?php esc_html_e('Button Color', 'logistic'); ?></label>
                        </li>
                        <li class='to-field'>
                            <div class='input-sec'>
                                <input class='bg_color' type='text' name='multi_price_table_button_color[]' 
                                value="<?php if(isset($multi_price_table_button_color)) echo cs_allow_special_char($multi_price_table_button_color); ?>" />
                            </div>
                        </li>
                    </ul>
                    
                    <ul class='form-elements'>
                        <li class='to-label'>
                            <label><?php esc_html_e('Button Background Color', 'logistic'); ?></label>
                        </li>
                        <li class='to-field'>
                            <div class='input-sec'>
                                <input class='bg_color' type='text' name='multi_price_table_button_column_color[]' 
                                value="<?php if(isset($multi_price_table_button_column_color)) echo cs_allow_special_char($multi_price_table_button_column_color); ?>" />
								
                            </div>
                        </li>
                    </ul>
                    
                    <ul class="form-elements">
                        <li class="to-label">
                            <label><?php esc_html_e('Features', 'logistic'); ?></label>
                        </li>
                        <li class="to-field">
                            <textarea name="pricing_features[]" rows="8" cols="40" data-content-text="cs-shortcode-textarea">[feature_item]Text here[/feature_item][feature_item]Text here[/feature_item]
                            </textarea>
                        </li>
                    </ul>   

                   
                </div> 
                </div>
                <?php
            }
				
				else if ($_POST['shortcode_element'] == 'multi_counters') {

                $rand_string = rand(324335, 9234299);
				 $rand_id = rand(888, 9999999);
				$counter_icon_type  = 'icon';
				$counter_style = 'icon-border';
				$cs_multi_service_bg_image = isset($cs_multi_service_bg_image) ? $cs_multi_service_bg_image : '';
                ?>
                <div class='cs-wrapp-clone cs-shortcode-wrapp cs-pbwp-content'  id="cs_infobox_<?php echo intval($rand_string); ?>">
                    <header>
                        <h4><i class='icon-arrows'></i><?php esc_html_e('Multi Counter', 'logistic'); ?></h4>
                        <a href='#' class='deleteit_node'><i class='icon-minus-circle'></i><?php esc_html_e('Remove', 'logistic'); ?></a>
                    </header>

                   
                    
              <div id="have_image">
               <ul class="form-elements">
                  <li class="to-label">
                    <label><?php esc_html_e('Icon Image','logistic');?></label>
                  </li>
                  <li class="to-field">
                    <input id="cs_multi_service_bg_image<?php echo esc_attr($rand_id)?>" name="cs_multi_service_bg_image[]" type="hidden" class="" value="<?php echo esc_url($cs_multi_service_bg_image);?>"/>
                    <input name="cs_multi_service_bg_image<?php echo esc_attr($rand_id);?>"  type="button" class="uploadMedia left" value="<?php esc_html_e('Browse','logistic');?>"/>
                  </li>
                </ul>
               <div class="page-wrap" style="overflow:hidden; display:<?php echo esc_url($cs_multi_service_bg_image) && trim($cs_multi_service_bg_image) !='' ? 'inline' : 'none';?>" id="cs_multi_service_bg_image<?php echo esc_attr($rand_id)?>_box" >
                  <div class="gal-active">
                    <div class="dragareamain" style="padding-bottom:0px;">
                      <ul id="gal-sortable">
                        <li class="ui-state-default" id="">
                          <div class="thumb-secs"> <img src="<?php echo esc_url($cs_multi_service_bg_image);?>"  id="cs_multi_service_bg_image<?php echo esc_attr($rand_id)?>_img" width="100" height="150"  />
                            <div class="gal-edit-opts"> <a href="javascript:del_media('cs_multi_service_bg_image<?php echo esc_attr($rand_id);?>')" class="delete"></a> </div>
                          </div>
                        </li>
                      </ul>
                    </div>
                  </div>
                </div> 
                </div>
                    
                    

                    <ul class="form-elements bcevent_title">
                        <li class="to-label">
                            <label><?php esc_html_e('Set number', 'logistic'); ?></label>
                        </li>
                        <li class="to-field">
                            <div class="input-sec">
                                <input type="text" name="counter_numbers[]" value="" />
                                <div class="color-picker"><input type="text" name="counter_number_color[]" value="" class="bg_color" /></div>

                            </div>
                        </li>
                    </ul>
                    <ul class="form-elements">
                        <li class="to-label">
                            <label><?php esc_html_e('Title', 'logistic'); ?></label>
                        </li>
                        <li class="to-field">
                            <input type="text"  name="counter_title[]" value="" class="txtfield"  />
                            <div class='left-info'><p><?php esc_html_e('enter a title for the counter', 'logistic'); ?></p></div>
                        </li>
                    </ul>
                    <ul class="form-elements">
                        <li class="to-label">
                            <label><?php esc_html_e('Title Color', 'logistic'); ?></label>
                        </li>
                        <li class="to-field">
                            <input type="text"  name="counter_text_color[]"  value="" class="bg_color"  />
                            <div class='left-info'><p><?php esc_html_e('Provide a hex colour code here  if you want to override the default', 'logistic'); ?> </p></div>
                        </li>
                    </ul>

                    <div class="selected_image_type" id="selected_view_border_type<?php echo esc_attr($counter_count) ?>" <?php if ($counter_style == "icon-border") {
                    echo 'style="display:block"';
                } else {
                    echo 'style="display:none"';
                } ?>>
                 
                    </div>
            
                </div>
                <?php
            }
                else if($_POST['shortcode_element'] == 'accordions'){
                 $rand_id = rand(324235,993249);
                ?>
                    <div class='cs-wrapp-clone cs-shortcode-wrapp'  id="cs_infobox_<?php echo intval( $rand_id);?>">
                        <header>
							<h4><i class='icon-arrows'></i><?php esc_html_e('Accordion','logistic');?></h4>
							<a href='#' class='deleteit_node'><i class='icon-minus-circle'></i><?php esc_html_e('Remove','logistic');?></a>
						</header>
                        <ul class='form-elements'>
                            <li class='to-label'><label><?php esc_html_e('Active','logistic');?></label></li>
                            <li class='to-field select-style'>
								 <select name='accordion_active[]'>
								 	<option value="no"><?php esc_html_e('No','logistic');?></option><option value="yes"><?php esc_html_e('Yes','logistic');?></option>
								</select>
                            <div class='left-info'>
                              <p><?php esc_html_e('You can set the section that is active here by select dropdown','logistic');?></p>
                            </div>
                            </li>
                        </ul>
                        <ul class='form-elements'>
                            <li class='to-label'><label><?php esc_html_e('Accordion Title:','logistic');?></label></li>
                            <li class='to-field'>
								<div class='input-sec'>
									<input class='txtfield' type='text' name='accordion_title[]' />
								</div>
                            <div class='left-info'>
                              <p><?php esc_html_e('Enter accordion title','logistic');?></p>
                            </div>
                            </li>
                        </ul>
                        <ul class='form-elements' id="<?php echo intval($rand_id);?>">
                            <li class='to-label'><label><?php esc_html_e('Font awsome Icon:','logistic');?></label></li>
                            <li class="to-field">
                                    <?php cs_fontawsome_icons_box('',$rand_id,'cs_accordian_icon');?>
                                    
                                    <div class='left-info'>
                                      <p><?php esc_html_e('Select the font awsome Icons you would like to add to your menu items','logistic');?></p>
                                    </div>
                            </li>
                        </ul>
                        <ul class='form-elements'>
                            <li class='to-label'><label><?php esc_html_e('Accordion Text:','logistic');?></label></li>
                            <li class='to-field'>
								<div class='input-sec'>
									<textarea class='txtfield' data-content-text="cs-shortcode-textarea" name='accordion_text[]'></textarea>
								</div>
                            <div class='left-info'>
                              <p><?php esc_html_e('Enter your content','logistic');?></p>
                            </div>
                            </li>
                        </ul>
                    </div>
                <?php    
            
        
            }
            else if($_POST['shortcode_element'] == 'faq'){
                 $rand_id = rand(32433245,99234239);
                ?>
                    <div class='cs-wrapp-clone cs-shortcode-wrapp' id="cs_infobox_<?php echo intval( $rand_id);?>">
                        <header>
							<h4><i class='icon-arrows'></i><?php esc_html_e('FAQ','logistic');?></h4>
							<a href='#' class='deleteit_node'><i class='icon-minus-circle'></i><?php esc_html_e('Remove','logistic');?></a>
						</header>
                        <ul class='form-elements'>
                            <li class='to-label'><label><?php esc_html_e('Active','logistic');?></label></li>
                            <li class='to-field select-style'>
								<select name='faq_active[]'>
									<option value="no"><?php esc_html_e('No','logistic');?></option><option value="yes"><?php esc_html_e('Yes','logistic');?></option>
								</select>
                            </li>
                        </ul>
                        <ul class='form-elements'>
                            <li class='to-label'><label><?php esc_html_e('Faq Title:','logistic');?></label></li>
                            <li class='to-field'>
								<div class='input-sec'>
									<input class='txtfield' type='text' name='faq_title[]' />
								</div>
                            </li>
                        </ul>
                        <ul class='form-elements'>
                            <li class='to-label'><label><?php esc_html_e('Faq Text:','logistic');?></label></li>
                            <li class='to-field'>
								<div class='input-sec'>
									<textarea class='txtfield' data-content-text="cs-shortcode-textarea" name='faq_text[]'></textarea>
								</div>
                            </li>
                        </ul>
                    </div>
                <?php    
                
         }
		 
		
		 
            else if($_POST['shortcode_element'] == 'register'){
                 $rand_id = rand(5,999);
                ?>
                    <div class='cs-wrapp-clone cs-shortcode-wrapp'  id="cs_infobox_<?php echo intval( $rand_id);?>">
                        <header>
							<h4><i class='icon-arrows'></i><?php esc_html_e('Register','logistic');?></h4>
							<a href='#' class='deleteit_node'><i class='icon-minus-circle'></i><?php esc_html_e('Remove','logistic');?></a>
						</header>
                        <ul class='form-elements'>
                            <li class='to-label'><label><?php esc_html_e('Register Title:','logistic');?></label></li>
                            <li class='to-field'>
								<div class='input-sec'>
									<input class='txtfield' type='text' name='register_title[]' />
								</div>
                            </li>
                        </ul>
                        
                        <ul class='form-elements'>
                            <li class='to-label'><label><?php esc_html_e('User Role:','logistic');?></label></li>
                            <li class='to-field'>
								<div class="select-style">
									<select name='register_role[]'>
										<option value="<?php esc_html_e('subscriber','logistic');?>"><?php esc_html_e('Subscriber','logistic');?></option>
										<option value="<?php esc_html_e('staff','logistic');?>"><?php esc_html_e('Staff','logistic');?></option>
										<option value="<?php esc_html_e('member','logistic');?>"><?php esc_html_e('Member','logistic');?></option>
										<option value="<?php esc_html_e('instructor','logistic');?>"><?php esc_html_e('Instructor','logistic');?></option>
                            			<option value="<?php esc_html_e('customer','logistic');?>"><?php esc_html_e('Customer','logistic');?></option>
										<option value="<?php esc_html_e('contributor','logistic');?>"><?php esc_html_e('Contributor','logistic');?></option>
										<option value="<?php esc_html_e('author','logistic');?>"><?php esc_html_e('Author','logistic');?></option>
										<option value="<?php esc_html_e('editor','logistic');?>"><?php esc_html_e('Editor','logistic');?></option>
										<option value="<?php esc_html_e('administrator','logistic');?>"><?php esc_html_e('Administrator','logistic');?></option>
										</select>
								</div>
                            </li>
                        </ul>
                        
                        <ul class='form-elements'>
                            <li class='to-label'><label><?php esc_html_e('Register Text:','logistic');?></label></li>
                            <li class='to-field'>
							 <div class='input-sec'>
							 	<textarea class='txtfield' data-content-text="cs-shortcode-textarea" name='register_text[]'></textarea>
							</div>
                            </li>
                        </ul>
                    </div>
                <?php
                    
        } 
            else if($_POST['shortcode_element'] == 'tabs'){
                $rand_id = rand(40, 9999999);
            ?>
                    <div class='cs-wrapp-clone cs-shortcode-wrapp add_tabs  cs-pbwp-content'  id="cs_infobox_<?php echo intval( $rand_id);?>">
                                <header>
									<h4><i class='icon-arrows'></i><?php esc_html_e('Tab','logistic');?></h4>
									<a href='#' class='deleteit_node'><i class='icon-minus-circle'></i><?php esc_html_e('Remove','logistic');?></a>
								</header>
                                <ul class='form-elements'>
                                    <li class='to-label'><label><?php esc_html_e('Active','logistic');?></label></li>
                                    <li class='to-field'> 
                                        <div class="select-style">
											<select name='tab_active[]'>
												<option value="<?php esc_html_e('No','logistic');?>"><?php esc_html_e('No','logistic');?></option>
												<option value="<?php esc_html_e('yes','logistic');?>"><?php esc_html_e('Yes','logistic');?></option>
											</select>
										</div>
                                        <div class='left-info'>
                                          <p><?php esc_html_e('You can set the section that is active here by select dropdown','logistic');?></p>
                                        </div>
                                    </li>
                                </ul>
                                <ul class='form-elements'>
                                    <li class='to-label'><label><?php esc_html_e('Tab Title:','logistic');?></label></li>
                                    <li class='to-field'>
										<div class='input-sec'>
										<input class='txtfield' type='text' name='tab_title[]' />
										</div>
                                    </li>
                                </ul>
                                <ul class='form-elements' id="<?php echo intval( $rand_id);?>">
                                    <li class='to-label'><label><?php esc_html_e('Font awsome Icon:','logistic');?></label></li>
                                    <li class="to-field">
                                        <?php cs_fontawsome_icons_box('',$rand_id,'cs_tab_icon');?>
                                        <div class='left-info'>
                                          <p><?php esc_html_e('Select the font awsome Icons you would like to add to your menu items','logistic');?> </p>
                                        </div>
                                    </li>
                                </ul>
                                <ul class='form-elements'>
                                    <li class='to-label'><label><?php esc_html_e('Tab Text:','logistic');?></label></li>
                                    <li class='to-field'>
										<div class='input-sec'>
										<textarea class='txtfield' data-content-text="cs-shortcode-textarea" name='tab_text[]'></textarea>
										</div>
                                    <div class='left-info'>
                                      <p><?php esc_html_e('Enter tab body content here','logistic');?></p>
                                    </div>
                                    </li>
                                </ul>
                            </div>
                <?php    
            }
            else if($_POST['shortcode_element'] == 'testimonials'){
                 $rand_id = rand(324335,9234299);
                ?>
                    <div class='cs-wrapp-clone cs-shortcode-wrapp cs-pbwp-content'  id="cs_infobox_<?php echo intval( $rand_id);?>">
                        <header>
							<h4><i class='icon-arrows'></i><?php esc_html_e('Testimonial','logistic');?></h4>
							<a href='#' class='deleteit_node'><i class='icon-minus-circle'></i><?php esc_html_e('Remove','logistic');?></a>
						</header>
                        <ul class='form-elements'>
                            <li class='to-label'><label><?php esc_html_e('Text','logistic');?></label></li>
                            <li class='to-field'>
								<div class='input-sec'>
									<textarea class='txtfield' data-content-text="cs-shortcode-textarea" name='testimonial_text[]'></textarea>
								</div>
                            </li>
                        </ul>
                        <ul class='form-elements'>
                            <li class='to-label'><label><?php esc_html_e('Author','logistic');?></label></li>
                            <li class='to-field'>
								<div class='input-sec'><input class='txtfield' type='text' name='testimonial_author[]' /></div>
							</li>
                        </ul>
                        
                        <ul class='form-elements'>
                            <li class='to-label'><label><?php esc_html_e('Company','logistic');?></label></li>
                            <li class='to-field'>
								<div class='input-sec'><input class='txtfield' type='text' name='testimonial_author_place[]' /></div>
							</li>
                        </ul>
                      
                        <ul class="form-elements">
                          <li class="to-label">
                            <label><?php esc_html_e('Background Image','logistic');?></label>
                          </li>
                          <li class="to-field">
                            <input id="testimonial_img<?php echo intval( $rand_id);?>" name="testimonial_img[]" type="hidden" class="" value=""/>
                            <input name="testimonial_img<?php echo intval( $rand_id);?>"  type="button" class="uploadMedia left" value="<?php esc_html_e('Browse','logistic');?>"/>
                          </li>
                        </ul>
                        <div class="page-wrap" style="overflow:hidden; display:none" id="testimonial_img<?php echo intval( $rand_id);?>_box" >
                          <div class="gal-active">
                            <div class="dragareamain" style="padding-bottom:0px;">
                              <ul id="gal-sortable">
                                <li class="ui-state-default" id="">
                                  <div class="thumb-secs"> <img src=""  id="testimonial_img<?php echo intval( $rand_id);?>_img" width="100" height="150" alt="" />
                                    <div class="gal-edit-opts"> <a   href="javascript:del_media('testimonial_img<?php echo intval( $rand_id);?>')" class="delete"></a> </div>
                                  </div>
                                </li>
                              </ul>
                            </div>
                          </div>
                        </div>
                </div>
                <?php    
            } 
			else if($_POST['shortcode_element'] == 'history'){
                 $rand_id = rand(324335,9234299);
                ?>
                    <div class='cs-wrapp-clone cs-shortcode-wrapp cs-pbwp-content'  id="cs_infobox_<?php echo intval( $rand_id);?>">
                        <header>
							<h4><i class='icon-arrows'></i><?php esc_html_e('History','logistic');?></h4>
							<a href='#' class='deleteit_node'><i class='icon-minus-circle'></i><?php esc_html_e('Remove','logistic');?></a>
						</header>
                   		<ul class='form-elements'>
					  <li class='to-label'>
						<label><?php esc_html_e('Month','logistic');?></label>
					  </li>
					  <li class='to-field'>
						<div class='input-sec'>
					<input class='txtfield' type='text' name='history_month[]' value="" />
						</div>
					  </li>
					</ul>
				     	<ul class='form-elements'>
					  <li class='to-label'>
						<label><?php esc_html_e('Year','logistic');?></label>
					  </li>
					  <li class='to-field'>
						<div class='input-sec'>
						  <input class='txtfield' type='text' name='history_year[]' value="" />
						</div>
					  </li>
					</ul>
                    	<ul class='form-elements'>
					  <li class='to-label'>
						<label><?php esc_html_e('Title','logistic');?></label>
					  </li>
					  <li class='to-field'>
						<div class='input-sec'>
						  <input class='txtfield' type='text' name='history_title[]' value="" />
						</div>
					  </li>
					</ul>
                    	<ul class='form-elements'>
					  <li class='to-label'>
						<label><?php esc_html_e('Text','logistic');?></label>
					  </li>
					  <li class='to-field'>
						<div class='input-sec'>
                          <textarea class='txtfield' data-content-text="cs-shortcode-textarea" name='history_text[]'></textarea>
				
						</div>
					  </li>
					</ul>
                </div>
                <?php    
            } 
            else if($_POST['shortcode_element'] == 'counter'){
                $counter_count = rand(40, 9999999);
                ?>
                <div class='cs-wrapp-clone cs-shortcode-wrapp' id="cs_infobox_<?php echo intval($counter_count);?>">
                        <header><h4><i class='icon-arrows'></i><?php esc_html_e('Counter','logistic');?></h4> <a href='#' class='deleteit_node'><i class='icon-minus-circle'></i><?php esc_html_e('Remove','logistic');?></a></header>
                        <ul class="form-elements">
                            <li class="to-label"><label><?php esc_html_e('Counter Title','logistic');?></label></li>
                            <li class="to-field"><input type="text"  name="counter_title[]"  class="txtfield"  /></li>
                        </ul>
                        <ul class="form-elements">
                            <li class="to-label"><label><?php esc_html_e('Type','logistic');?></label></li>
                            <li class="to-field">
                                <div class="select-style">
                                    <select name="counter_style[]" class="dropdown" >
                                        <option value="one" ><?php esc_html_e('Counter Style One','logistic');?></option>
                                        <option value="two" ><?php esc_html_e('Counter Style Two','logistic');?></option>
                                        <option value="three" ><?php esc_html_e('Counter Style Three','logistic');?></option>
                                        <option value="four" ><?php esc_html_e('Counter Style Four','logistic');?></option>
                                     </select>
                                 </div>
                            </li>
                        </ul>
                        
                        <ul class="form-elements">
                            <li class="to-label"><label><?php esc_html_e('Choose Icon','logistic');?></label></li>
                            <li class="to-field">
                                <div class="select-style">
                                    <select name="counter_icon_type[]" class="dropdown" onchange="cs_counter_image(this.value,'<?php echo esc_js($counter_count)?>','')">
                                        <option <?php if($counter_item->counter_icon_type=="icon")echo "selected";?> value="icon" ><?php esc_html_e('Icon','logistic');?></option>
                                        <option <?php if($counter_item->counter_icon_type=="image")echo "selected";?> value="image" ><?php esc_html_e('Image','logistic');?></option>
                                     </select>
                                 </div>
                            </li>
                        </ul>
                        
                        <div class="selected_icon_type" id="selected_icon_type<?php echo intval($counter_count)?>">
                             <ul class='form-elements' id="<?php echo intval($counter_count);?>">
                                <li class='to-label'><label><?php esc_html_e('Fontawsome Icon','logistic');?></label></li>
                                <li class="to-field">
                                     <?php cs_fontawsome_icons_box('',$counter_count,'counter_icon');?>
                                </li>
                         </ul>
                             <ul class="form-elements">
                                <li class="to-label"><label><?php esc_html_e('Icon Color','logistic');?></label></li>
                                <li><input type="text"  name="icon_color[]"  class="bg_color"  /></li>
                            </ul>
                        </div>
                        <div class="selected_image_type" id="selected_image_type<?php echo intval($counter_count)?>" style="display:none;">
                               <ul class="form-elements">
                              <li class="to-label">
                                <label><?php esc_html_e('Image','logistic');?></label>
                              </li>
                              <li class="to-field">
                                <input id="cs_counter_logo<?php echo intval($counter_count)?>" name="cs_counter_logo[]" type="hidden" class="" value=""/>
                                <input name="cs_counter_logo<?php echo intval($counter_count)?>"  type="button" class="uploadMedia left" value="<?php esc_html_e('Browse','logistic');?>"/>
                              </li>
                            </ul>
                            <div class="page-wrap" style="overflow:hidden; display:<?php echo 'none';?>" id="cs_counter_logo<?php echo intval($counter_count)?>_box" >
                              <div class="gal-active">
                                <div class="dragareamain" style="padding-bottom:0px;">
                                  <ul id="gal-sortable">
                                    <li class="ui-state-default" id="">
                                      <div class="thumb-secs"> <img src="<?php echo esc_url(cs_allow_special_char($counter_count));?>"  id="cs_counter_logo<?php echo intval($counter_count)?>_img" width="100" height="150"  />
                                        <div class="gal-edit-opts"> <a   href="javascript:del_media('cs_counter_logo<?php echo esc_js($counter_count)?>')" class="delete"></a> </div>
                                      </div>
                                    </li>
                                  </ul>
                                </div>
                              </div>
                            </div>
                        </div>
                        
                        <ul class="form-elements">
                            <li class="to-label"><label><?php esc_html_e('Background Color','logistic');?></label></li>
                            <li><input type="text"  name="counter_bg_color[]" class="bg_color" value="" /></li>
                        </ul>
                                        
                        <ul class="form-elements">
                            <li class="to-label"><label><?php esc_html_e('Numbers','logistic');?></label></li>
                            <li class="to-field"><input type="text" name="counter_numbers[]" class="txtfield" value="" /></li>
                        </ul>
                          <ul class="form-elements">
                            <li class="to-label"><label><?php esc_html_e('Count Text Color','logistic');?></label></li>
                            <li><input type="text" name="counter_text_color[]" class="bg_color" /></li>
                        </ul>
                        
                        <ul class="form-elements">
                            <li class="to-label"><label><?php esc_html_e('Link Title','logistic');?></label></li>
                            <li class="to-field"><input type="text" name="counter_icon_linktitle[]" class="txtfield" /></li>
                        </ul>
                        <ul class="form-elements">
                            <li class="to-label"><label><?php esc_html_e('Link','logistic');?></label></li>
                            <li class="to-field"><input type="text" name="counter_icon_linkurl[]" class="txtfield"/></li>
                        </ul>
                        <ul class="form-elements">
                            <li class="to-label"><label><?php esc_html_e('Button Color','logistic');?></label></li>
                            <li><input type="text"  name="counter_link_bgcolor[]" class="bg_color"  /></li>
                        </ul>
                        <ul class="form-elements">
                            <li class="to-label"><label><?php esc_html_e('Text','logistic');?></label></li>
                            <li class="to-field"><textarea type="text" name="counter_text[]" class="txtfield" data-content-text="cs-shortcode-textarea" /><?php echo cs_allow_special_char($counter_text)?></textarea></li>
                        </ul>
                        <ul class="form-elements">
                            <li class="to-label"><label><?php esc_html_e('Custom Id','logistic');?></label></li>
                            <li class="to-field">
                                <input type="text" name="coutner_class[]" class="txtfield"  value="" />
                            </li>
                         </ul>
                       
                        <ul class="form-elements">
                            <li class="to-label"><label><?php esc_html_e('Animation Class','logistic');?> </label></li>
                            <li class="to-field select-style">
                                <select class="dropdown" name="coutner_animation[]">
                                    <option value=""><?php esc_html_e('Select Animation','logistic');?></option>
                                    <?php 
                                    
                                        $animation_array = cs_animation_style();
                                        foreach($animation_array as $animation_key=>$animation_value){
                                            echo '<optgroup label="'.$animation_key.'">';    
                                            foreach($animation_value as $key=>$value){
                                                echo '<option value="'.$key.'" >'.$value.'</option>';
                                            }
                                        }
                                    
                                     ?>
                                  </select>
                            </li>
                        </ul>
                      
                    </div>
                <?php    } 
            else if ($_POST['shortcode_element'] == 'list'){
                            $rand_id = rand(42130, 9999999);
                        ?>
                    <div class='cs-wrapp-clone cs-shortcode-wrapp' id="cs_infobox_<?php echo intval($rand_id);?>">
                            <header>
								<h4><i class='icon-arrows'></i><?php esc_html_e('List Item','logistic');?></h4>
								<a href='#' class='deleteit_node'><i class='icon-minus-circle'></i><?php esc_html_e('Remove','logistic');?></a>
							</header>
                            <ul class='form-elements'>
                                <li class='to-label'><label><?php esc_html_e('List Item','logistic');?></label></li>
                                <li class='to-field'>
									<div class='input-sec'>
										<input class='txtfield' type='text' name='cs_list_item[]' data-content-text="cs-shortcode-textarea" />
									</div>
                                </li>
                            </ul> 
                            <ul class='form-elements' id="<?php echo intval( $rand_id);?>">
                                <li class='to-label'><label><?php esc_html_e('Fontawsome Icon','logistic');?></label></li>
                                <li class="to-field">
                                <?php cs_fontawsome_icons_box('',$rand_id,'cs_list_icon');?>
                            </li>
                         </ul>
                    </div>
                <?php    
            }  
			
			else if ($_POST['shortcode_element'] == 'feature_list'){
                            $rand_id = rand(42130, 9999999);
							$cs_service_bg_image = isset($cs_service_bg_image) ? $cs_service_bg_image : '';
							
                     ?>
                    <div class='cs-wrapp-clone cs-shortcode-wrapp' id="cs_infobox_<?php echo intval($rand_id);?>">
                            <header>
								<h4><i class='icon-arrows'></i><?php esc_html_e('Feature Item','logistic');?></h4>
								<a href='#' class='deleteit_node'><i class='icon-minus-circle'></i><?php esc_html_e('Remove','logistic');?></a>
							</header>
                            <ul class='form-elements'>
                                <li class='to-label'><label><?php esc_html_e('Feature Item','logistic');?></label></li>
                                <li class='to-field'>
									<div class='input-sec'>
										<input class='txtfield' type='text' name='cs_list_item[]' data-content-text="cs-shortcode-textarea" />
									</div>
                                </li>
                            </ul> 
                            
                            
                            <ul class='form-elements'>
                                <li class='to-label'><label><?php esc_html_e('Sub Title','logistic');?></label></li>
                                <li class='to-field'>
									<div class='input-sec'>
										<input class='txtfield' type='text' name='cs_list_sub_title[]'  />
									</div>
                                </li>
                            </ul> 
                            
                            
                            <ul class='form-elements'>
                                <li class='to-label'><label><?php esc_html_e('Link','logistic');?></label></li>
                                <li class='to-field'>
									<div class='input-sec'>
										<input class='txtfield' type='text' name='cs_list_link_url[]'  />
									</div>
                                </li>
                            </ul> 
                           
                           <ul class="form-elements">
                            <li class="to-label">
                                <label><?php esc_html_e('Choose Icon /Image','logistic');?></label>
                            </li>
                            <li class="to-field">
                                <div class="select-style">
                                <select name="cs_service_icon_type[]" class="dropdown" onchange="cs_service_toggle_image(this.value,'<?php echo esc_attr($rand_id);?>', jQuery(this))">
                                    <option   value="icon" ><?php esc_html_e('Icon','logistic');?></option>
                                    <option   value="image" ><?php esc_html_e('Image','logistic');?></option>
                                </select>
                                <div class='left-info'><p><?php esc_html_e('Choose a icon/image type form the dropdown','logistic');?></p></div>
                                </div>
                            </li>
                        </ul>
                        
                           
                     <div class="selected_icon_type" id="selected_icon_type<?php echo esc_attr($rand_id)?>">  
					 
                        
                      <ul class='form-elements' id="cs_infobox_<?php echo esc_attr($rand_id);?>">
                        <li class='to-label'>
                          <label><?php esc_html_e('Choose Icon','logistic');?></label>
                        </li>
                        <li class="to-field">
                          <?php cs_fontawsome_icons_box('',$rand_id,'cs_list_icon');?>
                          <div class='left-info'><p><?php esc_html_e('Select the fontawsome Icons you would like to add to your menu items','logistic');?></p></div>
                        </li>
                      </ul>
                      
        			</div>
        
         <div class="selected_image_type" id="selected_image_type<?php echo esc_attr($rand_id);?>" <?php 
		 if(isset($cs_service_icon_type) && $cs_service_icon_type=="image"){ echo 'style="display:block"';} else { echo 'style="display:none"';}?> >
          <ul class="form-elements">
            <li class="to-label">
              <label><?php esc_html_e('Image','logistic');?></label>
            </li>
            <li class="to-field">
              <input id="service_bg_image<?php echo esc_attr($rand_id);?>" name="cs_service_bg_image[]" type="hidden" class="" value="<?php echo esc_url($cs_service_bg_image);?>"/>
              <input name="service_bg_image<?php echo esc_attr($rand_id);?>"  type="button" class="uploadMedia left" value="<?php esc_html_e('Browse','logistic');?>"/>
            </li>
          </ul>
          <div class="page-wrap" style="overflow:hidden; display:<?php echo esc_url($cs_service_bg_image) && trim($cs_service_bg_image) !='' ? 'inline' : 'none';?>" id="service_bg_image<?php echo esc_attr($rand_id);?>_box" >
            <div class="gal-active">
              <div class="dragareamain" style="padding-bottom:0px;">
                <ul id="gal-sortable">
                  <li class="ui-state-default" id="">
                    <div class="thumb-secs"> <img src="<?php echo esc_url($cs_service_bg_image);?>"  id="service_bg_image<?php echo esc_attr($rand_id);?>_img" width="100" height="150"  />
                      <div class="gal-edit-opts"> <a   href="javascript:del_media('service_bg_image<?php echo esc_attr($rand_id);?>')" class="delete"></a> </div>
                    </div>
                  </li>
                </ul>
              </div>
            </div>
          </div>
        </div> 
           
                          
                    </div>
                <?php    
            } 
			
			
			
			
            else if ($_POST['shortcode_element'] == 'infobox_items'){
                    $rand_id = rand(40, 9999999);
                ?>
                    <div class='cs-wrapp-clone cs-shortcode-wrapp' id="cs_infobox_<?php echo intval( $rand_id);?>">
                            <header><h4><i class='icon-arrows'></i><?php esc_html_e('Info box Item(s)','logistic');?></h4> 
                                <a href='#' class='deleteit_node'>
                                    <i class='icon-minus-circle'></i><?php esc_html_e('Remove','logistic');?>
                                </a>
                            </header>
                            
                             <ul class='form-elements' id="<?php echo intval( $rand_id);?>">
                                <li class='to-label'><label><?php esc_html_e('Fontawsome Icon','logistic');?></label></li>
                                <li class="to-field">
                                   <?php cs_fontawsome_icons_box('',$rand_id,'cs_infobox_list_icon');?>
                                    </li>
                         </ul>
                         <ul class='form-elements'>
                            <li class='to-label'><label><?php esc_html_e('Icon Color','logistic');?></label></li>
                            <li class='to-field'>
								<div class='input-sec'>
									<input class='bg_color' type='text' name='cs_infobox_list_color[]' />
								</div>
                            </li>
                        </ul> 
                        <ul class='form-elements'>
                            <li class='to-label'><label><?php esc_html_e('Title','logistic');?></label></li>
                            <li class='to-field'>
								<div class='input-sec'>
									<input class='txtfield' type='text' name='cs_infobox_list_title[]' />
								</div>
                            </li>
                        </ul>
                         <ul class='form-elements'>
                            <li class='to-label'><label><?php esc_html_e('Short Description','logistic');?></label></li>
                            <li class='to-field'>
								<div class='input-sec'>
									<textarea name='cs_infobox_list_description[]' rows="8" cols="20" data-content-text="cs-shortcode-textarea" /></textarea>
									</div>
                            </li>
                        </ul> 
                      
                    </div>
                <?php    
            } 
            else if ($_POST['shortcode_element'] == 'audio'){
                $rand_id = 'clinets_'.rand(40, 9999999);
                ?>
                    <div class='cs-wrapp-clone cs-shortcode-wrapp' id="cs_infobox_<?php echo intval( $rand_id);?>">
                        <header>
							<h4><i class='icon-arrows'></i><?php esc_html_e('Album Item(s)','logistic');?></h4>
							<a href='#' class='deleteit_node'><i class='icon-minus-circle'></i><?php esc_html_e('Remove','logistic');?></a>
						</header>
                        <ul class="form-elements">
                            <li class="to-label"><label><?php esc_html_e('Track Title','logistic');?></label></li>
                            <li class="to-field">
                                <input type="text" id="cs_album_track_title" name="cs_album_track_title[]" value="Track Title" />
                            </li>
                        </ul>
                        
                        <ul class="form-elements">
                            <li class="to-label"><label><?php esc_html_e('Track MP3 Url','logistic');?></label></li>
                            <li class="to-field">
                                <input id="cs_album_track_mp3_url" name="cs_album_track_mp3_url[]" value="" type="text" class="small" />
                            </li>
                        </ul>
                        
                </div>
                <?php    
            }
            else if ($_POST['shortcode_element'] == 'clients'){
                $clients_count = 'clinets_'.rand(40, 9999999);
                ?>
                    <div class='cs-wrapp-clone cs-shortcode-wrapp' id="cs_infobox_<?php echo cs_allow_special_char($clients_count);?>">
                        <header>
							<h4><i class='icon-arrows'></i><?php esc_html_e('Client','logistic');?></h4>
							<a href='#' class='deleteit_node'><i class='icon-minus-circle'></i><?php esc_html_e('Remove','logistic');?></a>
						</header>
                        <ul class="form-elements">
                          <li class="to-label">
                            <label><?php esc_html_e('Title','logistic');?></label>
                          </li>
                          <li class="to-field">
                            <input type="text" id="cs_client_title" class="" name="cs_client_title[]" value="" />
                          </li>
                        </ul>
                      
                        <ul class="form-elements">
                            <li class="to-label"><label><?php esc_html_e('Website Url','logistic');?></label></li>
                            <li class="to-field">
                                <div class="input-sec"> <input type="text" id="cs_website_url" class="" name="cs_website_url[]" value="" /></div>
                                <div class="left-info"><p>e.g. http://yourdomain.com/</p></div>
                            </li>
                        </ul>
                        <ul class="form-elements">
                          <li class="to-label">
                            <label><?php esc_html_e('Client Logo','logistic');?></label>
                          </li>
                          <li class="to-field">
                            <input id="cs_client_logo<?php echo cs_allow_special_char($clients_count)?>" name="cs_client_logo[]" type="hidden" class="" value=""/>
                            <input name="cs_client_logo<?php echo cs_allow_special_char($clients_count)?>"  type="button" class="uploadMedia left" value="<?php esc_html_e('Browse','logistic');?>"/>
                          </li>
                        </ul>
                        <div class="page-wrap" style="overflow:hidden; display:<?php echo 'none';?>" id="cs_client_logo<?php echo cs_allow_special_char($clients_count)?>_box" >
                          <div class="gal-active">
                            <div class="dragareamain" style="padding-bottom:0px;">
                              <ul id="gal-sortable">
                                <li class="ui-state-default" id="">
                                  <div class="thumb-secs"> <img src="<?php echo cs_allow_special_char(esc_url($clients_count));?>"  id="cs_client_logo<?php echo cs_allow_special_char($clients_count);?>_img" width="100" height="150"  />
                                    <div class="gal-edit-opts"> <a   href="javascript:del_media('cs_client_logo<?php echo cs_allow_special_char($clients_count)?>')" class="delete"></a> </div>
                                  </div>
                                </li>
                              </ul>
                            </div>
                          </div>
                        </div>
                </div>
                <?php    
            }
			else if ($_POST['shortcode_element'] == 'multiple_services'){
                $multiple_services_count = 'multiple_services_'.rand(455345, 23454390);
		
				  $rand_counter = rand(888, 9999999);
				  $rand_id = rand(888, 9999999);
				  $cs_multi_service_bg_image = isset($cs_multi_service_bg_image) ? $cs_multi_service_bg_image : '';
		         $cs_multi_service_icon_image = isset($cs_multi_service_icon_image) ? $cs_multi_service_icon_image : '';
			 
                ?>
                    <div class='cs-wrapp-clone cs-shortcode-wrapp' id="cs_infobox_<?php echo cs_allow_special_char($multiple_services_count);?>">
                        <header>
							<h4><i class='icon-arrows'></i><?php esc_html_e('Multiple Service','logistic');?></h4>
							<a href='#' class='deleteit_node'><i class='icon-minus-circle'></i><?php esc_html_e('Remove','logistic');?></a>
						</header>
                        <ul class="form-elements">
                          <li class="to-label">
                            <label><?php esc_html_e('Title','logistic');?></label>
                          </li>
                          <li class="to-field">
                            <input type="text" id="cs_multiple_service_title" class="" name="cs_multiple_service_title[]" value="" />
                          </li>
                        </ul>
                        <ul class="form-elements">
                          <li class="to-label">
                            <label><?php esc_html_e('Title Color','logistic');?></label>
                          </li>
                          <li class="to-field">
                            <input type="text" id="cs_title_color" class="bg_color" name="cs_title_color[]" value="" />
                          </li>
                        </ul>
                     <script type="text/javascript"> 
							jQuery(document).ready(function(){
								jQuery('.avatar-wrap').on('change','.cs_get_vatar', function(){
									var _this = jQuery(this);
									
									if( _this.val() == 'icon' ){
									 
										_this.parents('.cs-shortcode-wrapp').find('#have_icon').show();
										_this.parents('.cs-shortcode-wrapp').find('#have_image').hide();
									} else {
									 
										_this.parents('.cs-shortcode-wrapp').find('#have_image').show();
										_this.parents('.cs-shortcode-wrapp').find('#have_icon').hide();
									}
									
								});
							});
						</script> 
      <ul class="form-elements">
          <li class="to-label">
            <label><?php esc_html_e('Choose','logistic');?></label>
          </li>
          <li class="to-field">
            <div class="select-style avatar-wrap">
               <select name="style_type[]" class="dropdown cs_get_vatar">
                <option value="icon" ><?php esc_html_e('Icon','logistic');?></option>
                <option value="image" ><?php esc_html_e('Image','logistic');?></option>
              </select>
              <div class='left-info'><p><?php esc_html_e('Choose a icon/image type form the dropdown','logistic');?></p></div>
            </div>
          </li>
        </ul>
        <?php
		$style_type = isset($style_type) ? $style_type : '';
		 if($style_type == "icon") {
            $cs_icon_class = 'block';
			$cs_image_class = 'none';
	 	   } elseif($style_type == "image") {
		 	 $cs_icon_class = 'none';
			$cs_image_class = 'block';
		    } else {
			 $cs_icon_class = 'block';
			$cs_image_class = 'none';
		    }?>
           <div id="have_icon" style="display:<?php echo esc_html($cs_icon_class) ?>">
            <ul class='form-elements' id="cs_multi_service_icon_<?php echo esc_attr($rand_id);?>">
              <li class='to-label'>
                <label><?php esc_html_e('Fontawsome Icon:', 'logistic');?></label>
              </li>
              <li class="to-field">
                <?php cs_fontawsome_icons_box('',$rand_id,'cs_multi_service_icon');?>
                <div class='left-info'>
                  <p> <?php esc_html_e('select the fontawsome Icons you would like to add to your menu items','logistic');?></p>
                </div>
              </li>
            </ul> 
               <ul class="form-elements">
                          <li class="to-label">
                            <label><?php esc_html_e('Fontawsome Color', 'logistic');?></label>
                          </li>
                          <li class="to-field">
                            <input type="text" id="cs_fontawsome_color" class="bg_color" name="cs_fontawsome_color[]" value="" />
                          </li>
                        </ul>
                 </div>       
              <div id="have_image" style="display:<?php echo esc_html($cs_image_class) ?>;">
               <ul class="form-elements">
                  <li class="to-label">
                    <label><?php esc_html_e('Image','logistic');?></label>
                  </li>
                  <li class="to-field">
                    <input id="cs_multi_service_bg_image<?php echo esc_attr($rand_id)?>" name="cs_multi_service_bg_image[]" type="hidden" class="" value="<?php echo esc_url($cs_multi_service_bg_image);?>"/>
                    <input name="cs_multi_service_bg_image<?php echo esc_attr($rand_id);?>"  type="button" class="uploadMedia left" value="<?php esc_html_e('Browse','logistic');?>"/>
                  </li>
                </ul>
               <div class="page-wrap" style="overflow:hidden; display:<?php echo esc_url($cs_multi_service_bg_image) && trim($cs_multi_service_bg_image) !='' ? 'inline' : 'none';?>" id="cs_multi_service_bg_image<?php echo esc_attr($rand_id)?>_box" >
                  <div class="gal-active">
                    <div class="dragareamain" style="padding-bottom:0px;">
                      <ul id="gal-sortable">
                        <li class="ui-state-default" id="">
                          <div class="thumb-secs"> <img src="<?php echo esc_url($cs_multi_service_bg_image);?>"  id="cs_multi_service_bg_image<?php echo esc_attr($rand_id)?>_img" width="100" height="150"  />
                            <div class="gal-edit-opts"> <a href="javascript:del_media('cs_multi_service_bg_image<?php echo esc_attr($rand_id);?>')" class="delete"></a> </div>
                          </div>
                        </li>
                      </ul>
                    </div>
                  </div>
                </div> 
                </div>  
      
                        <ul class='form-elements'>
                          <li class='to-label'>
                            <label><?php esc_html_e('Text','logistic');?></label>
                          </li>
                          <li class='to-field'>
                            <div class='input-sec'>
                              <textarea class='txtfield' data-content-text="cs-shortcode-textarea" name='cs_multiple_service_text[]'></textarea>
                              <div class='left-info'>
                                <p><?php esc_html_e('Enter your content','logistic');?></p>
                              </div>
                            </div>
                          </li>
                        </ul>
                  
                        <ul class="form-elements">
                          <li class="to-label">
                            <label><?php esc_html_e('URL','logistic');?></label>
                          </li>
                          <li class="to-field">
                            <input type="text" id="cs_multiple_service_btn_link" class="" name="cs_multiple_service_btn_link[]" value="" />
                          </li>
                        </ul>
                   
              
                </div>
                
                <?php    
            }
			else if ($_POST['shortcode_element'] == 'facilities'){
                $facilities_count = 'facilities_'.rand(455345, 23454390);
                ?>
                    <div class='cs-wrapp-clone cs-shortcode-wrapp' id="cs_infobox_<?php echo cs_allow_special_char($facilities_count);?>">
                        <header>
							<h4><i class='icon-arrows'></i><?php esc_html_e('Facilities','logistic');?></h4>
							<a href='#' class='deleteit_node'><i class='icon-minus-circle'></i><?php esc_html_e('Facilities','logistic');?>Remove</a>
						</header>
                        <ul class="form-elements">
                          <li class="to-label">
                            <label><?php esc_html_e('Title','logistic');?></label>
                          </li>
                          <li class="to-field">
                            <input type="text" id="title" class="" name="title[]" value="" />
                          </li>
                        </ul>
                        <ul class="form-elements">
                          <li class="to-label">
                            <label><?php esc_html_e('Title Color','logistic');?></label>
                          </li>
                          <li class="to-field">
                            <input type="text" id="title_color" class="bg_color" name="title_color[]" value="" />
                          </li>
                        </ul>
                        <ul class="form-elements">
                          <li class="to-label">
                            <label><?php esc_html_e('Text Color','logistic');?></label>
                          </li>
                          <li class="to-field">
                            <input type="text" id="text_color" class="bg_color" name="text_color[]" value="" />
                          </li>
                        </ul>
                        <ul class="form-elements">
                          <li class="to-label">
                            <label><?php esc_html_e('Image','logistic');?></label>
                          </li>
                          <li class="to-field">
                            <input id="image<?php echo cs_allow_special_char($facilities_count)?>" name="image[]" type="hidden" class="" value=""/>
                            <input name="image<?php echo cs_allow_special_char($facilities_count)?>"  type="button" class="uploadMedia left" value="<?php esc_html_e('Browse','logistic');?>"/>
                          </li>
                        </ul>
                        <div class="page-wrap" style="overflow:hidden; display:<?php echo 'none';?>" id="image<?php echo cs_allow_special_char($facilities_count)?>_box" >
                          <div class="gal-active">
                            <div class="dragareamain" style="padding-bottom:0px;">
                              <ul id="gal-sortable">
                                <li class="ui-state-default" id="">
                                  <div class="thumb-secs"> <img src="<?php echo cs_allow_special_char(esc_url($facilities_count));?>"  id="image<?php echo cs_allow_special_char($facilities_count);?>_img" width="100" height="150"  />
                                    <div class="gal-edit-opts"> <a   href="javascript:del_media('image<?php echo cs_allow_special_char($facilities_count)?>')" class="delete"></a> </div>
                                  </div>
                                </li>
                              </ul>
                            </div>
                          </div>
                        </div>
                        <ul class='form-elements'>
                          <li class='to-label'>
                            <label><?php esc_html_e('Text','logistic');?></label>
                          </li>
                          <li class='to-field'>
                            <div class='input-sec'>
                              <textarea class='txtfield' data-content-text="cs-shortcode-textarea" name='facilities_text[]'></textarea>
                              <div class='left-info'>
                                <p><?php esc_html_e('Enter your content','logistic');?></p>
                              </div>
                            </div>
                          </li>
                        </ul>
                </div>
                <?php    
            } else if ($_POST['shortcode_element'] == 'progressbars'){
                $rand_id = rand(40, 9999999);
                ?>
                    <div class='cs-wrapp-clone cs-shortcode-wrapp cs-pbwp-content' id="cs_infobox_<?php echo intval( $rand_id);?>">
                        <header>
							<h4><i class='icon-arrows'></i><?php esc_html_e('Progress bars','logistic');?></h4>
							<a href='#' class='deleteit_node'><i class='icon-minus-circle'></i><?php esc_html_e('Remove','logistic');?></a>
						</header>
                        <ul class="form-elements">
                            <li class="to-label"><label><?php esc_html_e('Progress Bars Title','logistic');?></label></li>
                            <li class="to-field">
                                <input type="text" name="progressbars_title[]" class="txtfield" value="" />
                            </li>
                        </ul>
                        <ul class="form-elements">
                            <li class="to-label"><label><?php esc_html_e('Skill (in percentage)','logistic');?></label></li>
                            <li class="to-field">
                                <div class="cs-drag-slider" data-slider-min="0" data-slider-max="100" data-slider-step="1" data-slider-value=""></div>
                                <input  class="cs-range-input"  name="progressbars_percentage[]" type="text" value=""   />
                                <p><?php esc_html_e('Set the Skill (In %)','logistic');?></p>
                            </li>
                        </ul>
                         
                </div>
                <?php    
            }
            else if ($_POST['shortcode_element'] == 'offerslider'){
                $offer_count = 'offer_'.rand(40, 9999999);
                ?>
                    <div class='cs-wrapp-clone cs-shortcode-wrapp' id="cs_infobox_<?php echo intval($offer_count);?>">
                        <header>
							<h4><i class='icon-arrows'></i><?php esc_html_e('Offer Slider Item','logistic');?></h4>
							<a href='#' class='deleteit_node'><i class='icon-minus-circle'></i><?php esc_html_e('Remove','logistic');?></a>
						</header>
                        <ul class="form-elements">
                          <li class="to-label">
                            <label><?php esc_html_e('Image','logistic');?></label>
                          </li>
                          <li class="to-field">
                            <input id="cs_slider_image<?php echo intval($offer_count)?>" name="cs_slider_image[]" type="hidden" class="" value=""/>
                            <input name="cs_slider_image<?php echo intval($offer_count)?>"  type="button" class="uploadMedia left" value="<?php esc_html_e('Browse','logistic');?>"/>
                          </li>
                        </ul>
                        <div class="page-wrap" style="overflow:hidden; display:<?php echo 'none';?>" id="cs_slider_image<?php echo intval($offer_count) ?>_box"  >
                          <div class="gal-active">
                            <div class="dragareamain" style="padding-bottom:0px;">
                              <ul id="gal-sortable">
                                <li class="ui-state-default" id="">
                                  <div class="thumb-secs">
								   <img src=""  id="cs_slider_image<?php echo intval($offer_count)?>_img" width="100" height="150" alt=""  />
                                    <div class="gal-edit-opts">
									 <a href="javascript:del_media('cs_slider_image<?php echo esc_js($offer_count) ?>')" class="delete"></a>
									 </div>
                                  </div>
                                </li>
                              </ul>
                            </div>
                          </div>
                        </div>
                        <ul class="form-elements">
                          <li class="to-label">
                            <label><?php esc_html_e('Title','logistic');?></label>
                          </li>
                          <li class="to-field">
                            <input type="text" name="cs_slider_title[]" class="txtfield" value="" />
                          </li>
                        </ul>
                        <ul class="form-elements">
                          <li class="to-label">
                            <label><?php esc_html_e('Contents','logistic');?></label>
                          </li>
                          <li class="to-field">
                            <textarea name="cs_slider_contents[]" data-content-text="cs-shortcode-textarea"></textarea>
                          </li>
                        </ul>
                        <ul class="form-elements">
                          <li class="to-label">
                            <label><?php esc_html_e('Link','logistic');?></label>
                          </li>
                          <li class="to-field">
                            <input type="text" name="cs_readmore_link[]" class="txtfield" value="" />
                          </li>
                        </ul>
                        <ul class="form-elements">
                          <li class="to-label">
                            <label><?php esc_html_e('Link Title','logistic');?></label>
                          </li>
                          <li class="to-field">
                            <input type="text" name="cs_offerslider_link_title[]" class="txtfield" value="" />
                          </li>
                        </ul>
                </div>
                <?php    
            }  
        }
        exit;
    }
    add_action('wp_ajax_cs_shortcode_element_ajax_call', 'cs_shortcode_element_ajax_call');
}

if ( ! function_exists( 'cs_post_flex_slider' ) ) {

    function cs_post_flex_slider($width,$height,$postid,$view){
        global $post,$cs_node,$cs_theme_options,$cs_counter_node,$cs_blog_view;
		
		$cs_post_counter = rand(40, 9999999);
        $cs_counter_node++;
        $img_w ='';
		$img_h ='';
		$style_w = "";
		
		if($cs_blog_view == 'blog-medium'){
			$img_w =200; 
			$img_h =115; 
			$style_w = 'style=width:200px;';
			
		}else{
			$img_w =870; 
			$img_h =490;  
		}
	   
	  
		
		if ( $view == 'post-list' ){
            $viewMeta    = 'cs_post_list_gallery';  
        } else {
            $viewMeta    = $view;
        }
        
		$cs_meta_slider_options = get_post_meta("$postid", $viewMeta, true); 
        $totaImages 		= '';
       
        
		?>
 				<ul class="blog-slide" <?php echo esc_html( $style_w ) ?>>
              		<?php 
                        $cs_counter = 1;
                        
                        if ( $view == 'post' ){
							$sliderData    = get_post_meta($post->ID,'cs_post_detail_gallery',true);
							$sliderData	   = explode(',',$sliderData);
                            $totaImages    = count($sliderData);
                        } else if ( $view == 'post-list' ){
                            $sliderData    = get_post_meta($post->ID,'cs_post_list_gallery',true);
							$sliderData	   = explode(',',$sliderData);
                            $totaImages    = count($sliderData);
                        } else {
                            $sliderData    = get_post_meta($post->ID,'cs_post_list_gallery',true);
							$sliderData	   = explode(',',$sliderData);
                            $totaImages    = count($sliderData);
                        }
						
                        foreach ( $sliderData as $as_node ){
                            $image_url = cs_attachment_image_src((int)$as_node,$img_w,$img_h); 
                           	echo ' <li> <figure><img src="'.esc_url($image_url).'" alt="img" /></figure> </li>';
						$cs_counter++;
                    }
                ?>
                
              </ul>
        
		
		<script type='text/javascript'>
			
			jQuery(document).ready(function(){
				if(jQuery('.blog-slide').length != ''){
					jQuery('.blog-slide').slick({
					autoplay: true,
					autoplaySpeed: 2000,
					arrows: true,
				});
				}
			});
		</script>
         <?php
    }
}