<?php
/**
 * The template for Settings up Functions
 */
/**
 * @Get logo
 *
 */
global $cs_theme_options;
if (!function_exists('cs_logo')) {

    function cs_logo() {
        global $cs_theme_options;
        $logo = isset($cs_theme_options['cs_custom_logo']) ? $cs_theme_options['cs_custom_logo'] : '';
        ?>
        <div class="logo">
            <a href="<?php echo esc_url(home_url('/')); ?>">    
                <img src="<?php echo esc_url($logo); ?>" style="width:<?php echo cs_allow_special_char($cs_theme_options['cs_logo_width']); ?>px; height: <?php echo cs_allow_special_char($cs_theme_options['cs_logo_height']); ?>px;" alt="<?php bloginfo('name'); ?>">
            </a>
        </div>
        <?php
    }

}

if (!function_exists('cs_sticky_logo')) {

    function cs_sticky_logo() {
        global $cs_theme_options;
        $stickey_logo = isset($cs_theme_options['cs_sticky_logo']) ? $cs_theme_options['cs_sticky_logo'] : '';
        ?>
        <div class="logo has_sticky">
            <a href="<?php echo esc_url(home_url('/')); ?>">    
                <img src="<?php echo esc_url($stickey_logo); ?>" alt="<?php bloginfo('name'); ?>">
            </a>
        </div>
        <?php
    }
}
/**
 * @Set Header Position
 *
 *
 */
if (!function_exists('cs_header_postion_class')) {

    function cs_header_postion_class() {
        global $cs_theme_options;
        return 'header-' . $cs_theme_options['cs_header_position'];
    }

}
/**
 * @Set Header strip
 *
 *
 */
if (!function_exists('cs_header_strip')) {

    function cs_header_strip($container = 'on') {
		
        global $cs_theme_options;
		
		$cs_multi_setting_switch = isset($cs_theme_options['cs_multi_setting_switch']) ? $cs_theme_options['cs_multi_setting_switch'] : '';
		$cs_social_setting_switch = isset($cs_theme_options['cs_social_setting_switch']) && $cs_theme_options['cs_social_setting_switch'] != '' ? $cs_theme_options['cs_social_setting_switch'] : '';
	   $cs_tag_text = isset($cs_theme_options['cs_tag_text']) ? $cs_theme_options['cs_tag_text'] : ''; 
	   $cs_button_text_link = isset($cs_theme_options['cs_button_text_link']) ? $cs_theme_options['cs_button_text_link'] : ''; 
       $cs_contact_us_switch = isset($cs_theme_options['cs_contact_us_switch']) ? $cs_theme_options['cs_contact_us_switch'] : '';
       $cs_sub_contact_us_text = isset($cs_theme_options['cs_sub_contact_us_text']) ? $cs_theme_options['cs_sub_contact_us_text'] : '';
	   $cs_top_menu_switch = isset($cs_theme_options['cs_top_menu_switch']) ? $cs_theme_options['cs_top_menu_switch'] : '';
	   
  if (isset($cs_theme_options['cs_header_top_strip']) and $cs_theme_options['cs_header_top_strip'] == 'on') {
         
            ?>
       
 
            <?php
        }
    }

}

/**
 * @Top and Main Navigation
 *
 *
 */
if (!function_exists('cs_navigation')) {

    function cs_navigation($nav = '', $menus = 'menus', $menu_class = '', $depth = '0') {
        global $cs_theme_options;
        if (has_nav_menu($nav)) {
            $defaults = array(
                'theme_location' => "$nav",
                'menu' => '',
                'container' => '',
                'container_class' => '',
                'container_id' => '',
                'menu_class' => "$menu_class",
                'menu_id' => "$menus",
                'echo' => false,
                'fallback_cb' => 'wp_page_menu',
                'before' => '',
                'after' => '',
                'link_before' => '',
                'link_after' => '',
                'items_wrap' => '<ul>%3$s</ul>',
                'depth' => "$depth",
                'walker' => '',);
            echo do_shortcode(str_replace('sub-menu', 'sub-dropdown', (wp_nav_menu($defaults))));
        } else {
            $defaults = array(
                'theme_location' => "",
                'menu' => '',
                'container' => '',
                'container_class' => '',
                'container_id' => '',
                'menu_class' => "$menu_class",
                'menu_id' => "$menus",
                'echo' => false,
                'fallback_cb' => 'wp_page_menu',
                'before' => '',
                'after' => '',
                'link_before' => '',
                'link_after' => '',
                'items_wrap' => '<ul>%3$s</ul>',
                'depth' => "$depth",
                'walker' => '',);
            echo do_shortcode(str_replace('sub-menu', 'sub-dropdown', (wp_nav_menu($defaults))));
        }
    }
}
//===============
//@ Header 
//===============
if (!function_exists('cs_get_headers')) {

    function cs_get_headers() {
        global $cs_theme_options;
		
 
		$cs_sub_footer_social_icons = isset($cs_theme_options['cs_sub_footer_social_icons'])? $cs_theme_options['cs_sub_footer_social_icons'] : '';
		$cs_phone_switch = isset($cs_theme_options['cs_phone_switch']) ? $cs_theme_options['cs_phone_switch'] : '';
		$cs_email_switch = isset($cs_theme_options['cs_email_switch']) ? $cs_theme_options['cs_email_switch'] : '';
		
		$cs_quick_switch = isset($cs_theme_options['cs_quick_switch']) ? $cs_theme_options['cs_quick_switch'] : '';
		$cs_helping_text = isset($cs_theme_options['cs_helping_text']) ? $cs_theme_options['cs_helping_text'] : '';
		$cs_phone_text = isset($cs_theme_options['cs_phone_text']) ? $cs_theme_options['cs_phone_text'] : '';
		$cs_email_text = isset($cs_theme_options['cs_email_text']) ? $cs_theme_options['cs_email_text'] : '';
		$cs_email_address = isset($cs_theme_options['cs_email_address']) ? $cs_theme_options['cs_email_address'] : '';
		$cs_quote_text = isset($cs_theme_options['cs_quote_text']) ? $cs_theme_options['cs_quote_text'] : '';
		$cs_quote_link = isset($cs_theme_options['cs_quote_link']) ? $cs_theme_options['cs_quote_link'] : '';
	 
	   if( is_single()){
		?>
				<script type="text/javascript">
                jQuery(document).on( 'click', 'a.comment-reply-link', function( event ) {
                    jQuery('.contact-us').hide();
                
                });
                
                jQuery(document).on( 'click', 'a#cancel-comment-reply-link', function( event ) {
                    jQuery('.contact-us').show();
                    jQuery( "#respond" ).addClass( "classic-form-class");
                });
                window.onload = function() {
                  document.getElementById('respond').className = 'classic-form-class';
                };
				
            </script>
          <?php }?>  
          <?php   
		  if (isset($cs_theme_options['cs_sitcky_header_switch']) and $cs_theme_options['cs_sitcky_header_switch'] == "on"){
			 $cs_class = "sticky";
			if(isset($cs_layout) and $cs_layout == "boxed" ) { 
			 ?>
			<script type="text/javascript">
	
            jQuery(document).ready(function(){
            jQuery(window).scroll(function(){
            var sticky = jQuery('.sticky'),
            scroll = jQuery(window).scrollTop();
            
            if (scroll >= 17) sticky.addClass('fixed');
            else sticky.removeClass('fixed');
           });
			
               });
			   
      </script>
             <?php
			 
			}else{
				
				
			}?>
            	<script type="text/javascript">
	
            jQuery(document).ready(function(){
            jQuery(window).scroll(function(){
            var sticky = jQuery('.sticky'),
            scroll = jQuery(window).scrollTop();
            
            if (scroll >= 2) sticky.addClass('fixed');
            else sticky.removeClass('fixed');
           });
			
               });
			   
      </script>
            <?php 
		 }else{
			 $cs_class = ""; 
		 }
	 
     ?>
        <!-- Header 1 Start -->
          	<header id="header" class="<?php echo sanitize_html_class($cs_class);?>">
		<div class="container">
			<div class="nav-area">
				<nav class="navigation">
					 	<?php cs_header_main_navigation(); ?>   
				</nav>
				<ul class="social-networks">
				     <?php if( $cs_sub_footer_social_icons == 'on' ){  
					 if ( function_exists( 'cs_social_network' ) ) { cs_social_network('','yes'); } } ?> 
				</ul>
			</div>
			<div class="logo-area">
			     <?php cs_logo(); ?>
				<div class="right-area">
					<ul class="contact-info">
                    <?php if($cs_phone_switch == "on") { ?>
						<li> <i class="icon-phone8"></i>
							<div class="info-text"> 
                            <span class="info-title"><?php echo esc_html($cs_helping_text) ?></span> <span class="text"><?php echo esc_html($cs_phone_text) ?></span> </div>
						</li>
                        <?php } if($cs_email_switch == "on") {?>
						<li> <i class="icon-mail6"></i>
							<div class="info-text"> <span class="info-title"><?php echo esc_html($cs_email_text) ?></span> <a href="mailto:<?php echo sanitize_email($cs_email_address);?>" class="text"><?php echo sanitize_email($cs_email_address);?></a> </div>
						</li>
                        <?php } ?>
					</ul>
                    <?php if($cs_quick_switch == "on") { ?>
                    
					<a href="<?php echo esc_url($cs_quote_link );?>" class="quick-btn cs-bgcolor"><?php echo esc_html($cs_quote_text) ?></a>
                     
                    <?php } ?>
                </div>
			</div>
		</div>
	</header>
         

        <?php
		if (function_exists('cs_subheader_style')) {
			cs_subheader_style();
		}
    }
}
//=================
// @Main navigation
//=================
if (!function_exists('cs_header_main_navigation')) {
    function cs_header_main_navigation() {
        global $post, $post_meta;
        $post_type = get_post_type(get_the_ID());
        $meta_element = 'cs_full_data';
        $post_ID = get_the_ID();
        $post_meta = get_post_meta($post_ID, "$meta_element", true);
        if (function_exists("is_shop") and ! is_shop()) {
            if (is_author() || is_search() || is_archive() || is_category() || is_404()) {

                $cs_header_banner_style = '';
            }
        } else if (!function_exists("is_shop")) {
            if (is_author() || is_search() || is_archive() || is_category() || is_404()) {

                $cs_header_banner_style = '';
            }
        }
        cs_navigation('main-menu', '');
    }
}
//====================
// @Subheader Style
//====================
if ( ! function_exists('cs_subheader_style') ) {
    function cs_subheader_style( $post_ID = '' ) {
        global $post, $wp_query, $cs_theme_options, $post_meta;
		$cs_theme_options['cs_default_header'] = isset($cs_theme_options['cs_default_header']) ? $cs_theme_options['cs_default_header'] : '';
        $post_type = get_post_type(get_the_ID());
        $post_ID = get_the_ID();
        $meta_element = 'cs_full_data';
        $post_meta = get_post_meta((int) $post_ID, "$meta_element", true);
        $cs_header_banner_style = get_post_meta((int) $post_ID, "cs_header_banner_style", true);
        $post_meta = get_post_meta((int) $post_ID, "$meta_element", true);
        if (function_exists("is_shop") and ! is_shop()) {
            if ( is_author() || is_search() || is_archive() || is_category() ) {
                $cs_header_banner_style = '';
            }
        } else if ( ! function_exists("is_shop") ) {
            if ( is_author() || is_search() || is_archive() || is_category() ) {
                $cs_header_banner_style = '';
            }
        }
        if (isset($cs_header_banner_style) && $cs_header_banner_style == 'no-header') {
			// Do Nothing
        } else if (isset($cs_header_banner_style) && $cs_header_banner_style == 'breadcrumb_header') {
			cs_breadcrumb_header($post_ID);
        } else if (isset($cs_header_banner_style) && $cs_header_banner_style == 'custom_slider') {
            cs_shortcode_slider('pages', $post_ID);
        } else if (isset($cs_header_banner_style) && $cs_header_banner_style == 'map') {
            cs_shortcode_map($post_ID);
        } else if ($cs_theme_options['cs_default_header']) {
            if ($cs_theme_options['cs_default_header'] == 'No sub Header') {
                // Do Noting          				
            } else if ($cs_theme_options['cs_default_header'] == 'Breadcrumbs Sub Header') {
                cs_breadcrumb_header($post_ID);
            } else if ($cs_theme_options['cs_default_header'] == 'Revolution Slider') {
                cs_shortcode_slider('default-pages', $post_ID);
            }
        }
    }
}
//====================
// @Below Header Style 
//====================
if (!function_exists('cs_below_header_style')) {

    function cs_below_header_style() {
        global $cs_theme_options;
        $cs_header_position = isset($cs_theme_options['cs_header_position']) ? $cs_theme_options['cs_header_position'] : '';
        $cs_absolute_view = isset($cs_theme_options['cs_headerbg_options']) ? $cs_theme_options['cs_headerbg_options'] : '';
        $cs_absolute_slider = isset($cs_theme_options['cs_headerbg_slider']) ? $cs_theme_options['cs_headerbg_slider'] : '';
        $cs_absolute_image = isset($cs_theme_options['cs_headerbg_image']) ? $cs_theme_options['cs_headerbg_image'] : '';
        $cs_absolute_color = isset($cs_theme_options['cs_headerbg_color']) ? $cs_theme_options['cs_headerbg_color'] : '';
        if ($cs_header_position == 'absolute') {
            if (is_author() || is_search() || is_archive() || is_category() || is_home() || is_404()) {
                if ($cs_absolute_view == 'cs_rev_slider') {
                    ?>
                    <div class="cs-banner"> <?php echo do_shortcode('[rev_slider ' . $cs_absolute_slider . ']'); ?> </div>
                    <?php
                } else if ($cs_absolute_view == 'cs_bg_image_color') {
                    $cs_style_elements = 'style="background:url(' . $cs_absolute_image . ') center top ' . $cs_absolute_color . ';"';
                    ?>
                    <div class="breadcrumb-sec" <?php echo cs_allow_special_char($cs_style_elements); ?>>&nbsp;</div>
                    <?php
                }
            }
        }
    }

}
/**
 * @Custom Slider by using shortcode
 *
 *
 */
if (!function_exists('cs_shortcode_slider')) {

    function cs_shortcode_slider($type = '', $post_ID = '') {
        global $post, $post_meta, $cs_theme_options;
		 
        if ($type == 'pages') {
			$cs_custom_slider_id = get_post_meta((int) $post_ID, "cs_custom_slider_id", true);
            if (empty($cs_custom_slider_id))
                $custom_slider_id = "";
            else
                $custom_slider_id = htmlspecialchars( $cs_custom_slider_id);
                       
        } else {
			$cs_custom_slider_id = isset( $cs_theme_options['cs_custom_slider'] ) ? $cs_theme_options['cs_custom_slider'] : '';
            if (empty($cs_custom_slider_id))
                $custom_slider_id = "";
            else
                $custom_slider_id = htmlspecialchars($cs_custom_slider_id);
                        
        }
        if (isset($custom_slider_id) && $custom_slider_id != '') {
			
            ?>
            <div class="cs-banner"> <?php echo do_shortcode('[rev_slider ' . $custom_slider_id . ']'); ?> </div>
            <?php
        }
    }

}
/**
 * @Custom Map by using shortcode
 *
 *
 */
if (!function_exists('cs_shortcode_map')) {
    function cs_shortcode_map($post_ID = '') {
        global $post, $post_meta, $header_map;
        $cs_custom_map = get_post_meta((int) $post_ID, "cs_custom_map", true);
        if (empty($cs_custom_map))
            $custom_map = "";
        else
            $custom_map = html_entity_decode($cs_custom_map);
        if (isset($custom_map) && $custom_map != '') {
            $header_map = true;
            ?>
            <div class="cs-map"> <?php echo do_shortcode($custom_map); ?> </div>
            <?php
        }
    }

}
/**
 * @Breadcrumb Header
 *
 * 
 */
if (!function_exists('cs_breadcrumb_header')) {
    function cs_breadcrumb_header($post_ID = '') {
        global $post, $wp_query, $cs_theme_options, $post_meta;
        $breadcrumSectionStart = '';
        $breadcrumSectionEnd = '';
        $post_type = '';
        if (is_page() || is_single()) {
            if (isset($post) && $post <> '') {
                $post_ID = $post->ID;
            } else {
                $post_ID = '';
            }
            $post_type = get_post_type($post_ID);
        }
        $cs_header_banner_style = get_post_meta((int) $post_ID, "cs_header_banner_style", true);
        $cs_page_subheader_color = get_post_meta((int) $post_ID, "cs_page_subheader_color", true);
        $cs_page_subheader_text_color = get_post_meta((int) $post_ID, "cs_page_subheader_text_color", true);
        $cs_page_subheader_no_image = get_post_meta((int) $post_ID, "cs_page_subheader_no_image", true);
        $cs_header_banner_image = get_post_meta((int) $post_ID, "cs_header_banner_image", true);
        $cs_page_subheader_parallax = get_post_meta((int) $post_ID, "cs_page_subheader_parallax", true);
        $cs_subheader_padding_top = get_post_meta((int) $post_ID, "cs_subheader_padding_top", true);
        $cs_subheader_padding_bottom = get_post_meta((int) $post_ID, "cs_subheader_padding_bottom", true);

        $staticContainerStart = '';
        $staticContainerEnd = '';
        $banner_image_height = '170px';
        $cs_sh_paddingtop = '';
        $cs_sh_paddingbottom = '';
        $isDeafultSubHeader = 'false';
        if (is_author() || is_search() || is_archive() || is_category() || is_home() || is_404()) {
            $isDeafultSubHeader = 'true';
        }

        if ( isset($cs_header_banner_style) && ( $cs_header_banner_style == 'default_header' || $cs_header_banner_style == '' ) ) {
            //Padding Top & Bottom 
            $cs_sh_paddingtop = ( isset($cs_theme_options['cs_sh_paddingtop']) ) ? 'padding-top:' . $cs_theme_options['cs_sh_paddingtop'] . 'px;' : '';
            $cs_sh_paddingbottom = ( isset($cs_theme_options['cs_sh_paddingbottom']) ) ? 'padding-bottom:' . $cs_theme_options['cs_sh_paddingbottom'] . 'px;' : '';
            $page_subheader_color = ( isset($cs_theme_options['cs_sub_header_bg_color'])) ? $cs_theme_options['cs_sub_header_bg_color'] : '';
            $page_subheader_text_color = ( isset($cs_theme_options['cs_sub_header_text_color']) ) ? $cs_theme_options['cs_sub_header_text_color'] : '';
            $header_banner_image = ( isset($cs_theme_options['cs_background_img']) ) ? $cs_theme_options['cs_background_img'] : '';
            $page_subheader_parallax = ( isset($cs_theme_options['cs_parallax_bg_switch']) ) ? $cs_theme_options['cs_parallax_bg_switch'] : '';
        } else {
            if ($isDeafultSubHeader == 'true') {

                $cs_sh_paddingtop = ( isset($cs_theme_options['cs_sh_paddingtop']) ) ? 'padding-top:' . $cs_theme_options['cs_sh_paddingtop'] . 'px;' : '';
                $cs_sh_paddingbottom = ( isset($cs_theme_options['cs_sh_paddingbottom']) ) ? 'padding-bottom:' . $cs_theme_options['cs_sh_paddingbottom'] . 'px;' : '';
                $header_banner_image = (isset($cs_theme_options['cs_background_img']) && $cs_theme_options['cs_background_img'] ) ? $cs_theme_options['cs_background_img'] : '';
                $page_subheader_parallax = ( isset($cs_theme_options['cs_parallax_bg_switch']) && $cs_theme_options['cs_parallax_bg_switch'] != '' ) ? $cs_theme_options['cs_parallax_bg_switch'] : '';
                $page_subheader_color = (isset($cs_theme_options['cs_sub_header_bg_color']) and $cs_theme_options['cs_sub_header_bg_color'] <> '' ) ? $cs_theme_options['cs_sub_header_bg_color'] : '';
                $page_subheader_text_color = (isset($cs_theme_options['cs_sub_header_text_color']) and $cs_theme_options['cs_sub_header_text_color'] <> '' ) ? $cs_theme_options['cs_sub_header_text_color'] : '';
            } else {
                if (empty($cs_page_subheader_color))
                    $page_subheader_color = "";
                else
                    $page_subheader_color = $cs_page_subheader_color;
                if (empty($cs_page_subheader_text_color))
                    $page_subheader_text_color = "";
                else
                    $page_subheader_text_color = $cs_page_subheader_text_color;
                if (isset($cs_page_subheader_no_image) && $cs_page_subheader_no_image != '') {
                    if (empty($cs_header_banner_image))
                        $header_banner_image = "";
                    else
                        $header_banner_image = $cs_header_banner_image;
                    if (empty($cs_page_subheader_parallax))
                        $page_subheader_parallax = "";
                    else
                        $page_subheader_parallax = $cs_page_subheader_parallax;
                } else {
                    $page_subheader_parallax = "";
                    $header_banner_image = "";
                }
                //Padding Top & Bottom
                if (empty($cs_subheader_padding_top)) {
                    $cs_sh_paddingtop = "";
                } else {
                    $cs_sh_paddingtop = 'padding-top:' . $cs_subheader_padding_top . 'px;';
                }
                if (empty($cs_subheader_padding_bottom)) {
                    $cs_sh_paddingbottom = "";
                } else {
                    $cs_sh_paddingbottom = 'padding-bottom:' . $cs_subheader_padding_bottom . 'px';
                }
            }
        }

        if ($page_subheader_color) {
            $subheader_style_elements = 'background: ' . $page_subheader_color . ';';
        } else {
            $subheader_style_elements = '';
        }

        if (isset($header_banner_image) && $header_banner_image != '') {
			
			$cs_upload_dir = wp_upload_dir();
			$cs_upload_dir = isset($cs_upload_dir['basedir']) ? $cs_upload_dir['basedir'] . '/' : '';
			$cs_images_dir = get_template_directory() . '/assets/images/';
			
			$cs_img_name = preg_replace('/^.+[\\\\\\/]/', '', $header_banner_image);
			
			if( is_file( $cs_upload_dir.$cs_img_name ) || is_file( $cs_images_dir.$cs_img_name ) ) {
				
			} else {
                $banner_image_height = '';
            }
			
            if ($banner_image_height <> '') {
                $banner_image_height = $banner_image_height[1] . 'px';
            }
            if ($page_subheader_parallax == 'on') {
                $parallaxStatus = 'no-repeat fixed';
            } else {
                $parallaxStatus = '';
            }
            if ($page_subheader_parallax == 'on') {
                $header_banner_image = 'url(' . $header_banner_image . ') center top ' . $parallaxStatus . '';
                $subheader_style_elements = 'background: ' . $header_banner_image . ' ' . $page_subheader_color . ';' . ' background-size:cover;';
            } else {
                $header_banner_image = 'url(' . $header_banner_image . ') center top ' . $parallaxStatus . '';
                $subheader_style_elements = 'background: ' . $header_banner_image . ' ' . $page_subheader_color . ';';
            }
            $breadcrumSectionStart = '';
            $breadcrumSectionEnd = '';
        }

        $parallax_class = '';
        $parallax_data_type = '';

        if (isset($page_subheader_parallax) && (string) $page_subheader_parallax == 'on') {
            echo '<script>jQuery(document).ready(function($){cs_parallax_func()});</script>';
            $parallax_class = 'parallex-bg';
            $parallax_data_type = ' data-type="background"';
        }

        if ($subheader_style_elements) {
            $subheader_style_elements = 'style="' . $subheader_style_elements . ' min-height:' . $banner_image_height . '!important;"';
        } else {
            $subheader_style_elements = 'style="min-height:' . $banner_image_height . '; "';
        }
        $page_tile_align = get_subheader_text_align();
		
		$cs_bread_align = 'align-right';
		if( $page_tile_align == 'align-right' ) {
			$cs_bread_align = 'align-left';
		}
        ?>
        <div class="breadcrumb-sec 
		<?php echo cs_allow_special_char($page_tile_align) . ' ' . cs_allow_special_char($parallax_class); ?>" <?php echo cs_allow_special_char($subheader_style_elements); ?> 
        <?php echo cs_allow_special_char($parallax_data_type); ?>> 
            <!-- Container --> 
			<?php echo balanceTags($breadcrumSectionStart, false); ?>
            <div class="container">
                <div class="row">
                	<div class="breadcrumb-holder col-md-12" style="min-height:<?php echo esc_html($banner_image_height) .  ';  ' .$cs_sh_paddingtop.'' .  '  ' .$cs_sh_paddingbottom.''?>">
                        <!-- PageInfo -->
                        <?php
                        if (is_page()) {
                            get_subheader_title();
                        } else if (is_single() && $post_type != 'post') {
                            get_subheader_title();
                        } else if (is_single() && $post_type == 'post') {
                            get_subheader_title();
                        } else {
                            get_default_post_title();
                        }
						get_subheader_breadcrumb($cs_bread_align);
                        ?>
                    </div>
                </div>
            </div>
        	<?php echo balanceTags($breadcrumSectionEnd, false); ?> 
        </div>
        <div class="clear"></div>
        <?php
    }

}
/**
 * @Page Sub header title and subtitle 
 *
 *
 */
if (!function_exists('get_subheader_breadcrumb')) {

    function get_subheader_breadcrumb($cs_bread_align = 'align-right') {
        global $post, $wp_query, $cs_theme_options, $post_meta;
        $meta_element = 'cs_full_data';
        $post_ID = get_the_ID();
        $post_meta = get_post_meta((int) $post_ID, "$meta_element", true);
        $cs_header_banner_style = get_post_meta((int) $post_ID, "cs_header_banner_style", true);
        $cs_page_breadcrumbs = get_post_meta((int) $post_ID, "cs_page_breadcrumbs", true);
        $cs_page_subheader_text_color = get_post_meta((int) $post_ID, "cs_page_subheader_text_color", true);

        $cs_brec_chk = false;
        $cs_header_banner_style = isset($cs_header_banner_style) ? $cs_header_banner_style : '';

        if (isset($post_meta) and $post_meta <> '') {
            if (isset($cs_header_banner_style) && $cs_header_banner_style == 'breadcrumb_header' && $cs_page_breadcrumbs == 'on') {
                $cs_brec_chk = true;
            } else if ($cs_header_banner_style != 'breadcrumb_header' && (isset($cs_theme_options['cs_breadcrumbs_switch']) and $cs_theme_options['cs_breadcrumbs_switch'] == 'on')) {

                $cs_brec_chk = true;
            }
        } else {
            $cs_brec_chk = true;
        }
		
        if ($cs_brec_chk == true) {
            if (is_author() || is_search() || is_archive() || is_category() || is_home() || $post_meta == '') {
                if (isset($cs_theme_options['cs_sub_header_text_color']) && $cs_theme_options['cs_sub_header_text_color'] <> '') {
                    ?>
                    <div>
                        <style scoped>
                            .breadcrumb ul li a,.breadcrumb ul li.active,.breadcrumb ul li:first-child:after {
                                color :#fff !important;
                            }    
                        </style>
                    </div>
                    <?php
                }
            } else {
                if (isset($cs_header_banner_style) and $cs_header_banner_style == 'default_header') {
                    if (isset($cs_theme_options['cs_sub_header_text_color']) && $cs_theme_options['cs_sub_header_text_color'] <> '') {
                        ?>
                        <div>
                            <style scoped>
                                .breadcrumb ul li a,.breadcrumb ul li.active,.breadcrumb ul li:first-child:after {
                                    color : <?php echo esc_attr($cs_theme_options['cs_sub_header_text_color']); ?> !important;
                                }    
                            </style>
                        </div>
                        <?php
                    }
                } else if (isset($cs_page_subheader_text_color) && $cs_page_subheader_text_color != '') {
                    ?><div>
                        <style scoped>
                            .breadcrumb ul li a,.breadcrumb ul li.active,.breadcrumb ul li:first-child:after {
                                color : <?php echo esc_attr($cs_page_subheader_text_color); ?> !important;
                            }    
                        </style>
                    </div>
                    <?php
                }
            }

            cs_breadcrumbs($cs_bread_align);
        }
    }

}
/**
 * @Page Sub header title and subtitle 
 *
 *
 */
if (!function_exists('get_subheader_text_align')) {

    function get_subheader_text_align() {
        global $post, $post_meta, $cs_theme_options;
        $meta_element = 'cs_full_data';
        $post_ID = get_the_ID();
        $post_meta = get_post_meta($post_ID, "$meta_element", true);
        $page_tile_align = get_post_meta((int) $post_ID, "cs_page_title_align", true);
        $cs_page_hder_style = $cs_header_banner_style = get_post_meta((int) $post_ID, "cs_header_banner_style", true);
        if (!is_single() && !is_page()) {
            $cs_header_banner_style = isset($cs_theme_options['cs_default_header']) ? $cs_theme_options['cs_default_header'] : '';
        }
		
		if( $cs_page_hder_style == 'default_header' ) {
			$cs_header_banner_style = isset($cs_theme_options['cs_default_header']) ? $cs_theme_options['cs_default_header'] : '';
		}

        if (isset($cs_header_banner_style) && $cs_header_banner_style == 'breadcrumb_header') {
            if (isset($page_tile_align) && $page_tile_align == 'right') {
                $page_tile_align = 'align-right';
            } else if (isset($page_tile_align) && $page_tile_align == 'center') {
                $page_tile_align = 'align-center';
            } else if (isset($page_tile_align) && $page_tile_align == 'left') {
                $page_tile_align = 'align-left';
            } else {
                $page_tile_align = 'align-center';
            }
        } else if (isset($cs_header_banner_style) && $cs_header_banner_style == 'Breadcrumbs Sub Header') {
            if (isset($cs_theme_options['cs_title_align']) && $cs_theme_options['cs_title_align'] == 'right') {
                $page_tile_align = 'align-right';
            } else if (isset($cs_theme_options['cs_title_align']) && $cs_theme_options['cs_title_align'] == 'center') {
                $page_tile_align = 'align-center';
            } else if (isset($cs_theme_options['cs_title_align']) && $cs_theme_options['cs_title_align'] == 'left') {
                $page_tile_align = 'align-left';
            } else {
                $page_tile_align = 'align-center';
            }
        } else {
            if (isset($cs_page_title_align) && $cs_page_title_align == 'right') {
                $page_tile_align = 'align-right';
            } else if (isset($cs_page_title_align) && $cs_page_title_align == 'center') {
                $page_tile_align = 'align-center';
            } else if (isset($cs_page_title_align) && $cs_page_title_align == 'left') {
                $page_tile_align = 'align-left';
            } else {
                $page_tile_align = 'align-center';
            }
        }
        return $page_tile_align;
    }

}
/**
 * @Page Sub header title and subtitle 
 *
 *
 */
if (!function_exists('get_subheader_title')) {

    function get_subheader_title($shop_id = '') {
        global $post, $cs_theme_options;
        $meta_element = 'cs_full_data';
        $post_ID = get_the_ID();
        $post_meta = get_post_meta($post_ID, "$meta_element", true);
        $post_ID = $post->ID;
        $text_color = '';

        $cs_header_banner_style = get_post_meta((int) $post_ID, "cs_header_banner_style", true);
        $cs_sub_header_text_color = get_post_meta((int) $post_ID, "cs_page_subheader_text_color", true);
        $cs_page_title = get_post_meta((int) $post_ID, "cs_page_title", true);
        $cs_page_subheading_title = get_post_meta((int) $post_ID, "cs_page_subheading_title", true);
        $color = '';
        $text_color = '';
        $cs_page_title_style = isset($cs_page_title_style) ? $cs_page_title_style : '';
        $cs_page_title = (isset($cs_page_title) and $cs_page_title <> '') ? $cs_page_title : '';
        if (isset($cs_header_banner_style) and $cs_header_banner_style == 'breadcrumb_header') {
            $text_color = $cs_sub_header_text_color;
        } else {
            if (isset($cs_page_subheader_text_color) and $cs_page_subheader_text_color <> '') {
                $text_color = isset($cs_theme_options['cs_sub_header_text_color']) ? $cs_theme_options['cs_sub_header_text_color'] : '';
            } else {
                $text_color = isset($cs_theme_options['cs_sub_header_text_color']) ? $cs_theme_options['cs_sub_header_text_color'] : '';
            }
        }

        $color = 'style="color:' . $text_color . ' !important"';
        if (isset($cs_header_banner_style) && $cs_header_banner_style == 'breadcrumb_header') {
            if (isset($cs_page_title) && $cs_page_title == 'on') {
                echo '<h1 ' . $color . '>';
                echo get_the_title($post_ID);
                echo '</h1>';
            }

            if (isset($cs_page_subheading_title) && $cs_page_subheading_title != '') {
                echo '<span ' . $color . '>';
                echo do_shortcode($cs_page_subheading_title);
                echo '</span>';
            }
        } else {


            $cs_title_switch = $cs_theme_options['cs_title_switch'];


            if (isset($cs_title_switch) && $cs_title_switch == 'on') {

                echo '<h1 ' . $color . '>';
                echo get_the_title($post_ID);
                echo '</h1>';

            }
        }
    }

}
/**
 * @ Default page title function
 *
 *
 */
if (!function_exists('get_default_post_title')) {

    function get_default_post_title() {
        global $post, $cs_theme_options;
        $textAlign = isset($cs_theme_options['cs_title_align']) ? $cs_theme_options['cs_title_align'] : 'center';

        if (empty($cs_theme_options['cs_sub_header_text_color']))
            $text_color = "";
        else
            $text_color = 'style="color:' . $cs_theme_options['cs_sub_header_text_color'] . '"';

        echo '<h1 ' . balanceTags($text_color, false) . '>';
        cs_post_page_title();
        echo '</h1>';
		
    }

}
 