<?php

/**
 * @ Contact info widget Class
 *
 *
 */
class contactinfo extends WP_Widget {
    /**
     * Outputs the content of the widget
     *
     * @param array $args
     * @param array $instance
     */

    /**
     * @init Contact Info Module
     *
     *
     */
 
	public function __construct() {
		
		parent::__construct(
			'contactinfo', // Base ID
			__( 'CS : Contact info','logistic' ), // Name
			array( 'classname' => 'widget_text', 'description' =>esc_html__('Footer Contact Information','logistic'), ) // Args
		);
	}
	
    /**
     * @Contact Info html form
     *
     *
     */
    function form($instance) {
        $instance  = wp_parse_args((array) $instance);
        $title     = isset($instance['title']) ? esc_attr($instance['title']) : '';
        $image_url = isset($instance['image_url']) ? esc_attr($instance['image_url']) : '';
        $address   = isset($instance['address']) ? esc_attr($instance['address']) : '';
        $phone     = isset($instance['phone']) ? esc_attr($instance['phone']) : '';
        $mobile       = isset($instance['mobile']) ? esc_attr($instance['mobile']) : '';
        $email     = isset($instance['email']) ? esc_attr($instance['email']) : '';
        $link      = isset($instance['link']) ? esc_attr($instance['link']) : '';
        $randomID  = rand(40, 9999999);
        ?>    
        <div style="margin-top:0px; float:left; width:100%;">
            <p>
                <label for="<?php echo cs_allow_special_char($this->get_field_id('title')); ?>"> <span>Title: </span>
                    <input class="upcoming" id="<?php echo cs_allow_special_char($this->get_field_id('title')); ?>" size="40" name="<?php echo cs_allow_special_char($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
                </label>
            </p>
            <ul class="form-elements-widget">
                <li class="to-label" style="margin-top:20px;">
                    <label><?php _e("Image","logistic");?></label>
                </li>
                <li class="to-field">
                    <input id="form-widget_cs_widget_logo<?php echo absint($randomID) ?>" name="<?php echo cs_allow_special_char($this->get_field_name('image_url')); ?>" type="hidden" class="" value="<?php echo esc_url($image_url); ?>"/>
                    <label class="browse-icon">
                        <input name="form-widget_cs_widget_logo<?php echo absint($randomID) ?>"  type="button" class="uploadMedia left" value="<?php esc_html_e('Browse', 'logistic'); ?>"/>
                    </label>
                </li>
            </ul>
            <div class="page-wrap"  id="form-widget_cs_widget_logo<?php echo absint($randomID) ?>_box" style="margin-top:10px; margin-bottom:10px; float:left; overflow:hidden; display:<?php echo esc_url($image_url) && trim($image_url) != '' ? 'inline' : 'none'; ?>">
                <div class="gal-active">
                    <div class="dragareamain" style="padding-bottom:0px;">
                        <ul id="gal-sortable" style="margin-bottom:0px;">
                            <li class="ui-state-default" style="margin:6px">
                                <div class="thumb-secs"> 
                                <img src="<?php echo esc_url($image_url); ?>"  alt="<?php bloginfo('name'); ?>" id="form-widget_cs_widget_logo<?php echo absint($randomID) ?>_img"  style="max-height:80px; max-width:180px"  />
                                <div class="gal-edit-opts"> <a   href="javascript:del_media('form-widget_cs_widget_logo<?php echo absint($randomID) ?>')" class="delete"></a> </div>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>



        <p style="margin-top:0px; float:left;">
            <label for="<?php echo cs_allow_special_char($this->get_field_id('address')); ?>"> Address:<br />
                <textarea cols="20" rows="5" id="<?php echo cs_allow_special_char($this->get_field_id('address')); ?>" name="<?php echo cs_allow_special_char($this->get_field_name('address')); ?>" style="width:315px"><?php echo esc_attr($address); ?></textarea>
            </label>
        </p>
        <p style="margin-top:0px; float:left;">
            <label for="<?php echo cs_allow_special_char($this->get_field_id('phone')); ?>"> Phone #:<br />
                <input class="upcoming" id="<?php echo cs_allow_special_char($this->get_field_id('phone')); ?>" size="40"
                       name="<?php echo cs_allow_special_char($this->get_field_name('phone')); ?>" type="text" value="<?php echo esc_attr($phone); ?>" />
            </label>
        </p>

        <p style="margin-top:0px; float:left;">
            <label for="<?php echo cs_allow_special_char($this->get_field_id('mobile')); ?>"> Mobile #:<br />
                <input class="upcoming" id="<?php echo cs_allow_special_char($this->get_field_id('mobile')); ?>" size="40" 
                       name="<?php echo cs_allow_special_char($this->get_field_name('mobile')); ?>" type="text" value="<?php echo esc_attr($mobile); ?>" />
            </label>
        </p>

        <p style="margin-top:0px; float:left;">
            <label for="<?php echo cs_allow_special_char($this->get_field_id('email')); ?>"> Email<br />
                <input class="upcoming" id="<?php echo cs_allow_special_char($this->get_field_id('email')); ?>" size="40" 
                       name="<?php echo cs_allow_special_char($this->get_field_name('email')); ?>" type="text" value="<?php echo esc_attr($email); ?>" />
            </label>
        </p>
        
        <?php
    }

    /**
     * @Update Info html form
     *
     *
     */
    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = $new_instance['title'];
        $instance['image_url'] = $new_instance['image_url'];
        $instance['address'] = $new_instance['address'];
        $instance['phone'] = $new_instance['phone'];
        $instance['mobile'] = $new_instance['mobile'];
        $instance['email'] = $new_instance['email'];
      
        return $instance;
    }

    /**
     * @Widget Info html form
     *
     *
     */
    function widget($args, $instance) {
        global $cs_node;
        extract($args, EXTR_SKIP);
        $title = empty($instance['title']) ? '' : apply_filters('widget_title', $instance['title']);
        $title = htmlspecialchars_decode(stripslashes($title));
        $image_url = empty($instance['image_url']) ? '' : apply_filters('widget_title', $instance['image_url']);
        $address = empty($instance['address']) ? '' : apply_filters('widget_title', $instance['address']);
        $phone = empty($instance['phone']) ? '' : apply_filters('widget_title', $instance['phone']);
        $mobile = empty($instance['mobile']) ? '' : apply_filters('widget_title', $instance['mobile']);
        $email = empty($instance['email']) ? '' : apply_filters('widget_title', $instance['email']);
       
	   echo cs_allow_special_char($before_widget);
        if (!empty($title) && $title <> ' ') {
            echo cs_allow_special_char($before_title) . $title . $after_title;
        }
        if (isset($image_url) && $image_url != '') {
            echo '<div class="footer-logo"><a href="' . esc_url(home_url('/')) . '"><img src="' . esc_url($image_url) . '" alt="'.get_bloginfo('name').'" /></a></div>';
        }
      
        if (isset($address) and $address <> '') {
            echo '<p>' . do_shortcode(htmlspecialchars_decode($address)) . '</p>';
        }
		  echo '<ul>';
        if (isset($phone) and $phone <> '') {
            
			echo '<li> <i class="icon-phone6 cs-color"></i> <span class="text">' . htmlspecialchars_decode($phone) . '</span> </li>';
        }
        if (isset($mobile) and $mobile <> '') {
            echo '<li class="mobile"> <i class="icon-mobile-phone cs-color"></i> <span class="text">' . htmlspecialchars_decode($mobile) . '</span> </li>';
        }
        if (isset($email) and $email <> '') {
           echo '<li> <i class="icon-mail6 cs-color"></i> <span class="text"><a href="mailto:' . htmlspecialchars_decode($email) . '">' . htmlspecialchars_decode($email) . '</a></span> </li>';
		}

        
        echo '</ul>';

        echo cs_allow_special_char($after_widget);
    }

}

add_action('widgets_init', create_function('', 'return register_widget("contactinfo");'));
?>