<?php
/**
 * @Contact form widget Class
 *
 *
 */
if ( ! class_exists( 'cs_contact_msg' ) ) { 
	class cs_contact_msg extends WP_Widget {	
	
	/**
	 * Outputs the content of the widget
	 *
	 * @param array $args
	 * @param array $instance
	 */
		 
	/**
	 * @init Contact Module
	 *
	 *
	 */
	   public function __construct() {
		
		parent::__construct(
		'cs_contact_msg', // Base ID
		__( 'CS : Contact Form','logistic' ), // Name
		array( 'classname' => 'widget_contact', 'description' =>esc_html__('Select contact form to show in widget','logistic')) // Args
		);
		}  
	 /**
	 * @Contact html form
	 *
	 *
	 */
	 function form($instance) {
		$instance = wp_parse_args((array) $instance, array('title' => '' ));
		$title = $instance['title'];
		$contact_email = isset($instance['contact_email']) ? esc_attr($instance['contact_email']) : '';
		$contact_succ_msg = isset($instance['contact_succ_msg']) ? esc_attr($instance['contact_succ_msg']) : '';
		?>
        <p>
          <label for="<?php echo cs_allow_special_char($this->get_field_id('title')); ?>"> Title:
            <input class="upcoming" id="<?php echo cs_allow_special_char($this->get_field_id('title')); ?>" size="40" name="<?php echo cs_allow_special_char($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
          </label>
        </p>
        
        <p>
          <label for="<?php echo cs_allow_special_char($this->get_field_id('contact_email')); ?>"> Contact Email:
            <input class="upcoming" id="<?php echo cs_allow_special_char($this->get_field_id('contact_email')); ?>" size="40" name="<?php echo cs_allow_special_char($this->get_field_name('contact_email')); ?>" type="text" value="<?php echo esc_attr($contact_email); ?>" />
          </label>
        </p>
        
        <p>
          <label for="<?php echo cs_allow_special_char($this->get_field_id('contact_succ_msg')); ?>"> Success Message:
            <input class="upcoming" id="<?php echo cs_allow_special_char($this->get_field_id('contact_succ_msg')); ?>" size="40" name="<?php echo cs_allow_special_char($this->get_field_name('contact_succ_msg')); ?>" type="text" value="<?php echo esc_attr($contact_succ_msg); ?>" />
          </label>
        </p>
        

<?php
 		}
		
		/**
		 * @Contact Update form data
		 *
		 *
		 */
		 function update($new_instance, $old_instance) {
			$instance = $old_instance;
			$instance['title'] = $new_instance['title'];
			$instance['contact_email'] = $new_instance['contact_email'];
			$instance['contact_succ_msg'] = $new_instance['contact_succ_msg'];
			
   			return $instance;
		}
		
		/**
		 * @Display Contact widget
		 *
		 *
		 */
		function widget($args, $instance) {
			extract($args, EXTR_SKIP);
			global $wpdb, $post;
			$title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
			$contact_email = isset($instance['contact_email']) ? esc_attr($instance['contact_email']) : '';
			$contact_succ_msg = isset($instance['contact_succ_msg']) ? esc_attr($instance['contact_succ_msg']) : '';
			
			// WIDGET display CODE Start
			echo cs_allow_special_char($before_widget);
			if (strlen($title) <> 1 || strlen($title) <> 0) {
				echo cs_allow_special_char($before_title . $title . $after_title);
			}
			
			
            $msg_form_counter = rand(1, 999); 
			if ( function_exists( 'cs_enqueue_validation_script' ) ) { cs_enqueue_validation_script(); }
			$error	= esc_html__('An error Occured, please try again later.', 'logistic');
			?>
            <script src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.9/jquery.validate.js"></script>

			<script type="text/javascript">
				jQuery(document).ready(function($) {
					var container = $('');
					var validator = jQuery("#form<?php echo absint($msg_form_counter)?>").validate({
						messages:{
							contact_name: '',
							contact_email:{
								required: '',
								email:'',
							},
							subject: {
								required:'',
							},
							contact_msg: '',
						},
						errorContainer: container,
						errorLabelContainer: jQuery(container),
						errorElement:'div',
						errorClass:'frm_error',
						meta: "validate"
					});
				});
				function frm_submit<?php echo cs_allow_special_char($msg_form_counter)?>(){
					var $ = jQuery;
					$("#submit_btn<?php echo cs_allow_special_char($msg_form_counter) ?>").hide();
					$("#loading_div<?php echo cs_allow_special_char($msg_form_counter) ?>").html('<img src="<?php echo esc_js(esc_url(get_template_directory_uri()));?>/assets/images/ajax-loader.gif" alt="" />');
					var datastring =$('#frm<?php echo cs_allow_special_char($msg_form_counter) ?>').serialize() +"&cs_contact_email=<?php echo esc_js($contact_email);?>&cs_contact_succ_msg=<?php echo cs_allow_special_char($contact_succ_msg);?>&cs_contact_error_msg=<?php echo cs_allow_special_char($error);?>&action=cs_contact_form_submit";
					$.ajax({
						type: 'POST', 
						url: '<?php echo esc_js(admin_url('admin-ajax.php')); ?>',
						data: datastring, 
						dataType: "json",
						success: function(response) {
							if (response.type == 'error'){
								$("#loading_div<?php echo cs_allow_special_char($msg_form_counter);?>").html('');
								$("#loading_div<?php echo cs_allow_special_char($msg_form_counter);?>").hide();
								$("#message<?php echo cs_allow_special_char($msg_form_counter); ?>").addClass('error_mess');
								$("#message<?php echo cs_allow_special_char($msg_form_counter); ?>").show();
								$("#message<?php echo cs_allow_special_char($msg_form_counter); ?>").html(response.message);
							} else if (response.type == 'success'){
								$("#loading_div<?php echo cs_allow_special_char($msg_form_counter); ?>").html('');
								$("#message<?php echo cs_allow_special_char($msg_form_counter); ?>").addClass('succ_mess');
								$("#message<?php echo cs_allow_special_char($msg_form_counter); ?>").show();
								$("#message<?php echo cs_allow_special_char($msg_form_counter); ?>").html(response.message);
							}
						}
					});
				}
			</script>
            
            <div id="form_hide<?php echo absint($msg_form_counter);?>">
            <form id="form<?php echo absint($msg_form_counter);?>" name="frm<?php echo absint($msg_form_counter);?>" method="post" action="javascript:<?php echo "frm_submit".$msg_form_counter. "()";
                ?>" novalidate>
                <ul class="group">
                    <li>
                    <i class="icon-user9"></i>
                      <input type="text" placeholder="<?php _e( 'Name', 'logistic'); ?>" name="contact_name" id="contact_name" class="form-control">
                    </li>
                    <li>
                    <i class=" icon-envelope4"></i>
                      <input type="text" placeholder="<?php _e( 'Email', 'logistic'); ?>" name="contact_email" id="contact_email" class="form-control">
                    </li>
                    <li>
                 
                      <textarea placeholder="<?php _e( 'Message', 'logistic'); ?>" name="contact_msg" id="contact_msg" class="form-control"></textarea>
                   
                    </li>
                    <li>
                      <input type="hidden" value="<?php echo esc_attr($contact_email);?>" name="cs_contact_email">
                      <input type="hidden" value="<?php echo cs_allow_special_char($contact_succ_msg);?>" name="cs_contact_succ_msg">
                      <input type="hidden" name="bloginfo" value="<?php echo get_bloginfo() ?>" />
                      <input type="hidden" name="counter_node" value="<?php echo absint($msg_form_counter)?>" />
                      <span id="loading_div<?php echo absint($msg_form_counter)?>"><i class="fa fa-envelope"></i></span>
                      <div id="message<?php echo absint($msg_form_counter);?>" style="display:none;"></div>
                      <input type="submit" class="btn btn-success btn-lg btn-block cs-bgcolor" value="Send message" name="submit" id="submit_btn<?php echo absint($msg_form_counter)?>">
                    </li>
                </ul>
            </form>
            </div>
			<?php
			
			echo cs_allow_special_char($after_widget); // WIDGET display CODE End
		}
	}
}
add_action('widgets_init', create_function('', 'return register_widget("cs_contact_msg");'));