<?php
/**
 * @Twitter Tweets widget Class
 *
 *
 */

if ( ! class_exists( 'cs_twitter_widget' ) ) { 
    class cs_twitter_widget extends WP_Widget {        
        /**
         * Outputs the content of the widget
         *
         * @param array $args
         * @param array $instance
         */
             
        /**
         * @init Twitter Module
         *
         *
         */
		public function __construct() {
		
			parent::__construct(
				'cs_twitter_widget', // Base ID
				__( 'CS : Twitter Widget','logistic' ), // Name
				array( 'classname' => 'widget_twitter widget_extra_width', 'description' =>esc_html__('Twitter Widget.', 'logistic'), ) // Args
			);
		}
		
        /**
         * @Twitter html form
         *
         *
         */
         function form($instance) {
            $instance = wp_parse_args((array) $instance, array('title' => ''));
            $title = $instance['title'];
            $username = isset($instance['username']) ? esc_attr($instance['username']) : '';
            $numoftweets = isset($instance['numoftweets']) ? esc_attr($instance['numoftweets']) : '';
         ?>
            <label for="<?php echo cs_allow_special_char($this->get_field_id('title')); ?>"> <span><?php esc_html_e('Title:', 'logistic') ?> </span>
              <input class="upcoming" id="<?php echo cs_allow_special_char($this->get_field_id('title')); ?>" size="40" name="<?php echo cs_allow_special_char($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
            </label>
            <label for="screen_name"><?php esc_html_e('User Name', 'logistic') ?><span class="required">(*)</span>: </label>
            	<input class="upcoming" id="<?php echo cs_allow_special_char($this->get_field_id('username')); ?>" size="40" name="<?php echo cs_allow_special_char($this->get_field_name('username')); ?>" type="text" value="<?php echo esc_attr($username); ?>" />
            <label for="tweet_count">
            <span><?php esc_html_e('Num of Tweets:', 'logistic') ?> </span>
            	<input class="upcoming" id="<?php echo cs_allow_special_char($this->get_field_id('numoftweets')); ?>" size="2" name="<?php echo cs_allow_special_char($this->get_field_name('numoftweets')); ?>" type="text" value="<?php echo esc_attr($numoftweets); ?>" />
            <div class="clear"></div>
            </label>
            <?php
        }
        /**
         * @Twitter update form data 
         *
         *
         */
         function update($new_instance, $old_instance) {
            $instance = $old_instance;
            $instance['title'] = $new_instance['title'];
            $instance['username'] = $new_instance['username'];
            $instance['numoftweets'] = $new_instance['numoftweets'];            
             return $instance;
         }
        /**
         * @Display Twitter widget
         *
         *
         */
           function widget($args, $instance) {
            global $cs_theme_options, $post;
			
			extract($args, EXTR_SKIP);
            $title = empty($instance['title']) ? '' : apply_filters('widget_title', $instance['title']);
$title = htmlspecialchars_decode(stripslashes($title));
            $username = $instance['username'];
             $numoftweets = $instance['numoftweets'];        
             if($numoftweets == ''){$numoftweets = 2;}
            echo cs_allow_special_char($before_widget);
              // WIDGET display CODE Start
            if (!empty($title) && $title <> ' '){
                echo cs_allow_special_char($before_title . $title . $after_title);
            }
 ?>
 <script type="text/javascript">
 jQuery(document).ready(function(){
// if(jQuery('.tweet-slide').length != ''){
 'use strict'; 
 jQuery('.tweet-slide').slick({
  adaptiveHeight: true,
  autoplay: true,
  autoplaySpeed: 3000,
  arrows: false,
  
 });
// }
});
 </script>
<?php 
		if( class_exists('cs_framework') ) {
            if(strlen($username) > 1){
				
                    $text ='';
                    $return = '';
                    $cacheTime = 24;
                    $transName = 'latest-tweets';
                    cs_include_file( cs_framework::plugin_dir() . 'include/cs-twitter/twitteroauth.php' );
                    $consumerkey = isset($cs_theme_options['cs_consumer_key']) ? $cs_theme_options['cs_consumer_key'] : '';
                    $consumersecret = isset($cs_theme_options['cs_consumer_secret']) ? $cs_theme_options['cs_consumer_secret'] : '';
                    $accesstoken = isset($cs_theme_options['cs_access_token']) ? $cs_theme_options['cs_access_token'] : '';
                    $accesstokensecret = isset($cs_theme_options['cs_access_token_secret']) ? $cs_theme_options['cs_access_token_secret'] : '';
                     $connection = new TwitterOAuth($consumerkey, $consumersecret, $accesstoken, $accesstokensecret);                    
                    $tweets = $connection->get("https://api.twitter.com/1.1/statuses/user_timeline.json?screen_name=".$username."&count=".$numoftweets);                    
                    if(!is_wp_error($tweets) and is_array($tweets)){                        
                        set_transient($transName, $tweets, 60 * $cacheTime);
                    }else{
                        $tweets= get_transient('latest-tweets');
                    }
                      if(!is_wp_error($tweets) and is_array($tweets)){
                        $rand_id = rand(5, 300);                        
                        $return .= "";
                            foreach($tweets as $tweet) {
                                $text = $tweet->{'text'};
                                foreach($tweet->{'user'} as $type => $userentity) {
                                    if($type == 'profile_image_url') {    
                                        $profile_image_url = $userentity;
                                    } else if($type == 'screen_name'){
                                        $screen_name = '<a href="https://twitter.com/'.$userentity.'" target="_blank" class="colrhover" title="'.$userentity.'">@' . $userentity . '</a>';
                                    }
                                }
                                foreach($tweet->{'entities'} as $type => $entity) {
                                if($type == 'urls') {                        
                                    foreach($entity as $j => $url) {
                                        $display_url = '<a href="' . esc_url($url->{'url'}) . '" target="_blank" title="' . $url->{'expanded_url'} . '">' . $url->{'display_url'} . '</a>';
                                        $update_with = 'Read more at '.$display_url;
                                        $text = str_replace('Read more at '.$url->{'url'}, '', $text);
                                        $text = str_replace($url->{'url'}, '', $text);
                                    }
                                } else if($type == 'hashtags') {
                                    foreach($entity as $j => $hashtag) {
                                        $update_with = '<a href="https://twitter.com/search?q=%23' .$hashtag->{'text'} . '&amp;src=hash" target="_blank" title="' . $hashtag->{'text'} . '">#' . $hashtag->{'text'} . '</a>';
                                        $hashtag->{'text'};
                                        $text = str_replace('#'.$hashtag->{'text'}, $update_with, $text);
                                    }
                                } else if($type == 'user_mentions') {
                                	foreach($entity as $j => $user) {
                                    	$update_with = '<a href="https://twitter.com/'.$user->{'screen_name'}.'" target="_blank" title="'.$user->{'name'}.'">@'.$user->{'screen_name'} . '</a>';
                                        $text = str_replace('@'.$user->{'screen_name'}, $update_with, $text);
                                       }
                                    }
                                } 
                                $large_ts = time();
                                $n = $large_ts - strtotime($tweet->{'created_at'});
                                if($n < (60)){ $posted = sprintf(esc_html__('%d seconds ago','logistic'),$n); }
                                elseif($n < (60*60)) { $minutes = round($n/60); $posted = sprintf(_n('About a Minute Ago','%d Minutes Ago',$minutes,'logistic'),$minutes); }
                                elseif($n < (60*60*16)) { $hours = round($n/(60*60)); $posted = sprintf(_n('About an Hour Ago','%d Hours Ago',$hours,'logistic'),$hours); }
                                elseif($n < (60*60*24)) { $hours = round($n/(60*60)); $posted = sprintf(_n('About an Hour Ago','%d Hours Ago',$hours,'logistic'),$hours); }
                                elseif($n < (60*60*24*6.5)) { $days = round($n/(60*60*24)); $posted = sprintf(_n('About a Day Ago','%d Days Ago',$days,'logistic'),$days); }
                                elseif($n < (60*60*24*7*3.5)) { $weeks = round($n/(60*60*24*7)); $posted = sprintf(_n('About a Week Ago','%d Weeks Ago',$weeks,'logistic'),$weeks); } 
                                elseif($n < (60*60*24*7*4*11.5)) { $months = round($n/(60*60*24*7*4)) ; $posted = sprintf(_n('About a Month Ago','%d Months Ago',$months,'logistic'),$months);}
                                elseif($n >= (60*60*24*7*4*12)){$years=round($n/(60*60*24*7*52)) ; $posted = sprintf(_n('About a year Ago','%d years Ago',$years,'logistic'),$years);}
											
					
					 $return .= '<li>';
					 $return .= '<p>'.$text.'</p>';
				 	 $return .= '<span class="tweet-desc"><strong>'.$username.'</strong><br>';
					 $return .= ''.$posted.'</span> ';
					 $return .= ' </li>';
				 
				          }                    
                $return .= "";
                if(isset($profile_image_url) && $profile_image_url <> ''){$profile_image_url = '<img src="'.esc_url($profile_image_url).'" alt="'.cs_get_post_img_title($post->ID).'">';} else {$profile_image_url = '';}
                $return .= '';
                echo '<ul class="tweet-slide">'.cs_allow_special_char($return).'</ul>';                
              }else{
            if(isset($tweets->errors[0]) && $tweets->errors[0] <> ""){
                echo '<span class="bad_authentication">'.$tweets->errors[0]->message.".esc_html__('Please enter valid Twitter API Keys','logistic') </span>";
            }else{
                echo '<span class="bad_authentication">';
                  echo esc_html__('No Tweets Found','logistic');
                echo '</span>';
            }
        }
    }else{
				echo '<span class="bad_authentication">';            
				   echo esc_html__('No Tweets Found','logistic');
				echo '</span>';
			}
		}
        echo cs_allow_special_char($after_widget);
        }
     }
}
add_action('widgets_init', create_function('', 'return register_widget("cs_twitter_widget");'));
?>