<?php
/**
 * @Theme option function
 * @return
 *
 */
if ( ! function_exists( 'cs_options_page' ) ) {
    function cs_options_page(){
        global $cs_theme_options, $cs_options;
        $cs_theme_options=get_option('cs_theme_options');
    ?>

<div class="theme-wrap fullwidth">
  <div class="inner">
    <div class="outerwrapp-layer">
      <div class="loading_div"> <i class="icon-circle-o-notch icon-spin"></i> <br>
        <?php esc_html_e('Saving changes...','logistic');?>
      </div>
      <div class="form-msg"> <i class="icon-check-circle-o"></i>
        <div class="innermsg"></div>
      </div>
    </div>
    <div class="row">
      <form id="frm" method="post">
        <?php 
		$theme_options_fields = new theme_options_fields();
		$return = $theme_options_fields->cs_fields($cs_options);
        ?>
        <div class="col1">
          <nav class="admin-navigtion">
            <div class="logo"> <a href="#" class="logo1"><img src="<?php echo esc_url(get_template_directory_uri());?>/include/assets/images/logo-themeoption.png" /></a> <a href="#" class="nav-button"><i class="icon-align-justify"></i></a> </div>
            <ul>
              <?php echo force_balance_tags($return[1],true); ?>
            </ul>
          </nav>
        </div>
        <div class="col2">
          <?php echo force_balance_tags($return[0],true); /* Settings */ ?>
        </div>
        <div class="clear"></div>
        <div class="footer">
          <input type="button" id="submit_btn" name="submit_btn" class="bottom_btn_save" value="<?php esc_html_e('Save All Settings','logistic');?>" onclick="javascript:theme_option_save('<?php echo esc_js(admin_url('admin-ajax.php'))?>', '<?php echo esc_js(get_template_directory_uri());?>');" />
          <input type="hidden" name="action" value="theme_option_save"  />
          <input class="bottom_btn_reset" name="reset" type="button" value="<?php esc_html_e('Reset All Options','logistic');?>" onclick="javascript:cs_rest_all_options('<?php echo esc_js(admin_url('admin-ajax.php'))?>', '<?php echo esc_js(get_template_directory_uri())?>');" />
        </div>
      </form>
    </div>
  </div>
</div>
<div class="clear"></div>
<!--wrap--> 
<script type="text/javascript">
			// Sub Menus Show/hide
			jQuery(document).ready(function($) {
                jQuery(".sub-menu").parent("li").addClass("parentIcon");
				jQuery(document).on('click', 'a.nav-button', function() {
                    $(".admin-navigtion").toggleClass("navigation-small");
                });
                
				jQuery(document).on('click', 'a.nav-button', function() {
                    $(".inner").toggleClass("shortnav");
                });
                
				jQuery(document).on('click', '.admin-navigtion > ul > li > a', function() {
                    var a = $(this).next('ul')
                    $(".admin-navigtion > ul > li > a").not($(this)).removeClass("changeicon")
                    $(".admin-navigtion > ul > li ul").not(a) .slideUp();
                    $(this).next('.sub-menu').slideToggle();
                    $(this).toggleClass('changeicon');
                });
            });
            
            function show_hide(id){
                var link = id.replace('#', '');
                jQuery('.horizontal_tab').fadeOut(0);
                jQuery('#'+link).fadeIn(400);
            }
            
            function toggleDiv(id) { 
                jQuery('.col2').children().hide();
                jQuery(id).show();
                location.hash = id+"-show";
                var link = id.replace('#', '');
                jQuery('.categoryitems li').removeClass('active');
                jQuery(".menuheader.expandable") .removeClass('openheader');
                jQuery(".categoryitems").hide();
                jQuery("."+link).addClass('active');
                jQuery("."+link) .parent("ul").show().prev().addClass("openheader");
            }
            jQuery(document).ready(function() {
                jQuery(".categoryitems").hide();
                jQuery(".categoryitems:first").show();
                jQuery(".menuheader:first").addClass("openheader");
                jQuery(".menuheader").live('click', function(event) {
                    if (jQuery(this).hasClass('openheader')){
                        jQuery(".menuheader").removeClass("openheader");
                        jQuery(this).next().slideUp(200);
                        return false;
                    }
                    jQuery(".menuheader").removeClass("openheader");
                    jQuery(this).addClass("openheader");
                    jQuery(".categoryitems").slideUp(200);
                    jQuery(this).next().slideDown(200); 
                    return false;
                });
                
                var hash = window.location.hash.substring(1);
                var id = hash.split("-show")[0];
                if (id){
                    jQuery('.col2').children().hide();
                    jQuery("#"+id).show();
                    jQuery('.categoryitems li').removeClass('active');
                    jQuery(".menuheader.expandable") .removeClass('openheader');
                    jQuery(".categoryitems").hide();
                    jQuery("."+id).addClass('active');
                    jQuery("."+id) .parent("ul").slideDown(300).prev().addClass("openheader");
                } 
            });
            jQuery(function($) {
                $( "#cs_launch_date" ).datepicker({
                    defaultDate: "+1w",
                    dateFormat: "dd/mm/yy",
                    changeMonth: true,
                    numberOfMonths: 1,
                    onSelect: function( selectedDate ) {
                        $( "#cs_launch_date" ).datepicker();
                    }
                });
            });
        </script>
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri())?>/include/assets/css/jquery_ui_datepicker.css">
<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri())?>/include/assets/css/jquery_ui_datepicker_theme.css">
<?php
    }
}

/**
 * @Background Count function
 * @return
 *
 */
if ( ! function_exists( 'cs_bgcount' ) ) {
     function cs_bgcount($name,$count) {
        for($i=0; $i<=$count; $i++){
            $pattern['option'.$i] = $name.$i;
        }
        return $pattern;
     }
}

/**
 * @Theme Options Initilize
 * @return
 *
 */
add_action('init','cs_theme_option');
if ( ! function_exists( 'cs_theme_option' ) ) {
    function cs_theme_option(){
        global $cs_options,$cs_header_colors,$cs_theme_options;
        $cs_theme_options		= get_option('cs_theme_options');
        $on_off_option 			=  array("show" => "on","hide"=>"off"); 
        $navigation_style 		= array("left" => "left","center"=>"center","right"=>"right");
		$google_fonts 			= array('google_font_family_name'=>array('','',''),'google_font_family_url'=>array('','',''));
        $social_network 		= array('social_net_icon_path'=>array('','','','',''), 'social_net_awesome'=>array('icon-facebook9','icon-dribbble7','icon-twitter2','icon-behance2'),'social_net_url'=>array('https://www.facebook.com/','https://dribbble.com/','https://www.twitter.com/','https://www.behance.net/'),'social_net_tooltip'=>array('Facebook', 'Dribbble','Twitter','Behance'),'social_font_awesome_color'=>array('#cccccc','#cccccc','#cccccc','#cccccc'));
        
        $banner_fields = array('banner_field_title'=>array('Banner 1'),'banner_field_style'=>array('top_banner'),'banner_field_type'=>array('code'),'banner_field_image'=>array(''),'banner_field_url'=>array('#'),'banner_field_url_target'=>array('_self'),'banner_adsense_code'=>array(''),'banner_field_code_no'=>array('0'));
		

        $sidebar = array(	
			    'sidebar' => array(
				'blogs_sidebar'			=> esc_html__('Blogs Sidebar', 'logistic'),
				'team_sidebar'			=> esc_html__('Team Sidebar', 'logistic'),
				'team_detail_sidebar'	=> esc_html__('Team Detail Sidebar', 'logistic'),
				'campaigning_sidebar'			=> esc_html__('Campaigning Sidebar', 'logistic'),
				'event_sidebar'			=> esc_html__('Event Sidebar', 'logistic'),
				'event_detail_sidebar'	=> esc_html__('Event Detail Sidebar', 'logistic'),
				 'other_pages_sidebar'			=> esc_html__('Other Pages Sidebar', 'logistic'),
				'home_sidebar'	=> esc_html__('Home Sidebar', 'logistic'),
			 )
		);
        
        $breadcrumb_option = array("option1" => "option1","option2"=>"option2","option3"=>"option3");
        $deafult_sub_header = array('breadcrumbs_sub_header'=>esc_html__('Breadcrumbs Sub Header','logistic'),'slider'=>esc_html__('Revolution Slider','logistic'),'no_header'=>esc_html__('No sub Header','logistic'));
        $padding_sub_header = array('Default'=>'default','Custom'=>'custom');
       
	    #Menus List
        $menu_option = get_registered_nav_menus();
        foreach($menu_option as $key=>$menu){
			$menu_location = $key;
			$menu_locations = get_nav_menu_locations();
			$menu_object = (isset($menu_locations[$menu_location]) ? wp_get_nav_menu_object($menu_locations[$menu_location]) : null);
			$menu_name[] = (isset($menu_object->name) ? $menu_object->name : '');
		}
        
		#Mailchimp List
        $mail_chimp_list[]='';
        if(isset($cs_theme_options['cs_mailchimp_key'])){
            $mailchimp_option = $cs_theme_options['cs_mailchimp_key'];
            if($mailchimp_option <> '' && function_exists('cs_mailchimp_list')){
				$mc_list = cs_mailchimp_list($mailchimp_option);
                if(is_array($mc_list) && isset($mc_list['data'])){
                    foreach($mc_list['data'] as $list){
                        $mail_chimp_list[$list['id']]=$list['name'];
                    }
                }
            }
        }    
        
        #Map Search Pages
        $pages = get_pages(array(
            'meta_key' => '_wp_page_template',
            'meta_value' => 'page-ad-search.php',
            'hierarchical' => 0
        ));
        
        $map_options    = array();
        $map_options[]    = 'Default';
        foreach($pages as $page){
            $map_options[$page->ID]    = $page->post_title;
        }
        
        #google fonts array
        $g_fonts = cs_googlefont_list(); 
        $g_fonts_atts = cs_get_google_font_attribute();
        
        global $cs_theme_options;
        if (isset($cs_theme_options) and $cs_theme_options <> '') {
            if(isset($cs_theme_options['sidebar']) and count($cs_theme_options['sidebar'])>0){
                $cs_sidebar =array('sidebar'=>$cs_theme_options['sidebar']);
            }elseif(!isset($cs_theme_options['sidebar'])){
                $cs_sidebar = array('sidebar'=>array());
            }
        }else{
            $cs_sidebar=$sidebar;
        }
        
		#Set the Options Array
        $cs_options = array();
        $cs_header_colors= cs_header_setting();
        
		#general setting options
        $cs_options[] = array(    
            "name"            =>__("General",'logistic'),
            "fontawesome"     => 'icon-cog3',
            "type"             => "heading",
            "options"         => array(
                'tab-global-setting'    =>__("global",'logistic'),
                'tab-header-options'    =>__("Header",'logistic'),
                'tab-sub-header-options'=>__("Sub Header",'logistic'),
                'tab-footer-options'    =>__("Footer",'logistic'),
                'tab-social-setting'    =>__("social icons",'logistic'),
                'tab-social-network'    =>__("social sharing",'logistic'),
				'banner-fields'			=>esc_html__('Ads Unit Settings','logistic'),
                'tab-custom-code'		=>__("custom code",'logistic'),
            ) 
        );
          $cs_options[] = array( 
            "name"             =>__("color",'logistic'),
            "fontawesome"    => 'icon-magic',
            "hint_text"        => "",
            "type"             => "heading",
            "options"         => array(
                'tab-general-color'    =>__("general",'logistic'),
                'tab-header-color'    =>__("Header",'logistic'),
                'tab-footer-color'    =>__("Footer",'logistic'),
                'tab-heading-color'    =>__("headings",'logistic'),
            ) 
        );
        $cs_options[] = array( 
                    "name" =>__("typography / fonts",'logistic'),
                    "fontawesome" => 'icon-font',
                    "desc" => "",
                    "hint_text" => "",
                    "type" => "heading",
                    "options" => array(
                        'tab-custom-font'=>esc_html__('Custom Font','logistic'),
                        'tab-font-family'=>esc_html__('font family','logistic'),
                        'tab-font-size'=>esc_html__('Font Size','logistic'),
                    ) 
                );                    
    $cs_options[] = array(    
                    "name" =>__("sidebar",'logistic'),
                    "fontawesome" => 'icon-columns',
                    "id" => "tab-sidebar",
                    "std" => "",
                    "type" => "main-heading",
                    "options" => ''
                );
    $cs_options[] = array(    
                    "name" =>__("Seo",'logistic'),
                    "fontawesome" => 'icon-globe6',
                    "id" => "tab-seo",
                    "std" => "",
                    "type" => "main-heading",
                    "options" => ""
                );    
    $cs_options[] = array( 
                    "name" =>__("global",'logistic'),
                    "id" => "tab-global-setting",
                    "type" => "sub-heading"
                );
    $cs_options[] = array( 
                    "name" =>__("Layout",'logistic'),
                    "desc" => "",
                    "hint_text" =>__("Layout type",'logistic'),
                    "id" =>   "cs_layout",
                    "std" =>  "full_width",
                    "options" => array(
                        "boxed" =>__("Boxed",'logistic'), 
                        "full_width"=>__("Full width",'logistic')
                    ),
                    "type" => "layout",
                );        
                
    $cs_options[] = array( 
                    "name" => "",
                    "id" =>   "cs_horizontal_tab",
                    "class" =>  "horizontal_tab",
                    "type" => "horizontal_tab",
                    "std" => "",
                    "options" => array('Background'=>'background_tab','Pattern'=>'pattern_tab','Custom Image'=>'custom_image_tab')
                );

    $cs_options[] = array( 
                    "name" =>__("Background image",'logistic'),
                    "desc" => "",
                    "hint_text" =>__("Choose from Predefined Background images.",'logistic'),
                    "id" =>   "cs_bg_image",
                    "class" =>  "cs_background_",
                    "path" => "background",
                    "tab"=>"background_tab",
                    "std" =>  "bg7",
                    "type" => "layout_body",
                    "display"=>"block",
                    "options" => cs_bgcount('bg','10')
                );
                
    $cs_options[] = array( "name" =>__("Background pattern",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Choose from Predefined Pattern images.",'logistic'),
                        "id" =>   "cs_bg_image",
                        "class" =>  "cs_background_",
                        "path" => "patterns",
                        "tab"=>"pattern_tab",
                        "std" =>  "bg7",
                        "type" => "layout_body",
                        "display"=>"none",
                        "options" => cs_bgcount('pattern','27')                     
                    );
    $cs_options[] = array( 
                    "name" =>__("Custom image",'logistic'),
                    "desc" => "",
                    "hint_text" =>__("This option can be used only with Boxed Layout.",'logistic'),
                    "id" =>   "cs_custom_bgimage",
                    "std" =>  "",
                    "tab"=>"custom_image_tab",
                    "display"=>"none",
                    "type" => "upload logo"
                );
    $cs_options[] = array( "name" =>__("Background image position",'logistic'),
                        "desc" => "",
                        "hint_text" => __("Choose image position for body background",'logistic'),
                        "id" =>   "cs_bgimage_position",
                        "std" =>  "Center Repeat",
                        "type" => "select",
                        "options" =>array(
                            "option1" => "no-repeat center top",
                            "option2"=>"repeat center top",
                            "option3"=>"no-repeat center",
                            "option4"=>"Repeat Center",
                            "option5"=>"no-repeat left top",
                            "option6"=>"repeat left top",
                            "option7"=>"no-repeat fixed center",
                            "option8"=>"no-repeat fixed center / cover"
                        )
                    );    
    $cs_options[] = array( "name" =>__("Custom favicon",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Custom favicon for your site","logistic"),
                        "id" =>   "cs_custom_favicon",
                        "std" =>  get_template_directory_uri()."/assets/images/favicon.png",
                        "type" => "upload logo"
                    );
    
    $cs_options[] = array( "name" =>__("RTL",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Turn RTL On/Off here for Right to Left languages like Arabic etc.",'logistic'),
                        "id" =>   "cs_style_rtl",
                        "std" => "off",
                        "type" => "checkbox",
                        "options" => $on_off_option
                    );
                    
    $cs_options[] = array( "name" =>__("Responsive",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Set responsive design layout for mobile devices On/Off here",'logistic'),
                        "id" =>   "cs_responsive",
                        "std" => "on",
                        "type" => "checkbox",
                        "options" => $on_off_option
                    );
	 
	 if( class_exists('cs_framework') ) {
		 $cs_options[] = array( "name" =>__("Language Settings",'logistic'), 
							"id" => "tab-general-options",
							"std" =>__("Language Settings",'logistic'), 
							"type" => "section",
							"options" => ""
						);
						
		
		$dir = cs_framework::plugin_dir().'/languages/';
		$cs_plugin_language['']	= __("Select Language File",'logistic');
		if (is_dir($dir)) {
			if ($dh = opendir($dir)) {
				while (($file = readdir($dh)) !== false) {
					$ext = pathinfo($file, PATHINFO_EXTENSION);
					if( $ext == 'mo' ) {
						$cs_plugin_language[$file]	= $file;
					}
				}
				closedir($dh);
			}
		}
		
		$cs_options[] = array( "name" => __("Select Language",'logistic'),
					"desc" => "",
					"hint_text" => "",
					"id" =>   "cs_language_file",
					"std" => "30",
					"type" => "select",
					"options" => $cs_plugin_language,
					);	
	 }
    // Header options start
    $cs_options[] = array( "name" =>__("header",'logistic'),
                        "id" => "tab-header-options",
                        "type" => "sub-heading"
                    );
 
                    
    $cs_options[] = array( "name" =>__("Logo",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Upload your custom logo in .png .jpg .gif formats only.",'logistic'),
                        "id" =>   "cs_custom_logo",
                        "std" => get_template_directory_uri()."/assets/images/logo.png",
                        "type" => "upload logo"
                    );
					
	    $cs_options[] = array( "name" =>__("logo width",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Set exact logo width otherwise logo will not display normally.",'logistic'),
                        "id" => "cs_logo_width",
                        "min" => '0',
                        "max" => '412',
                        "std" => "142",
                        "type" => "range"
                    );
									
    $cs_options[] = array( "name" =>__("Logo Height",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Set exact logo height otherwise logo will not display normally.",'logistic'),
                        "id" => "cs_logo_height",
                        "min" => '0',
                        "max" => '100',
                        "std" => "28",
                        "type" => "range"
                    );                
                
      $cs_options[] = array( "name" =>__("Logo margin top",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Logo spacing margin from top",'logistic'),
                        "id" => "cs_logo_margint",
                        "min" => '0',
                        "max" => '200',
                        "std" => "0",
                        "type" => "range"
                    );   
   $cs_options[] = array( "name" =>__("Logo margin bottom",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Logo spacing margin from bottom.",'logistic'),
                        "id" => "cs_logo_marginb",
                        "min" => '-60',
                        "max" => '200',
                        "std" => "0",
                        "type" => "range"
                    );   
    $cs_options[] = array( "name" =>__("Logo margin right",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Logo spacing margin from right.",'logistic'),
                        "id" => "cs_logo_marginr",
                        "min" => '0',
                        "max" => '200',
                        "std" => "0",
                        "type" => "range"
				   );    
 $cs_options[] = array( "name" =>__("Logo margin left",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Logo spacing margin from left",'logistic'),
                        "id" => "cs_logo_marginl",
                        "min" => '-20',
                        "max" => '200',
                        "std" => "0",
                        "type" => "range"
					  );                                     
     /* header element settings*/
     
    $cs_options[] = array( "name" =>__("Header Elements",'logistic'),
                        "id" => "tab-header-options",
                        "std" =>__("Header Elements",'logistic'),
                        "type" => "section",
                        "options" => ""
                    );    
    
               
$cs_options[] = array( "name" =>__("Sticky Header On/Off",'logistic'),
                        "desc" => "",
                        "id" =>   "cs_sitcky_header_switch",
                        "hint_text" =>__("If you enable this option , header will be fixed on top of your browser window.",'logistic'),
                        "std" => "on",
                        "type" => "checkbox",
                        "options" => $on_off_option
                    );
					
 $cs_options[] = array( "name" =>__("Sticky Logo",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Set sticky logo Image",'logistic'),
                        "id" =>   "cs_sticky_logo",
                        "std" => get_template_directory_uri()."/assets/images/Sticky-Logo.png",
                        "type" => "upload logo");   
						
       $cs_options[] = array( "name" =>__("Header",'logistic'),
                        "id" => "tab-header-options",
                        "std" =>__("Header",'logistic'),
                        "type" => "section",
                        "options" => ""
                    );  
      
           
  
 $cs_options[] = array( "name" =>__("Social Icon",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Social Icon on/off",'logistic'),
                        "id" =>   "cs_social_setting_switch",
                        "std" => "on",
                        "type" => "checkbox",
                        "options" => $on_off_option);  
      
 $cs_options[] = array( "name" =>__("Phone on/off",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Phone on/off",'logistic'),
                        "id" =>   "cs_phone_switch",
                        "std" => "on",
                        "type" => "checkbox",
                        "options" => $on_off_option
						); 
						
 $cs_options[] = array( "name" =>__("Email on/off",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Email on/off",'logistic'),
                        "id" =>   "cs_email_switch",
                        "std" => "on",
                        "type" => "checkbox",
                        "options" => $on_off_option
						); 
						
												
 $cs_options[] = array( "name" =>__("Quick Quote on/off",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Quick Quote on/off",'logistic'),
                        "id" =>   "cs_quick_switch",
                        "std" => "on",
                        "type" => "checkbox",
                        "options" => $on_off_option
						); 
 
 
 $cs_options[] = array( "name" =>__("Contact Text",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Enter opening hours text",'logistic'),
                        "id" =>   "cs_helping_text",
                        "std" => "We respond you in 24 hours",
                        "type" => "text");
						
						
$cs_options[] = array( "name" =>__("Phone Number",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Enter opening hours text",'logistic'),
                        "id" =>   "cs_phone_text",
                        "std" => "0044 123 456 789",
                        "type" => "text");
						
$cs_options[] = array( "name" =>__("Email Us",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Enter opening hours text",'logistic'),
                        "id" =>   "cs_email_text",
                        "std" => "Email Us",
                        "type" => "text");
						
	$cs_options[] = array( "name" =>__("Email Address",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Enter opening hours text",'logistic'),
                        "id" =>   "cs_email_address",
                        "std" => "info@logistics.com",
                        "type" => "text");
						
$cs_options[] = array( "name" =>__("Quick Quote",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Enter opening hours text",'logistic'),
                        "id" =>   "cs_quote_text",
                        "std" => "Get Quick Quote",
                        "type" => "text");
						
												
$cs_options[] = array( "name" =>__("Quick Quote Link",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Enter opening hours text",'logistic'),
                        "id" =>   "cs_quote_link",
                        "std" => "#",
                        "type" => "text"
						);
						
 
	       
    /* sub header element settings*/
  $cs_options[] = array( "name" =>__("sub header",'logistic'),
                        "id" => "tab-sub-header-options",
                        "type" => "sub-heading"
                    );
 
                    
    $cs_options[] = array( "name" =>__("Default",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Sub Header settings made here will be implemented on all pages.",'logistic'),
                        "id" =>   "cs_default_header",
                        "std" =>__("Breadcrumbs Sub Header",'logistic'),
                        "type" => "default header",
                        "options" => $deafult_sub_header
                    );
                    
    $cs_options[] = array( "name" =>__("Header Border Color",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_header_border_color",
                        "std" => "",
                        "type" => "color"
                    );
                    
    $cs_options[] = array( "name" =>__("Revolution Slider",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Please select Revolution Slider if already included in package. Otherwise buy Sliders from Code canyon But its optional","logistic"),
                        "id" =>   "cs_custom_slider",
                        "std" => "",
                        "type" => "slider code",
                        "options" => ''
                    );
    $cs_options[] = array( "name" =>__("Padding Top",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Set custom padding for sub header content top area.",'logistic'),
                        "id" => "cs_sh_paddingtop",
                        "min" => '0',
                        "max" => '200',
                        "std" => "0",
                        "type" => "range"
                    );
    $cs_options[] = array( "name" =>__("Padding Bottom",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Set custom padding for sub header content bottom area.",'logistic'),
                        "id" => "cs_sh_paddingbottom",
                        "min" => '0',
                        "max" => '200',
                        "std" => "0",
                        "type" => "range"
                    );                    
    $cs_options[] = array( "name" =>__("Content Text Align",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("select the text Alignment for sub header content.",'logistic'),
                        "id" =>   "cs_title_align",
                        "std" => "left",
                        "type" => "select",
                        "options" => $navigation_style
                    );
    $cs_options[] = array( "name" =>__("Page Title",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Set page title On/Off in sub header",'logistic'),
                        "id" => "cs_title_switch",
                        "std" => "on",
                        "type" => "checkbox"
                    );
    
	 
$cs_options[] = array( "name" =>__("Breadcrumbs",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_breadcrumbs_switch",
                        "std" => "on",
                        "type" => "checkbox"
                    );
    
    $cs_options[] = array( "name" =>__("Background Color",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_sub_header_bg_color",
                        "std" => "#f8f9f9",
                        "type" => "color"
                    );    
    $cs_options[] = array( "name" =>__("Text Color",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_sub_header_text_color",
                        "std" => "#ffffff",
                        "type" => "color"
                    );    
    $cs_options[] = array( "name" =>__("Border Color",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_sub_header_border_color",
                        "std" => "",
                        "type" => "color"
                    );            
    $cs_options[] = array( "name" =>__("Background",'logistic'),
                        "desc"    => "",
                        "hint_text" =>__("Background Image",'logistic'),
                        "id"     =>   "cs_background_img",
                        "std"    => get_template_directory_uri()."/assets/images/default-subheader-02.jpg",
                        "type"    => "upload logo"
                    );            

    $cs_options[] = array( "name" =>__("Parallax",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_parallax_bg_switch",
                        "std" => "off",
                        "type" => "checkbox"
                    );                
    
    // start footer options    
                
    $cs_options[] = array( "name" =>__("footer options",'logistic'),
                        "id" => "tab-footer-options",
                        "type" => "sub-heading"
                        );                        
    $cs_options[] = array( "name" =>__("Footer section",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("enable/disable footer area",'logistic'),
                        "id" => "cs_footer_switch",
                        "std" => "on",
                        "type" => "checkbox"
                    );            
    $cs_options[] = array( "name" =>__("Footer Widgets",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("enable/disable footer widget area",'logistic'),
                        "id" => "cs_footer_widget",
                        "std" => "on",
                        "type" => "checkbox"
                    );                    
    
        
    $cs_options[] = array( "name" =>__("Social Icons",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("enable/disable Social Icons",'logistic'),
                        "id" => "cs_sub_footer_social_icons",
                        "std" => "on",
                        "type" => "checkbox");   
			$cs_options[] = array( "name" =>__("Copy Write Section",'logistic'),
				"desc" => "",
				"hint_text" =>__("enable/disable Copy Write Section",'logistic'),
				"id" => "cs_copy_write_section",
				"std" => "on",
				"type" => "checkbox"); 
				
				$cs_options[] = array( "name" =>__("Back to Top",'logistic'),
				"desc" => "",
				"hint_text" =>__("enable/disable Back to Top Link",'logistic'),
				"id" => "cs_back_to_top",
				"std" => "on",
				"type" => "checkbox"); 	
				  	
 				$cs_options[] = array( "name" =>__("Copyright Text",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("write your own copyright text",'logistic'),
                        "id" => "cs_copy_right",
                        "std" => "&copy; 2014 logistic Name All rights reserved. Design by <a class='cscolor' href='#'>Chimp Studio</a>", 
                        "type" => "textarea"
                    );
			
					         
		$cs_options[] = array( "name" =>__("Footer Widgets",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Set footer widgets sidebar",'logistic'),
                        "id" =>   "cs_footer_widget_sidebar",
                        "std" => "",
                        "type" => "select_sidebar",
                        "options" => $cs_sidebar,
					);            
    // End footer tab setting
    /* general colors*/                
    $cs_options[] = array( "name" =>__("general colors",'logistic'),
                        "id" => "tab-general-color",
                        "type" => "sub-heading"
                        );    
    $cs_options[] = array( "name" =>__("Theme Color",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Choose theme skin color",'logistic'),
                        "id" => "cs_theme_color",
                        "std" => "#ed413f",
                        "type" => "color"
                    );

    $cs_options[] = array( "name" =>__("Theme Second Color",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Choose theme skin color",'logistic'),
                        "id" => "cs_theme_sec_color",
                        "std" => "#ed413f",
                        "type" => "color"
                    );

                  
    $cs_options[] = array( "name" =>__("Background Color",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Choose Body Background Color",'logistic'),
                        "id" => "cs_bg_color",
                        "std" => "#ffffff",
                        "type" => "color"
                    );
                    
    $cs_options[] = array( "name" =>__("Body Text Color",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Choose text color",'logistic'),
                        "id" => "cs_text_color",
                        "std" => "#555555",
                        "type" => "color"
                    );    
                    
    // start top strip tab options
    $cs_options[] = array( "name" =>__("header colors",'logistic'),
                        "id" => "tab-header-color",
                        "type" => "sub-heading"
                        );    
    $cs_options[] = array( "name" =>__("top strip colors",'logistic'),
                        "id" => "tab-top-strip-color",
                        "std" =>__("Top Strip",'logistic'),
                        "type" => "section",
                        "options" => ""
                        );
    $cs_options[] = array( "name" =>__("Background Color",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Change Top Strip background color",'logistic'),
                        "id" => "cs_topstrip_bgcolor",
                        "std" => "#102b40",
                        "type" => "color"
                    );
                    
    $cs_options[] = array( "name" =>__("Text Color",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Change Top Strip text color",'logistic'),
                        "id" => "cs_topstrip_text_color",
                        "std" => "#ffffff",
                        "type" => "color"
                    );
                    
    $cs_options[] = array( "name" =>__("Link Color",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Change Top Strip link color",'logistic'),
                        "id" => "cs_topstrip_link_color",
                        "std" => "#4d6477",
                        "type" => "color"
                    );

    // start header color tab options
    $cs_options[] = array( "name" =>__("Header Colors",'logistic'),
                        "id" => "tab-header-color",
                        "std" =>__("Header Colors",'logistic'),
                        "type" => "section",
                        "options" => ""
                        );
    $cs_options[] = array( "name" =>__("Background Color",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Change Header background color",'logistic'),
                        "id" => "cs_header_bgcolor",
                        "std" => "#ffffff",
                        "type" => "color"


                    );                                            
    $cs_options[] = array( "name" =>__("Navigation Background Color",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Change Header Navigation Background color",'logistic'),
                        "id" => "cs_nav_bgcolor",
                        "std" => "#fff",
                        "type" => "color"
                    );
                    
    
                    
    $cs_options[] = array( "name" =>__("Menu Link color",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Change Header Menu Link color",'logistic'),
                        "id" => "cs_menu_color",
                        "std" => "#282828",
                        "type" => "color"
                    );
                    
    $cs_options[] = array( "name" =>__("Menu Active Link color",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Change Header Menu Active Link color",'logistic'),
                        "id" => "cs_menu_active_color",
                        "std" => "#ed413f ",
                        "type" => "color"
                    );
                    

    $cs_options[] = array( "name" =>__("Submenu Background",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Change Submenu Background color",'logistic'),
                        "id" => "cs_submenu_bgcolor",
                        "std" => "#ffffff",
                        "type" => "color",
                    );
            
    $cs_options[] = array( "name" =>__("Submenu Link Color",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Change Submenu Link color",'logistic'),
                        "id" => "cs_submenu_color",
                        "std" => "#282828",
                        "type" => "color"
                    );
                    
    $cs_options[] = array( "name" =>__("Submenu Hover Link Color",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Change Submenu Hover Link color",'logistic'),
                        "id" => "cs_submenu_hover_color",
                        "std" => "#ed413f",
                        "type" => "color"
                    );
    
    
    
    /* footer colors*/                
    $cs_options[] = array( "name" =>__("footer colors",'logistic'),
                        "id" => "tab-footer-color",
                        "type" => "sub-heading"
                        );                                
    $cs_options[] = array( "name" =>__("Footer Background Color",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_footerbg_color",
                        "std" => "#333333",
                        "type" => "color"
                    );
	$cs_options[] = array( "name" =>__("Footer Title Color",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_title_color",
                        "std" => "#ffffff",
                        "type" => "color"
                    );
                    
    $cs_options[] = array( "name" =>__("Footer Text Color",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_footer_text_color",
                        "std" => "#999999",
                        "type" => "color"
                    );
                    
    $cs_options[] = array( "name" =>__("Footer Link Color",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_link_color",
                        "std" => "#999999",
                        "type" => "color"
                    );
        
    $cs_options[] = array( "name" =>__("Copyright Text",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_copyright_text_color",
                        "std" => "#999999",
                        "type" => "color"
                    );
					
	$cs_options[] = array( "name" =>__("Copyright Background Color",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_copyright_bg_color",
                        "std" => "#292929",
                        "type" => "color"
                    );
    /* heading colors*/                
    $cs_options[] = array( "name" =>__("heading colors",'logistic'),
                        "id" => "tab-heading-color",
                        "type" => "sub-heading"
                        );                                
    $cs_options[] = array( "name" =>__("heading h1",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_heading_h1_color",
                        "std" => "#333333",
                        "type" => "color"
                    );
    
    $cs_options[] = array( "name" =>__("heading h2",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_heading_h2_color",
                        "std" => "#333333",
                        "type" => "color"
                    );
    
    $cs_options[] = array( "name" =>__("heading h3",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_heading_h3_color",
                        "std" => "#333333",
                        "type" => "color"
                    );
    
    $cs_options[] = array( "name" =>__("heading h4",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_heading_h4_color",
                        "std" => "#333333",
                        "type" => "color"
                    );
    
    $cs_options[] = array( "name" =>__("heading h5",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_heading_h5_color",
                        "std" => "#333333",
                        "type" => "color"
                    );
    
    $cs_options[] = array( "name" =>__("heading h6",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_heading_h6_color",
                        "std" => "#333333",
                        "type" => "color"
                    ); 
    
    /* start custom font family */
    $cs_options[] = array( "name" =>__("Custom Font",'logistic'),
                        "id" => "tab-custom-font",
                        "type" => "sub-heading"
                        );
                        
    $cs_options[] = array( "name" =>__("Custom Font .woff",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Custom font for your site upload .woff format file.",'logistic'),
                        "id" =>   "cs_custom_font_woff",
                        "std" =>  "",
                        "type" => "upload font"
                    );
                    
    $cs_options[] = array( "name" =>__("Custom Font .ttf",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Custom font for your site upload .ttf format file.",'logistic'),
                        "id" =>   "cs_custom_font_ttf",
                        "std" =>  "",
                        "type" => "upload font"
                    );
                    
    $cs_options[] = array( "name" =>__("Custom Font .svg",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Custom font for your site upload .svg format file.",'logistic'),
                        "id" =>   "cs_custom_font_svg",
                        "std" =>  "",
                        "type" => "upload font"
                    );
                    
    $cs_options[] = array( "name" =>__("Custom Font .eot",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Custom font for your site upload .eot format file.",'logistic'),
                        "id" =>   "cs_custom_font_eot",
                        "std" =>  "",
                        "type" => "upload font"
                    );    
                                    
    /* start font family */
    $cs_options[] = array( "name" =>__("font family",'logistic'),
                        "id" => "tab-font-family",
                        "type" => "sub-heading"
                        );
    $cs_options[] = array( "name" =>__("Content Font",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Set fonts for Body text",'logistic'),
                        "id" =>   "cs_content_font",
                        "std" => "default",
                        "type" => "gfont_select",
                        "options" => $g_fonts
                    );
    $cs_options[] = array( "name" =>__("Content Font Attribute",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Set Font Attribute",'logistic'),
                        "id" =>   "cs_content_font_att",
                        "std" => "",
                        "type" => "gfont_att_select",
                        "options" => $g_fonts_atts
                    );
    $cs_options[] = array( "name" =>__("Main Menu Font",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Set font for main Menu. It will be applied to sub menu as well",'logistic'),
                        "id" =>   "cs_mainmenu_font",
                        "std" => "default",
                        "type" => "gfont_select",
                        "options" => $g_fonts
                    );
    $cs_options[] = array( "name" =>__("Main Menu Font Attribute",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Set Font Attribute",'logistic'),
                        "id" =>   "cs_mainmenu_font_att",
                        "std" => "",
                        "type" => "gfont_att_select",
                        "options" => $g_fonts_atts
                    );
    $cs_options[] = array( "name" =>__("Headings Font",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Select font for Headings. It will apply on all posts and pages headings",'logistic'),
                        "id" =>   "cs_heading_font",
                        "std" => "Titillium Web",
                        "type" => "gfont_select",
                        "options" => $g_fonts
                    );
    $cs_options[] = array( "name" =>__("Headings Font Attribute",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Set Font Attribute",'logistic'),
                        "id" =>   "cs_heading_font_att",
                        "std" => "700",
                        "type" => "gfont_att_select",
                        "options" => $g_fonts_atts
                    );                    
    $cs_options[] = array( "name" =>__("Widget Headings Font",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Set font for Widget Headings",'logistic'),
                        "id" =>   "cs_widget_heading_font",
                        "std" => "Titillium Web",
                        "type" => "gfont_select",
                        "options" => $g_fonts
                    );
    $cs_options[] = array( "name" =>__("Widget Headings Font Attribute",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Set Font Attribute",'logistic'),
                        "id" =>   "cs_widget_heading_font_att",
                        "std" => "300italic",
                        "type" => "gfont_att_select",
                        "options" => $g_fonts_atts
                    );                                
     /* start font size */
    $cs_options[] = array( "name" =>__("Font size",'logistic'),
                        "id" => "tab-font-size",
                        "type" => "sub-heading"
                        );
     
    $cs_options[] = array( "name" =>__("Content",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_content_size",
                        "min" => '6',
                        "max" => '50',
                        "std" => "14",
                        "type" => "range"
                    );
    $cs_options[] = array( "name" =>__("Main Menu",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_mainmenu_size",
                        "min" => '6',
                        "max" => '50',
                        "std" => "14",
                        "type" => "range"
                    );
    $cs_options[] = array( "name" =>__("Heading 1",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_heading_1_size",
                        "min" => '6',
                        "max" => '50',
                        "std" => "34",
                        "type" => "range"
                    );
    $cs_options[] = array( "name" =>__("Heading 2",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_heading_2_size",
                        "min" => '6',
                        "max" => '50',
                        "std" => "24",
                        "type" => "range"
                    );
    $cs_options[] = array( "name" =>__("Heading 3",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_heading_3_size",
                        "min" => '6',
                        "max" => '50',
                        "std" => "20",
                        "type" => "range"
                    );    
    $cs_options[] = array( "name" => __("Heading 4",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_heading_4_size",
                        "min" => '6',
                        "max" => '50',
                        "std" => "18",
                        "type" => "range"
                    );
    $cs_options[] = array( "name" =>__("Heading 5",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_heading_5_size",
                        "min" => '6',
                        "max" => '50',
                        "std" => "16",
                        "type" => "range"
                    );
    $cs_options[] = array( "name" =>__("Heading 6",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_heading_6_size",
                        "min" => '6',
                        "max" => '50',
                        "std" => "14",
                        "type" => "range"
                    );
                    
    $cs_options[] = array( "name" =>__("Widget Heading",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_widget_heading_size",
                        "min" => '6',
                        "max" => '50',
                        "std" => "16",
                        "type" => "range"
                    );        
    $cs_options[] = array( "name" =>__("Section Heading",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_section_heading_size",
                        "min" => '6',
                        "max" => '50',
                        "std" => "24",
                        "type" => "range"
                    );                                                                      
    /* social icons setting*/                    
    $cs_options[] = array( "name" =>__("social icons",'logistic'),
                        "id" => "tab-social-setting",
                        "type" => "sub-heading"
                        );            
    $cs_options[] = array(  "name" =>__("Social Network",'logistic'),
							"desc" => "",
							"hint_text" => "",
							"id" => "cs_social_network",
							"std" => "",
							"type" => "networks",
							"options" => $social_network
                    );   
					
    /* social Network setting*/                                   
    $cs_options[] = array( "name" =>__("social Sharing",'logistic'),
                        "id" => "tab-social-network",
                        "type" => "sub-heading"
                        );
    $cs_options[] = array( "name" =>__("Facebook",'logistic'),
							"desc" => "",
							"hint_text" => "",
							"id" => "cs_facebook_share",
							"std" => "on",
							"type" => "checkbox");
                        
    $cs_options[] = array( "name" =>__("Twitter",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_twitter_share",
                        "std" => "on",
                        "type" => "checkbox");
                        
    $cs_options[] = array( "name" =>__("Google Plus",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_google_plus_share",
                        "std" => "off",
                        "type" => "checkbox");
  $cs_options[] = array( "name" =>__("Tumblr",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_tumblr_share",
                        "std" => "on",
                        "type" => "checkbox");
                        
    $cs_options[] = array( "name" =>__("Dribbble",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_dribbble_share",
                        "std" => "on",
                        "type" => "checkbox");
                        
    $cs_options[] = array( "name" =>__("Instagram",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_instagram_share",
                        "std" => "on",
                        "type" => "checkbox");
                        
    $cs_options[] = array( "name" =>__("StumbleUpon",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_stumbleupon_share",
                        "std" => "on",
                        "type" => "checkbox");
                        
    $cs_options[] = array( "name" =>__("youtube",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_youtube_share",
                        "std" => "on",
                        "type" => "checkbox");
    
    $cs_options[] = array( "name" =>__("share more",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_share_share",
                        "std" => "on",
                        "type" => "checkbox");

    /* custom code setting*/    
    $cs_options[] = array( "name" =>__("custom code",'logistic'),
                        "id" => "tab-custom-code",
                        "type" => "sub-heading"
                    );
    $cs_options[] = array( "name" =>__("Custom Css",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("write you custom css without style tag",'logistic'),
                        "id" => "cs_custom_css",
                        "std" => "",
                        "type" => "textarea"
                    );
                        
    $cs_options[] = array( "name" =>__("Custom JavaScript",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("write you custom js without script tag",'logistic'),
                        "id" => "cs_custom_js",
                        "std" => "",
                        "type" => "textarea"
                    );
    
    //== Banner Fields
    $cs_options[] = array( "name" =>__("Ads Unit",'logistic'),
                        "id" => "banner-fields",
                        "type" => "sub-heading"
                    );
    $cs_options[] = array( "name" =>__("Ads Unit Settings",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" => "cs_banner_fields",
                        "std" => "",
                        "type" => "banner_fields",
                        "options" => $banner_fields
                    ); 
	                   
    /* sidebar tab */
    $cs_options[] = array( "name" =>__("sidebar",'logistic'),
                        "id" => "tab-sidebar",
                        "type" => "sub-heading"
                    );
    $cs_options[] = array( "name" =>__("Sidebar",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Select a sidebar from the list already given. (Nine pre-made sidebars are given)",'logistic'),
                        "id" => "cs_sidebar",
                        "std" => $sidebar,
                        "type" => "sidebar",
                        "options" => $sidebar
                    );
    
    $cs_options[] = array( "name" =>__("post layout",'logistic'),
                        "id" => "cs_non_metapost_layout",
                        "std" =>__("single post layout",'logistic'),
                        "type" => "section",
                        "options" => ""
                        );                
    $cs_options[] = array( "name" =>__("Single Post Layout",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Use this option to set default layout. It will be applied to all posts",'logistic'),
                        "id" =>   "cs_single_post_layout",
                        "std" => "sidebar_right",
                        "type" => "layout",
                        "options" => array(
                            "no_sidebar" =>__("full width",'logistic'),
                            "sidebar_left"=>__("sidebar left",'logistic'),
                            "sidebar_right"=>__("sidebar right",'logistic'),
                            )
                        );
                    
    $cs_options[] = array( "name" =>__("Single Layout Sidebar",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Select Single Post Layout of your choice for sidebar layout. You cannot select it for full width layout",'logistic'),
                        "id" =>   "cs_single_layout_sidebar",
                        "std" => "Blogs Sidebar",
                        "type" => "select_sidebar",
                        "options" => $cs_sidebar
                    );
                    
    $cs_options[] = array( "name" =>__("default pages",'logistic'),
                        "id" => "default_pages",
                        "std" => __("Blogs Sidebar",'logistic'),
                        "type" => "section",
                        "options" => ""
                        );
    $cs_options[] = array( "name" =>__("Default Pages Layout",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Set Sidebar for all pages like Search, Author Archive, Category Archive etc",'logistic'),
                        "id" =>   "cs_default_page_layout",
                        "std" => "sidebar_right",
                        "type" => "layout",
                        "options" => array(
                             "sidebar_left"=>__("sidebar left",'logistic'),
                            "sidebar_right"=>__("sidebar right",'logistic'),
							"no_sidebar" =>__("full width",'logistic'),
                            )
                        );                    

    $cs_options[] = array( "name" =>__("Sidebar",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Select pre-made sidebars for default pages on sidebar layout. Full width layout cannot have sidebars",'logistic'),
                        "id" =>   "cs_default_layout_sidebar",
                        "std" => "Blogs Sidebar",
                        "type" => "select_sidebar",
                        "options" => $cs_sidebar
                    );    
    $cs_options[] = array( "name" =>__("Excerpt",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Set excerpt length/limit from here. It controls text limit for post's content",'logistic'),
                        "id" => "cs_excerpt_length",
                        "std" => "255",
                        "type" => "text"
                    );        
    
    /* SEO */
    $cs_options[] = array( "name" =>__("Seo",'logistic'),
                        "id" => "tab-seo",
                        "type" => "sub-heading"
                        );
    $cs_options[] = array( "name" =>'<b>'.__("Attention for External Seo Plugins!",'logistic').'</b>',
                        "id" => "header_postion_attention",
                        "std"=>'<strong>'.__("  If you are using any external Seo plugin, Turn Off these options",'logistic').'</strong>',
                        "type" => "announcement"
                    );

    $cs_options[] = array( "name" =>__("Built-in Seo fields",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Turn Seo options On/Off",'logistic'),
                        "id" => "cs_builtin_seo_fields",
                        "std" => "on",
                        "type" => "checkbox");
                        
    $cs_options[] = array( "name" =>__("Meta Description",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("HTML attributes that explain the contents of web pages commonly used on search engine result pages (SERPs) for pages snippets",'logistic'),
                        "id" => "cs_meta_description",
                        "std" => "",
                        "type" => "text"
                    );
                    
    $cs_options[] = array( "name" =>__("Meta Keywords",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Attributes of meta tags, a list of comma-separated words included in the HTML of a Web page that describe the topic of that page",'logistic'),
                        "id" => "cs_meta_keywords",
                        "std" => "",
                        "type" => "text"
                    );
                    
                    
    /* maintenance mode*/                
    $cs_options[] = array( "name" =>__("Maintenance Mode",'logistic'),
                        "fontawesome" => 'icon-tasks',
                        "id" => "tab-maintenace-mode",
                        "std" => "",
                        "type" => "main-heading",
                        "options" => ""
                        );    
    $cs_options[] = array( "name" =>__("Maintenance Mode",'logistic'),
                        "id" => "tab-maintenace-mode",
                        "type" => "sub-heading"
                        );
    $cs_options[] = array( "name" =>__("Maintenace Page",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Users will see Maintenance page & logged in Admin will see normal site.",'logistic'),
                        "id" => "cs_maintenance_page_switch",
                        "std" => "off",
                        "type" => "checkbox");
                        
    $cs_options[] = array( "name" =>__("Show Logo",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Show/Hide logo on Maintenance. Logo can be uploaded from General > Header in CS Theme options.",'logistic'),
                        "id" => "cs_maintenance_logo_switch",
                        "std" => "on",
                        "type" => "checkbox");
 	 
	$cs_options[] = array( "name" =>__("Maintenance Page Logo",'logistic'),
                        "desc" => "",
                        "hint_text" => __("Upload your maintenance page logo in .png .jpg .gif formats only.",'logistic'),
                        "id" =>   "cs_maintenance_custom_logo",
                        "std" =>  get_template_directory_uri()."/assets/images/logoun.png",
                        "type" => "upload logo"
                    );				
									
            
		$cs_options[] = array( "name" =>__("Maintenance Page Background",'logistic'),
                        "desc" => "",
                        "hint_text" => __("Upload your maintenance page Background in .png .jpg .gif formats only.",'logistic'),
                        "id" =>   "cs_maintenance_custom_background",
                        "std" =>  get_template_directory_uri()."/assets/images/bg-construction.jpg",
                        "type" => "upload logo"
                    );		
			
			$cs_options[] = array( "name" =>__("Show Subscriber Field",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Show/Hide Subscriber Field on Maintenance. Logo can be uploaded from General > Header in CS Theme options.",'logistic'),
                        "id" => "cs_maintenance_subscriber_field_switch",
                        "std" => "on",
                        "type" => "checkbox");
						
			$cs_options[] = array( "name" =>__("Show Social Icons",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Show/Hide Social Icons on Maintenance. Logo can be uploaded from General > Header in CS Theme options.",'logistic'),
                        "id" => "cs_maintenance_social_icons_switch",
                        "std" => "on",
                        "type" => "checkbox");				
	
	     $cs_options[] = array( "name" =>__("Maintenance Text",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Text for Maintenance page. Insert some basic HTML or use shortcodes here.",'logistic'),
                        "id" => "cs_maintenance_text",
                        "std" => "<h1>Sorry, We are down for maintenance </h1><p>We're currently under maintenance, if all goas as planned we'll be back in</p>",
                        "type" => "textarea"
                    );
                    
    $cs_options[] = array( "name" =>__("Launch Date",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Estimated date for completion of site on Maintenance page.",'logistic'),
                        "id" => "cs_launch_date",
                        "std" => gmdate("dd/mm/yy"),
                        "type" => "text"
                    );
                    
                                                
    /* api options tab*/
    $cs_options[] = array( "name" =>__("Api settings",'logistic'),
                        "fontawesome" => 'icon-chain',
                        "id" => "tab-api-options",
                        "std" => "",
                        "type" => "main-heading",
                        "options" => ""
                        );
    //Start Twitter Api    
    $cs_options[] = array( "name" =>__("All api settings",'logistic'),
                        "id" => "tab-api-options",
                        "type" => "sub-heading"
                        );
                                   
    $cs_options[] = array( "name" =>__("Attention for API Settings!",'logistic'),
                        "id" => "header_postion_attention",
                        "std"=>__("API Settings allows admin of the site to show their activity on site semi-automatically. Set your social account API once, it will be update your social activity automatically on your site.",'logistic'),
                        "type" => "announcement"
                    );
   
    //start mailChimp api
    $cs_options[] = array( "name" =>__("Mail Chimp",'logistic'),
                        "id" => "mailchimp",
                        "std" =>__("Mail Chimp",'logistic'),
                        "type" => "section",
                        "options" => ""
                        );    
    $cs_options[] = array( "name" =>__("Mail Chimp Key",'logistic'),
                        "desc" =>__("Enter a valid Mail Chimp API key here to get started. Once you've done that, you can use the Mail Chimp Widget from the Widgets menu. You will need to have at least Mail Chimp list set up before the using the widget. You can get your mail chimp activation key",'logistic'),
                        "hint_text" =>__("Get your mailchimp key by <a href='https://login.mailchimp.com/' target='_blank'>Clicking Here </a>",'logistic'),
                        "id" =>   "cs_mailchimp_key",
                        "std" => "90f86a57314446ddbe87c57acc930ce8-us2",
                        "type" => "text"
                        );
                        
    $cs_options[] = array( "name" =>__("Mail Chimp List",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" =>   "cs_mailchimp_list",
                        "std" => "on",
                        "type" => "mailchimp",
                        "options" => $mail_chimp_list
                    );
                    
    $cs_options[] = array( "name" =>__("Flickr API Setting",'logistic'),
                        "id" => "flickr_api_setting",
                        "std" => __("Flickr API Setting",'logistic'),
                        "type" => "section",
                        "options" => ""
                        );                    
    $cs_options[] = array( "name" =>__("Flickr key",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" =>   "flickr_key",
                        "std" => "",
                        "type" => "text");
    $cs_options[] = array( "name" =>__("Flickr secret",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" =>   "flickr_secret",
                        "std" => "",
                        "type" => "text");
$cs_options[] = array( "name" =>__("Twitter",'logistic'),
                        "id" => "Twitter",
                        "std" =>__("Twitter",'logistic'),
                        "type" => "section",
                        "options" => ""
                        ); 
    $cs_options[] = array( "name" =>__("Show Twitter",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Turn Twitter option On/Off",'logistic'),
                        "id" => "cs_twitter_api_switch",
                        "std" => "on",
                        "type" => "checkbox"); 
                        
    $cs_options[] = array( "name" =>__("Consumer Key",'logistic'),
                        "desc" => "",
                        "hint_text" => "",
                        "id" =>   "cs_consumer_key",
                        "std" => "",
                        "type" => "text");
                        
    $cs_options[] = array( "name" 	=>__("Consumer Secret",'logistic'),
                        "desc" 		=> "",
                        "hint_text" => __("Insert consumer key. To get your account key, <a href='https://dev.twitter.com/' target='_blank'>Click Here </a>",'logistic'),
                        "id" 		=>   "cs_consumer_secret",
                        "std" 		=> "",
                        "type" 		=> "text");
                        
    $cs_options[] = array( "name" =>__("Access Token",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Insert Twitter Access Token for permissions. When you create your Twitter App, you get this Token",'logistic'),
                        "id" =>   "cs_access_token",
                        "std" => "",
                        "type" => "text");
                        
    $cs_options[] = array( "name" =>__("Access Token Secret",'logistic'),
                        "desc" => "",
                        "hint_text" =>__("Insert Twitter Access Token Secret here. When you create your Twitter App, you get this Token",'logistic'),
                        "id" =>   "cs_access_token_secret",
                        "std" => "",
                        "type" => "text");
    //end Twitter Api
											
	#import and export theme options tab
    $cs_options[] = array( "name" =>__("import & export",'logistic'),
                        "fontawesome" => 'icon-database',
                        "id" => "tab-import-export-options",
                        "std" => "",
                        "type" => "main-heading",
                        "options" => ""
                    );    
    $cs_options[] = array( "name" =>__("import & export",'logistic'),
                        "id" => "tab-import-export-options",
                        "type" => "sub-heading"
                        );    
    $cs_options[] = array( "name" =>__("Theme Backup Options",'logistic'),
						"std" => __("Theme Backup Options",'logistic'),
                        "id" => "theme-bakups-options",
                        "type" => "section"
                        );   
    $cs_options[] = array( "name" =>__( "Backup", "logistic" ),
                        "desc" => "",
                        "hint_text" =>__( "", "logistic" ),
                        "id" => "cs_backup_options",
                        "std" => "",
                        "type" => "generate_backup"
                    );
	
	if( class_exists( 'cs_widget_data' ) ) {
		
		$cs_options[] = array( "name" =>__("Widgets Backup Options",'logistic'),
						"std" => __("Widgets Backup Options",'logistic'),
                        "id" => "widgets-bakups-options",
                        "type" => "section"
                        ); 
						
		$cs_options[] = array( "name" =>__( "Widgets Backup", "logistic" ),
							"desc" => "",
							"hint_text" => '',
							"id" => "cs_widgets_backup",
							"std" => "",
							"type" => "widgets_backup"
						);
	}
		update_option( 'cs_theme_data', $cs_options );                      
    }
}


/**
*
*
* Header Colors Setting
*/ 
function cs_header_setting(){
    global $cs_header_colors;
      $cs_header_colors = array();
		  $cs_header_colors['header_colors'] =array(
				  'header_1'=>array(
					  'color' =>array( 
						  'cs_topstrip_bgcolor'		=> '#00799F',
						  'cs_topstrip_text_color'	=> '#ffffff',
						  'cs_topstrip_link_color'	=> '#ffffff',
						  'cs_header_bgcolor'		=> '',
						  'cs_nav_bgcolor'			=> '#00799F',
						  'cs_menu_color'			=> '#ffffff',
						  'cs_menu_active_color'	=> '#ffffff',
						  'cs_submenu_bgcolor'		=> '#ffffff',
						  'cs_submenu_color'		=> '#333333',
						  'cs_submenu_hover_color'	=> '#00799F',
					  ),
					  'logo' =>array(
						  'cs_logo_with'			=> '210',
						  'cs_logo_height'			=> '130',
						  'cs_logo_margintb'		=> '0',
						  'cs_logo_marginlr'		=> '0',
					  )
			  ),
		  );
		  return $cs_header_colors;
}