<?php
/**
 * The template for displaying Search Result
 */
get_header();
global $cs_theme_option, $wp_query, $cs_portfolio_excerpt, $cs_blog_cat;
$default_excerpt_length = isset($cs_theme_options['cs_excerpt_length']) ? $cs_theme_options['cs_excerpt_length'] : '255';
$cs_blog_excerpt_theme_option = isset($cs_theme_options['cs_excerpt_length']) ? $cs_theme_options['cs_excerpt_length'] : '255';
$cs_layout = isset($cs_theme_options['cs_default_page_layout']) ? $cs_theme_options['cs_default_page_layout'] : '';
if (isset($cs_layout) && ($cs_layout == "sidebar_left" || $cs_layout == "sidebar_right")) {
    $cs_page_layout = "col-md-9";
} else {
    $cs_page_layout = "page-content-fullwidth";
}
$cs_sidebar = isset($cs_theme_options['cs_default_layout_sidebar']) ? $cs_theme_options['cs_default_layout_sidebar'] : '';
$cs_tags_name = 'post_tag';
$cs_categories_name = 'category';
$width = '85';
$height = '85';
$title_limit = 100000;

if (!isset($GET['page_id']))
    $GET['page_id_all'] = 1;
?>
<section class="main-section">
    <section class="page-section">
        <div class="container">
            <div class="row">
                <?php if ($cs_layout == 'sidebar_left') { ?>
                    <aside class="col-md-3">
                        <?php
                        if (is_active_sidebar(cs_get_sidebar_id($cs_sidebar))) {
                            if (!function_exists('dynamic_sidebar') || !dynamic_sidebar($cs_sidebar)) : endif;
                        }
                        ?>
                    </aside>
                <?php } ?>
                <div class="col-md-9">
                  <?php
                if (!have_posts()) :
                    cs_fnc_no_result_found();
                 endif;
                    ?>
                    <div class="search-result">
                        <?php
                        if (have_posts()) :
							echo '<div class="search-heading"><h3>'.sprintf(esc_html__('Showing result for your added %s', 'logistic'), esc_html(get_search_query())).'</h3></div>';
					    while (have_posts()) : the_post();
                                $thumbnail = cs_get_post_img_src((int) $post->ID, $width, $height);

                                $postid = get_the_ID();
                                $cs_post_type = get_post_type($postid);
                                ?>
                                <div class="search-one">
                                <?php if($thumbnail <> '') { ?>
                                    <figure><img src="<?php echo esc_url($thumbnail); ?>" alt="image"></figure>
                                    <?php }?>
                                    <div class="text-area">
                                        <div class="cs-heading">
                                            <h3><a href="<?php esc_url(the_permalink()); ?>"><?php the_title(); ?></a></h3>
                                        </div>
                                        <a href="<?php esc_url(the_permalink()); ?>"><?php echo esc_url(the_permalink()); ?></a>
                                        <time datetime="2015-10-03">
											<?php
                                            echo date('F j, Y', strtotime(get_the_date()));
                                            ?> 
                                   		</time>
                                    </div>
                                </div>      
                                <?php
                            endwhile;
                        endif;
                        ?>		   
                   
                    </div>
                    <?php
                    $qrystr = '';
                    if ($wp_query->found_posts > get_option('posts_per_page')) {
                        if (isset($_GET['s']))
                            $qrystr = "&amp;s=" . $_GET['s'];
                        if (isset($_GET['page_id']))
                            $qrystr .= "&amp;page_id=" . $_GET['page_id'];
                        echo cs_pagination($wp_query->found_posts, get_option('posts_per_page'), $qrystr);
                    }
                    ?>
                </div>
           <?php if ($cs_layout == 'sidebar_right') { ?>
                    <aside class="col-md-3">
                        <?php
                        if (is_active_sidebar(cs_get_sidebar_id($cs_sidebar))) {
                            if (!function_exists('dynamic_sidebar') || !dynamic_sidebar($cs_sidebar)) : endif;
                        }
                        ?>
                    </aside>
                    <?php
                }
                ?> 
          <div class="col-md-3"></div>
            </div>
        </div>	
    </section>
</section>
<?php
get_footer();
?>
<!-- Columns End -->